//-------------------------------------------------------------------------
// Simulation Parameters - Constant declarations
//-------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2005 Xilinx, Inc.
//     All rights reserved.
//
//-------------------------------------------------------------------------
// Filename:        sim_params.v
//
// Description:
//   Set simulation parameters in this file.  Include in testbench.
//
//-------------------------------------------------------------------------
// Structure: none
//
//
//-------------------------------------------------------------------------
// Author:      LH
// History:
//   LH      6/28/2001 -- EA2 Release
//
//-------------------------------------------------------------------------


// always prefix with 'SIM_' to avoid name collisions
// these settings can be overridden on simulation command line

`define SIM_REF_CLOCK_PERIOD 10      // set period reference clock (ns)
`define SIM_GSR_DELAY 100

// Set the maximum sim time before stopping. Set to zero to run continuously
`define SIM_MAX_SIM_TIME 0

// Verilog Path to PPC405 CPU
//`define PPC405_PATH testbench.system_0.ppc405_0.ppc405_0_PPC405_i

// Verilog Path to PLB (Used for PLB Bus Monitor)
//`define PLB_PATH testbench.system_0.plb_v34_0

// Verilog Path to OPB (Used for OPB Bus Monitor)
//`define OPB_PATH testbench.system_0.opb_v20_0

// Verilog Path to OPB-to-DCR Bridge (Used for DCR Bus Monitor)
//`define OPB2DCR_PATH testbench.system_0.opb2dcr_bridge_0

// Print status messages whenever internal CPU registers are updated
// (Only valid during SWIFT Model based CPU simulations)
initial force reg_MsgOn = 1;   // Set to 0 to turn off

// UART messages
//initial force uart1_MsgOn = 1; // Set to 0 to turn off
//initial force uart2_MsgOn = 1; // Set to 0 to turn off

// Interrupt messages
//initial force intr_MsgOn = 1;  // Set to 0 to turn off

// DDR messages
//initial force ddr0.Debug = 0;  // Set to 1 to turn on
//initial force ddr1.Debug = 0;  // Set to 1 to turn on
//initial force ddr2.Debug = 0;  // Set to 1 to turn on
//initial force ddr3.Debug = 0;  // Set to 1 to turn on


