//-------------------------------------------------------------------------
// View CPU Register Updates - Behavioral Testbench Code
//-------------------------------------------------------------------------
//
//     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
//     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
//     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
//     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
//     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
//     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
//     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
//     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
//     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
//     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
//     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
//     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
//     FOR A PARTICULAR PURPOSE.
//     
//     (c) Copyright 2005 Xilinx, Inc.
//     All rights reserved.
// 
//-------------------------------------------------------------------------
// Filename:     view_reg.v
//
// Description:
//
//   This section of code is to be included into the testbench to allow
//   the Display of register values during execution. The value of the
//   registers are displayed whenever they are modified. The time of
//   modification is also displayed.       
//
//-------------------------------------------------------------------------
// Structure: (included by testbench.v)
//
//
//-------------------------------------------------------------------------
// Author:      AA
// History:
//   KD/GB    6/27/2001 -- EA2 Release
//
//-------------------------------------------------------------------------

// Local Copy of Internal CPU Registers
reg   [31:0] dcdAddr;                     // Read_Only access 
reg   [31:0] dcdData;                     // Read_Only access 
reg          exeFull;                     // Read_Only access 
reg   [31:0] exeAddr;                     // Read_Only access 
reg   [31:0] exeAReg;                     // Read_Only access 
reg   [31:0] exeBReg;                     // Read_Only access 
reg   [31:0] exeResult;                   // Read_Only access 
reg   [31:0] GPR0;                        // Read_Only access 
reg   [31:0] GPR1;                        // Read_Only access 
reg   [31:0] GPR2;                        // Read_Only access 
reg   [31:0] GPR3;                        // Read_Only access 
reg   [31:0] GPR4;                        // Read_Only access 
reg   [31:0] GPR5;                        // Read_Only access 
reg   [31:0] GPR6;                        // Read_Only access 
reg   [31:0] GPR7;                        // Read_Only access 
reg   [31:0] GPR8;                        // Read_Only access 
reg   [31:0] GPR9;                        // Read_Only access 
reg   [31:0] GPR10;                       // Read_Only access 
reg   [31:0] GPR11;                       // Read_Only access 
reg   [31:0] GPR12;                       // Read_Only access 
reg   [31:0] GPR13;                       // Read_Only access 
reg   [31:0] GPR14;                       // Read_Only access 
reg   [31:0] GPR15;                       // Read_Only access 
reg   [31:0] GPR16;                       // Read_Only access 
reg   [31:0] GPR17;                       // Read_Only access 
reg   [31:0] GPR18;                       // Read_Only access 
reg   [31:0] GPR19;                       // Read_Only access 
reg   [31:0] GPR20;                       // Read_Only access 
reg   [31:0] GPR21;                       // Read_Only access 
reg   [31:0] GPR22;                       // Read_Only access 
reg   [31:0] GPR23;                       // Read_Only access 
reg   [31:0] GPR24;                       // Read_Only access 
reg   [31:0] GPR25;                       // Read_Only access 
reg   [31:0] GPR26;                       // Read_Only access 
reg   [31:0] GPR27;                       // Read_Only access 
reg   [31:0] GPR28;                       // Read_Only access 
reg   [31:0] GPR29;                       // Read_Only access 
reg   [31:0] GPR30;                       // Read_Only access 
reg   [31:0] GPR31;                       // Read_Only access 
reg   [31:0] CR;                          // Read_Only access 
reg   [31:0] CTR;                         // Read_Only access 
reg   [31:0] DAC1;                        // Read_Only access 
reg   [31:0] DAC2;                        // Read_Only access 
reg   [31:0] DVC1;                        // Read_Only access 
reg   [31:0] DVC2;                        // Read_Only access 
reg   [31:0] XER;                         // Read_Only access 
reg   [31:0] DBCR0;                       // Read_Only access 
reg   [31:0] DBCR1;                       // Read_Only access 
reg   [31:0] DBSR;                        // Read_Only access 
reg   [31:0] DBDR;                        // Read_Only access 
reg   [31:0] DCCR;                        // Read_Only access 
reg   [31:0] DEAR;                        // Read_Only access 
reg   [31:0] DCWR;                        // Read_Only access 
reg   [31:0] ICCR;                        // Read_Only access 
reg   [31:0] SLER;                        // Read_Only access 
reg   [31:0] SU0R;                        // Read_Only access 
reg   [31:0] SGR;                         // Read_Only access 
reg   [31:0] ZPR;                         // Read_Only access 
reg   [31:0] PID;                         // Read_Only access 
reg   [31:0] CCR0;                        // Read_Only access 
reg   [31:0] ICDBDR;                      // Read_Only access 
reg   [31:0] IAC1;                        // Read_Only access 
reg   [31:0] IAC2;                        // Read_Only access 
reg   [31:0] IAC3;                        // Read_Only access 
reg   [31:0] IAC4;                        // Read_Only access 
reg   [31:0] LR;                          // Read_Only access 
reg   [31:0] EVPR;                        // Read_Only access 
reg   [31:0] SPRG0;                       // Read_Only access 
reg   [31:0] SPRG1;                       // Read_Only access 
reg   [31:0] SPRG2;                       // Read_Only access 
reg   [31:0] SPRG3;                       // Read_Only access 
reg   [31:0] SPRG4;                       // Read_Only access 
reg   [31:0] SPRG5;                       // Read_Only access 
reg   [31:0] SPRG6;                       // Read_Only access 
reg   [31:0] SPRG7;                       // Read_Only access 
reg   [31:0] SRR0;                        // Read_Only access 
reg   [31:0] SRR1;                        // Read_Only access 
reg   [31:0] SRR2;                        // Read_Only access 
reg   [31:0] SRR3;                        // Read_Only access 
reg   [31:0] MSR;                         // Read_Only access 
reg   [31:0] PVR;                         // Read_Only access 
reg   [31:0] ESR;                         // Read_Only access 
reg   [31:0] PIT;                         // Read_Only access 
reg   [31:0] TBH;                         // Read_Only access 
reg   [31:0] TBL;                         // Read_Only access 
reg   [31:0] TSR;                         // Read_Only access 
reg   [31:0] TCR;                         // Read_Only access 

reg SPY_RST_ResetCore;

`ifdef PPC_MODEL_SWIFT

`ifdef STRUCTURAL_SIM
initial begin
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/RSTC405RESETCORE", "SPY_RST_ResetCore", 0);
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/dcdAddr[31:0]", "dcdAddr", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/dcdData", "dcdData", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/exeFull", "exeFull", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/exeAddr", "exeAddr", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/exeAReg", "exeAReg", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/exeBReg", "exeBReg", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/exeResult", "exeResult", 0);    
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR0", "GPR0", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR1", "GPR1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR2", "GPR2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR3", "GPR3", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR4", "GPR4", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR5", "GPR5", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR6", "GPR6", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR7", "GPR7", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR8", "GPR8", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR9", "GPR9", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR10", "GPR10", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR11", "GPR11", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR12", "GPR12", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR13", "GPR13", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR14", "GPR14", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR15", "GPR15", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR16", "GPR16", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR17", "GPR17", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR18", "GPR18", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR19", "GPR19", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR20", "GPR20", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR21", "GPR21", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR22", "GPR22", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR23", "GPR23", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR24", "GPR24", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR25", "GPR25", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR26", "GPR26", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR27", "GPR27", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR28", "GPR28", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR29", "GPR29", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR30", "GPR30", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/GPR31", "GPR31", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/CR", "CR", 0);           
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/CTR", "CTR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DAC1", "DAC1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DAC2", "DAC2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DVC1", "DVC1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DVC2", "DVC2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/XER", "XER", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DBCR0", "DBCR0", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DBCR1", "DBCR1", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DBSR", "DBSR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DBDR", "DBDR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DCCR", "DCCR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DEAR", "DEAR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/DCWR", "DCWR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/ICCR", "ICCR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SLER", "SLER", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SU0R", "SU0R", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SGR", "SGR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/ZPR", "ZPR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/PID", "PID", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/CCR0", "CCR0", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/ICDBDR", "ICDBDR", 0);       
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/IAC1", "IAC1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/IAC2", "IAC2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/IAC3", "IAC3", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/IAC4", "IAC4", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/LR", "LR", 0);           
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/EVPR", "EVPR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG0", "SPRG0", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG1", "SPRG1", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG2", "SPRG2", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG3", "SPRG3", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG4", "SPRG4", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG5", "SPRG5", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG6", "SPRG6", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SPRG7", "SPRG7", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SRR0", "SRR0", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SRR1", "SRR1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SRR2", "SRR2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/SRR3", "SRR3", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/MSR", "MSR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/PVR", "PVR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/ESR", "ESR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/PIT", "PIT", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/TBH", "TBH", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/TBL", "TBL", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/TSR", "TSR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0_PPC405_i/IPPC405_SWIFT/I1/TCR", "TCR", 0);          
end
`endif

`ifdef BEHAVIORAL_SIM
initial begin
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/RSTC405RESETCORE", "SPY_RST_ResetCore", 0);
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/dcdAddr[31:0]", "dcdAddr", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/dcdData", "dcdData", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/exeFull", "exeFull", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/exeAddr", "exeAddr", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/exeAReg", "exeAReg", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/exeBReg", "exeBReg", 0);      
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/exeResult", "exeResult", 0);    
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR0", "GPR0", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR1", "GPR1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR2", "GPR2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR3", "GPR3", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR4", "GPR4", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR5", "GPR5", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR6", "GPR6", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR7", "GPR7", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR8", "GPR8", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR9", "GPR9", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR10", "GPR10", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR11", "GPR11", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR12", "GPR12", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR13", "GPR13", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR14", "GPR14", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR15", "GPR15", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR16", "GPR16", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR17", "GPR17", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR18", "GPR18", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR19", "GPR19", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR20", "GPR20", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR21", "GPR21", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR22", "GPR22", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR23", "GPR23", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR24", "GPR24", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR25", "GPR25", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR26", "GPR26", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR27", "GPR27", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR28", "GPR28", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR29", "GPR29", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR30", "GPR30", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/GPR31", "GPR31", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/CR", "CR", 0);           
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/CTR", "CTR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DAC1", "DAC1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DAC2", "DAC2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DVC1", "DVC1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DVC2", "DVC2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/XER", "XER", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DBCR0", "DBCR0", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DBCR1", "DBCR1", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DBSR", "DBSR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DBDR", "DBDR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DCCR", "DCCR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DEAR", "DEAR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/DCWR", "DCWR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/ICCR", "ICCR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SLER", "SLER", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SU0R", "SU0R", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SGR", "SGR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/ZPR", "ZPR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/PID", "PID", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/CCR0", "CCR0", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/ICDBDR", "ICDBDR", 0);       
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/IAC1", "IAC1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/IAC2", "IAC2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/IAC3", "IAC3", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/IAC4", "IAC4", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/LR", "LR", 0);           
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/EVPR", "EVPR", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG0", "SPRG0", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG1", "SPRG1", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG2", "SPRG2", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG3", "SPRG3", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG4", "SPRG4", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG5", "SPRG5", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG6", "SPRG6", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SPRG7", "SPRG7", 0);        
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SRR0", "SRR0", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SRR1", "SRR1", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SRR2", "SRR2", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/SRR3", "SRR3", 0);         
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/MSR", "MSR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/PVR", "PVR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/ESR", "ESR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/PIT", "PIT", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/TBH", "TBH", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/TBL", "TBL", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/TSR", "TSR", 0);          
   $init_signal_spy("/testbench/system_0/ppc405_0/ppc405_0/ppc405_adv_i/ppc405_adv_swift_bw_1/ppc405_adv_swift_inst/TCR", "TCR", 0);          
end
`endif
   
        always @(exeAddr[31:0]) if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n ---> \t  %t \t PC \t= %h",$time,exeAddr[31:0]);
        always @(GPR0[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR0 \t= %h",GPR0[31:0]);
        always @(GPR1[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR1 \t= %h",GPR1[31:0]);
        always @(GPR2[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR2 \t= %h",GPR2[31:0]);
        always @(GPR3[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR3 \t= %h",GPR3[31:0]);
        always @(GPR4[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR4 \t= %h",GPR4[31:0]);
        always @(GPR5[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR5 \t= %h",GPR5[31:0]);
        always @(GPR6[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR6 \t= %h",GPR6[31:0]);
        always @(GPR7[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR7 \t= %h",GPR7[31:0]);
        always @(GPR8[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR8 \t= %h",GPR8[31:0]);
        always @(GPR9[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR9 \t= %h",GPR9[31:0]);
        always @(GPR10[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR10 \t= %h",GPR10[31:0]);
        always @(GPR11[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR11 \t= %h",GPR11[31:0]);
        always @(GPR12[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR12 \t= %h",GPR12[31:0]);
        always @(GPR13[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR13 \t= %h",GPR13[31:0]);
        always @(GPR14[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR14 \t= %h",GPR14[31:0]);
        always @(GPR15[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR15 \t= %h",GPR15[31:0]);
        always @(GPR16[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR16 \t= %h",GPR16[31:0]);
        always @(GPR17[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR17 \t= %h",GPR17[31:0]);
        always @(GPR18[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR18 \t= %h",GPR18[31:0]);
        always @(GPR19[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR19 \t= %h",GPR19[31:0]);
        always @(GPR20[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR20 \t= %h",GPR20[31:0]);
        always @(GPR21[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR21 \t= %h",GPR21[31:0]);
        always @(GPR22[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR22 \t= %h",GPR22[31:0]);
        always @(GPR23[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR23 \t= %h",GPR23[31:0]);
        always @(GPR24[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR24 \t= %h",GPR24[31:0]);
        always @(GPR25[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR25 \t= %h",GPR25[31:0]);
        always @(GPR26[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR26 \t= %h",GPR26[31:0]);
        always @(GPR27[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR27 \t= %h",GPR27[31:0]);
        always @(GPR28[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR28 \t= %h",GPR28[31:0]);
        always @(GPR29[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR29 \t= %h",GPR29[31:0]);
        always @(GPR30[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR30 \t= %h",GPR30[31:0]);
        always @(GPR31[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t GPR31 \t= %h",GPR31[31:0]);
        always @(CR[31:0])     if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t CR \t= %h",CR[31:0]);
        always @(CTR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t CTR \t= %h",CTR[31:0]);
        always @(DAC1[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DAC1 \t= %h",DAC1[31:0]);
        always @(DAC2[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DAC2 \t= %h",DAC2[31:0]);
        always @(DVC1[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DVC1 \t= %h",DVC1[31:0]);
        always @(DVC2[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DVC2 \t= %h",DVC2[31:0]);
        always @(XER[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t XER \t= %h",XER[31:0]);
        always @(DBCR0[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DBCR0 \t= %h",DBCR0[31:0]);
        always @(DBCR1[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DBCR1 \t= %h",DBCR1[31:0]);
        always @(DBSR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DBSR \t= %h",DBSR[31:0]);
        always @(DBDR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DBDR \t= %h",DBDR[31:0]);
        always @(DCCR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DCCR \t= %h",DCCR[31:0]);
        always @(DEAR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DEAR \t= %h",DEAR[31:0]);
        always @(DCWR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t DCWR \t= %h",DCWR[31:0]);
        always @(ICCR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t ICCR \t= %h",ICCR[31:0]);
        always @(SLER[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SLER \t= %h",SLER[31:0]);
        always @(SU0R[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SU0R \t= %h",SU0R[31:0]);
        always @(SGR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SGR \t= %h",SGR[31:0]);
        always @(ZPR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t ZPR \t= %h",ZPR[31:0]);
        always @(PID[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t PID \t= %h",PID[31:0]);
        always @(CCR0[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t CCR0 \t= %h",CCR0[31:0]);
        always @(ICDBDR[31:0]) if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t ICDBDR \t= %h",ICDBDR[31:0]);
        always @(IAC1[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t IAC1 \t= %h",IAC1[31:0]);
        always @(IAC2[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t IAC2 \t= %h",IAC2[31:0]);
        always @(IAC3[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t IAC3 \t= %h",IAC3[31:0]);
        always @(IAC4[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t IAC4 \t= %h",IAC4[31:0]);
        always @(LR[31:0])     if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t LR \t= %h",LR[31:0]);
        always @(EVPR[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t EVPR \t= %h",EVPR[31:0]);
        always @(SPRG0[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG0 \t= %h",SPRG0[31:0]);
        always @(SPRG1[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG1 \t= %h",SPRG1[31:0]);
        always @(SPRG2[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG2 \t= %h",SPRG2[31:0]);
        always @(SPRG3[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG3 \t= %h",SPRG3[31:0]);
        always @(SPRG4[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG4 \t= %h",SPRG4[31:0]);
        always @(SPRG5[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG5 \t= %h",SPRG5[31:0]);
        always @(SPRG6[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG6 \t= %h",SPRG6[31:0]);
        always @(SPRG7[31:0])  if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SPRG7 \t= %h",SPRG7[31:0]);
        always @(SRR0[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SRR0 \t= %h",SRR0[31:0]);
        always @(SRR1[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SRR1 \t= %h",SRR1[31:0]);
        always @(SRR2[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SRR2 \t= %h",SRR2[31:0]);
        always @(SRR3[31:0])   if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t SRR3 \t= %h",SRR3[31:0]);
        always @(MSR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t MSR \t= %h",MSR[31:0]);
        always @(PVR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t PVR \t= %h",PVR[31:0]);
        always @(ESR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t ESR \t= %h",ESR[31:0]);
//        always @(PIT[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t PIT \t= %h",PIT[31:0]);
//        always @(TBH[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t TBH \t= %h",TBH[31:0]);
//        always @(TBL[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t TBL \t= %h",TBL[31:0]);
//        always @(TSR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t TSR \t= %h",TSR[31:0]);
//        always @(TCR[31:0])    if(reg_MsgOn && (SPY_RST_ResetCore == 1'b0)) $display("\n    \t    \t               \t TCR \t= %h",TCR[31:0]);

`endif
