/******************************************************************************
 *
 *     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"
 *     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR
 *     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION
 *     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION
 *     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS
 *     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,
 *     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE
 *     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY
 *     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE
 *     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR
 *     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF
 *     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 *     FOR A PARTICULAR PURPOSE.
 *     
 *     (c) Copyright 2005 Xilinx, Inc.
 *     All rights reserved.
 *
 ******************************************************************************/

#include "xbasic_types.h"
#include "xcache_l.h"
#include "xparameters.h"
#include "xpseudo_asm.h"
#include "xutil.h"

// Assembly mnemonics
#define ldfcmx(rn, base, adr)    __asm__ __volatile__(\
                           "ldfcmx " #rn ",%0,%1\n"\
                           : : "b" (base), "r" (adr)\
                         )

#define stdfcmx(rn, base, adr)    __asm__ __volatile__(\
                                   "stdfcmx " #rn ",%0,%1\n"\
                                   : : "b" (base), "r" (adr)\
                                 )

// Data structures
volatile Xint32 __attribute__ ((aligned (32))) src[4] = {214,49,-3,20};
volatile Xint32 __attribute__ ((aligned (32))) dst[4] = {-1,-1,-1,-1};

int main(void)
{
  // initialize caches
  XCache_EnableDCache(0x80000001);
  XCache_EnableICache(0x80000001);
  // initialize APU
  mtmsr(XREG_MSR_APU_AVAILABLE);

  xil_printf("Starting FCM load and store\r\n");
  // print contents of dst[0], dst[1] after the store
  xil_printf("  Original value of dst: \r\n");
  xil_printf("    dst[0] = %d\r\n", dst[0]);
  xil_printf("    dst[1] = %d\r\n", dst[1]);

  ldfcmx(2, src, 0); // load double word from src[0] to FCM reg 2
  stdfcmx(2, dst, 0); // store double word from FCM reg 2 to dst[0]

  // print contents of dst[0], dst[1] after the store
  xil_printf("  Final value of dst: \r\n");
  xil_printf("    dst[0] = %d\r\n", dst[0]);
  xil_printf("    dst[1] = %d\r\n", dst[1]);

  return 0;
}
