
//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
// synopsys translate_off
`ifndef simulating
  `define simulating 1
`endif
// synopsys translate_on
`ifndef simulating
  `define simulating 0
`endif
`ifndef xlUnsigned
 `define xlUnsigned 1
`endif
`ifndef xlSigned
 `define xlSigned 2
`endif
`ifndef xlWrap
 `define xlWrap 1
`endif
`ifndef xlSaturate
 `define xlSaturate 2
`endif
`ifndef xlTruncate
 `define xlTruncate 1
`endif
`ifndef xlRound
 `define xlRound 2
`endif
`ifndef xlRoundBanker
 `define xlRoundBanker 3
`endif
`ifndef xlAddMode
 `define xlAddMode 1
`endif
`ifndef xlSubMode
 `define xlSubMode 2
`endif

`ifndef xlConvertType
 `define xlConvertType
 `timescale 1 ns / 10 ps

module cast (inp, res);
    parameter signed [31:0] old_width = 4;
    parameter signed [31:0] old_bin_pt = 1;
    parameter signed [31:0] new_width = 4;
    parameter signed [31:0] new_bin_pt = 1;
    parameter signed [31:0] new_arith = `xlSigned;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;

   parameter signed [31:0] right_of_dp = new_bin_pt - old_bin_pt;
    wire [new_width-1:0] result;
   genvar i;
   assign res = result;
   generate
      for (i = 0; i<new_width;  i = i+1)
        begin:cast_loop
           if ((i-right_of_dp) > old_width - 1)
             begin:u0
                if (new_arith == `xlUnsigned)
                  begin:u1
                     assign result[i] = 1'b0;
                  end
                if (new_arith == `xlSigned)
                  begin:u2
                     assign result[i] = inp[old_width-1];
                  end
             end
           else if ((i-right_of_dp) >= 0)
             begin:u3
                assign result[i] = inp[i-right_of_dp];
             end
           else
             begin:u4
                assign result[i] = 1'b0;
             end
        end
      endgenerate

endmodule
module pad_lsb (inp, res);
   parameter signed [31:0] orig_width = 4;
   parameter signed [31:0] new_width = 2;
   input [orig_width - 1 : 0] inp;
   output [new_width - 1 : 0] res;
   parameter signed [31:0] pad_pos = new_width - orig_width -1;
   wire [new_width-1:0] result;
   genvar i;
   assign  res = result;
   generate
      if (new_width >= orig_width)
        begin:u0
           assign result[new_width-1:new_width-orig_width] = inp[orig_width-1:0];
        end
   endgenerate

   generate
      if (pad_pos >= 0)
        begin:u1
           assign result[pad_pos:0] = {pad_pos{1'b0}};
        end
   endgenerate
endmodule
module zero_ext (inp, res);
   parameter signed [31:0]  old_width = 4;
   parameter signed [31:0]  new_width = 2;
   input [old_width - 1 : 0] inp;
   output [new_width - 1 : 0] res;
   wire [new_width-1:0] result;
   genvar i;
   assign res = result;
   generate
     if (new_width >= old_width)
       begin:u0
          assign result = { {(new_width-old_width){1'b0}}, inp};
       end
     else
       begin:u1
          assign result[new_width-1:0] = inp[new_width-1:0];
       end
    endgenerate
endmodule
module sign_ext (inp, res);
   parameter signed [31:0]  old_width = 4;
   parameter signed [31:0]  new_width = 2;
   input [old_width - 1 : 0] inp;
   output [new_width - 1 : 0] res;
   wire [new_width-1:0] result;
   assign res = result;
   generate
     if (new_width >= old_width)
       begin:u0
          assign result = { {(new_width-old_width){inp[old_width-1]}}, inp};
       end
     else
       begin:u1
          assign result[new_width-1:0] = inp[new_width-1:0];
       end
   endgenerate

endmodule
module extend_msb (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_arith = `xlSigned;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;
    wire [new_width-1:0] result;
   assign res = result;
   generate
      if (new_arith ==`xlUnsigned)
        begin:u0
           zero_ext # (old_width, new_width)
             em_zero_ext (.inp(inp), .res(result));
        end
      else
        begin:u1
           sign_ext # (old_width, new_width)
             em_sign_ext (.inp(inp), .res(result));
        end
    endgenerate
endmodule
module align_input (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  delta = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;
    parameter signed [31:0]  abs_delta = (delta >= 0) ? (delta) : (-delta);
    wire [new_width-1:0] result;
    wire [(old_width+abs_delta)-1:0] padded_inp;
   assign res = result;
   generate
      if (delta > 0)
        begin:u0
           pad_lsb # (old_width, old_width+delta)
             ai_pad_lsb (.inp(inp), .res(padded_inp));
           extend_msb # (old_width+delta, new_width, new_arith)
             ai_extend_msb (.inp(padded_inp), .res(result));
        end
      else
        begin:u1
           extend_msb # (old_width, new_width, new_arith)
             ai_extend_msb (.inp(inp), .res(result));
        end
   endgenerate
endmodule
module round_towards_inf (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  old_bin_pt = 2;
    parameter signed [31:0]  old_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_bin_pt = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;

   parameter signed [31:0]  right_of_dp = old_bin_pt - new_bin_pt;
   parameter signed [31:0]  abs_right_of_dp = (new_bin_pt > old_bin_pt) ? (new_bin_pt-old_bin_pt) : (old_bin_pt - new_bin_pt);
   parameter signed [31:0]  right_of_dp_2 = (right_of_dp >=2) ? right_of_dp-2 : 0;
   parameter signed [31:0]  right_of_dp_1 = (right_of_dp >=1) ? right_of_dp-1 : 0;
   reg [new_width-1:0] one_or_zero;
   wire [new_width-1:0] truncated_val;
   wire signed [new_width-1:0] result_signed;
   wire [abs_right_of_dp+old_width-1 : 0] padded_val;
   initial
     begin
        one_or_zero = {new_width{1'b0}};
     end
   generate
      if (right_of_dp >= 0)
        begin:u0
           if (new_arith ==`xlUnsigned)
             begin:u1
                zero_ext # (old_width-right_of_dp, new_width)
                  rti_zero_ext (.inp(inp[old_width-1:right_of_dp]), .res(truncated_val));
             end
           else
             begin:u2
                sign_ext # (old_width-right_of_dp, new_width)
                  rti_sign_ext (.inp(inp[old_width-1:right_of_dp]), .res(truncated_val));
             end
        end
      else
        begin:u3
           pad_lsb # (old_width, abs_right_of_dp+old_width)
             rti_pad_lsb (.inp(inp), .res(padded_val));
           if (new_arith ==`xlUnsigned)
             begin:u4
                zero_ext # (abs_right_of_dp+old_width, new_width)
                  rti_zero_ext1 (.inp(padded_val), .res(truncated_val));
             end
           else
             begin:u5
                sign_ext # (abs_right_of_dp+old_width, new_width)
                  rti_sign_ext1 (.inp(padded_val), .res(truncated_val));
             end
        end
   endgenerate
   generate
      if (new_arith == `xlSigned)
        begin:u6
           always @(inp)
             begin
                one_or_zero = {new_width{1'b0}};
               if (inp[old_width-1] == 1'b0)
                 begin
                    one_or_zero[0] = 1'b1;
                 end
               if ((right_of_dp >=2) && (right_of_dp <= old_width))
                 begin
                    if(|inp[right_of_dp_2:0] == 1'b1)
                       begin
                          one_or_zero[0] = 1'b1;
                       end
                 end
               if ((right_of_dp >=1) && (right_of_dp <= old_width))
                 begin
                    if(inp[right_of_dp_1] == 1'b0)
                      begin
                         one_or_zero[0] = 1'b0;
                      end
                 end
               else
                 begin
                    one_or_zero[0] = 1'b0;
                 end
             end
             assign result_signed = truncated_val + one_or_zero;
             assign res = result_signed;
        end

      else
        begin:u7
           always @(inp)
             begin
                one_or_zero = {new_width{1'b0}};
               if ((right_of_dp >=1) && (right_of_dp <= old_width))
                 begin
                    one_or_zero[0] = inp[right_of_dp_1];
                 end
             end
             assign res = truncated_val + one_or_zero;
        end
   endgenerate

endmodule
module round_towards_even (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  old_bin_pt = 2;
    parameter signed [31:0]  old_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_bin_pt = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;
   parameter signed [31:0]  right_of_dp = old_bin_pt - new_bin_pt;
   parameter signed [31:0]  abs_right_of_dp = (new_bin_pt > old_bin_pt) ? (new_bin_pt-old_bin_pt) : (old_bin_pt - new_bin_pt);
   parameter signed [31:0]  expected_new_width = old_width - right_of_dp + 1;
   reg [new_width-1:0] one_or_zero;
   wire signed [new_width-1:0] result_signed;
   wire [new_width-1:0] truncated_val;
   wire [abs_right_of_dp+old_width-1 : 0] padded_val;
   initial
     begin
      one_or_zero = { new_width{1'b0}};
     end

   generate
      if (right_of_dp >= 0)
        begin:u0
           if (new_arith == `xlUnsigned)
             begin:u1
                zero_ext # (old_width-right_of_dp, new_width)
                            rte_zero_ext (.inp(inp[old_width-1:right_of_dp]), .res(truncated_val));
             end
           else
             begin:u2
                sign_ext # (old_width-right_of_dp, new_width)
                            rte_sign_ext (.inp(inp[old_width-1:right_of_dp]), .res(truncated_val));
             end
        end

      else
        begin:u3
           pad_lsb # (old_width, abs_right_of_dp+old_width)
                            rte_pad_lsb (.inp(inp), .res(padded_val));
           if (new_arith == `xlUnsigned)
             begin:u4
                zero_ext # (abs_right_of_dp+old_width, new_width)
                            rte_zero_ext1 (.inp(padded_val), .res(truncated_val));
             end
           else
             begin:u5
                sign_ext # (abs_right_of_dp+old_width, new_width)
                            rte_sign_ext1 (.inp(padded_val), .res(truncated_val));
             end
        end
   endgenerate

   generate
      if ((right_of_dp ==1) && (right_of_dp <= old_width))
        begin:u6a
           always @(inp)
             begin
                one_or_zero = { new_width{1'b0}};
                if(inp[right_of_dp-1] == 1'b1)
                  begin
                     one_or_zero[0] = inp[right_of_dp];
                  end
                else
                  begin
                     one_or_zero[0] = inp[right_of_dp-1];
                  end
             end
       end
      else if ((right_of_dp >=2) && (right_of_dp <= old_width))
        begin:u6b
           always @(inp)
             begin
                one_or_zero = { new_width{1'b0}};
                if( (inp[right_of_dp-1] == 'b1) && !(|inp[right_of_dp-2:0]) )
                  begin
                     one_or_zero[0] = inp[right_of_dp];
                  end
                else
                  begin
                     one_or_zero[0] = inp[right_of_dp-1];
                  end
             end
       end
      else
        begin:u7
            always @(inp)
             begin
                one_or_zero = { new_width{1'b0}};
             end
        end
   endgenerate

   generate
      if (new_arith == `xlSigned)
        begin:u8
           assign result_signed = truncated_val + one_or_zero;
           assign res = result_signed;
        end
      else
        begin:u9
           assign res = truncated_val + one_or_zero;
        end
   endgenerate

endmodule
module trunc (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  old_bin_pt = 2;
    parameter signed [31:0]  old_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_bin_pt = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;

   parameter signed [31:0]  right_of_dp = old_bin_pt - new_bin_pt;
   parameter signed [31:0]  abs_right_of_dp = (new_bin_pt > old_bin_pt) ? (new_bin_pt-old_bin_pt) : (old_bin_pt - new_bin_pt);
   wire [new_width-1:0] result;
   wire [abs_right_of_dp+old_width-1 : 0] padded_val;
   assign res = result;
   generate
      if (new_bin_pt > old_bin_pt)
        begin:tr_u2
           pad_lsb # (old_width, abs_right_of_dp+old_width)
             tr_pad_lsb (.inp(inp), .res(padded_val));
           extend_msb # (old_width+abs_right_of_dp, new_width, new_arith)
             tr_extend_msb (.inp(padded_val), .res(result));
        end
      else
        begin:tr_u1
           extend_msb # (old_width-right_of_dp, new_width, new_arith)
             tr_extend_msb (.inp(inp[old_width-1:right_of_dp]), .res(result));
        end
   endgenerate

endmodule

module saturation_arith (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  old_bin_pt = 2;
    parameter signed [31:0]  old_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_bin_pt = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;
   parameter signed [31:0]  abs_right_of_dp = (new_bin_pt > old_bin_pt) ? (new_bin_pt-old_bin_pt) : (old_bin_pt - new_bin_pt);
   parameter signed [31:0]  abs_width = (new_width > old_width) ? (new_width-old_width) : 1;
   parameter signed [31:0]  abs_new_width = (old_width > new_width) ? new_width : 1;
   reg overflow;
   reg [old_width-1:0] vec;
   reg [new_width-1:0] result;
   assign res = result;

   always @ (inp)
     begin
        vec = inp;
        overflow = 1;

        if (new_width >= old_width)
          begin
             overflow = 0;
          end

        if ( (old_arith == `xlSigned) && (new_arith == `xlSigned) && (old_width > new_width))
          begin
             if (~|inp[old_width-1:abs_new_width-1] || &inp[old_width-1:abs_new_width-1])
               begin
                  overflow = 0;
               end
          end

        if ( (old_arith == `xlSigned) && (new_arith == `xlUnsigned))
          begin
             if (old_width > new_width)
               begin
                  if (~|inp[old_width-1 : abs_new_width])
                    begin
                       overflow = 0;
                    end
               end
             else if ( (old_width == new_width) && (inp[old_width-1] == 'b0) )
               begin
                  overflow = 0;
               end
          end
        if ((old_arith == `xlUnsigned) &&  (new_arith == `xlUnsigned))
          begin
             if (old_width > new_width)
               begin
                  if (~|inp[old_width-1 : abs_new_width])
                    begin
                       overflow = 0;
                    end
               end
             else if (old_width == new_width)
               begin
                  overflow = 0;
               end
          end
        if ( (old_arith == `xlUnsigned) && (new_arith == `xlSigned) && (old_width > new_width))
          begin
             if (~|inp[old_width-1:abs_new_width-1] || &inp[old_width-1:abs_new_width-1])
               begin
                  overflow = 0;
               end
          end

        if (overflow == 1)
          begin
             if (new_arith == `xlSigned)
               begin
                  if (inp[old_width-1] == 'b0)
                    begin
                       result = {1'b0, {(new_width-1){1'b1}} };
                    end
                  else
                    begin
                      result = {1'b1, {(new_width-1){1'b0}} };
                  end
               end
             else
               begin
                  if ((old_arith == `xlSigned) && (inp[old_width-1] == 'b1))
                    begin
                       result = {new_width{1'b0}};
                    end
                  else
                    begin
                       result = {new_width{1'b1}};
                  end
             end
          end
        else
          begin
             if ( (old_arith == `xlSigned) && (new_arith == `xlUnsigned) && (inp[old_width-1] == 'b1) )
               begin
                vec = {old_width{1'b0}};
               end
             if (new_width <= old_width)
               begin
                  result = vec[new_width-1:0];
               end
             else
               begin
                if (new_arith == `xlUnsigned)
                  begin
                    result = { {abs_width{1'b0}}, inp};
                  end
                else
                  begin
                    result = { {abs_width{inp[old_width-1]}}, inp};
                  end
             end
        end
     end

endmodule
module wrap_arith (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  old_bin_pt = 2;
    parameter signed [31:0]  old_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_bin_pt = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    parameter signed [31:0]  result_arith = ((old_arith==`xlSigned)&&(new_arith==`xlUnsigned))? `xlSigned : new_arith;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;
   wire [new_width-1:0] result;
   cast # (old_width, old_bin_pt, new_width, new_bin_pt, result_arith)
     wrap_cast (.inp(inp), .res(result));
   assign res = result;

endmodule
module convert_type (inp, res);
    parameter signed [31:0]  old_width = 4;
    parameter signed [31:0]  old_bin_pt = 2;
    parameter signed [31:0]  old_arith = `xlSigned;
    parameter signed [31:0]  new_width = 4;
    parameter signed [31:0]  new_bin_pt = 1;
    parameter signed [31:0]  new_arith = `xlSigned;
    parameter signed [31:0]  quantization = `xlTruncate;
    parameter signed [31:0]  overflow = `xlWrap;
    input [old_width - 1 : 0] inp;
    output [new_width - 1 : 0] res;

   parameter signed [31:0]  fp_width = old_width + 2;
   parameter signed [31:0]  fp_bin_pt = old_bin_pt;
   parameter signed [31:0]  fp_arith = old_arith;
   parameter signed [31:0]  q_width = fp_width + new_bin_pt - old_bin_pt;
   parameter signed [31:0]  q_bin_pt = new_bin_pt;
   parameter signed [31:0]  q_arith = old_arith;
   wire [fp_width-1:0] full_precision_result;
   wire [new_width-1:0] result;
   wire [q_width-1:0] quantized_result;
   assign res = result;
   cast # (old_width, old_bin_pt, fp_width, fp_bin_pt, fp_arith)
     fp_cast (.inp(inp), .res(full_precision_result));
   generate
      if (quantization == `xlRound)
        begin:ct_u0
           round_towards_inf # (fp_width, fp_bin_pt, fp_arith, q_width, q_bin_pt, q_arith)
             quant_rtf (.inp(full_precision_result), .res(quantized_result));
        end
   endgenerate

   generate
      if (quantization == `xlRoundBanker)
        begin:ct_u1
           round_towards_even # (fp_width, fp_bin_pt, fp_arith, q_width, q_bin_pt, q_arith)
             quant_rte (.inp(full_precision_result), .res(quantized_result));
        end
   endgenerate

   generate
      if (quantization == `xlTruncate)
        begin:ct_u2
           trunc # (fp_width, fp_bin_pt, fp_arith, q_width, q_bin_pt, q_arith)
             quant_tr (.inp(full_precision_result), .res(quantized_result));
        end
   endgenerate

   generate
      if (overflow == `xlSaturate)
        begin:ct_u3
           saturation_arith # (q_width, q_bin_pt, q_arith, new_width, new_bin_pt, new_arith)
            ovflo_sat (.inp(quantized_result), .res(result));
        end
   endgenerate

   generate
      if (overflow == `xlWrap)
        begin:ct_u4
           wrap_arith # (q_width, q_bin_pt, q_arith, new_width, new_bin_pt, new_arith)
             ovflo_wrap (.inp(quantized_result), .res(result));
        end
   endgenerate

endmodule
//synopsys translate_off
`timescale 1 ns / 10 ps
module clock_pkg();
   wire int_clk;
endmodule
//synopsys translate_on
`endif


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
`timescale 1 ns / 10 ps

module srl17e (clk, ce, d, q);
    parameter width = 16;
    parameter latency = 8;
    input clk, ce;
    input [width-1:0] d;
    output [width-1:0] q;
    parameter signed [5:0] a = latency - 2;
    wire[width - 1:0] #0.2 d_delayed;
    wire[width - 1:0] srl16_out;
    genvar i;
    assign d_delayed = d ;
    generate
      for(i=0; i<width; i=i+1)
      begin:reg_array
            if (latency > 1)
                begin: has_2_latency
                 SRL16E u1 (.CLK(clk), .D(d_delayed[i]), .Q(srl16_out[i]), .CE(ce), .A0(a[0]), .A1(a[1]), .A2(a[2]), .A3(a[3]));
                end
            if (latency <= 1)
                begin: has_1_latency
                 assign srl16_out[i] = d_delayed[i];
                end
            if (latency != 0)
                begin: has_latency
                 FDE u2 (.C(clk), .D(srl16_out[i]), .Q(q[i]), .CE(ce));
                end
            if (latency == 0)
                begin:has_0_latency
                 assign q[i] = srl16_out[i];
                end
        end
    endgenerate
endmodule
module synth_reg (i, ce, clr, clk, o);
   parameter width  = 8;
   parameter latency  = 1;
   input[width - 1:0] i;
   input ce,clr,clk;
   output[width - 1:0] o;
   parameter complete_num_srl17es = latency/17;
   parameter remaining_latency = latency%17;
   parameter temp_num_srl17es = (latency/17) + ((latency%17)?1:0);
   parameter num_srl17es = temp_num_srl17es ? temp_num_srl17es : 1;
   wire [width - 1:0] z [0:num_srl17es-1];
   genvar t;
    generate
      if (latency <= 17)
          begin:has_only_1
              srl17e #(width, latency) srl17e_array0(.clk(clk), .ce(ce), .d(i), .q(o));
          end
     endgenerate
    generate
     if (latency > 17)
        begin:has_1
             assign o = z[num_srl17es-1];
             srl17e #(width, 17) srl17e_array0(.clk(clk), .ce(ce), .d(i), .q(z[0]));
        end
   endgenerate
   generate
      if (latency > 17)
          begin:more_than_1
              for (t=1; t < complete_num_srl17es; t=t+1)
                begin:left_complete_ones
                   srl17e #(width, 17) srl17e_array(.clk(clk), .ce(ce), .d(z[t-1]), .q(z[t]));
                end
          end
   endgenerate
   generate
     if ((remaining_latency > 0) && (latency>17))
          begin:remaining_ones
             srl17e #(width, (latency%17)) last_srl17e (.clk(clk), .ce(ce), .d(z[num_srl17es-2]), .q(z[num_srl17es-1]));
          end
   endgenerate
endmodule
module synth_reg_reg (i, ce, clr, clk, o);
   parameter width  = 8;
   parameter latency  = 1;
   input[width - 1:0] i;
   input ce, clr, clk;
   output[width - 1:0] o;
   wire[width - 1:0] o;
   genvar idx;
   reg[width - 1:0] reg_bank [latency:0];
   integer j;
   initial
     begin
        for (j=0; j < latency+1; j=j+1)
          begin
             reg_bank[j] = {width{1'b0}};
          end
     end

   generate
     if (latency == 0)
        begin:has_0_latency
         assign o = i;
       end
   endgenerate

   always @(i)
        begin
             reg_bank[0] = i;
         end
   generate
     if (latency > 0)
        begin:more_than_1
            assign o = reg_bank[latency];
         for (idx=0; idx < latency; idx=idx+1) begin:sync_loop
            always @(posedge clk)
                  begin
                  if (ce)
                    begin
                        reg_bank[idx+1] <= reg_bank[idx] ;
                    end
               end
        end
      end
   endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
`timescale 1 ns / 10 ps

module synth_reg_w_init (i, ce, clr, clk, o);
   parameter width  = 8;
   parameter init_index  = 0;
   parameter [width-1 : 0] init_value  = 'b0000;
   parameter latency  = 1;

   input[width - 1:0] i;
   input ce, clr, clk;
   output[width - 1:0] o;
   wire[(latency + 1) * width - 1:0] dly_i;
   wire #0.2 dly_clr;
   genvar index;

   generate
     if (latency == 0)
        begin:has_0_latency
         assign o = i;
        end
     else
        begin:has_latency
         assign dly_i[(latency + 1) * width - 1:latency * width] = i ;
         assign dly_clr = clr ;
         for (index=1; index<=latency; index=index+1)
           begin:fd_array
             single_reg_w_init #(width, init_index, init_value)
               reg_comp_1(.clk(clk),
                          .i(dly_i[(index + 1)*width-1:index*width]),
                          .o(dly_i[index * width - 1:(index - 1) * width]),
                          .ce(ce),
                          .clr(dly_clr));
             end
        assign o = dly_i[width-1:0];
       end
   endgenerate
endmodule
module single_reg_w_init (i, ce, clr, clk, o);
   parameter width  = 8;
   parameter init_index  = 0;
   parameter [width-1 : 0] init_value  = 'b0000;
   input[width - 1:0] i;
   input ce;
   input clr;
   input clk;
   output[width - 1:0] o;
   parameter [0:0] init_index_val = (init_index ==  1) ? 1'b1 : 1'b0;
   parameter [width-1:0] result = (width > 1) ? { {(width-1){1'b0}}, init_index_val } : init_index_val;
   parameter [width-1:0] init_const = (init_index > 1) ? init_value : result;
   wire[width - 1:0] o;
   genvar index;

   generate
     for (index=0;index < width; index=index+1) begin:fd_prim_array
          if (init_const[index] == 0)
            begin:rst_comp
              FDRE fdre_comp(.C(clk),
                             .D(i[index]),
                             .Q(o[index]),
                             .CE(ce),
                             .R(clr));
            end
          else
            begin:set_comp
             FDSE fdse_comp(.C(clk),
                            .D(i[index]),
                            .Q(o[index]),
                            .CE(ce),
                            .S(clr));
            end
    end
   endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
`timescale 1 ns / 10 ps
module xlclkprobe (clk, clr, ce, fakeOutForXst);
   input clk;
   input clr;
   input ce;
   output fakeOutForXst;
   assign fakeOutForXst = 1'b0 ;
//synopsys translate_off
   assign clock_pkg.int_clk = clk ;
//synopsys translate_on
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
module  xlsl2slv  ( din, dout);
parameter dout_width= 1;
parameter dout_bin_pt= 0;
parameter dout_arith= `xlUnsigned;
input din;
output dout;
   assign dout = din;
 endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
module  xlslv2sl  (din, dout);
parameter     din_width= 1;
parameter     din_bin_pt= 0;
parameter     din_arith= `xlUnsigned;
input din;
output dout;

   assign dout = din;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
module xlslicer(din, dout);
parameter din_width = 1;
parameter slice_top = 1;
parameter slice_bottom = 1;
input [din_width - 1 : 0] din;
output dout;
  assign dout = din[slice_top : slice_bottom];
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  xlconstant  (dout);
parameter dout_width= 5;
parameter dout_bin_pt= 2;
parameter dout_arith= `xlUnsigned;
parameter [dout_width-1:0] const_val = 'b0000;
output [dout_width-1:0] dout;
assign dout = const_val;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

`ifndef bus_multiplexer_virtex4_7_0_c89622f97e878f3d
`define bus_multiplexer_virtex4_7_0_c89622f97e878f3d
module bus_multiplexer_virtex4_7_0_c89622f97e878f3d  (MA, MB, MC, MD, CLK, CE, SCLR, Q, S) /* synthesis syn_black_box */;
      input [15:0] MA;
      input [15:0] MB;
      input [15:0] MC;
      input [15:0] MD;
      input CLK;
      input CE;
      input SCLR;
      output [15:0] Q;
      input [1:0] S;
endmodule
`endif
`ifndef bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5
`define bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5
module bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5  (MA, MB, MC, MD, CLK, CE, SCLR, Q, S) /* synthesis syn_black_box */;
      input [11:0] MA;
      input [11:0] MB;
      input [11:0] MC;
      input [11:0] MD;
      input CLK;
      input CE;
      input SCLR;
      output [11:0] Q;
      input [1:0] S;
endmodule
`endif
`ifndef bus_multiplexer_virtex4_7_0_ab40e4648f86b94c
`define bus_multiplexer_virtex4_7_0_ab40e4648f86b94c
module bus_multiplexer_virtex4_7_0_ab40e4648f86b94c  (MA, MB, MC, MD, CLK, CE, SCLR, Q, S) /* synthesis syn_black_box */;
      input [10:0] MA;
      input [10:0] MB;
      input [10:0] MC;
      input [10:0] MD;
      input CLK;
      input CE;
      input SCLR;
      output [10:0] Q;
      input [1:0] S;
endmodule
`endif
`ifndef bus_multiplexer_virtex4_7_0_ee3d942ccb03894f
`define bus_multiplexer_virtex4_7_0_ee3d942ccb03894f
module bus_multiplexer_virtex4_7_0_ee3d942ccb03894f  (MA, MB, O, S) /* synthesis syn_black_box */;
      input [23:0] MA;
      input [23:0] MB;
      output[23:0] O;
      input [0:0] S;
endmodule
`endif
`ifndef bus_multiplexer_virtex4_7_0_55ad38160fccae5b
`define bus_multiplexer_virtex4_7_0_55ad38160fccae5b
module bus_multiplexer_virtex4_7_0_55ad38160fccae5b  (MA, MB, CLK, CE, SCLR, Q, S) /* synthesis syn_black_box */;
      input [12:0] MA;
      input [12:0] MB;
      input CLK;
      input CE;
      input SCLR;
      output [12:0] Q;
      input [0:0] S;
endmodule
`endif
`ifndef bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40
`define bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40
module bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40  (MA, MB, O, S) /* synthesis syn_black_box */;
      input [11:0] MA;
      input [11:0] MB;
      output[11:0] O;
      input [0:0] S;
endmodule
`endif
`ifndef bus_multiplexer_virtex4_7_0_02e75b45a45d9e17
`define bus_multiplexer_virtex4_7_0_02e75b45a45d9e17
module bus_multiplexer_virtex4_7_0_02e75b45a45d9e17  (MA, MB, O, S) /* synthesis syn_black_box */;
      input [17:0] MA;
      input [17:0] MB;
      output[17:0] O;
      input [0:0] S;
endmodule
`endif
module dct2d_top_final3_mux1  (din0, din1, din2, din3, din4, din5, din6, din7, din8, din9, din10, din11, din12, din13, din14, din15, din16, din17, din18, din19, din20, din21, din22, din23, din24, din25, din26, din27, din28, din29, din30, din31,  s, en, rst, ce, clr, clk, dout);
    parameter core_name0= "";
    parameter din0_width= 3;
    parameter din0_bin_pt= 1;
    parameter din0_arith= `xlUnsigned;
    parameter din1_width= 3;
    parameter din1_bin_pt= 1;
    parameter din1_arith= `xlUnsigned;
    parameter din2_width= 3;
    parameter din2_bin_pt= 1;
    parameter din2_arith= `xlUnsigned;
    parameter din3_width= 3;
    parameter din3_bin_pt= 1;
    parameter din3_arith= `xlUnsigned;
    parameter din4_width= 3;
    parameter din4_bin_pt= 1;
    parameter din4_arith= `xlUnsigned;
    parameter din5_width= 3;
    parameter din5_bin_pt= 1;
    parameter din5_arith= `xlUnsigned;
    parameter din6_width= 3;
    parameter din6_bin_pt= 1;
    parameter din6_arith= `xlUnsigned;
    parameter din7_width= 3;
    parameter din7_bin_pt= 1;
    parameter din7_arith= `xlUnsigned;
    parameter din8_width= 3;
    parameter din8_bin_pt= 1;
    parameter din8_arith= `xlUnsigned;
    parameter din9_width= 3;
    parameter din9_bin_pt= 1;
    parameter din9_arith= `xlUnsigned;
    parameter din10_width= 3;
    parameter din10_bin_pt= 1;
    parameter din10_arith= `xlUnsigned;
    parameter din11_width= 3;
    parameter din11_bin_pt= 1;
    parameter din11_arith= `xlUnsigned;
    parameter din12_width= 3;
    parameter din12_bin_pt= 1;
    parameter din12_arith= `xlUnsigned;
    parameter din13_width= 3;
    parameter din13_bin_pt= 1;
    parameter din13_arith= `xlUnsigned;
    parameter din14_width= 3;
    parameter din14_bin_pt= 1;
    parameter din14_arith= `xlUnsigned;
    parameter din15_width= 3;
    parameter din15_bin_pt= 1;
    parameter din15_arith= `xlUnsigned;
    parameter din16_width= 3;
    parameter din16_bin_pt= 1;
    parameter din16_arith= `xlUnsigned;
    parameter din17_width= 3;
    parameter din17_bin_pt= 1;
    parameter din17_arith= `xlUnsigned;
    parameter din18_width= 3;
    parameter din18_bin_pt= 1;
    parameter din18_arith= `xlUnsigned;
    parameter din19_width= 3;
    parameter din19_bin_pt= 1;
    parameter din19_arith= `xlUnsigned;
    parameter din20_width= 3;
    parameter din20_bin_pt= 1;
    parameter din20_arith= `xlUnsigned;
    parameter din21_width= 3;
    parameter din21_bin_pt= 1;
    parameter din21_arith= `xlUnsigned;
    parameter din22_width= 3;
    parameter din22_bin_pt= 1;
    parameter din22_arith= `xlUnsigned;
    parameter din23_width= 3;
    parameter din23_bin_pt= 1;
    parameter din23_arith= `xlUnsigned;
    parameter din24_width= 3;
    parameter din24_bin_pt= 1;
    parameter din24_arith= `xlUnsigned;
    parameter din25_width= 3;
    parameter din25_bin_pt= 1;
    parameter din25_arith= `xlUnsigned;
    parameter din26_width= 3;
    parameter din26_bin_pt= 1;
    parameter din26_arith= `xlUnsigned;
    parameter din27_width= 3;
    parameter din27_bin_pt= 1;
    parameter din27_arith= `xlUnsigned;
    parameter din28_width= 3;
    parameter din28_bin_pt= 1;
    parameter din28_arith= `xlUnsigned;
    parameter din29_width= 3;
    parameter din29_bin_pt= 1;
    parameter din29_arith= `xlUnsigned;
    parameter din30_width= 3;
    parameter din30_bin_pt= 1;
    parameter din30_arith= `xlUnsigned;
    parameter din31_width= 3;
    parameter din31_bin_pt= 1;
    parameter din31_arith= `xlUnsigned;
    parameter s_width= 3;
    parameter s_bin_pt= 0;
    parameter s_arith= `xlUnsigned;
    parameter en_arith= `xlUnsigned;
    parameter en_bin_pt= 0;
    parameter en_width= 1;
    parameter rst_arith= `xlUnsigned;
    parameter rst_bin_pt= 0;
    parameter rst_width= 1;
    parameter dout_width= 3;
    parameter dout_bin_pt= 1;
    parameter dout_arith= `xlSigned;
    parameter core_dout_arith= `xlSigned;
    parameter core_dout_bin_pt= 0;
    parameter c_inputs= 2;
    parameter c_width= 13;
    parameter c_sel_width= 3;
    parameter c_mux_type= 0;
    parameter c_has_q= 1;
    parameter c_has_o= 0;
    parameter c_has_sclr= 1;
    parameter c_has_ce= 1;
    parameter c_latency= 1;
    parameter c_enable_rlocs= 0;
    parameter latency= 1;
    parameter quantization= `xlTruncate;
    parameter overflow= `xlWrap;
    parameter core= 1;
    input [din0_width-1:0] din0;
    input [din1_width-1:0] din1;
    input [din2_width-1:0] din2;
    input [din3_width-1:0] din3;
    input [din4_width-1:0] din4;
    input [din5_width-1:0] din5;
    input [din6_width-1:0] din6;
    input [din7_width-1:0] din7;
    input [din8_width-1:0] din8;
    input [din9_width-1:0] din9;
    input [din10_width-1:0] din10;
    input [din11_width-1:0] din11;
    input [din12_width-1:0] din12;
    input [din13_width-1:0] din13;
    input [din14_width-1:0] din14;
    input [din15_width-1:0] din15;
    input [din16_width-1:0] din16;
    input [din17_width-1:0] din17;
    input [din18_width-1:0] din18;
    input [din19_width-1:0] din19;
    input [din20_width-1:0] din20;
    input [din21_width-1:0] din21;
    input [din22_width-1:0] din22;
    input [din23_width-1:0] din23;
    input [din24_width-1:0] din24;
    input [din25_width-1:0] din25;
    input [din26_width-1:0] din26;
    input [din27_width-1:0] din27;
    input [din28_width-1:0] din28;
    input [din29_width-1:0] din29;
    input [din30_width-1:0] din30;
    input [din31_width-1:0] din31;
    input [s_width-1:0] s;
    input [en_width-1:0] en;
    input [rst_width-1:0] rst;
    input ce, clr, clk;
    output [dout_width-1:0] dout;
    wire [c_width-1:0] conv_din0;
    wire [c_width-1:0] conv_din1;
    wire [c_width-1:0] conv_din2;
    wire [c_width-1:0] conv_din3;
    wire [c_width-1:0] conv_din4;
    wire [c_width-1:0] conv_din5;
    wire [c_width-1:0] conv_din6;
    wire [c_width-1:0] conv_din7;
    wire [c_width-1:0] conv_din8;
    wire [c_width-1:0] conv_din9;
    wire [c_width-1:0] conv_din10;
    wire [c_width-1:0] conv_din11;
    wire [c_width-1:0] conv_din12;
    wire [c_width-1:0] conv_din13;
    wire [c_width-1:0] conv_din14;
    wire [c_width-1:0] conv_din15;
    wire [c_width-1:0] conv_din16;
    wire [c_width-1:0] conv_din17;
    wire [c_width-1:0] conv_din18;
    wire [c_width-1:0] conv_din19;
    wire [c_width-1:0] conv_din20;
    wire [c_width-1:0] conv_din21;
    wire [c_width-1:0] conv_din22;
    wire [c_width-1:0] conv_din23;
    wire [c_width-1:0] conv_din24;
    wire [c_width-1:0] conv_din25;
    wire [c_width-1:0] conv_din26;
    wire [c_width-1:0] conv_din27;
    wire [c_width-1:0] conv_din28;
    wire [c_width-1:0] conv_din29;
    wire [c_width-1:0] conv_din30;
    wire [c_width-1:0] conv_din31;
    wire [c_width-1:0] core_dout;
    wire [dout_width-1:0] conv_core_dout;
    wire  internal_clr;
    wire  internal_ce;
        assign internal_clr = (clr | rst) & ce;
        assign internal_ce = ce & en;
    align_input # (din0_width, core_dout_bin_pt - din0_bin_pt, din0_arith, c_width)
    align_inp0(.inp(din0),.res(conv_din0));
    align_input # (din1_width, core_dout_bin_pt - din1_bin_pt, din1_arith, c_width)
    align_inp1(.inp(din1),.res(conv_din1));
    align_input # (din2_width, core_dout_bin_pt - din2_bin_pt, din2_arith, c_width)
    align_inp2(.inp(din2),.res(conv_din2));
    align_input # (din3_width, core_dout_bin_pt - din3_bin_pt, din3_arith, c_width)
    align_inp3(.inp(din3),.res(conv_din3));
    align_input # (din4_width, core_dout_bin_pt - din4_bin_pt, din4_arith, c_width)
    align_inp4(.inp(din4),.res(conv_din4));
    align_input # (din5_width, core_dout_bin_pt - din5_bin_pt, din5_arith, c_width)
    align_inp5(.inp(din5),.res(conv_din5));
    align_input # (din6_width, core_dout_bin_pt - din6_bin_pt, din6_arith, c_width)
    align_inp6(.inp(din6),.res(conv_din6));
    align_input # (din7_width, core_dout_bin_pt - din7_bin_pt, din7_arith, c_width)
    align_inp7(.inp(din7),.res(conv_din7));
    align_input # (din8_width, core_dout_bin_pt - din8_bin_pt, din8_arith, c_width)
    align_inp8(.inp(din8),.res(conv_din8));
    align_input # (din9_width, core_dout_bin_pt - din9_bin_pt, din9_arith, c_width)
    align_inp9(.inp(din9),.res(conv_din9));
    align_input # (din10_width, core_dout_bin_pt - din10_bin_pt, din10_arith, c_width)
    align_inp10(.inp(din10),.res(conv_din10));
    align_input # (din11_width, core_dout_bin_pt - din11_bin_pt, din11_arith, c_width)
    align_inp11(.inp(din11),.res(conv_din11));
    align_input # (din12_width, core_dout_bin_pt - din12_bin_pt, din12_arith, c_width)
    align_inp12(.inp(din12),.res(conv_din12));
    align_input # (din13_width, core_dout_bin_pt - din13_bin_pt, din13_arith, c_width)
    align_inp13(.inp(din13),.res(conv_din13));
    align_input # (din14_width, core_dout_bin_pt - din14_bin_pt, din14_arith, c_width)
    align_inp14(.inp(din14),.res(conv_din14));
    align_input # (din15_width, core_dout_bin_pt - din15_bin_pt, din15_arith, c_width)
    align_inp15(.inp(din15),.res(conv_din15));
    align_input # (din16_width, core_dout_bin_pt - din16_bin_pt, din16_arith, c_width)
    align_inp16(.inp(din16),.res(conv_din16));
    align_input # (din17_width, core_dout_bin_pt - din17_bin_pt, din17_arith, c_width)
    align_inp17(.inp(din17),.res(conv_din17));
    align_input # (din18_width, core_dout_bin_pt - din18_bin_pt, din18_arith, c_width)
    align_inp18(.inp(din18),.res(conv_din18));
    align_input # (din19_width, core_dout_bin_pt - din19_bin_pt, din19_arith, c_width)
    align_inp19(.inp(din19),.res(conv_din19));
    align_input # (din20_width, core_dout_bin_pt - din20_bin_pt, din20_arith, c_width)
    align_inp20(.inp(din20),.res(conv_din20));
    align_input # (din21_width, core_dout_bin_pt - din21_bin_pt, din21_arith, c_width)
    align_inp21(.inp(din21),.res(conv_din21));
    align_input # (din22_width, core_dout_bin_pt - din22_bin_pt, din22_arith, c_width)
    align_inp22(.inp(din22),.res(conv_din22));
    align_input # (din23_width, core_dout_bin_pt - din23_bin_pt, din23_arith, c_width)
    align_inp23(.inp(din23),.res(conv_din23));
    align_input # (din24_width, core_dout_bin_pt - din24_bin_pt, din24_arith, c_width)
    align_inp24(.inp(din24),.res(conv_din24));
    align_input # (din25_width, core_dout_bin_pt - din25_bin_pt, din25_arith, c_width)
    align_inp25(.inp(din25),.res(conv_din25));
    align_input # (din26_width, core_dout_bin_pt - din26_bin_pt, din26_arith, c_width)
    align_inp26(.inp(din26),.res(conv_din26));
    align_input # (din27_width, core_dout_bin_pt - din27_bin_pt, din27_arith, c_width)
    align_inp27(.inp(din27),.res(conv_din27));
    align_input # (din28_width, core_dout_bin_pt - din28_bin_pt, din28_arith, c_width)
    align_inp28(.inp(din28),.res(conv_din28));
    align_input # (din29_width, core_dout_bin_pt - din29_bin_pt, din29_arith, c_width)
    align_inp29(.inp(din29),.res(conv_din29));
    align_input # (din30_width, core_dout_bin_pt - din30_bin_pt, din30_arith, c_width)
    align_inp30(.inp(din30),.res(conv_din30));
    align_input # (din31_width, core_dout_bin_pt - din31_bin_pt, din31_arith, c_width)
    align_inp31(.inp(din31),.res(conv_din31));
   convert_type # (c_width, core_dout_bin_pt, core_dout_arith,
                   dout_width, dout_bin_pt, dout_arith, quantization, overflow)
     conv_udp (.inp(core_dout), .res(conv_core_dout));
generate
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_c89622f97e878f3d") )
    begin:comp0
    bus_multiplexer_virtex4_7_0_c89622f97e878f3d core_instance0 (
         .MA(conv_din0),
         .MB(conv_din1),
         .MC(conv_din2),
         .MD(conv_din3),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_c89622f97e878f3d") )
  begin:comp1
  C_MUX_BUS_V7_0 core_instance1 (
         .MA(conv_din0),
         .MB(conv_din1),
         .MC(conv_din2),
         .MD(conv_din3),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
);
  defparam
      core_instance1.C_HAS_EN= 0,
      core_instance1.C_SINIT_VAL= 0,
      core_instance1.C_SYNC_ENABLE= 0,
      core_instance1.C_HAS_AINIT= 0,
      core_instance1.C_SYNC_PRIORITY= 1,
      core_instance1.C_HAS_SINIT= 0,
      core_instance1.C_AINIT_VAL= 0,
      core_instance1.C_INPUTS= c_inputs,
      core_instance1.C_HAS_SSET= 0,
      core_instance1.C_WIDTH= c_width,
      core_instance1.C_SEL_WIDTH= c_sel_width,
      core_instance1.C_HAS_Q= c_has_q,
      core_instance1.C_HAS_O= c_has_o,
      core_instance1.C_LATENCY= c_latency,
      core_instance1.C_HAS_ASET= 0,
      core_instance1.C_MUX_TYPE= c_mux_type,
      core_instance1.C_HAS_SCLR= c_has_sclr,
      core_instance1.C_HAS_CE= c_has_ce,
      core_instance1.C_HAS_ACLR= 0,
      core_instance1.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5") )
    begin:comp16
    bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5 core_instance16 (
         .MA(conv_din0),
         .MB(conv_din1),
         .MC(conv_din2),
         .MD(conv_din3),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5") )
  begin:comp17
  C_MUX_BUS_V7_0 core_instance17 (
         .MA(conv_din0),
         .MB(conv_din1),
         .MC(conv_din2),
         .MD(conv_din3),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
);
  defparam
      core_instance17.C_HAS_EN= 0,
      core_instance17.C_SINIT_VAL= 0,
      core_instance17.C_SYNC_ENABLE= 0,
      core_instance17.C_HAS_AINIT= 0,
      core_instance17.C_SYNC_PRIORITY= 1,
      core_instance17.C_HAS_SINIT= 0,
      core_instance17.C_AINIT_VAL= 0,
      core_instance17.C_INPUTS= c_inputs,
      core_instance17.C_HAS_SSET= 0,
      core_instance17.C_WIDTH= c_width,
      core_instance17.C_SEL_WIDTH= c_sel_width,
      core_instance17.C_HAS_Q= c_has_q,
      core_instance17.C_HAS_O= c_has_o,
      core_instance17.C_LATENCY= c_latency,
      core_instance17.C_HAS_ASET= 0,
      core_instance17.C_MUX_TYPE= c_mux_type,
      core_instance17.C_HAS_SCLR= c_has_sclr,
      core_instance17.C_HAS_CE= c_has_ce,
      core_instance17.C_HAS_ACLR= 0,
      core_instance17.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_ab40e4648f86b94c") )
    begin:comp20
    bus_multiplexer_virtex4_7_0_ab40e4648f86b94c core_instance20 (
         .MA(conv_din0),
         .MB(conv_din1),
         .MC(conv_din2),
         .MD(conv_din3),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_ab40e4648f86b94c") )
  begin:comp21
  C_MUX_BUS_V7_0 core_instance21 (
         .MA(conv_din0),
         .MB(conv_din1),
         .MC(conv_din2),
         .MD(conv_din3),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
);
  defparam
      core_instance21.C_HAS_EN= 0,
      core_instance21.C_SINIT_VAL= 0,
      core_instance21.C_SYNC_ENABLE= 0,
      core_instance21.C_HAS_AINIT= 0,
      core_instance21.C_SYNC_PRIORITY= 1,
      core_instance21.C_HAS_SINIT= 0,
      core_instance21.C_AINIT_VAL= 0,
      core_instance21.C_INPUTS= c_inputs,
      core_instance21.C_HAS_SSET= 0,
      core_instance21.C_WIDTH= c_width,
      core_instance21.C_SEL_WIDTH= c_sel_width,
      core_instance21.C_HAS_Q= c_has_q,
      core_instance21.C_HAS_O= c_has_o,
      core_instance21.C_LATENCY= c_latency,
      core_instance21.C_HAS_ASET= 0,
      core_instance21.C_MUX_TYPE= c_mux_type,
      core_instance21.C_HAS_SCLR= c_has_sclr,
      core_instance21.C_HAS_CE= c_has_ce,
      core_instance21.C_HAS_ACLR= 0,
      core_instance21.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f") )
    begin:comp22
    bus_multiplexer_virtex4_7_0_ee3d942ccb03894f core_instance22 (
         .MA(conv_din0),
         .MB(conv_din1),
         .O(core_dout),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f") )
  begin:comp23
  C_MUX_BUS_V7_0 core_instance23 (
         .MA(conv_din0),
         .MB(conv_din1),
         .O(core_dout),
         .S(s)
);
  defparam
      core_instance23.C_HAS_EN= 0,
      core_instance23.C_SINIT_VAL= 0,
      core_instance23.C_SYNC_ENABLE= 0,
      core_instance23.C_HAS_AINIT= 0,
      core_instance23.C_SYNC_PRIORITY= 1,
      core_instance23.C_HAS_SINIT= 0,
      core_instance23.C_AINIT_VAL= 0,
      core_instance23.C_INPUTS= c_inputs,
      core_instance23.C_HAS_SSET= 0,
      core_instance23.C_WIDTH= c_width,
      core_instance23.C_SEL_WIDTH= c_sel_width,
      core_instance23.C_HAS_Q= c_has_q,
      core_instance23.C_HAS_O= c_has_o,
      core_instance23.C_LATENCY= c_latency,
      core_instance23.C_HAS_ASET= 0,
      core_instance23.C_MUX_TYPE= c_mux_type,
      core_instance23.C_HAS_SCLR= c_has_sclr,
      core_instance23.C_HAS_CE= c_has_ce,
      core_instance23.C_HAS_ACLR= 0,
      core_instance23.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_55ad38160fccae5b") )
    begin:comp30
    bus_multiplexer_virtex4_7_0_55ad38160fccae5b core_instance30 (
         .MA(conv_din0),
         .MB(conv_din1),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_55ad38160fccae5b") )
  begin:comp31
  C_MUX_BUS_V7_0 core_instance31 (
         .MA(conv_din0),
         .MB(conv_din1),
         .Q(core_dout),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .S(s)
);
  defparam
      core_instance31.C_HAS_EN= 0,
      core_instance31.C_SINIT_VAL= 0,
      core_instance31.C_SYNC_ENABLE= 0,
      core_instance31.C_HAS_AINIT= 0,
      core_instance31.C_SYNC_PRIORITY= 1,
      core_instance31.C_HAS_SINIT= 0,
      core_instance31.C_AINIT_VAL= 0,
      core_instance31.C_INPUTS= c_inputs,
      core_instance31.C_HAS_SSET= 0,
      core_instance31.C_WIDTH= c_width,
      core_instance31.C_SEL_WIDTH= c_sel_width,
      core_instance31.C_HAS_Q= c_has_q,
      core_instance31.C_HAS_O= c_has_o,
      core_instance31.C_LATENCY= c_latency,
      core_instance31.C_HAS_ASET= 0,
      core_instance31.C_MUX_TYPE= c_mux_type,
      core_instance31.C_HAS_SCLR= c_has_sclr,
      core_instance31.C_HAS_CE= c_has_ce,
      core_instance31.C_HAS_ACLR= 0,
      core_instance31.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40") )
    begin:comp86
    bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40 core_instance86 (
         .MA(conv_din0),
         .MB(conv_din1),
         .O(core_dout),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40") )
  begin:comp87
  C_MUX_BUS_V7_0 core_instance87 (
         .MA(conv_din0),
         .MB(conv_din1),
         .O(core_dout),
         .S(s)
);
  defparam
      core_instance87.C_HAS_EN= 0,
      core_instance87.C_SINIT_VAL= 0,
      core_instance87.C_SYNC_ENABLE= 0,
      core_instance87.C_HAS_AINIT= 0,
      core_instance87.C_SYNC_PRIORITY= 1,
      core_instance87.C_HAS_SINIT= 0,
      core_instance87.C_AINIT_VAL= 0,
      core_instance87.C_INPUTS= c_inputs,
      core_instance87.C_HAS_SSET= 0,
      core_instance87.C_WIDTH= c_width,
      core_instance87.C_SEL_WIDTH= c_sel_width,
      core_instance87.C_HAS_Q= c_has_q,
      core_instance87.C_HAS_O= c_has_o,
      core_instance87.C_LATENCY= c_latency,
      core_instance87.C_HAS_ASET= 0,
      core_instance87.C_MUX_TYPE= c_mux_type,
      core_instance87.C_HAS_SCLR= c_has_sclr,
      core_instance87.C_HAS_CE= c_has_ce,
      core_instance87.C_HAS_ACLR= 0,
      core_instance87.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17") )
    begin:comp90
    bus_multiplexer_virtex4_7_0_02e75b45a45d9e17 core_instance90 (
         .MA(conv_din0),
         .MB(conv_din1),
         .O(core_dout),
         .S(s)
      );
  end
// synopsys translate_off
  if ((`simulating ==1) && (core_name0 == "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17") )
  begin:comp91
  C_MUX_BUS_V7_0 core_instance91 (
         .MA(conv_din0),
         .MB(conv_din1),
         .O(core_dout),
         .S(s)
);
  defparam
      core_instance91.C_HAS_EN= 0,
      core_instance91.C_SINIT_VAL= 0,
      core_instance91.C_SYNC_ENABLE= 0,
      core_instance91.C_HAS_AINIT= 0,
      core_instance91.C_SYNC_PRIORITY= 1,
      core_instance91.C_HAS_SINIT= 0,
      core_instance91.C_AINIT_VAL= 0,
      core_instance91.C_INPUTS= c_inputs,
      core_instance91.C_HAS_SSET= 0,
      core_instance91.C_WIDTH= c_width,
      core_instance91.C_SEL_WIDTH= c_sel_width,
      core_instance91.C_HAS_Q= c_has_q,
      core_instance91.C_HAS_O= c_has_o,
      core_instance91.C_LATENCY= c_latency,
      core_instance91.C_HAS_ASET= 0,
      core_instance91.C_MUX_TYPE= c_mux_type,
      core_instance91.C_HAS_SCLR= c_has_sclr,
      core_instance91.C_HAS_CE= c_has_ce,
      core_instance91.C_HAS_ACLR= 0,
      core_instance91.C_ENABLE_RLOCS= c_enable_rlocs;
  end
// synopsys translate_on
endgenerate
generate
  if (latency - c_latency > 0)
  begin:latency_gt_0
    synth_reg # (dout_width, latency - c_latency)
    reg1 (
        .i(conv_core_dout),
        .ce(internal_ce),
        .clr(internal_clr),
        .clk(clk),
        .o(dout)
    );
  end
  if (latency - c_latency == 0)
  begin:latency_eq_0
    assign dout = conv_core_dout;
  end
endgenerate
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem"

module dct2d_top_final3_subsystem (
  ce_sg,
  clk_sg,
  sel,
  out1
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out1;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant1_dout;
  wire [15 : 0] constant2_dout;
  wire [15 : 0] constant3_dout;
  wire [15 : 0] constant_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out1 = mux1_dout;


  xlconstant constant1 (
    .dout(constant1_dout)
  );
  defparam 
    constant1.dout_width = 16,
    constant1.dout_arith = `xlSigned,
    constant1.dout_bin_pt = 0,
    constant1.const_val = 16'b0111011001000001;

  xlconstant constant2 (
    .dout(constant2_dout)
  );
  defparam 
    constant2.dout_width = 16,
    constant2.dout_arith = `xlSigned,
    constant2.dout_bin_pt = 0,
    constant2.const_val = 16'b0101101010000010;

  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 16,
    constant3.dout_arith = `xlSigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 16'b0011000011111100;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 16,
    constant_x_0.dout_arith = `xlSigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 16'b0101101010000010;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(constant1_dout),
    .din2(constant2_dout),
    .din3(constant3_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem1"

module dct2d_top_final3_subsystem1 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0110101001101110;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b0100011100011101;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b0001100011111001;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 16,
    constant_x_0.dout_arith = `xlSigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 16'b0111110110001010;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(constant4_dout),
    .din2(constant5_dout),
    .din3(constant6_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  xldelay  (d, ce, clr, clk, rst, en, q);
parameter d_width= 5;
parameter d_bin_pt= 2;
parameter d_arith= `xlUnsigned;
parameter q_width= 5;
parameter q_bin_pt= 2;
parameter q_arith= `xlUnsigned;
parameter rst_width= 1;
parameter rst_bin_pt= 0;
parameter en_width= 5;
parameter en_bin_pt= 2;
parameter en_arith= `xlUnsigned;
parameter rst_arith= `xlUnsigned;
parameter latency= 10;
parameter reg_retiming= 0;
input [d_width-1:0] d;
input  ce;
input  clr;
input  clk;
input [rst_width-1:0] rst;
input [en_width-1:0] en;
output [q_width-1:0] q;
wire  internal_ce;
wire  internal_clr;
assign internal_ce = ce & en[0];
assign internal_clr = (clr | rst[0]) & ce;
 generate
 if ((latency == 0) || (!reg_retiming))
     begin:srl_delay
        synth_reg # (d_width, latency)
          reg1 (
               .i(d),
               .ce(internal_ce),
               .clr(internal_clr),
               .clk(clk),
               .o(q));
     end

   if ((latency>=1) && (reg_retiming))
     begin:reg_delay
        synth_reg_reg # (d_width, latency)
          reg2 (
               .i(d),
               .ce(internal_ce),
               .clr(internal_clr),
               .clk(clk),
               .o(q));
     end


 endgenerate
 endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem10"

module dct2d_top_final3_subsystem10 (
  ce_sg,
  clk_sg,
  in1,
  rst,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [11 : 0] in1;
  input  rst;
  output [11 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [11 : 0] delay1_q;
  wire [11 : 0] in1_x_0;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign in1_x_0 = in1;
  assign rst_x_0 = rst;
  assign out2 = delay1_q;


  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(in1_x_0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 12,
    delay1.d_arith = `xlSigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 12,
    delay1.q_arith = `xlSigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xlsl2slv sl2v (
    .din(rst_x_0),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem2"

module dct2d_top_final3_subsystem2 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant7_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0101101010000010;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b0011000011111100;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b1010010101111110;

  xlconstant constant7 (
    .dout(constant7_dout)
  );
  defparam 
    constant7.dout_width = 16,
    constant7.dout_arith = `xlSigned,
    constant7.dout_bin_pt = 0,
    constant7.const_val = 16'b1000100110111111;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(constant5_dout),
    .din2(constant6_dout),
    .din3(constant7_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem3"

module dct2d_top_final3_subsystem3 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant7_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0110101001101110;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b1110011100000111;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b1000001001110110;

  xlconstant constant7 (
    .dout(constant7_dout)
  );
  defparam 
    constant7.dout_width = 16,
    constant7.dout_arith = `xlSigned,
    constant7.dout_bin_pt = 0,
    constant7.const_val = 16'b1011100011100011;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(constant5_dout),
    .din2(constant6_dout),
    .din3(constant7_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  synth_addsub  (a, b, cin, ce, clr, clk, cout, s);
parameter arith_type= `xlUnsigned;
parameter a_width= 16;
parameter b_width= 16;
parameter s_width= 17;
parameter mode= `xlAddMode;
parameter use_cin= 0;
parameter use_bin= 0;
parameter latency= 0;
input [a_width-1:0] a;
input [b_width-1:0] b;
input cin, ce, clr, clk;
output cout;
output [s_width-1:0] s;
reg [s_width-1:0] result;
reg signed [s_width-1:0] result_signed;
reg [a_width-1:0] sub_result;
wire signed [b_width-1:0] b_signed;
reg cout_temp;
wire internal_cin;
wire cin_sub;
assign b_signed = b;
initial begin
        result = 0;
        result_signed = 0;
        sub_result = 0;

end
generate
  if ((use_cin == 1) || (use_bin == 1))
  begin:cin_test
    assign internal_cin = cin;
    assign cin_sub = ~cin;
  end
endgenerate
generate
  if ((use_cin == 0) && (use_bin == 0))
  begin:cin_test2
    assign internal_cin = 0;
    assign cin_sub = 0;
  end
endgenerate
generate
  if (mode == `xlAddMode)
  begin:add
      if (arith_type == `xlUnsigned)
      begin:uadd
          always @ (a or b or internal_cin or result)
          begin:uadd_proc
            result = a + b + internal_cin;
            cout_temp = result[s_width-1];
          end
      end
      else
      begin:sadd
          always @ (a or b or internal_cin or result_signed or result)
          begin:sadd_proc
              result_signed = a + b + internal_cin;
              result = result_signed;
              cout_temp = result[s_width-1];
          end
      end
  end
endgenerate
generate
  if (mode == `xlSubMode)
  begin:sub
      if (arith_type == `xlUnsigned)
      begin:usub
          always @ (a or b or cin_sub or sub_result or b_signed)
          begin:usub_proc
              sub_result = a - cin_sub;
              result = sub_result - b;
              if (sub_result >= b_signed)
                  cout_temp = 1;
              else
                  cout_temp = 0;
          end
      end
      else
      begin:ssub
          always @ (a or b or cin_sub or result_signed or result)
          begin:ssub_proc
              result_signed = a - b - cin_sub;
              result = result_signed;
              cout_temp = ~result[s_width-1];
          end
      end
  end
endgenerate
generate
  if (latency > 0)
  begin:latency_test
    synth_reg # (s_width, latency)
    reg1 (
      .i(result),
      .ce(ce),
      .clr(clr),
      .clk(clk),
      .o(s));
  end
endgenerate
generate
  if (latency > 0)
  begin:latency_test_cout
    synth_reg # (1, latency)
    reg_cout (
      .i(cout_temp),
      .ce(ce),
      .clr(clr),
      .clk(clk),
      .o(cout));
  end
endgenerate
generate
  if (latency == 0)
  begin:latency0
    assign s = result;
    assign cout = cout_temp;
  end
endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

`ifndef adder_subtracter_virtex4_7_0_00dc3e74030237b8
`define adder_subtracter_virtex4_7_0_00dc3e74030237b8
module adder_subtracter_virtex4_7_0_00dc3e74030237b8  (A, CLK, CE, SCLR, Q, B) /* synthesis syn_black_box */;
      input[48:0] A;
     input CLK;
     input CE;
     input SCLR;
     output[48:0] Q;
     input[48:0] B;
endmodule
`endif
`ifndef adder_subtracter_virtex4_7_0_4da890df668169b3
`define adder_subtracter_virtex4_7_0_4da890df668169b3
module adder_subtracter_virtex4_7_0_4da890df668169b3  (A, CLK, CE, SCLR, Q, B) /* synthesis syn_black_box */;
      input[48:0] A;
     input CLK;
     input CE;
     input SCLR;
     output[48:0] Q;
     input[48:0] B;
endmodule
`endif
module  dct2d_top_final3_addsub  (a, b, c_in, ce, clr, clk, rst, en, c_out, s);
parameter core_name0= "";
parameter a_width= 16;
parameter a_bin_pt= 4;
parameter a_arith= `xlUnsigned;
parameter c_in_width= 16;
parameter c_in_bin_pt= 4;
parameter c_in_arith= `xlUnsigned;
parameter c_out_width= 16;
parameter c_out_bin_pt= 4;
parameter c_out_arith= `xlUnsigned;
parameter b_width= 8;
parameter b_bin_pt= 2;
parameter b_arith= `xlUnsigned;
parameter s_width= 17;
parameter s_bin_pt= 4;
parameter s_arith= `xlUnsigned;
parameter rst_width= 1;
parameter rst_bin_pt= 0;
parameter rst_arith= `xlUnsigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter full_s_width= 17;
parameter full_s_arith= `xlUnsigned;
parameter mode= `xlAddMode;
parameter extra_registers= 0;
parameter latency= 0;
parameter quantization= `xlTruncate;
parameter overflow= `xlWrap;
parameter c_a_width= 16;
parameter c_b_width= 8;
parameter c_a_type= 1;
parameter c_b_type= 1;
parameter c_add_mode= 0;
parameter c_has_s= 1;
parameter c_has_q= 0;
parameter c_has_sclr= 0;
parameter c_has_ce= 0;
parameter c_latency= 0;
parameter c_output_width= 17;
parameter c_enable_rlocs= 1;
parameter c_has_c_in= 0;
parameter c_has_b_in= 0;
parameter c_has_c_out= 0;
parameter c_has_q_c_out= 0;
parameter c_has_b_out= 0;
parameter c_has_q_b_out= 0;
parameter c_has_q_ovfl= 0;
parameter c_has_ovfl= 0;
parameter core= 0;
input [a_width-1:0] a;
input [b_width-1:0] b;
input c_in, ce, clr, clk, rst, en;
output c_out;
output [s_width-1:0] s;
parameter full_a_width = full_s_width;
parameter full_b_width = full_s_width;
parameter full_s_bin_pt = (a_bin_pt > b_bin_pt) ? a_bin_pt : b_bin_pt;
wire [full_a_width-1:0] full_a;
wire [full_b_width-1:0] full_b;
wire [full_s_width-1:0] full_s;
wire [full_s_width-1:0] core_s;
wire [s_width-1:0] conv_s;
wire  temp_cout;
wire  real_a,real_b,real_s;
wire  internal_clr;
wire  internal_ce;
wire  extra_reg_ce;
wire  override;
wire  logic1;
wire  temp_cin;
assign internal_clr = (clr | rst) & ce;
assign internal_ce = ce & en;
assign logic1 = 1'b1;
assign temp_cin = (c_has_c_in || c_has_b_in) ? c_in : 1'b0;
align_input # (a_width, b_bin_pt - a_bin_pt, a_arith, full_a_width)
align_inp_a(.inp(a),.res(full_a));
align_input # (b_width, a_bin_pt - b_bin_pt, b_arith, full_b_width)
align_inp_b(.inp(b),.res(full_b));
convert_type # (full_s_width, full_s_bin_pt, full_s_arith, s_width,
                s_bin_pt, s_arith, quantization, overflow)
conv_typ_s(.inp(core_s),.res(conv_s));
generate
  if(core == 0)
  begin:synth_behavioral_inst
    synth_addsub # (full_s_arith, full_a_width, full_b_width, full_s_width, mode, c_has_c_in, c_has_b_in, latency)
      synth_addsub_inst (
        .a(full_a),
        .b(full_b),
        .cin(temp_cin),
        .ce(internal_ce),
        .clr(internal_clr),
        .clk(clk),
        .cout(temp_cout),
        .s(core_s));
  end
endgenerate
generate
  if ( (`simulating ==0) && (core_name0 == "adder_subtracter_virtex4_7_0_00dc3e74030237b8") )
    begin:comp0
    adder_subtracter_virtex4_7_0_00dc3e74030237b8 core_instance0 (
         .A(full_a),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .Q(core_s),
         .B(full_b)
      );
  end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "adder_subtracter_virtex4_7_0_00dc3e74030237b8") )
begin:comp1
C_ADDSUB_V7_0 core_instance1(
         .A(full_a),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .Q(core_s),
         .B(full_b)
        );
defparam
core_instance1.C_SINIT_VAL= "0",
core_instance1.C_A_TYPE= c_a_type,
core_instance1.C_SYNC_ENABLE= 0,
core_instance1.C_HAS_AINIT= 0,
core_instance1.C_SYNC_PRIORITY= 1,
core_instance1.C_B_TYPE= c_b_type,
core_instance1.C_HAS_C_OUT= c_has_c_out,
core_instance1.C_HAS_SINIT= 0,
core_instance1.C_HAS_C_IN= c_has_c_in,
core_instance1.C_HAS_B_OUT= c_has_b_out,
core_instance1.C_AINIT_VAL= "0000",
core_instance1.C_B_WIDTH= c_b_width,
core_instance1.C_ADD_MODE= c_add_mode,
core_instance1.C_HAS_SSET= 0,
core_instance1.C_BYPASS_LOW= 0,
core_instance1.C_HAS_Q_OVFL= c_has_q_ovfl,
core_instance1.C_BYPASS_ENABLE= 0,
core_instance1.C_HAS_OVFL= c_has_ovfl,
core_instance1.C_HAS_S= c_has_s,
core_instance1.C_HAS_Q= c_has_q,
core_instance1.C_HAS_A_SIGNED= 0,
core_instance1.C_HAS_ASET= 0,
core_instance1.C_HAS_ADD= 0,
core_instance1.C_HAS_SCLR= c_has_sclr,
core_instance1.C_LATENCY= c_latency,
core_instance1.C_HAS_Q_C_OUT= c_has_q_c_out,
core_instance1.C_PIPE_STAGES= 1,
core_instance1.C_B_VALUE= "0",
core_instance1.C_OUT_WIDTH= c_output_width,
core_instance1.C_A_WIDTH= c_a_width,
core_instance1.C_HAS_Q_B_OUT= c_has_q_b_out,
core_instance1.C_HAS_B_IN= c_has_b_in,
core_instance1.C_B_CONSTANT= 0,
core_instance1.C_HAS_CE= c_has_ce,
core_instance1.C_LOW_BIT= 0,
core_instance1.C_HAS_B_SIGNED= 0,
core_instance1.C_HAS_BYPASS= 0,
core_instance1.C_HAS_BYPASS_WITH_CIN= 0,
core_instance1.C_HAS_ACLR= 0,
core_instance1.C_HIGH_BIT= c_output_width - 1,
core_instance1.C_ENABLE_RLOCS= c_enable_rlocs;
end
// synopsys translate_on

  if ( (`simulating ==0) && (core_name0 == "adder_subtracter_virtex4_7_0_4da890df668169b3") )
    begin:comp2
    adder_subtracter_virtex4_7_0_4da890df668169b3 core_instance2 (
         .A(full_a),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .Q(core_s),
         .B(full_b)
      );
  end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "adder_subtracter_virtex4_7_0_4da890df668169b3") )
begin:comp3
C_ADDSUB_V7_0 core_instance3(
         .A(full_a),
         .CLK(clk),
         .CE(internal_ce),
         .SCLR(internal_clr),
         .Q(core_s),
         .B(full_b)
        );
defparam
core_instance3.C_SINIT_VAL= "0",
core_instance3.C_A_TYPE= c_a_type,
core_instance3.C_SYNC_ENABLE= 0,
core_instance3.C_HAS_AINIT= 0,
core_instance3.C_SYNC_PRIORITY= 1,
core_instance3.C_B_TYPE= c_b_type,
core_instance3.C_HAS_C_OUT= c_has_c_out,
core_instance3.C_HAS_SINIT= 0,
core_instance3.C_HAS_C_IN= c_has_c_in,
core_instance3.C_HAS_B_OUT= c_has_b_out,
core_instance3.C_AINIT_VAL= "0000",
core_instance3.C_B_WIDTH= c_b_width,
core_instance3.C_ADD_MODE= c_add_mode,
core_instance3.C_HAS_SSET= 0,
core_instance3.C_BYPASS_LOW= 0,
core_instance3.C_HAS_Q_OVFL= c_has_q_ovfl,
core_instance3.C_BYPASS_ENABLE= 0,
core_instance3.C_HAS_OVFL= c_has_ovfl,
core_instance3.C_HAS_S= c_has_s,
core_instance3.C_HAS_Q= c_has_q,
core_instance3.C_HAS_A_SIGNED= 0,
core_instance3.C_HAS_ASET= 0,
core_instance3.C_HAS_ADD= 0,
core_instance3.C_HAS_SCLR= c_has_sclr,
core_instance3.C_LATENCY= c_latency,
core_instance3.C_HAS_Q_C_OUT= c_has_q_c_out,
core_instance3.C_PIPE_STAGES= 1,
core_instance3.C_B_VALUE= "0",
core_instance3.C_OUT_WIDTH= c_output_width,
core_instance3.C_A_WIDTH= c_a_width,
core_instance3.C_HAS_Q_B_OUT= c_has_q_b_out,
core_instance3.C_HAS_B_IN= c_has_b_in,
core_instance3.C_B_CONSTANT= 0,
core_instance3.C_HAS_CE= c_has_ce,
core_instance3.C_LOW_BIT= 0,
core_instance3.C_HAS_B_SIGNED= 0,
core_instance3.C_HAS_BYPASS= 0,
core_instance3.C_HAS_BYPASS_WITH_CIN= 0,
core_instance3.C_HAS_ACLR= 0,
core_instance3.C_HIGH_BIT= c_output_width - 1,
core_instance3.C_ENABLE_RLOCS= c_enable_rlocs;
end
// synopsys translate_on

endgenerate
generate
  if ((core == 1) && (extra_registers > 0))
  begin:latency_test

    if (c_latency > 1)
    begin:override_test
      synth_reg # (1, c_latency)
        override_pipe (
          .i(logic1),
          .ce(internal_ce),
          .clr(internal_clr),
          .clk(clk),
          .o(override));
      assign extra_reg_ce = ce & en & override;
    end
    if ((c_latency == 0) || (c_latency == 1))
    begin:no_override
      assign extra_reg_ce = ce & en;
    end
    synth_reg # (s_width, extra_registers)
      extra_reg (
        .i(conv_s),
        .ce(extra_reg_ce),
        .clr(internal_clr),
        .clk(clk),
        .o(s));
    if ((c_has_c_out == 1) ||
        (c_has_b_out == 1) ||
        (c_has_q_c_out == 1) ||
        (c_has_q_b_out == 1))
    begin:cout_test
      synth_reg # (1, extra_registers)
        c_out_extra_reg (
          .i(temp_cout),
          .ce(extra_reg_ce),
          .clr(internal_clr),
          .clk(clk),
          .o(c_out));
    end

  end
endgenerate
generate
  if ((core == 0) || (latency == 0) || (extra_registers == 0))
  begin:latency_s
    assign s = conv_s;
  end
endgenerate
generate
  if (((core == 0) || (latency == 0) || (extra_registers == 0)) &&
      ((c_has_b_out == 1) ||
       (c_has_q_c_out == 1) ||
       (c_has_c_out == 1) ||
       (c_has_q_b_out == 1)))
  begin:latency0
    assign c_out = temp_cout;
  end
endgenerate
generate
  if ((c_has_c_out == 0) &&
      (c_has_b_out == 0) &&
      (c_has_q_c_out == 0) &&
      (c_has_q_b_out == 0))
  begin:tie_dangling_cout
    assign c_out = 0;
  end
endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
module  xldsp48  (bcout, p, pcout, a, b, bcin, c, carryin, carryinsel, cea, ceb, cec, cecarryin, cecinsub, cectrl, cem, cep, op , opmode, pcin, rsta, rstb, rstc, rstcarryin, rstctrl, rstm, rstp, subtract, clk, en, rst, ce, clr);
parameter AREG= 1;
parameter B_INPUT = "DIRECT";
parameter LEGACY_MODE = "NONE";
parameter BREG = 1;
parameter CARRYINREG = 1;
parameter CARRYINSELREG = 1;
parameter CREG = 1;
parameter MREG = 1;
parameter OPMODEREG= 1;
parameter PREG = 1;
parameter USE_OP = 0;
parameter SUBTRACTREG = 1;
parameter c_use_cea = 0;
parameter c_use_ceb = 0;
parameter c_use_ce_mult = 0;
parameter c_use_cep = 0;
parameter c_use_cec = 0;
parameter c_use_ce_carry_in = 0;
parameter c_use_ce_ctrl = 0;
parameter c_use_cecinsub = 0;
parameter c_use_bcin = 0;
parameter c_use_en = 0;
parameter c_use_rst = 0;
parameter c_use_rsta = 0;
parameter c_use_rstb = 0;
parameter c_use_rstp = 0;
parameter c_use_rstc = 0;
parameter c_use_rstcarryin = 0;
parameter c_use_rstctrl = 0;
parameter c_use_rstm = 0;
parameter c_use_pcin = 0;
parameter c_use_b = 0;
parameter c_use_c = 0;
output [17:0] bcout;
output [47:0] p;
output [47:0] pcout;
input [17:0] a;
input [17:0] b;
input [17:0] bcin;
input [47:0] c;
input carryin;
input [1:0] carryinsel;
input  cea;
input  ceb;
input  cec;
input  cecarryin;
input  cecinsub;
input  cectrl;
input  cem;
input  cep;
input [10:0] op;
input [6:0] opmode;
input [47:0] pcin;
input  rsta;
input  rstb;
input  rstc;
input  rstcarryin;
input  rstctrl;
input  rstm;
input  rstp;
input  subtract;
input clk;
input en;
input rst;
input ce;
input clr;
wire  internal_cea;
wire  internal_ceb;
wire  internal_cec;
wire  internal_cep;
wire  internal_cem;
wire  internal_cecarryin;
wire  internal_cectrl;
wire  internal_en;
wire  internal_rst;
wire  internal_rsta;
wire  internal_rstb;
wire  internal_rstc;
wire  internal_rstcarryin;
wire  internal_rstctrl;
wire  internal_rstm;
wire  [47:0] internal_pcin;
wire  internal_cecinsub;
wire  internal_rstp;
wire [6:0] internal_opmode;
wire  internal_sub;
wire  internal_carryin;
wire [1:0] internal_carryin_sel;
wire [17:0] internal_b;
wire [17:0] internal_bcin;
wire [47:0] internal_c;
  assign internal_en = (c_use_en ? en : 1'b1);
  assign internal_cea = (ce & internal_en) & (c_use_cea ? cea : 1'b1);
  assign internal_ceb = (ce & internal_en) & (c_use_ceb ? ceb : 1'b1);
  assign internal_cec = (ce & internal_en) & (c_use_cec ? cec : 1'b1);
  assign internal_cem = (ce & internal_en) & (c_use_ce_mult ? cem : 1'b1);
  assign internal_cep = (ce & internal_en) & (c_use_cep ? cep : 1'b1);
  assign internal_cecarryin = (ce & internal_en) & (c_use_ce_carry_in ? cecarryin : 1'b1);
  assign internal_cectrl = (ce & internal_en) & (c_use_ce_ctrl ? cectrl : 1'b1);
  assign internal_cecinsub = (ce & internal_en) & (c_use_ce_ctrl ? cecinsub : 1'b1);
  assign internal_rst = (c_use_rst ? rst : 1'b0) | clr;
  assign internal_rsta = (c_use_rsta ? rsta : 1'b0) | internal_rst;
  assign internal_rstb = (c_use_rstb ? rstb : 1'b0) | internal_rst;
  assign internal_rstc = (c_use_rstc ? rstc : 1'b0) | internal_rst;
  assign internal_rstcarryin = (c_use_rstcarryin ? rstcarryin : 1'b0) | internal_rst;
  assign internal_rstctrl = (c_use_rstctrl ? rstctrl : 1'b0) | internal_rst;
  assign internal_rstm = (c_use_rstm ? rstm : 1'b0) | internal_rst;
  assign internal_rstp = (c_use_rstp ? rstp : 1'b0) | internal_rst;
  assign internal_bcin = (c_use_bcin ? bcin : 18'b000000000000000000);
  assign internal_b = (c_use_b ? b : 18'b000000000000000000);
  assign internal_c = (c_use_c ? c : 48'd0);
  assign internal_pcin = (c_use_pcin ? pcin : 48'd0);

generate
  if (USE_OP == 0)
  begin:opmode_0
        assign internal_opmode = opmode;
        assign internal_sub = subtract;
        assign internal_carryin = carryin;
        assign internal_carryin_sel = carryinsel;
  end

  if(USE_OP == 1)
  begin:opmode_1
        assign internal_opmode = op [6:0];
        assign internal_sub = op[7];
        assign internal_carryin = op[8];
        assign internal_carryin_sel = op[10:9];
  end
endgenerate
   DSP48 dsp48_inst(.BCOUT(bcout),
                    .P(p),
                    .PCOUT(pcout),
                    .A(a),
                    .B(internal_b),
                    .BCIN(internal_bcin),
                    .C(internal_c),
                    .CARRYIN(internal_carryin),
                    .CARRYINSEL(internal_carryin_sel),
                    .CEA(internal_cea),
                    .CEB(internal_ceb),
                    .CEC(internal_cec),
                    .CECARRYIN(internal_cecarryin),
                    .CECINSUB(internal_cecinsub),
                    .CECTRL(internal_cectrl),
                    .CEM(internal_cem),
                    .CEP(internal_cep),
                    .CLK(clk),
                    .OPMODE(internal_opmode),
                    .PCIN(internal_pcin),
                    .RSTA(internal_rsta),
                    .RSTB(internal_rstb),
                    .RSTC(internal_rstc),
                    .RSTCARRYIN(internal_rstcarryin),
                    .RSTCTRL(internal_rstctrl),
                    .RSTM(internal_rstm),
                    .RSTP(internal_rstp),
                    .SUBTRACT(internal_sub));
defparam
dsp48_inst.AREG = AREG,
dsp48_inst.B_INPUT = B_INPUT,
dsp48_inst.LEGACY_MODE = LEGACY_MODE,
dsp48_inst.BREG = BREG,
dsp48_inst.CARRYINREG = CARRYINREG,
dsp48_inst.CARRYINSELREG = CARRYINSELREG,
dsp48_inst.CREG = CREG,
dsp48_inst.MREG = MREG,
dsp48_inst.OPMODEREG = OPMODEREG,
dsp48_inst.PREG = PREG,
dsp48_inst.SUBTRACTREG = SUBTRACTREG;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem4/Subsystem1"

module dct2d_top_final3_subsystem1_x_0 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dummy_c_3,
  dummy_c_4,
  mem11,
  mem12,
  opmode,
  rst,
  add,
  sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input [47 : 0] dummy_c_3;
  input [47 : 0] dummy_c_4;
  input [17 : 0] mem11;
  input [17 : 0] mem12;
  input [10 : 0] opmode;
  input  rst;
  output [48 : 0] add;
  output [48 : 0] sub;

  wire [48 : 0] addsub1_s;
  wire [48 : 0] addsub_s;
  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp48_p;
  wire [47 : 0] dummy_c_3_x_0;
  wire [47 : 0] dummy_c_4_x_0;
  wire [17 : 0] mem11_x_0;
  wire [17 : 0] mem12_x_0;
  wire [10 : 0] opmode_x_0;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dummy_c_3_x_0 = dummy_c_3;
  assign dummy_c_4_x_0 = dummy_c_4;
  assign mem11_x_0 = mem11;
  assign mem12_x_0 = mem12;
  assign opmode_x_0 = opmode;
  assign rst_x_0 = rst;
  assign add = addsub_s;
  assign sub = addsub1_s;


  dct2d_top_final3_addsub addsub (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(addsub_s)
  );
  defparam 
    addsub.a_width = 48,
    addsub.a_arith = `xlSigned,
    addsub.a_bin_pt = 0,
    addsub.b_width = 48,
    addsub.b_arith = `xlSigned,
    addsub.b_bin_pt = 0,
    addsub.en_width = 1,
    addsub.en_arith = `xlUnsigned,
    addsub.en_bin_pt = 0,
    addsub.rst_width = 1,
    addsub.rst_arith = `xlUnsigned,
    addsub.rst_bin_pt = 0,
    addsub.s_width = 49,
    addsub.s_arith = `xlSigned,
    addsub.s_bin_pt = 0,
    addsub.core_name0 = "adder_subtracter_virtex4_7_0_00dc3e74030237b8",
    addsub.c_a_type = 0,
    addsub.c_a_width = 49,
    addsub.c_add_mode = 0,
    addsub.c_b_type = 0,
    addsub.c_b_width = 49,
    addsub.c_enable_rlocs = 0,
    addsub.c_has_b_in = 0,
    addsub.c_has_b_out = 0,
    addsub.c_has_c_in = 0,
    addsub.c_has_c_out = 0,
    addsub.c_has_ce = 1,
    addsub.c_has_q = 1,
    addsub.c_has_q_b_out = 0,
    addsub.c_has_q_c_out = 0,
    addsub.c_has_s = 0,
    addsub.c_has_sclr = 1,
    addsub.c_latency = 1,
    addsub.c_output_width = 49,
    addsub.core = 1,
    addsub.extra_registers = 0,
    addsub.full_s_arith = `xlSigned,
    addsub.full_s_width = 49,
    addsub.latency = 1,
    addsub.mode = 1,
    addsub.overflow = `xlWrap,
    addsub.quantization = `xlTruncate;

  dct2d_top_final3_addsub addsub1 (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .s(addsub1_s)
  );
  defparam 
    addsub1.a_width = 48,
    addsub1.a_arith = `xlSigned,
    addsub1.a_bin_pt = 0,
    addsub1.b_width = 48,
    addsub1.b_arith = `xlSigned,
    addsub1.b_bin_pt = 0,
    addsub1.en_width = 1,
    addsub1.en_arith = `xlUnsigned,
    addsub1.en_bin_pt = 0,
    addsub1.rst_width = 1,
    addsub1.rst_arith = `xlUnsigned,
    addsub1.rst_bin_pt = 0,
    addsub1.s_width = 49,
    addsub1.s_arith = `xlSigned,
    addsub1.s_bin_pt = 0,
    addsub1.core_name0 = "adder_subtracter_virtex4_7_0_4da890df668169b3",
    addsub1.c_a_type = 0,
    addsub1.c_a_width = 49,
    addsub1.c_add_mode = 1,
    addsub1.c_b_type = 0,
    addsub1.c_b_width = 49,
    addsub1.c_enable_rlocs = 0,
    addsub1.c_has_b_in = 0,
    addsub1.c_has_b_out = 0,
    addsub1.c_has_c_in = 0,
    addsub1.c_has_c_out = 0,
    addsub1.c_has_ce = 1,
    addsub1.c_has_q = 1,
    addsub1.c_has_q_b_out = 0,
    addsub1.c_has_q_c_out = 0,
    addsub1.c_has_s = 0,
    addsub1.c_has_sclr = 1,
    addsub1.c_latency = 1,
    addsub1.c_output_width = 49,
    addsub1.core = 1,
    addsub1.extra_registers = 0,
    addsub1.full_s_arith = `xlSigned,
    addsub1.full_s_width = 49,
    addsub1.latency = 1,
    addsub1.mode = 2,
    addsub1.overflow = `xlWrap,
    addsub1.quantization = `xlTruncate;

  xldsp48 dsp1 (
    .a(dct1in_x_0),
    .b(mem11_x_0),
    .c(dummy_c_3_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp48 (
    .a(dct2in_x_0),
    .b(mem12_x_0),
    .c(dummy_c_4_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_4_dout),
    .p(dsp48_p)
  );
  defparam 
    dsp48.AREG = 1,
    dsp48.BREG = 1,
    dsp48.B_INPUT = "DIRECT",
    dsp48.CARRYINREG = 0,
    dsp48.CARRYINSELREG = 0,
    dsp48.CREG = 1,
    dsp48.LEGACY_MODE = "MULT18X18S",
    dsp48.MREG = 1,
    dsp48.OPMODEREG = 1,
    dsp48.PREG = 1,
    dsp48.SUBTRACTREG = 0,
    dsp48.USE_OP = 1,
    dsp48.c_use_b = 1,
    dsp48.c_use_bcin = 0,
    dsp48.c_use_c = 1,
    dsp48.c_use_ce_carry_in = 0,
    dsp48.c_use_ce_ctrl = 0,
    dsp48.c_use_ce_mult = 0,
    dsp48.c_use_cea = 0,
    dsp48.c_use_ceb = 0,
    dsp48.c_use_cec = 0,
    dsp48.c_use_cep = 0,
    dsp48.c_use_en = 0,
    dsp48.c_use_pcin = 0,
    dsp48.c_use_rst = 1,
    dsp48.c_use_rsta = 0,
    dsp48.c_use_rstb = 0,
    dsp48.c_use_rstc = 0,
    dsp48.c_use_rstcarryin = 0,
    dsp48.c_use_rstctrl = 0,
    dsp48.c_use_rstm = 0,
    dsp48.c_use_rstp = 0;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem4/Subsystem2"

module dct2d_top_final3_subsystem2_x_0 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dummy_c_5,
  dummy_c_6,
  mem11,
  mem12,
  opmode,
  rst,
  add,
  sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input [47 : 0] dummy_c_5;
  input [47 : 0] dummy_c_6;
  input [17 : 0] mem11;
  input [17 : 0] mem12;
  input [10 : 0] opmode;
  input  rst;
  output [48 : 0] add;
  output [48 : 0] sub;

  wire [48 : 0] addsub1_s;
  wire [48 : 0] addsub_s;
  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp48_p;
  wire [47 : 0] dummy_c_5_x_0;
  wire [47 : 0] dummy_c_6_x_0;
  wire [17 : 0] mem11_x_0;
  wire [17 : 0] mem12_x_0;
  wire [10 : 0] opmode_x_0;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dummy_c_5_x_0 = dummy_c_5;
  assign dummy_c_6_x_0 = dummy_c_6;
  assign mem11_x_0 = mem11;
  assign mem12_x_0 = mem12;
  assign opmode_x_0 = opmode;
  assign rst_x_0 = rst;
  assign add = addsub_s;
  assign sub = addsub1_s;


  dct2d_top_final3_addsub addsub (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(addsub_s)
  );
  defparam 
    addsub.a_width = 48,
    addsub.a_arith = `xlSigned,
    addsub.a_bin_pt = 0,
    addsub.b_width = 48,
    addsub.b_arith = `xlSigned,
    addsub.b_bin_pt = 0,
    addsub.en_width = 1,
    addsub.en_arith = `xlUnsigned,
    addsub.en_bin_pt = 0,
    addsub.rst_width = 1,
    addsub.rst_arith = `xlUnsigned,
    addsub.rst_bin_pt = 0,
    addsub.s_width = 49,
    addsub.s_arith = `xlSigned,
    addsub.s_bin_pt = 0,
    addsub.core_name0 = "adder_subtracter_virtex4_7_0_00dc3e74030237b8",
    addsub.c_a_type = 0,
    addsub.c_a_width = 49,
    addsub.c_add_mode = 0,
    addsub.c_b_type = 0,
    addsub.c_b_width = 49,
    addsub.c_enable_rlocs = 0,
    addsub.c_has_b_in = 0,
    addsub.c_has_b_out = 0,
    addsub.c_has_c_in = 0,
    addsub.c_has_c_out = 0,
    addsub.c_has_ce = 1,
    addsub.c_has_q = 1,
    addsub.c_has_q_b_out = 0,
    addsub.c_has_q_c_out = 0,
    addsub.c_has_s = 0,
    addsub.c_has_sclr = 1,
    addsub.c_latency = 1,
    addsub.c_output_width = 49,
    addsub.core = 1,
    addsub.extra_registers = 0,
    addsub.full_s_arith = `xlSigned,
    addsub.full_s_width = 49,
    addsub.latency = 1,
    addsub.mode = 1,
    addsub.overflow = `xlWrap,
    addsub.quantization = `xlTruncate;

  dct2d_top_final3_addsub addsub1 (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .s(addsub1_s)
  );
  defparam 
    addsub1.a_width = 48,
    addsub1.a_arith = `xlSigned,
    addsub1.a_bin_pt = 0,
    addsub1.b_width = 48,
    addsub1.b_arith = `xlSigned,
    addsub1.b_bin_pt = 0,
    addsub1.en_width = 1,
    addsub1.en_arith = `xlUnsigned,
    addsub1.en_bin_pt = 0,
    addsub1.rst_width = 1,
    addsub1.rst_arith = `xlUnsigned,
    addsub1.rst_bin_pt = 0,
    addsub1.s_width = 49,
    addsub1.s_arith = `xlSigned,
    addsub1.s_bin_pt = 0,
    addsub1.core_name0 = "adder_subtracter_virtex4_7_0_4da890df668169b3",
    addsub1.c_a_type = 0,
    addsub1.c_a_width = 49,
    addsub1.c_add_mode = 1,
    addsub1.c_b_type = 0,
    addsub1.c_b_width = 49,
    addsub1.c_enable_rlocs = 0,
    addsub1.c_has_b_in = 0,
    addsub1.c_has_b_out = 0,
    addsub1.c_has_c_in = 0,
    addsub1.c_has_c_out = 0,
    addsub1.c_has_ce = 1,
    addsub1.c_has_q = 1,
    addsub1.c_has_q_b_out = 0,
    addsub1.c_has_q_c_out = 0,
    addsub1.c_has_s = 0,
    addsub1.c_has_sclr = 1,
    addsub1.c_latency = 1,
    addsub1.c_output_width = 49,
    addsub1.core = 1,
    addsub1.extra_registers = 0,
    addsub1.full_s_arith = `xlSigned,
    addsub1.full_s_width = 49,
    addsub1.latency = 1,
    addsub1.mode = 2,
    addsub1.overflow = `xlWrap,
    addsub1.quantization = `xlTruncate;

  xldsp48 dsp1 (
    .a(dct1in_x_0),
    .b(mem11_x_0),
    .c(dummy_c_5_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp48 (
    .a(dct2in_x_0),
    .b(mem12_x_0),
    .c(dummy_c_6_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_4_dout),
    .p(dsp48_p)
  );
  defparam 
    dsp48.AREG = 1,
    dsp48.BREG = 1,
    dsp48.B_INPUT = "DIRECT",
    dsp48.CARRYINREG = 0,
    dsp48.CARRYINSELREG = 0,
    dsp48.CREG = 1,
    dsp48.LEGACY_MODE = "MULT18X18S",
    dsp48.MREG = 1,
    dsp48.OPMODEREG = 1,
    dsp48.PREG = 1,
    dsp48.SUBTRACTREG = 0,
    dsp48.USE_OP = 1,
    dsp48.c_use_b = 1,
    dsp48.c_use_bcin = 0,
    dsp48.c_use_c = 1,
    dsp48.c_use_ce_carry_in = 0,
    dsp48.c_use_ce_ctrl = 0,
    dsp48.c_use_ce_mult = 0,
    dsp48.c_use_cea = 0,
    dsp48.c_use_ceb = 0,
    dsp48.c_use_cec = 0,
    dsp48.c_use_cep = 0,
    dsp48.c_use_en = 0,
    dsp48.c_use_pcin = 0,
    dsp48.c_use_rst = 1,
    dsp48.c_use_rsta = 0,
    dsp48.c_use_rstb = 0,
    dsp48.c_use_rstc = 0,
    dsp48.c_use_rstcarryin = 0,
    dsp48.c_use_rstctrl = 0,
    dsp48.c_use_rstm = 0,
    dsp48.c_use_rstp = 0;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem4/Subsystem3"

module dct2d_top_final3_subsystem3_x_0 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dummy_c_7,
  dummy_c_8,
  mem11,
  mem12,
  opmode,
  rst,
  add,
  sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input [47 : 0] dummy_c_7;
  input [47 : 0] dummy_c_8;
  input [17 : 0] mem11;
  input [17 : 0] mem12;
  input [10 : 0] opmode;
  input  rst;
  output [48 : 0] add;
  output [48 : 0] sub;

  wire [48 : 0] addsub1_s;
  wire [48 : 0] addsub_s;
  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp48_p;
  wire [47 : 0] dummy_c_7_x_0;
  wire [47 : 0] dummy_c_8_x_0;
  wire [17 : 0] mem11_x_0;
  wire [17 : 0] mem12_x_0;
  wire [10 : 0] opmode_x_0;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dummy_c_7_x_0 = dummy_c_7;
  assign dummy_c_8_x_0 = dummy_c_8;
  assign mem11_x_0 = mem11;
  assign mem12_x_0 = mem12;
  assign opmode_x_0 = opmode;
  assign rst_x_0 = rst;
  assign add = addsub_s;
  assign sub = addsub1_s;


  dct2d_top_final3_addsub addsub (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(addsub_s)
  );
  defparam 
    addsub.a_width = 48,
    addsub.a_arith = `xlSigned,
    addsub.a_bin_pt = 0,
    addsub.b_width = 48,
    addsub.b_arith = `xlSigned,
    addsub.b_bin_pt = 0,
    addsub.en_width = 1,
    addsub.en_arith = `xlUnsigned,
    addsub.en_bin_pt = 0,
    addsub.rst_width = 1,
    addsub.rst_arith = `xlUnsigned,
    addsub.rst_bin_pt = 0,
    addsub.s_width = 49,
    addsub.s_arith = `xlSigned,
    addsub.s_bin_pt = 0,
    addsub.core_name0 = "adder_subtracter_virtex4_7_0_00dc3e74030237b8",
    addsub.c_a_type = 0,
    addsub.c_a_width = 49,
    addsub.c_add_mode = 0,
    addsub.c_b_type = 0,
    addsub.c_b_width = 49,
    addsub.c_enable_rlocs = 0,
    addsub.c_has_b_in = 0,
    addsub.c_has_b_out = 0,
    addsub.c_has_c_in = 0,
    addsub.c_has_c_out = 0,
    addsub.c_has_ce = 1,
    addsub.c_has_q = 1,
    addsub.c_has_q_b_out = 0,
    addsub.c_has_q_c_out = 0,
    addsub.c_has_s = 0,
    addsub.c_has_sclr = 1,
    addsub.c_latency = 1,
    addsub.c_output_width = 49,
    addsub.core = 1,
    addsub.extra_registers = 0,
    addsub.full_s_arith = `xlSigned,
    addsub.full_s_width = 49,
    addsub.latency = 1,
    addsub.mode = 1,
    addsub.overflow = `xlWrap,
    addsub.quantization = `xlTruncate;

  dct2d_top_final3_addsub addsub1 (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .s(addsub1_s)
  );
  defparam 
    addsub1.a_width = 48,
    addsub1.a_arith = `xlSigned,
    addsub1.a_bin_pt = 0,
    addsub1.b_width = 48,
    addsub1.b_arith = `xlSigned,
    addsub1.b_bin_pt = 0,
    addsub1.en_width = 1,
    addsub1.en_arith = `xlUnsigned,
    addsub1.en_bin_pt = 0,
    addsub1.rst_width = 1,
    addsub1.rst_arith = `xlUnsigned,
    addsub1.rst_bin_pt = 0,
    addsub1.s_width = 49,
    addsub1.s_arith = `xlSigned,
    addsub1.s_bin_pt = 0,
    addsub1.core_name0 = "adder_subtracter_virtex4_7_0_4da890df668169b3",
    addsub1.c_a_type = 0,
    addsub1.c_a_width = 49,
    addsub1.c_add_mode = 1,
    addsub1.c_b_type = 0,
    addsub1.c_b_width = 49,
    addsub1.c_enable_rlocs = 0,
    addsub1.c_has_b_in = 0,
    addsub1.c_has_b_out = 0,
    addsub1.c_has_c_in = 0,
    addsub1.c_has_c_out = 0,
    addsub1.c_has_ce = 1,
    addsub1.c_has_q = 1,
    addsub1.c_has_q_b_out = 0,
    addsub1.c_has_q_c_out = 0,
    addsub1.c_has_s = 0,
    addsub1.c_has_sclr = 1,
    addsub1.c_latency = 1,
    addsub1.c_output_width = 49,
    addsub1.core = 1,
    addsub1.extra_registers = 0,
    addsub1.full_s_arith = `xlSigned,
    addsub1.full_s_width = 49,
    addsub1.latency = 1,
    addsub1.mode = 2,
    addsub1.overflow = `xlWrap,
    addsub1.quantization = `xlTruncate;

  xldsp48 dsp1 (
    .a(dct1in_x_0),
    .b(mem11_x_0),
    .c(dummy_c_7_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp48 (
    .a(dct2in_x_0),
    .b(mem12_x_0),
    .c(dummy_c_8_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_4_dout),
    .p(dsp48_p)
  );
  defparam 
    dsp48.AREG = 1,
    dsp48.BREG = 1,
    dsp48.B_INPUT = "DIRECT",
    dsp48.CARRYINREG = 0,
    dsp48.CARRYINSELREG = 0,
    dsp48.CREG = 1,
    dsp48.LEGACY_MODE = "MULT18X18S",
    dsp48.MREG = 1,
    dsp48.OPMODEREG = 1,
    dsp48.PREG = 1,
    dsp48.SUBTRACTREG = 0,
    dsp48.USE_OP = 1,
    dsp48.c_use_b = 1,
    dsp48.c_use_bcin = 0,
    dsp48.c_use_c = 1,
    dsp48.c_use_ce_carry_in = 0,
    dsp48.c_use_ce_ctrl = 0,
    dsp48.c_use_ce_mult = 0,
    dsp48.c_use_cea = 0,
    dsp48.c_use_ceb = 0,
    dsp48.c_use_cec = 0,
    dsp48.c_use_cep = 0,
    dsp48.c_use_en = 0,
    dsp48.c_use_pcin = 0,
    dsp48.c_use_rst = 1,
    dsp48.c_use_rsta = 0,
    dsp48.c_use_rstb = 0,
    dsp48.c_use_rstc = 0,
    dsp48.c_use_rstcarryin = 0,
    dsp48.c_use_rstctrl = 0,
    dsp48.c_use_rstm = 0,
    dsp48.c_use_rstp = 0;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem4/Subsystem"

module dct2d_top_final3_subsystem_x_0 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dummy_c_1,
  dummy_c_2,
  mem11,
  mem12,
  opmode,
  rst,
  add,
  sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input [47 : 0] dummy_c_1;
  input [47 : 0] dummy_c_2;
  input [17 : 0] mem11;
  input [17 : 0] mem12;
  input [10 : 0] opmode;
  input  rst;
  output [48 : 0] add;
  output [48 : 0] sub;

  wire [48 : 0] addsub1_s;
  wire [48 : 0] addsub_s;
  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp48_p;
  wire [47 : 0] dummy_c_1_x_0;
  wire [47 : 0] dummy_c_2_x_0;
  wire [17 : 0] mem11_x_0;
  wire [17 : 0] mem12_x_0;
  wire [10 : 0] opmode_x_0;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dummy_c_1_x_0 = dummy_c_1;
  assign dummy_c_2_x_0 = dummy_c_2;
  assign mem11_x_0 = mem11;
  assign mem12_x_0 = mem12;
  assign opmode_x_0 = opmode;
  assign rst_x_0 = rst;
  assign add = addsub_s;
  assign sub = addsub1_s;


  dct2d_top_final3_addsub addsub (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(addsub_s)
  );
  defparam 
    addsub.a_width = 48,
    addsub.a_arith = `xlSigned,
    addsub.a_bin_pt = 0,
    addsub.b_width = 48,
    addsub.b_arith = `xlSigned,
    addsub.b_bin_pt = 0,
    addsub.en_width = 1,
    addsub.en_arith = `xlUnsigned,
    addsub.en_bin_pt = 0,
    addsub.rst_width = 1,
    addsub.rst_arith = `xlUnsigned,
    addsub.rst_bin_pt = 0,
    addsub.s_width = 49,
    addsub.s_arith = `xlSigned,
    addsub.s_bin_pt = 0,
    addsub.core_name0 = "adder_subtracter_virtex4_7_0_00dc3e74030237b8",
    addsub.c_a_type = 0,
    addsub.c_a_width = 49,
    addsub.c_add_mode = 0,
    addsub.c_b_type = 0,
    addsub.c_b_width = 49,
    addsub.c_enable_rlocs = 0,
    addsub.c_has_b_in = 0,
    addsub.c_has_b_out = 0,
    addsub.c_has_c_in = 0,
    addsub.c_has_c_out = 0,
    addsub.c_has_ce = 1,
    addsub.c_has_q = 1,
    addsub.c_has_q_b_out = 0,
    addsub.c_has_q_c_out = 0,
    addsub.c_has_s = 0,
    addsub.c_has_sclr = 1,
    addsub.c_latency = 1,
    addsub.c_output_width = 49,
    addsub.core = 1,
    addsub.extra_registers = 0,
    addsub.full_s_arith = `xlSigned,
    addsub.full_s_width = 49,
    addsub.latency = 1,
    addsub.mode = 1,
    addsub.overflow = `xlWrap,
    addsub.quantization = `xlTruncate;

  dct2d_top_final3_addsub addsub1 (
    .a(dsp1_p),
    .b(dsp48_p),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .s(addsub1_s)
  );
  defparam 
    addsub1.a_width = 48,
    addsub1.a_arith = `xlSigned,
    addsub1.a_bin_pt = 0,
    addsub1.b_width = 48,
    addsub1.b_arith = `xlSigned,
    addsub1.b_bin_pt = 0,
    addsub1.en_width = 1,
    addsub1.en_arith = `xlUnsigned,
    addsub1.en_bin_pt = 0,
    addsub1.rst_width = 1,
    addsub1.rst_arith = `xlUnsigned,
    addsub1.rst_bin_pt = 0,
    addsub1.s_width = 49,
    addsub1.s_arith = `xlSigned,
    addsub1.s_bin_pt = 0,
    addsub1.core_name0 = "adder_subtracter_virtex4_7_0_4da890df668169b3",
    addsub1.c_a_type = 0,
    addsub1.c_a_width = 49,
    addsub1.c_add_mode = 1,
    addsub1.c_b_type = 0,
    addsub1.c_b_width = 49,
    addsub1.c_enable_rlocs = 0,
    addsub1.c_has_b_in = 0,
    addsub1.c_has_b_out = 0,
    addsub1.c_has_c_in = 0,
    addsub1.c_has_c_out = 0,
    addsub1.c_has_ce = 1,
    addsub1.c_has_q = 1,
    addsub1.c_has_q_b_out = 0,
    addsub1.c_has_q_c_out = 0,
    addsub1.c_has_s = 0,
    addsub1.c_has_sclr = 1,
    addsub1.c_latency = 1,
    addsub1.c_output_width = 49,
    addsub1.core = 1,
    addsub1.extra_registers = 0,
    addsub1.full_s_arith = `xlSigned,
    addsub1.full_s_width = 49,
    addsub1.latency = 1,
    addsub1.mode = 2,
    addsub1.overflow = `xlWrap,
    addsub1.quantization = `xlTruncate;

  xldsp48 dsp1 (
    .a(dct1in_x_0),
    .b(mem11_x_0),
    .c(dummy_c_1_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp48 (
    .a(dct2in_x_0),
    .b(mem12_x_0),
    .c(dummy_c_2_x_0),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(opmode_x_0),
    .rst(sl2v_4_dout),
    .p(dsp48_p)
  );
  defparam 
    dsp48.AREG = 1,
    dsp48.BREG = 1,
    dsp48.B_INPUT = "DIRECT",
    dsp48.CARRYINREG = 0,
    dsp48.CARRYINSELREG = 0,
    dsp48.CREG = 1,
    dsp48.LEGACY_MODE = "MULT18X18S",
    dsp48.MREG = 1,
    dsp48.OPMODEREG = 1,
    dsp48.PREG = 1,
    dsp48.SUBTRACTREG = 0,
    dsp48.USE_OP = 1,
    dsp48.c_use_b = 1,
    dsp48.c_use_bcin = 0,
    dsp48.c_use_c = 1,
    dsp48.c_use_ce_carry_in = 0,
    dsp48.c_use_ce_ctrl = 0,
    dsp48.c_use_ce_mult = 0,
    dsp48.c_use_cea = 0,
    dsp48.c_use_ceb = 0,
    dsp48.c_use_cec = 0,
    dsp48.c_use_cep = 0,
    dsp48.c_use_en = 0,
    dsp48.c_use_pcin = 0,
    dsp48.c_use_rst = 1,
    dsp48.c_use_rsta = 0,
    dsp48.c_use_rstb = 0,
    dsp48.c_use_rstc = 0,
    dsp48.c_use_rstcarryin = 0,
    dsp48.c_use_rstctrl = 0,
    dsp48.c_use_rstm = 0,
    dsp48.c_use_rstp = 0;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
module  xlcast  (din, dout);
parameter din_width= 16;
parameter din_bin_pt= 4;
parameter din_arith= `xlUnsigned;
parameter dout_width= 16;
parameter dout_bin_pt= 2;
parameter dout_arith= `xlUnsigned;
input [din_width-1:0] din;
output [dout_width-1:0] dout;
wire  real_din,real_dout;
assign dout = din;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module xlconvert(din, clk, ce, clr, dout);
   parameter din_width= 16;
   parameter din_bin_pt= 4;
   parameter din_arith= `xlUnsigned;
   parameter dout_width= 8;
   parameter dout_bin_pt= 2;
   parameter dout_arith= `xlUnsigned;
   parameter bool_conversion = 0;
   parameter latency = 0;
   parameter quantization= `xlTruncate;
   parameter overflow= `xlWrap;
   input [din_width-1:0] din;
   input clk, ce, clr;
   output [dout_width-1:0] dout;
wire [dout_width-1:0] result;
generate
 if (bool_conversion == 1)
    begin:bool_converion_generate
       assign result = din;
    end
 else
    begin:std_conversion
       convert_type #(din_width,
                      din_bin_pt,
                      din_arith,
                      dout_width,
                      dout_bin_pt,
                      dout_arith,
                      quantization,
                      overflow)
        conv_udp (.inp(din), .res(result));
    end
endgenerate
generate
if (latency > 0)
     begin:latency_test
        synth_reg # (dout_width, latency)
          reg1 (
               .i(result),
               .ce(ce),
               .clr(clr),
               .clk(clk),
               .o(dout));
     end
else
     begin:latency0
        assign dout = result;
     end
endgenerate
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem4"

module dct2d_top_final3_subsystem4 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dummy_c_1,
  dummy_c_2,
  dummy_c_3,
  dummy_c_4,
  dummy_c_5,
  dummy_c_6,
  dummy_c_7,
  dummy_c_8,
  mem11,
  mem12,
  mem13,
  mem14,
  mem15,
  mem16,
  mem17,
  mem18,
  opmode,
  rst,
  x0_1d1,
  x0_1d2,
  x0_1d3,
  x0_1d4,
  x0_1d5,
  x0_1d6,
  x0_1d7,
  x0_1d8
);

  input  ce_sg;
  input  clk_sg;
  input [11 : 0] dct1in;
  input [11 : 0] dct2in;
  input [47 : 0] dummy_c_1;
  input [47 : 0] dummy_c_2;
  input [47 : 0] dummy_c_3;
  input [47 : 0] dummy_c_4;
  input [47 : 0] dummy_c_5;
  input [47 : 0] dummy_c_6;
  input [47 : 0] dummy_c_7;
  input [47 : 0] dummy_c_8;
  input [15 : 0] mem11;
  input [15 : 0] mem12;
  input [15 : 0] mem13;
  input [15 : 0] mem14;
  input [15 : 0] mem15;
  input [15 : 0] mem16;
  input [15 : 0] mem17;
  input [15 : 0] mem18;
  input [10 : 0] opmode;
  input  rst;
  output [17 : 0] x0_1d1;
  output [17 : 0] x0_1d2;
  output [17 : 0] x0_1d3;
  output [17 : 0] x0_1d4;
  output [17 : 0] x0_1d5;
  output [17 : 0] x0_1d6;
  output [17 : 0] x0_1d7;
  output [17 : 0] x0_1d8;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] convert10_dout;
  wire [17 : 0] convert11_dout;
  wire [17 : 0] convert12_dout;
  wire [17 : 0] convert13_dout;
  wire [17 : 0] convert14_dout;
  wire [17 : 0] convert15_dout;
  wire [17 : 0] convert16_dout;
  wire [17 : 0] convert17_dout;
  wire [17 : 0] convert1_dout;
  wire [17 : 0] convert2_dout;
  wire [17 : 0] convert3_dout;
  wire [17 : 0] convert4_dout;
  wire [17 : 0] convert5_dout;
  wire [17 : 0] convert6_dout;
  wire [17 : 0] convert7_dout;
  wire [17 : 0] convert8_dout;
  wire [17 : 0] convert9_dout;
  wire [17 : 0] convert_dout;
  wire [11 : 0] dct1in_x_0;
  wire [11 : 0] dct2in_x_0;
  wire [47 : 0] dummy_c_1_x_0;
  wire [47 : 0] dummy_c_2_x_0;
  wire [47 : 0] dummy_c_3_x_0;
  wire [47 : 0] dummy_c_4_x_0;
  wire [47 : 0] dummy_c_5_x_0;
  wire [47 : 0] dummy_c_6_x_0;
  wire [47 : 0] dummy_c_7_x_0;
  wire [47 : 0] dummy_c_8_x_0;
  wire [15 : 0] mem11_x_0;
  wire [15 : 0] mem12_x_0;
  wire [15 : 0] mem13_x_0;
  wire [15 : 0] mem14_x_0;
  wire [15 : 0] mem15_x_0;
  wire [15 : 0] mem16_x_0;
  wire [15 : 0] mem17_x_0;
  wire [15 : 0] mem18_x_0;
  wire [10 : 0] opmode_x_0;
  wire [48 : 0] reinterpret1_dout;
  wire [48 : 0] reinterpret2_dout;
  wire [48 : 0] reinterpret3_dout;
  wire [48 : 0] reinterpret4_dout;
  wire [48 : 0] reinterpret5_dout;
  wire [48 : 0] reinterpret6_dout;
  wire [48 : 0] reinterpret7_dout;
  wire [48 : 0] reinterpret8_dout;
  wire  rst_x_0;
  wire [48 : 0] subsystem1_add;
  wire [48 : 0] subsystem1_sub;
  wire [48 : 0] subsystem2_add;
  wire [48 : 0] subsystem2_sub;
  wire [48 : 0] subsystem3_add;
  wire [48 : 0] subsystem3_sub;
  wire [48 : 0] subsystem_add;
  wire [48 : 0] subsystem_sub;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dummy_c_1_x_0 = dummy_c_1;
  assign dummy_c_2_x_0 = dummy_c_2;
  assign dummy_c_3_x_0 = dummy_c_3;
  assign dummy_c_4_x_0 = dummy_c_4;
  assign dummy_c_5_x_0 = dummy_c_5;
  assign dummy_c_6_x_0 = dummy_c_6;
  assign dummy_c_7_x_0 = dummy_c_7;
  assign dummy_c_8_x_0 = dummy_c_8;
  assign mem11_x_0 = mem11;
  assign mem12_x_0 = mem12;
  assign mem13_x_0 = mem13;
  assign mem14_x_0 = mem14;
  assign mem15_x_0 = mem15;
  assign mem16_x_0 = mem16;
  assign mem17_x_0 = mem17;
  assign mem18_x_0 = mem18;
  assign opmode_x_0 = opmode;
  assign rst_x_0 = rst;
  assign x0_1d1 = convert11_dout;
  assign x0_1d2 = convert12_dout;
  assign x0_1d3 = convert14_dout;
  assign x0_1d4 = convert16_dout;
  assign x0_1d5 = convert17_dout;
  assign x0_1d6 = convert15_dout;
  assign x0_1d7 = convert13_dout;
  assign x0_1d8 = convert10_dout;


  xlconvert convert (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(dct1in_x_0),
    .dout(convert_dout)
  );
  defparam 
    convert.din_width = 12,
    convert.din_arith = `xlSigned,
    convert.din_bin_pt = 0,
    convert.dout_width = 18,
    convert.dout_arith = `xlSigned,
    convert.dout_bin_pt = 0,
    convert.bool_conversion = 0,
    convert.latency = 0,
    convert.overflow = `xlWrap,
    convert.quantization = `xlTruncate;

  xlconvert convert1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem11_x_0),
    .dout(convert1_dout)
  );
  defparam 
    convert1.din_width = 16,
    convert1.din_arith = `xlSigned,
    convert1.din_bin_pt = 0,
    convert1.dout_width = 18,
    convert1.dout_arith = `xlSigned,
    convert1.dout_bin_pt = 0,
    convert1.bool_conversion = 0,
    convert1.latency = 0,
    convert1.overflow = `xlWrap,
    convert1.quantization = `xlTruncate;

  xlconvert convert10 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret2_dout),
    .dout(convert10_dout)
  );
  defparam 
    convert10.din_width = 49,
    convert10.din_arith = `xlSigned,
    convert10.din_bin_pt = 16,
    convert10.dout_width = 18,
    convert10.dout_arith = `xlSigned,
    convert10.dout_bin_pt = 0,
    convert10.bool_conversion = 0,
    convert10.latency = 0,
    convert10.overflow = `xlWrap,
    convert10.quantization = `xlRound;

  xlconvert convert11 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret1_dout),
    .dout(convert11_dout)
  );
  defparam 
    convert11.din_width = 49,
    convert11.din_arith = `xlSigned,
    convert11.din_bin_pt = 16,
    convert11.dout_width = 18,
    convert11.dout_arith = `xlSigned,
    convert11.dout_bin_pt = 0,
    convert11.bool_conversion = 0,
    convert11.latency = 0,
    convert11.overflow = `xlWrap,
    convert11.quantization = `xlRound;

  xlconvert convert12 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret3_dout),
    .dout(convert12_dout)
  );
  defparam 
    convert12.din_width = 49,
    convert12.din_arith = `xlSigned,
    convert12.din_bin_pt = 16,
    convert12.dout_width = 18,
    convert12.dout_arith = `xlSigned,
    convert12.dout_bin_pt = 0,
    convert12.bool_conversion = 0,
    convert12.latency = 0,
    convert12.overflow = `xlWrap,
    convert12.quantization = `xlRound;

  xlconvert convert13 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret4_dout),
    .dout(convert13_dout)
  );
  defparam 
    convert13.din_width = 49,
    convert13.din_arith = `xlSigned,
    convert13.din_bin_pt = 16,
    convert13.dout_width = 18,
    convert13.dout_arith = `xlSigned,
    convert13.dout_bin_pt = 0,
    convert13.bool_conversion = 0,
    convert13.latency = 0,
    convert13.overflow = `xlWrap,
    convert13.quantization = `xlRound;

  xlconvert convert14 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret5_dout),
    .dout(convert14_dout)
  );
  defparam 
    convert14.din_width = 49,
    convert14.din_arith = `xlSigned,
    convert14.din_bin_pt = 16,
    convert14.dout_width = 18,
    convert14.dout_arith = `xlSigned,
    convert14.dout_bin_pt = 0,
    convert14.bool_conversion = 0,
    convert14.latency = 0,
    convert14.overflow = `xlWrap,
    convert14.quantization = `xlRound;

  xlconvert convert15 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret6_dout),
    .dout(convert15_dout)
  );
  defparam 
    convert15.din_width = 49,
    convert15.din_arith = `xlSigned,
    convert15.din_bin_pt = 16,
    convert15.dout_width = 18,
    convert15.dout_arith = `xlSigned,
    convert15.dout_bin_pt = 0,
    convert15.bool_conversion = 0,
    convert15.latency = 0,
    convert15.overflow = `xlWrap,
    convert15.quantization = `xlRound;

  xlconvert convert16 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret7_dout),
    .dout(convert16_dout)
  );
  defparam 
    convert16.din_width = 49,
    convert16.din_arith = `xlSigned,
    convert16.din_bin_pt = 16,
    convert16.dout_width = 18,
    convert16.dout_arith = `xlSigned,
    convert16.dout_bin_pt = 0,
    convert16.bool_conversion = 0,
    convert16.latency = 0,
    convert16.overflow = `xlWrap,
    convert16.quantization = `xlRound;

  xlconvert convert17 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret8_dout),
    .dout(convert17_dout)
  );
  defparam 
    convert17.din_width = 49,
    convert17.din_arith = `xlSigned,
    convert17.din_bin_pt = 16,
    convert17.dout_width = 18,
    convert17.dout_arith = `xlSigned,
    convert17.dout_bin_pt = 0,
    convert17.bool_conversion = 0,
    convert17.latency = 0,
    convert17.overflow = `xlWrap,
    convert17.quantization = `xlRound;

  xlconvert convert2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem12_x_0),
    .dout(convert2_dout)
  );
  defparam 
    convert2.din_width = 16,
    convert2.din_arith = `xlSigned,
    convert2.din_bin_pt = 0,
    convert2.dout_width = 18,
    convert2.dout_arith = `xlSigned,
    convert2.dout_bin_pt = 0,
    convert2.bool_conversion = 0,
    convert2.latency = 0,
    convert2.overflow = `xlWrap,
    convert2.quantization = `xlTruncate;

  xlconvert convert3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem13_x_0),
    .dout(convert3_dout)
  );
  defparam 
    convert3.din_width = 16,
    convert3.din_arith = `xlSigned,
    convert3.din_bin_pt = 0,
    convert3.dout_width = 18,
    convert3.dout_arith = `xlSigned,
    convert3.dout_bin_pt = 0,
    convert3.bool_conversion = 0,
    convert3.latency = 0,
    convert3.overflow = `xlWrap,
    convert3.quantization = `xlTruncate;

  xlconvert convert4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(dct2in_x_0),
    .dout(convert4_dout)
  );
  defparam 
    convert4.din_width = 12,
    convert4.din_arith = `xlSigned,
    convert4.din_bin_pt = 0,
    convert4.dout_width = 18,
    convert4.dout_arith = `xlSigned,
    convert4.dout_bin_pt = 0,
    convert4.bool_conversion = 0,
    convert4.latency = 0,
    convert4.overflow = `xlWrap,
    convert4.quantization = `xlTruncate;

  xlconvert convert5 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem14_x_0),
    .dout(convert5_dout)
  );
  defparam 
    convert5.din_width = 16,
    convert5.din_arith = `xlSigned,
    convert5.din_bin_pt = 0,
    convert5.dout_width = 18,
    convert5.dout_arith = `xlSigned,
    convert5.dout_bin_pt = 0,
    convert5.bool_conversion = 0,
    convert5.latency = 0,
    convert5.overflow = `xlWrap,
    convert5.quantization = `xlTruncate;

  xlconvert convert6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem15_x_0),
    .dout(convert6_dout)
  );
  defparam 
    convert6.din_width = 16,
    convert6.din_arith = `xlSigned,
    convert6.din_bin_pt = 0,
    convert6.dout_width = 18,
    convert6.dout_arith = `xlSigned,
    convert6.dout_bin_pt = 0,
    convert6.bool_conversion = 0,
    convert6.latency = 0,
    convert6.overflow = `xlWrap,
    convert6.quantization = `xlTruncate;

  xlconvert convert7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem16_x_0),
    .dout(convert7_dout)
  );
  defparam 
    convert7.din_width = 16,
    convert7.din_arith = `xlSigned,
    convert7.din_bin_pt = 0,
    convert7.dout_width = 18,
    convert7.dout_arith = `xlSigned,
    convert7.dout_bin_pt = 0,
    convert7.bool_conversion = 0,
    convert7.latency = 0,
    convert7.overflow = `xlWrap,
    convert7.quantization = `xlTruncate;

  xlconvert convert8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem17_x_0),
    .dout(convert8_dout)
  );
  defparam 
    convert8.din_width = 16,
    convert8.din_arith = `xlSigned,
    convert8.din_bin_pt = 0,
    convert8.dout_width = 18,
    convert8.dout_arith = `xlSigned,
    convert8.dout_bin_pt = 0,
    convert8.bool_conversion = 0,
    convert8.latency = 0,
    convert8.overflow = `xlWrap,
    convert8.quantization = `xlTruncate;

  xlconvert convert9 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mem18_x_0),
    .dout(convert9_dout)
  );
  defparam 
    convert9.din_width = 16,
    convert9.din_arith = `xlSigned,
    convert9.din_bin_pt = 0,
    convert9.dout_width = 18,
    convert9.dout_arith = `xlSigned,
    convert9.dout_bin_pt = 0,
    convert9.bool_conversion = 0,
    convert9.latency = 0,
    convert9.overflow = `xlWrap,
    convert9.quantization = `xlTruncate;

  xlcast reinterpret1 (
    .din(subsystem_add),
    .dout(reinterpret1_dout)
  );
  defparam 
    reinterpret1.din_width = 49,
    reinterpret1.din_arith = `xlSigned,
    reinterpret1.din_bin_pt = 0,
    reinterpret1.dout_width = 49,
    reinterpret1.dout_arith = `xlSigned,
    reinterpret1.dout_bin_pt = 16;

  xlcast reinterpret2 (
    .din(subsystem_sub),
    .dout(reinterpret2_dout)
  );
  defparam 
    reinterpret2.din_width = 49,
    reinterpret2.din_arith = `xlSigned,
    reinterpret2.din_bin_pt = 0,
    reinterpret2.dout_width = 49,
    reinterpret2.dout_arith = `xlSigned,
    reinterpret2.dout_bin_pt = 16;

  xlcast reinterpret3 (
    .din(subsystem1_add),
    .dout(reinterpret3_dout)
  );
  defparam 
    reinterpret3.din_width = 49,
    reinterpret3.din_arith = `xlSigned,
    reinterpret3.din_bin_pt = 0,
    reinterpret3.dout_width = 49,
    reinterpret3.dout_arith = `xlSigned,
    reinterpret3.dout_bin_pt = 16;

  xlcast reinterpret4 (
    .din(subsystem1_sub),
    .dout(reinterpret4_dout)
  );
  defparam 
    reinterpret4.din_width = 49,
    reinterpret4.din_arith = `xlSigned,
    reinterpret4.din_bin_pt = 0,
    reinterpret4.dout_width = 49,
    reinterpret4.dout_arith = `xlSigned,
    reinterpret4.dout_bin_pt = 16;

  xlcast reinterpret5 (
    .din(subsystem2_add),
    .dout(reinterpret5_dout)
  );
  defparam 
    reinterpret5.din_width = 49,
    reinterpret5.din_arith = `xlSigned,
    reinterpret5.din_bin_pt = 0,
    reinterpret5.dout_width = 49,
    reinterpret5.dout_arith = `xlSigned,
    reinterpret5.dout_bin_pt = 16;

  xlcast reinterpret6 (
    .din(subsystem2_sub),
    .dout(reinterpret6_dout)
  );
  defparam 
    reinterpret6.din_width = 49,
    reinterpret6.din_arith = `xlSigned,
    reinterpret6.din_bin_pt = 0,
    reinterpret6.dout_width = 49,
    reinterpret6.dout_arith = `xlSigned,
    reinterpret6.dout_bin_pt = 16;

  xlcast reinterpret7 (
    .din(subsystem3_add),
    .dout(reinterpret7_dout)
  );
  defparam 
    reinterpret7.din_width = 49,
    reinterpret7.din_arith = `xlSigned,
    reinterpret7.din_bin_pt = 0,
    reinterpret7.dout_width = 49,
    reinterpret7.dout_arith = `xlSigned,
    reinterpret7.dout_bin_pt = 16;

  xlcast reinterpret8 (
    .din(subsystem3_sub),
    .dout(reinterpret8_dout)
  );
  defparam 
    reinterpret8.din_width = 49,
    reinterpret8.din_arith = `xlSigned,
    reinterpret8.din_bin_pt = 0,
    reinterpret8.dout_width = 49,
    reinterpret8.dout_arith = `xlSigned,
    reinterpret8.dout_bin_pt = 16;

  dct2d_top_final3_subsystem_x_0 subsystem (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(convert_dout),
    .dct2in(convert4_dout),
    .dummy_c_1(dummy_c_1_x_0),
    .dummy_c_2(dummy_c_2_x_0),
    .mem11(convert1_dout),
    .mem12(convert2_dout),
    .opmode(opmode_x_0),
    .rst(rst_x_0),
    .add(subsystem_add),
    .sub(subsystem_sub)
  );

  dct2d_top_final3_subsystem1_x_0 subsystem1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(convert_dout),
    .dct2in(convert4_dout),
    .dummy_c_3(dummy_c_3_x_0),
    .dummy_c_4(dummy_c_4_x_0),
    .mem11(convert3_dout),
    .mem12(convert5_dout),
    .opmode(opmode_x_0),
    .rst(rst_x_0),
    .add(subsystem1_add),
    .sub(subsystem1_sub)
  );

  dct2d_top_final3_subsystem2_x_0 subsystem2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(convert_dout),
    .dct2in(convert4_dout),
    .dummy_c_5(dummy_c_5_x_0),
    .dummy_c_6(dummy_c_6_x_0),
    .mem11(convert6_dout),
    .mem12(convert7_dout),
    .opmode(opmode_x_0),
    .rst(rst_x_0),
    .add(subsystem2_add),
    .sub(subsystem2_sub)
  );

  dct2d_top_final3_subsystem3_x_0 subsystem3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(convert_dout),
    .dct2in(convert4_dout),
    .dummy_c_7(dummy_c_7_x_0),
    .dummy_c_8(dummy_c_8_x_0),
    .mem11(convert8_dout),
    .mem12(convert9_dout),
    .opmode(opmode_x_0),
    .rst(rst_x_0),
    .add(subsystem3_add),
    .sub(subsystem3_sub)
  );
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem5"

module dct2d_top_final3_subsystem5 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant7_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0101101010000010;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b1100111100000100;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b1010010101111110;

  xlconstant constant7 (
    .dout(constant7_dout)
  );
  defparam 
    constant7.dout_width = 16,
    constant7.dout_arith = `xlSigned,
    constant7.dout_bin_pt = 0,
    constant7.const_val = 16'b0111011001000001;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(constant5_dout),
    .din2(constant6_dout),
    .din3(constant7_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem6"

module dct2d_top_final3_subsystem6 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant7_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0101101010000010;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b1000100110111111;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b0101101010000010;

  xlconstant constant7 (
    .dout(constant7_dout)
  );
  defparam 
    constant7.dout_width = 16,
    constant7.dout_arith = `xlSigned,
    constant7.dout_bin_pt = 0,
    constant7.const_val = 16'b1100111100000100;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(constant5_dout),
    .din2(constant6_dout),
    .din3(constant7_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem7"

module dct2d_top_final3_subsystem7 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant7_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0100011100011101;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b1000001001110110;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b0001100011111001;

  xlconstant constant7 (
    .dout(constant7_dout)
  );
  defparam 
    constant7.dout_width = 16,
    constant7.dout_arith = `xlSigned,
    constant7.dout_bin_pt = 0,
    constant7.const_val = 16'b0110101001101110;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(constant5_dout),
    .din2(constant6_dout),
    .din3(constant7_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem8"

module dct2d_top_final3_subsystem8 (
  ce_sg,
  clk_sg,
  sel,
  out2
);

  input  ce_sg;
  input  clk_sg;
  input [1 : 0] sel;
  output [15 : 0] out2;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [15 : 0] constant4_dout;
  wire [15 : 0] constant5_dout;
  wire [15 : 0] constant6_dout;
  wire [15 : 0] constant7_dout;
  wire [15 : 0] mux1_dout;
  wire [1 : 0] sel_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign sel_x_0 = sel;
  assign out2 = mux1_dout;


  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 16,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 16'b0001100011111001;

  xlconstant constant5 (
    .dout(constant5_dout)
  );
  defparam 
    constant5.dout_width = 16,
    constant5.dout_arith = `xlSigned,
    constant5.dout_bin_pt = 0,
    constant5.const_val = 16'b1011100011100011;

  xlconstant constant6 (
    .dout(constant6_dout)
  );
  defparam 
    constant6.dout_width = 16,
    constant6.dout_arith = `xlSigned,
    constant6.dout_bin_pt = 0,
    constant6.const_val = 16'b0110101001101110;

  xlconstant constant7 (
    .dout(constant7_dout)
  );
  defparam 
    constant7.dout_width = 16,
    constant7.dout_arith = `xlSigned,
    constant7.dout_bin_pt = 0,
    constant7.const_val = 16'b1000001001110110;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(constant5_dout),
    .din2(constant6_dout),
    .din3(constant7_dout),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .s(sel_x_0),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 16,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 16,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 16,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 16,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 16,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c89622f97e878f3d",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 16,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  dct2d_top_final3_expression  (                                a,
                                                            b,
                                                            c,
                                                            d,
                            ce, clr, clk, en, dout);
        parameter a_width= 12;
        parameter a_bin_pt= 7;
        parameter a_arith= `xlSigned;
        parameter b_width= 12;
        parameter b_bin_pt= 7;
        parameter b_arith= `xlSigned;
        parameter c_width= 12;
        parameter c_bin_pt= 7;
        parameter c_arith= `xlSigned;
        parameter d_width= 12;
        parameter d_bin_pt= 7;
        parameter d_arith= `xlSigned;
parameter full_width= 12;
parameter full_bin_pt= 7;
parameter full_arith= `xlSigned;
parameter dout_width= 12;
parameter dout_bin_pt= 7;
parameter dout_arith= `xlSigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter latency= 1;
input [a_width-1:0] a;
input [b_width-1:0] b;
input [c_width-1:0] c;
input [d_width-1:0] d;
input  ce;
input  clr;
input  clk;
input [en_width-1:0] en;
output [dout_width-1:0] dout;
wire [full_width-1:0] full_dout_unreg;
wire [full_width-1:0] full_dout_reg;
wire [dout_width-1:0] user_dout;
wire  internal_ce;
wire [full_width-1:0] full_din0;
wire [full_width-1:0] full_din1;
wire [full_width-1:0] full_din2;
wire [full_width-1:0] full_din3;
assign internal_ce = ce & en[0];
align_input # (a_width,
                full_bin_pt - a_bin_pt,
                a_arith,
                full_width)
align_a(.inp(a),.res(full_din0));
align_input # (b_width,
                full_bin_pt - b_bin_pt,
                b_arith,
                full_width)
align_b(.inp(b),.res(full_din1));
align_input # (c_width,
                full_bin_pt - c_bin_pt,
                c_arith,
                full_width)
align_c(.inp(c),.res(full_din2));
align_input # (d_width,
                full_bin_pt - d_bin_pt,
                d_arith,
                full_width)
align_d(.inp(d),.res(full_din3));
assign full_dout_unreg = (((full_din0 | full_din1) | full_din2) | full_din3);
 generate
 if (latency > 0)
     begin:latency_gt_0
        synth_reg # (full_width,1)
          reg1 (
               .i(full_dout_unreg),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(full_dout_reg)
               );
     end

   if (latency == 0)
     begin:latency_eq_0
        assign full_dout_reg = full_dout_unreg;
     end
   if(latency>1)
      begin:latency_gt_1
        synth_reg # (dout_width,latency-1)
          reg2 (
               .i(user_dout),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(dout)
               );
      end
   if ((latency == 0)||(latency == 1))
     begin:latency_also_eq_0
        assign dout = user_dout;
     end
 endgenerate
convert_type # (full_width, full_bin_pt, full_arith,
                             dout_width, dout_bin_pt, dout_arith, `xlTruncate,
                             `xlWrap)
convert_userdout(.inp(full_dout_reg),.res(user_dout));
 endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  xlinv  (din, dout, ce, clr, clk, en);
parameter din_width= 12;
parameter din_bin_pt= 7;
parameter din_arith= `xlSigned;
parameter dout_width= 12;
parameter dout_bin_pt= 7;
parameter dout_arith= `xlSigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter latency= 1;
input [din_width - 1 : 0] din;
output [dout_width - 1 : 0] dout;
input  ce;
input  clr;
input  clk;
input [en_width - 1 : 0] en;
wire[dout_width - 1 : 0]  dout_unreg ;
wire block_ce   ;
assign block_ce = ce & en[0];
assign dout_unreg = ~din;
generate
   if (latency > 0)
     begin:latency_gt_0
        synth_reg # (dout_width, latency)
          reg1 (
               .i(dout_unreg),
               .ce(block_ce),
               .clr(clr),
               .clk(clk),
               .o(dout));
     end

   if (latency == 0)
     begin:latency_eq_0
        assign dout = dout_unreg;
     end
 endgenerate
 endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct/Subsystem9"

module dct2d_top_final3_subsystem9 (
  ce_sg,
  clk_sg,
  in1,
  rst,
  out1
);

  input  ce_sg;
  input  clk_sg;
  input  in1;
  input  rst;
  output  out1;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  expression_dout;
  wire  in1_x_0;
  wire  inverter_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign in1_x_0 = in1;
  assign rst_x_0 = rst;
  assign out1 = v2sl_2_dout;


  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_dout),
    .en(sl2v_0_dout),
    .rst(sl2v_1_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_2_dout),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 1,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  dct2d_top_final3_expression expression (
    .a(sl2v_11_dout),
    .b(sl2v_12_dout),
    .c(sl2v_13_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .dout(expression_dout)
  );
  defparam 
    expression.a_width = 1,
    expression.a_arith = `xlUnsigned,
    expression.a_bin_pt = 0,
    expression.b_width = 1,
    expression.b_arith = `xlUnsigned,
    expression.b_bin_pt = 0,
    expression.c_width = 1,
    expression.c_arith = `xlUnsigned,
    expression.c_bin_pt = 0,
    expression.d_width = 1,
    expression.d_arith = `xlUnsigned,
    expression.d_bin_pt = 0,
    expression.dout_width = 1,
    expression.dout_arith = `xlUnsigned,
    expression.dout_bin_pt = 0,
    expression.en_width = 1,
    expression.en_arith = `xlUnsigned,
    expression.en_bin_pt = 0,
    expression.full_arith = `xlUnsigned,
    expression.full_bin_pt = 0,
    expression.full_width = 1,
    expression.latency = 0;

  xlinv inverter (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(sl2v_16_dout),
    .en(sl2v_17_dout),
    .dout(inverter_dout)
  );
  defparam 
    inverter.din_width = 1,
    inverter.din_arith = `xlUnsigned,
    inverter.din_bin_pt = 0,
    inverter.dout_width = 1,
    inverter.dout_arith = `xlUnsigned,
    inverter.dout_bin_pt = 0,
    inverter.en_width = 1,
    inverter.en_arith = `xlUnsigned,
    inverter.en_bin_pt = 0,
    inverter.latency = 0;

  xlsl2slv sl2v (
    .din(in1_x_0),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(v2sl_4_dout),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b0),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_1_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(v2sl_0_dout),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(v2sl_dout),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(in1_x_0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(rst_x_0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(1'b1),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(v2sl_dout),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_4_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(1'b0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_0_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(v2sl_4_dout),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(v2sl_3_dout),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(expression_dout),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(inverter_dout),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

`ifndef binary_counter_virtex4_7_0_ab7a1275b63c5334
`define binary_counter_virtex4_7_0_ab7a1275b63c5334
module binary_counter_virtex4_7_0_ab7a1275b63c5334  (CLK, CE, SINIT, Q)/* synthesis syn_black_box */;
      input CLK, CE, SINIT;
      output [1:0] Q;
  endmodule
`endif
`ifndef binary_counter_virtex4_7_0_1f477f344448bfe9
`define binary_counter_virtex4_7_0_1f477f344448bfe9
module binary_counter_virtex4_7_0_1f477f344448bfe9  (CLK, CE, SINIT, Q)/* synthesis syn_black_box */;
      input CLK, CE, SINIT;
      output [4:0] Q;
  endmodule
`endif
module  dct2d_top_final3_counter  (ce, clr, clk, q, up, load, din, en, rst);
parameter core_name0= "";
parameter q_width= 5;
parameter q_bin_pt= 2;
parameter q_arith= `xlSigned;
parameter en_arith= `xlUnsigned;
parameter en_bin_pt= 0;
parameter en_width= 1;
parameter rst_arith= `xlUnsigned;
parameter rst_bin_pt= 0;
parameter rst_width= 1;
parameter up_arith= `xlUnsigned;
parameter up_bin_pt= 0;
parameter up_width= 1;
parameter load_arith= `xlUnsigned;
parameter load_bin_pt= 0;
parameter load_width= 1;
parameter din_arith= `xlUnsigned;
parameter din_bin_pt= 0;
parameter din_width= 2;
parameter c_count_by= "00001";
parameter c_ainit_val= "00011";
parameter c_sinit_val= "00011";
parameter c_has_up= 0;
parameter c_has_load= 0;
parameter c_count_mode= 0;
parameter c_enable_rlocs= 1;
input ce, clr, clk;
input up, load;
input [din_width-1:0] din;
input en, rst;
output [q_width-1:0] q;
parameter [(8*q_width)-1:0] oneStr = { q_width{"1"}};
wire  core_sinit;
wire  core_ce;
wire [q_width-1:0] q_net;
   assign core_ce = ce & en;
   assign core_sinit = (clr | rst) & ce;
   assign q = q_net;


generate
  if ( (`simulating ==0) && (core_name0 == "binary_counter_virtex4_7_0_ab7a1275b63c5334") )
    begin:comp0
    binary_counter_virtex4_7_0_ab7a1275b63c5334 core_instance0 (
        .CLK(clk),
        .CE(core_ce),
        .SINIT(core_sinit),
        .Q(q_net)
      );
  end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "binary_counter_virtex4_7_0_ab7a1275b63c5334") )
begin:comp1
C_COUNTER_BINARY_V7_0 core_instance1(
        .CLK(clk),
        .CE(core_ce),
        .SINIT(core_sinit),
        .Q(q_net)
        );
defparam
core_instance1.C_SINIT_VAL= c_sinit_val,
core_instance1.C_LOAD_ENABLE= 1,
core_instance1.C_THRESH_EARLY= 1,
core_instance1.C_HAS_UP= c_has_up,
core_instance1.C_SYNC_ENABLE= 0,
core_instance1.C_HAS_AINIT= 0,
core_instance1.C_SYNC_PRIORITY= 1,
core_instance1.C_HAS_Q_THRESH1= 0,
core_instance1.C_HAS_Q_THRESH0= 0,
core_instance1.C_HAS_SINIT= 1,
core_instance1.C_THRESH1_VALUE= oneStr,
core_instance1.C_HAS_THRESH1= 0,
core_instance1.C_HAS_THRESH0= 0,
core_instance1.C_AINIT_VAL= c_ainit_val,
core_instance1.C_HAS_SSET= 0,
core_instance1.C_WIDTH= q_width,
core_instance1.C_LOAD_LOW= 0,
core_instance1.C_COUNT_TO= oneStr,
core_instance1.C_HAS_IV= 0,
core_instance1.C_COUNT_MODE= c_count_mode,
core_instance1.C_HAS_L= c_has_load,
core_instance1.C_HAS_ASET= 0,
core_instance1.C_HAS_SCLR= 0,
core_instance1.C_THRESH0_VALUE= oneStr,
core_instance1.C_PIPE_STAGES= 0,
core_instance1.C_HAS_LOAD= c_has_load,
core_instance1.C_HAS_CE= 1,
core_instance1.C_HAS_ACLR= 0,
core_instance1.C_COUNT_BY= c_count_by,
core_instance1.C_RESTRICT_COUNT= 0,
core_instance1.C_ENABLE_RLOCS= c_enable_rlocs;

end

// synopsys translate_on
  if ( (`simulating ==0) && (core_name0 == "binary_counter_virtex4_7_0_1f477f344448bfe9") )
    begin:comp6
    binary_counter_virtex4_7_0_1f477f344448bfe9 core_instance6 (
        .CLK(clk),
        .CE(core_ce),
        .SINIT(core_sinit),
        .Q(q_net)
      );
  end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "binary_counter_virtex4_7_0_1f477f344448bfe9") )
begin:comp7
C_COUNTER_BINARY_V7_0 core_instance7(
        .CLK(clk),
        .CE(core_ce),
        .SINIT(core_sinit),
        .Q(q_net)
        );
defparam
core_instance7.C_SINIT_VAL= c_sinit_val,
core_instance7.C_LOAD_ENABLE= 1,
core_instance7.C_THRESH_EARLY= 1,
core_instance7.C_HAS_UP= c_has_up,
core_instance7.C_SYNC_ENABLE= 0,
core_instance7.C_HAS_AINIT= 0,
core_instance7.C_SYNC_PRIORITY= 1,
core_instance7.C_HAS_Q_THRESH1= 0,
core_instance7.C_HAS_Q_THRESH0= 0,
core_instance7.C_HAS_SINIT= 1,
core_instance7.C_THRESH1_VALUE= oneStr,
core_instance7.C_HAS_THRESH1= 0,
core_instance7.C_HAS_THRESH0= 0,
core_instance7.C_AINIT_VAL= c_ainit_val,
core_instance7.C_HAS_SSET= 0,
core_instance7.C_WIDTH= q_width,
core_instance7.C_LOAD_LOW= 0,
core_instance7.C_COUNT_TO= oneStr,
core_instance7.C_HAS_IV= 0,
core_instance7.C_COUNT_MODE= c_count_mode,
core_instance7.C_HAS_L= c_has_load,
core_instance7.C_HAS_ASET= 0,
core_instance7.C_HAS_SCLR= 0,
core_instance7.C_THRESH0_VALUE= oneStr,
core_instance7.C_PIPE_STAGES= 0,
core_instance7.C_HAS_LOAD= c_has_load,
core_instance7.C_HAS_CE= 1,
core_instance7.C_HAS_ACLR= 0,
core_instance7.C_COUNT_BY= c_count_by,
core_instance7.C_RESTRICT_COUNT= 0,
core_instance7.C_ENABLE_RLOCS= c_enable_rlocs;

end

// synopsys translate_on
endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  dct2d_top_final3_expression_x_0  (                                a,
                                                            b,
                            ce, clr, clk, en, dout);
        parameter a_width= 12;
        parameter a_bin_pt= 7;
        parameter a_arith= `xlSigned;
        parameter b_width= 12;
        parameter b_bin_pt= 7;
        parameter b_arith= `xlSigned;
parameter full_width= 12;
parameter full_bin_pt= 7;
parameter full_arith= `xlSigned;
parameter dout_width= 12;
parameter dout_bin_pt= 7;
parameter dout_arith= `xlSigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter latency= 1;
input [a_width-1:0] a;
input [b_width-1:0] b;
input  ce;
input  clr;
input  clk;
input [en_width-1:0] en;
output [dout_width-1:0] dout;
wire [full_width-1:0] full_dout_unreg;
wire [full_width-1:0] full_dout_reg;
wire [dout_width-1:0] user_dout;
wire  internal_ce;
wire [full_width-1:0] full_din0;
wire [full_width-1:0] full_din1;
assign internal_ce = ce & en[0];
align_input # (a_width,
                full_bin_pt - a_bin_pt,
                a_arith,
                full_width)
align_a(.inp(a),.res(full_din0));
align_input # (b_width,
                full_bin_pt - b_bin_pt,
                b_arith,
                full_width)
align_b(.inp(b),.res(full_din1));
assign full_dout_unreg = (full_din0 & ~(full_din1));
 generate
 if (latency > 0)
     begin:latency_gt_0
        synth_reg # (full_width,1)
          reg1 (
               .i(full_dout_unreg),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(full_dout_reg)
               );
     end

   if (latency == 0)
     begin:latency_eq_0
        assign full_dout_reg = full_dout_unreg;
     end
   if(latency>1)
      begin:latency_gt_1
        synth_reg # (dout_width,latency-1)
          reg2 (
               .i(user_dout),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(dout)
               );
      end
   if ((latency == 0)||(latency == 1))
     begin:latency_also_eq_0
        assign dout = user_dout;
     end
 endgenerate
convert_type # (full_width, full_bin_pt, full_arith,
                             dout_width, dout_bin_pt, dout_arith, `xlTruncate,
                             `xlWrap)
convert_userdout(.inp(full_dout_reg),.res(user_dout));
 endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------
`timescale 1 ns / 10 ps

module xlregister (d, rst, en, clr, ce, clk, q);
   parameter d_width = 5;
   parameter d_bin_pt = 2;
   parameter d_arith= `xlUnsigned;
   parameter rst_width = 1;
   parameter rst_bin_pt = 0;
   parameter rst_arith= `xlUnsigned;
   parameter en_width = 5;
   parameter en_bin_pt= 2;
   parameter en_arith = `xlUnsigned;
   parameter q_width= 5;
   parameter q_bin_pt = 2;
   parameter q_arith= `xlUnsigned;
   parameter init_value = 'b0;

   input [d_width-1:0] d;
   input rst, en, clr, ce, clk;
   output [q_width-1:0] q;
   wire internal_clr, internal_ce;
   assign internal_clr = (clr | rst) & ce;
   assign internal_ce  = ce & en;

   synth_reg_w_init #(d_width, 2,init_value,1)
   synth_reg_inst(.i(d),
                  .ce(internal_ce),
                  .clr(internal_clr),
                  .clk(clk),
                  .o(q));
endmodule




// Generated from Simulink block "dct2d_top_final3/1d_idct"

module dct2d_top_final3_1d_idct (
  ce_sg,
  clk_sg,
  dct_0,
  dct_1,
  dct_2,
  dct_3,
  dct_4,
  dct_5,
  dct_6,
  dct_7,
  dummy_c_1,
  dummy_c_2,
  dummy_c_3,
  dummy_c_4,
  dummy_c_5,
  dummy_c_6,
  dummy_c_7,
  dummy_c_8,
  rdy_in,
  rst,
  we,
  x0_1d1,
  x0_1d2,
  x0_1d3,
  x0_1d4,
  x0_1d5,
  x0_1d6,
  x0_1d7,
  x0_1d8
);

  input  ce_sg;
  input  clk_sg;
  input [11 : 0] dct_0;
  input [11 : 0] dct_1;
  input [11 : 0] dct_2;
  input [11 : 0] dct_3;
  input [11 : 0] dct_4;
  input [11 : 0] dct_5;
  input [11 : 0] dct_6;
  input [11 : 0] dct_7;
  input [47 : 0] dummy_c_1;
  input [47 : 0] dummy_c_2;
  input [47 : 0] dummy_c_3;
  input [47 : 0] dummy_c_4;
  input [47 : 0] dummy_c_5;
  input [47 : 0] dummy_c_6;
  input [47 : 0] dummy_c_7;
  input [47 : 0] dummy_c_8;
  input  rdy_in;
  input  rst;
  output  we;
  output [17 : 0] x0_1d1;
  output [17 : 0] x0_1d2;
  output [17 : 0] x0_1d3;
  output [17 : 0] x0_1d4;
  output [17 : 0] x0_1d5;
  output [17 : 0] x0_1d6;
  output [17 : 0] x0_1d7;
  output [17 : 0] x0_1d8;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [10 : 0] constant1_dout;
  wire [10 : 0] constant_dout;
  wire [1 : 0] counter_q;
  wire [11 : 0] dct_0_x_0;
  wire [11 : 0] dct_1_x_0;
  wire [11 : 0] dct_2_x_0;
  wire [11 : 0] dct_3_x_0;
  wire [11 : 0] dct_4_x_0;
  wire [11 : 0] dct_5_x_0;
  wire [11 : 0] dct_6_x_0;
  wire [11 : 0] dct_7_x_0;
  wire  delay2_q;
  wire [10 : 0] delay_q;
  wire [47 : 0] dummy_c_1_x_0;
  wire [47 : 0] dummy_c_2_x_0;
  wire [47 : 0] dummy_c_3_x_0;
  wire [47 : 0] dummy_c_4_x_0;
  wire [47 : 0] dummy_c_5_x_0;
  wire [47 : 0] dummy_c_6_x_0;
  wire [47 : 0] dummy_c_7_x_0;
  wire [47 : 0] dummy_c_8_x_0;
  wire  expression_dout;
  wire [11 : 0] mux1_dout;
  wire [10 : 0] mux2_dout;
  wire [11 : 0] mux_dout;
  wire  rdy_in_x_0;
  wire  register10_q;
  wire  register11_q;
  wire  register12_q;
  wire  register13_q;
  wire  register14_q;
  wire  register15_q;
  wire  register16_q;
  wire  register17_q;
  wire [17 : 0] register1_q;
  wire [17 : 0] register2_q;
  wire [17 : 0] register3_q;
  wire [17 : 0] register4_q;
  wire [17 : 0] register5_q;
  wire [17 : 0] register6_q;
  wire [17 : 0] register7_q;
  wire  register8_q;
  wire  register9_q;
  wire [17 : 0] register_q;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_47_dout;
  wire  sl2v_48_dout;
  wire  sl2v_49_dout;
  wire  sl2v_4_dout;
  wire  sl2v_50_dout;
  wire  sl2v_51_dout;
  wire  sl2v_52_dout;
  wire  sl2v_53_dout;
  wire  sl2v_54_dout;
  wire  sl2v_55_dout;
  wire  sl2v_56_dout;
  wire  sl2v_57_dout;
  wire  sl2v_58_dout;
  wire  sl2v_59_dout;
  wire  sl2v_5_dout;
  wire  sl2v_60_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire [11 : 0] subsystem10_out2;
  wire [11 : 0] subsystem11_out2;
  wire [11 : 0] subsystem12_out2;
  wire [11 : 0] subsystem13_out2;
  wire [11 : 0] subsystem14_out2;
  wire [11 : 0] subsystem15_out2;
  wire [11 : 0] subsystem16_out2;
  wire [11 : 0] subsystem17_out2;
  wire [15 : 0] subsystem1_out2;
  wire [15 : 0] subsystem2_out2;
  wire [15 : 0] subsystem3_out2;
  wire [17 : 0] subsystem4_x0_1d1;
  wire [17 : 0] subsystem4_x0_1d2;
  wire [17 : 0] subsystem4_x0_1d3;
  wire [17 : 0] subsystem4_x0_1d4;
  wire [17 : 0] subsystem4_x0_1d5;
  wire [17 : 0] subsystem4_x0_1d6;
  wire [17 : 0] subsystem4_x0_1d7;
  wire [17 : 0] subsystem4_x0_1d8;
  wire [15 : 0] subsystem5_out2;
  wire [15 : 0] subsystem6_out2;
  wire [15 : 0] subsystem7_out2;
  wire [15 : 0] subsystem8_out2;
  wire  subsystem9_out1;
  wire [15 : 0] subsystem_out1;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct_0_x_0 = dct_0;
  assign dct_1_x_0 = dct_1;
  assign dct_2_x_0 = dct_2;
  assign dct_3_x_0 = dct_3;
  assign dct_4_x_0 = dct_4;
  assign dct_5_x_0 = dct_5;
  assign dct_6_x_0 = dct_6;
  assign dct_7_x_0 = dct_7;
  assign dummy_c_1_x_0 = dummy_c_1;
  assign dummy_c_2_x_0 = dummy_c_2;
  assign dummy_c_3_x_0 = dummy_c_3;
  assign dummy_c_4_x_0 = dummy_c_4;
  assign dummy_c_5_x_0 = dummy_c_5;
  assign dummy_c_6_x_0 = dummy_c_6;
  assign dummy_c_7_x_0 = dummy_c_7;
  assign dummy_c_8_x_0 = dummy_c_8;
  assign rdy_in_x_0 = rdy_in;
  assign rst_x_0 = rst;
  assign we = v2sl_8_dout;
  assign x0_1d1 = register_q;
  assign x0_1d2 = register2_q;
  assign x0_1d3 = register4_q;
  assign x0_1d4 = register6_q;
  assign x0_1d5 = register7_q;
  assign x0_1d6 = register5_q;
  assign x0_1d7 = register3_q;
  assign x0_1d8 = register1_q;


  xlconstant constant1 (
    .dout(constant1_dout)
  );
  defparam 
    constant1.dout_width = 11,
    constant1.dout_arith = `xlUnsigned,
    constant1.dout_bin_pt = 0,
    constant1.const_val = 11'b00000100101;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 11,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 11'b00000000101;

  dct2d_top_final3_counter counter (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter_q)
  );
  defparam 
// synopsys translate_off
    counter.c_ainit_val = "00",
    counter.c_count_by = "01",
    counter.c_sinit_val = "00",
// synopsys translate_on,
    counter.en_width = 1,
    counter.en_arith = `xlUnsigned,
    counter.en_bin_pt = 0,
    counter.q_width = 2,
    counter.q_arith = `xlUnsigned,
    counter.q_bin_pt = 0,
    counter.rst_width = 1,
    counter.rst_arith = `xlUnsigned,
    counter.rst_bin_pt = 0,
    counter.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter.c_count_mode = 0,
    counter.c_enable_rlocs = 1,
    counter.c_has_load = 0,
    counter.c_has_up = 0;

  xldelay delay (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(mux2_dout),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(delay_q)
  );
  defparam 
    delay.d_width = 11,
    delay.d_arith = `xlUnsigned,
    delay.d_bin_pt = 0,
    delay.en_width = 1,
    delay.en_arith = `xlUnsigned,
    delay.en_bin_pt = 0,
    delay.q_width = 11,
    delay.q_arith = `xlUnsigned,
    delay.q_bin_pt = 0,
    delay.rst_width = 1,
    delay.rst_arith = `xlUnsigned,
    delay.rst_bin_pt = 0,
    delay.latency = 1,
    delay.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_3_dout),
    .en(sl2v_4_dout),
    .rst(sl2v_5_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 9,
    delay2.reg_retiming = 0;

  dct2d_top_final3_expression_x_0 expression (
    .a(sl2v_6_dout),
    .b(sl2v_7_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_8_dout),
    .dout(expression_dout)
  );
  defparam 
    expression.a_width = 1,
    expression.a_arith = `xlUnsigned,
    expression.a_bin_pt = 0,
    expression.b_width = 1,
    expression.b_arith = `xlUnsigned,
    expression.b_bin_pt = 0,
    expression.dout_width = 1,
    expression.dout_arith = `xlUnsigned,
    expression.dout_bin_pt = 0,
    expression.en_width = 1,
    expression.en_arith = `xlUnsigned,
    expression.en_bin_pt = 0,
    expression.full_arith = `xlUnsigned,
    expression.full_bin_pt = 0,
    expression.full_width = 1,
    expression.latency = 0;

  dct2d_top_final3_mux1 mux (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(subsystem10_out2),
    .din1(subsystem12_out2),
    .din2(subsystem14_out2),
    .din3(subsystem16_out2),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .s(counter_q),
    .dout(mux_dout)
  );
  defparam 
    mux.din0_width = 12,
    mux.din0_arith = `xlSigned,
    mux.din0_bin_pt = 0,
    mux.din1_width = 12,
    mux.din1_arith = `xlSigned,
    mux.din1_bin_pt = 0,
    mux.din2_width = 12,
    mux.din2_arith = `xlSigned,
    mux.din2_bin_pt = 0,
    mux.din3_width = 12,
    mux.din3_arith = `xlSigned,
    mux.din3_bin_pt = 0,
    mux.dout_width = 12,
    mux.dout_arith = `xlSigned,
    mux.dout_bin_pt = 0,
    mux.en_width = 1,
    mux.en_arith = `xlUnsigned,
    mux.en_bin_pt = 0,
    mux.rst_width = 1,
    mux.rst_arith = `xlUnsigned,
    mux.rst_bin_pt = 0,
    mux.s_width = 2,
    mux.s_arith = `xlUnsigned,
    mux.s_bin_pt = 0,
    mux.core_name0 = "bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5",
    mux.c_enable_rlocs = 0,
    mux.c_has_ce = 1,
    mux.c_has_o = 0,
    mux.c_has_q = 1,
    mux.c_has_sclr = 1,
    mux.c_inputs = 4,
    mux.c_latency = 1,
    mux.c_mux_type = 0,
    mux.c_sel_width = 2,
    mux.c_width = 12,
    mux.core = 1,
    mux.core_dout_arith = `xlSigned,
    mux.core_dout_bin_pt = 0,
    mux.latency = 1,
    mux.overflow = `xlWrap,
    mux.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(subsystem11_out2),
    .din1(subsystem13_out2),
    .din2(subsystem15_out2),
    .din3(subsystem17_out2),
    .en(sl2v_11_dout),
    .rst(sl2v_12_dout),
    .s(counter_q),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 12,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 12,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.din2_width = 12,
    mux1.din2_arith = `xlSigned,
    mux1.din2_bin_pt = 0,
    mux1.din3_width = 12,
    mux1.din3_arith = `xlSigned,
    mux1.din3_bin_pt = 0,
    mux1.dout_width = 12,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 2,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_d1d31978f66fbbe5",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 4,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 2,
    mux1.c_width = 12,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(constant1_dout),
    .din2(constant1_dout),
    .din3(constant1_dout),
    .en(sl2v_13_dout),
    .rst(sl2v_14_dout),
    .s(counter_q),
    .dout(mux2_dout)
  );
  defparam 
    mux2.din0_width = 11,
    mux2.din0_arith = `xlUnsigned,
    mux2.din0_bin_pt = 0,
    mux2.din1_width = 11,
    mux2.din1_arith = `xlUnsigned,
    mux2.din1_bin_pt = 0,
    mux2.din2_width = 11,
    mux2.din2_arith = `xlUnsigned,
    mux2.din2_bin_pt = 0,
    mux2.din3_width = 11,
    mux2.din3_arith = `xlUnsigned,
    mux2.din3_bin_pt = 0,
    mux2.dout_width = 11,
    mux2.dout_arith = `xlUnsigned,
    mux2.dout_bin_pt = 0,
    mux2.en_width = 1,
    mux2.en_arith = `xlUnsigned,
    mux2.en_bin_pt = 0,
    mux2.rst_width = 1,
    mux2.rst_arith = `xlUnsigned,
    mux2.rst_bin_pt = 0,
    mux2.s_width = 2,
    mux2.s_arith = `xlUnsigned,
    mux2.s_bin_pt = 0,
    mux2.core_name0 = "bus_multiplexer_virtex4_7_0_ab40e4648f86b94c",
    mux2.c_enable_rlocs = 0,
    mux2.c_has_ce = 1,
    mux2.c_has_o = 0,
    mux2.c_has_q = 1,
    mux2.c_has_sclr = 1,
    mux2.c_inputs = 4,
    mux2.c_latency = 1,
    mux2.c_mux_type = 0,
    mux2.c_sel_width = 2,
    mux2.c_width = 11,
    mux2.core = 1,
    mux2.core_dout_arith = `xlUnsigned,
    mux2.core_dout_bin_pt = 0,
    mux2.latency = 1,
    mux2.overflow = `xlWrap,
    mux2.quantization = `xlTruncate;

  xlregister register1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d8),
    .en(sl2v_17_dout),
    .rst(sl2v_18_dout),
    .q(register1_q)
  );
  defparam 
    register1.d_width = 18,
    register1.d_arith = `xlSigned,
    register1.d_bin_pt = 0,
    register1.en_width = 1,
    register1.en_arith = `xlUnsigned,
    register1.en_bin_pt = 0,
    register1.q_width = 18,
    register1.q_arith = `xlSigned,
    register1.q_bin_pt = 0,
    register1.rst_width = 1,
    register1.rst_arith = `xlUnsigned,
    register1.rst_bin_pt = 0,
    register1.init_value = 'b000000000000000000;

  xlregister register10 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_19_dout),
    .en(sl2v_20_dout),
    .rst(sl2v_21_dout),
    .q(register10_q)
  );
  defparam 
    register10.d_width = 1,
    register10.d_arith = `xlUnsigned,
    register10.d_bin_pt = 0,
    register10.en_width = 1,
    register10.en_arith = `xlUnsigned,
    register10.en_bin_pt = 0,
    register10.q_width = 1,
    register10.q_arith = `xlUnsigned,
    register10.q_bin_pt = 0,
    register10.rst_width = 1,
    register10.rst_arith = `xlUnsigned,
    register10.rst_bin_pt = 0,
    register10.init_value = 'b0;

  xlregister register11 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_22_dout),
    .en(sl2v_23_dout),
    .rst(sl2v_24_dout),
    .q(register11_q)
  );
  defparam 
    register11.d_width = 1,
    register11.d_arith = `xlUnsigned,
    register11.d_bin_pt = 0,
    register11.en_width = 1,
    register11.en_arith = `xlUnsigned,
    register11.en_bin_pt = 0,
    register11.q_width = 1,
    register11.q_arith = `xlUnsigned,
    register11.q_bin_pt = 0,
    register11.rst_width = 1,
    register11.rst_arith = `xlUnsigned,
    register11.rst_bin_pt = 0,
    register11.init_value = 'b0;

  xlregister register12 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_25_dout),
    .en(sl2v_26_dout),
    .rst(sl2v_27_dout),
    .q(register12_q)
  );
  defparam 
    register12.d_width = 1,
    register12.d_arith = `xlUnsigned,
    register12.d_bin_pt = 0,
    register12.en_width = 1,
    register12.en_arith = `xlUnsigned,
    register12.en_bin_pt = 0,
    register12.q_width = 1,
    register12.q_arith = `xlUnsigned,
    register12.q_bin_pt = 0,
    register12.rst_width = 1,
    register12.rst_arith = `xlUnsigned,
    register12.rst_bin_pt = 0,
    register12.init_value = 'b0;

  xlregister register13 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_28_dout),
    .en(sl2v_29_dout),
    .rst(sl2v_30_dout),
    .q(register13_q)
  );
  defparam 
    register13.d_width = 1,
    register13.d_arith = `xlUnsigned,
    register13.d_bin_pt = 0,
    register13.en_width = 1,
    register13.en_arith = `xlUnsigned,
    register13.en_bin_pt = 0,
    register13.q_width = 1,
    register13.q_arith = `xlUnsigned,
    register13.q_bin_pt = 0,
    register13.rst_width = 1,
    register13.rst_arith = `xlUnsigned,
    register13.rst_bin_pt = 0,
    register13.init_value = 'b0;

  xlregister register14 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_31_dout),
    .en(sl2v_32_dout),
    .rst(sl2v_33_dout),
    .q(register14_q)
  );
  defparam 
    register14.d_width = 1,
    register14.d_arith = `xlUnsigned,
    register14.d_bin_pt = 0,
    register14.en_width = 1,
    register14.en_arith = `xlUnsigned,
    register14.en_bin_pt = 0,
    register14.q_width = 1,
    register14.q_arith = `xlUnsigned,
    register14.q_bin_pt = 0,
    register14.rst_width = 1,
    register14.rst_arith = `xlUnsigned,
    register14.rst_bin_pt = 0,
    register14.init_value = 'b0;

  xlregister register15 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_34_dout),
    .en(sl2v_35_dout),
    .rst(sl2v_36_dout),
    .q(register15_q)
  );
  defparam 
    register15.d_width = 1,
    register15.d_arith = `xlUnsigned,
    register15.d_bin_pt = 0,
    register15.en_width = 1,
    register15.en_arith = `xlUnsigned,
    register15.en_bin_pt = 0,
    register15.q_width = 1,
    register15.q_arith = `xlUnsigned,
    register15.q_bin_pt = 0,
    register15.rst_width = 1,
    register15.rst_arith = `xlUnsigned,
    register15.rst_bin_pt = 0,
    register15.init_value = 'b0;

  xlregister register16 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_37_dout),
    .en(sl2v_38_dout),
    .rst(sl2v_39_dout),
    .q(register16_q)
  );
  defparam 
    register16.d_width = 1,
    register16.d_arith = `xlUnsigned,
    register16.d_bin_pt = 0,
    register16.en_width = 1,
    register16.en_arith = `xlUnsigned,
    register16.en_bin_pt = 0,
    register16.q_width = 1,
    register16.q_arith = `xlUnsigned,
    register16.q_bin_pt = 0,
    register16.rst_width = 1,
    register16.rst_arith = `xlUnsigned,
    register16.rst_bin_pt = 0,
    register16.init_value = 'b0;

  xlregister register17 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_40_dout),
    .en(sl2v_41_dout),
    .rst(sl2v_42_dout),
    .q(register17_q)
  );
  defparam 
    register17.d_width = 1,
    register17.d_arith = `xlUnsigned,
    register17.d_bin_pt = 0,
    register17.en_width = 1,
    register17.en_arith = `xlUnsigned,
    register17.en_bin_pt = 0,
    register17.q_width = 1,
    register17.q_arith = `xlUnsigned,
    register17.q_bin_pt = 0,
    register17.rst_width = 1,
    register17.rst_arith = `xlUnsigned,
    register17.rst_bin_pt = 0,
    register17.init_value = 'b0;

  xlregister register2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d2),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .q(register2_q)
  );
  defparam 
    register2.d_width = 18,
    register2.d_arith = `xlSigned,
    register2.d_bin_pt = 0,
    register2.en_width = 1,
    register2.en_arith = `xlUnsigned,
    register2.en_bin_pt = 0,
    register2.q_width = 18,
    register2.q_arith = `xlSigned,
    register2.q_bin_pt = 0,
    register2.rst_width = 1,
    register2.rst_arith = `xlUnsigned,
    register2.rst_bin_pt = 0,
    register2.init_value = 'b000000000000000000;

  xlregister register3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d7),
    .en(sl2v_45_dout),
    .rst(sl2v_46_dout),
    .q(register3_q)
  );
  defparam 
    register3.d_width = 18,
    register3.d_arith = `xlSigned,
    register3.d_bin_pt = 0,
    register3.en_width = 1,
    register3.en_arith = `xlUnsigned,
    register3.en_bin_pt = 0,
    register3.q_width = 18,
    register3.q_arith = `xlSigned,
    register3.q_bin_pt = 0,
    register3.rst_width = 1,
    register3.rst_arith = `xlUnsigned,
    register3.rst_bin_pt = 0,
    register3.init_value = 'b000000000000000000;

  xlregister register4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d3),
    .en(sl2v_47_dout),
    .rst(sl2v_48_dout),
    .q(register4_q)
  );
  defparam 
    register4.d_width = 18,
    register4.d_arith = `xlSigned,
    register4.d_bin_pt = 0,
    register4.en_width = 1,
    register4.en_arith = `xlUnsigned,
    register4.en_bin_pt = 0,
    register4.q_width = 18,
    register4.q_arith = `xlSigned,
    register4.q_bin_pt = 0,
    register4.rst_width = 1,
    register4.rst_arith = `xlUnsigned,
    register4.rst_bin_pt = 0,
    register4.init_value = 'b000000000000000000;

  xlregister register5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d6),
    .en(sl2v_49_dout),
    .rst(sl2v_50_dout),
    .q(register5_q)
  );
  defparam 
    register5.d_width = 18,
    register5.d_arith = `xlSigned,
    register5.d_bin_pt = 0,
    register5.en_width = 1,
    register5.en_arith = `xlUnsigned,
    register5.en_bin_pt = 0,
    register5.q_width = 18,
    register5.q_arith = `xlSigned,
    register5.q_bin_pt = 0,
    register5.rst_width = 1,
    register5.rst_arith = `xlUnsigned,
    register5.rst_bin_pt = 0,
    register5.init_value = 'b000000000000000000;

  xlregister register6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d4),
    .en(sl2v_51_dout),
    .rst(sl2v_52_dout),
    .q(register6_q)
  );
  defparam 
    register6.d_width = 18,
    register6.d_arith = `xlSigned,
    register6.d_bin_pt = 0,
    register6.en_width = 1,
    register6.en_arith = `xlUnsigned,
    register6.en_bin_pt = 0,
    register6.q_width = 18,
    register6.q_arith = `xlSigned,
    register6.q_bin_pt = 0,
    register6.rst_width = 1,
    register6.rst_arith = `xlUnsigned,
    register6.rst_bin_pt = 0,
    register6.init_value = 'b000000000000000000;

  xlregister register7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d5),
    .en(sl2v_53_dout),
    .rst(sl2v_54_dout),
    .q(register7_q)
  );
  defparam 
    register7.d_width = 18,
    register7.d_arith = `xlSigned,
    register7.d_bin_pt = 0,
    register7.en_width = 1,
    register7.en_arith = `xlUnsigned,
    register7.en_bin_pt = 0,
    register7.q_width = 18,
    register7.q_arith = `xlSigned,
    register7.q_bin_pt = 0,
    register7.rst_width = 1,
    register7.rst_arith = `xlUnsigned,
    register7.rst_bin_pt = 0,
    register7.init_value = 'b000000000000000000;

  xlregister register8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_55_dout),
    .en(sl2v_56_dout),
    .rst(sl2v_57_dout),
    .q(register8_q)
  );
  defparam 
    register8.d_width = 1,
    register8.d_arith = `xlUnsigned,
    register8.d_bin_pt = 0,
    register8.en_width = 1,
    register8.en_arith = `xlUnsigned,
    register8.en_bin_pt = 0,
    register8.q_width = 1,
    register8.q_arith = `xlUnsigned,
    register8.q_bin_pt = 0,
    register8.rst_width = 1,
    register8.rst_arith = `xlUnsigned,
    register8.rst_bin_pt = 0,
    register8.init_value = 'b0;

  xlregister register9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_58_dout),
    .en(sl2v_59_dout),
    .rst(sl2v_60_dout),
    .q(register9_q)
  );
  defparam 
    register9.d_width = 1,
    register9.d_arith = `xlUnsigned,
    register9.d_bin_pt = 0,
    register9.en_width = 1,
    register9.en_arith = `xlUnsigned,
    register9.en_bin_pt = 0,
    register9.q_width = 1,
    register9.q_arith = `xlUnsigned,
    register9.q_bin_pt = 0,
    register9.rst_width = 1,
    register9.rst_arith = `xlUnsigned,
    register9.rst_bin_pt = 0,
    register9.init_value = 'b0;

  xlregister register_x_0 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_x0_1d1),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(register_q)
  );
  defparam 
    register_x_0.d_width = 18,
    register_x_0.d_arith = `xlSigned,
    register_x_0.d_bin_pt = 0,
    register_x_0.en_width = 1,
    register_x_0.en_arith = `xlUnsigned,
    register_x_0.en_bin_pt = 0,
    register_x_0.q_width = 18,
    register_x_0.q_arith = `xlSigned,
    register_x_0.q_bin_pt = 0,
    register_x_0.rst_width = 1,
    register_x_0.rst_arith = `xlUnsigned,
    register_x_0.rst_bin_pt = 0,
    register_x_0.init_value = 'b000000000000000000;

  xlsl2slv sl2v (
    .din(subsystem9_out1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(1'b1),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b0),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b1),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(1'b0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(v2sl_dout),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b0),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(v2sl_10_dout),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(1'b1),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(rst_x_0),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(v2sl_1_dout),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(1'b1),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(rst_x_0),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(v2sl_2_dout),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(1'b1),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(rst_x_0),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(v2sl_9_dout),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(1'b1),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rdy_in_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(rst_x_0),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(v2sl_4_dout),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(1'b1),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(rst_x_0),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_5_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(1'b1),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(rst_x_0),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_6_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(1'b1),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(rst_x_0),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(1'b1),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_7_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(1'b1),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(rst_x_0),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(v2sl_dout),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b0),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_47 (
    .din(v2sl_dout),
    .dout(sl2v_47_dout)
  );
  defparam 
    sl2v_47.dout_width = 1,
    sl2v_47.dout_arith = `xlUnsigned,
    sl2v_47.dout_bin_pt = 0;

  xlsl2slv sl2v_48 (
    .din(1'b0),
    .dout(sl2v_48_dout)
  );
  defparam 
    sl2v_48.dout_width = 1,
    sl2v_48.dout_arith = `xlUnsigned,
    sl2v_48.dout_bin_pt = 0;

  xlsl2slv sl2v_49 (
    .din(v2sl_dout),
    .dout(sl2v_49_dout)
  );
  defparam 
    sl2v_49.dout_width = 1,
    sl2v_49.dout_arith = `xlUnsigned,
    sl2v_49.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(1'b0),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_50 (
    .din(1'b0),
    .dout(sl2v_50_dout)
  );
  defparam 
    sl2v_50.dout_width = 1,
    sl2v_50.dout_arith = `xlUnsigned,
    sl2v_50.dout_bin_pt = 0;

  xlsl2slv sl2v_51 (
    .din(v2sl_dout),
    .dout(sl2v_51_dout)
  );
  defparam 
    sl2v_51.dout_width = 1,
    sl2v_51.dout_arith = `xlUnsigned,
    sl2v_51.dout_bin_pt = 0;

  xlsl2slv sl2v_52 (
    .din(1'b0),
    .dout(sl2v_52_dout)
  );
  defparam 
    sl2v_52.dout_width = 1,
    sl2v_52.dout_arith = `xlUnsigned,
    sl2v_52.dout_bin_pt = 0;

  xlsl2slv sl2v_53 (
    .din(v2sl_dout),
    .dout(sl2v_53_dout)
  );
  defparam 
    sl2v_53.dout_width = 1,
    sl2v_53.dout_arith = `xlUnsigned,
    sl2v_53.dout_bin_pt = 0;

  xlsl2slv sl2v_54 (
    .din(1'b0),
    .dout(sl2v_54_dout)
  );
  defparam 
    sl2v_54.dout_width = 1,
    sl2v_54.dout_arith = `xlUnsigned,
    sl2v_54.dout_bin_pt = 0;

  xlsl2slv sl2v_55 (
    .din(v2sl_3_dout),
    .dout(sl2v_55_dout)
  );
  defparam 
    sl2v_55.dout_width = 1,
    sl2v_55.dout_arith = `xlUnsigned,
    sl2v_55.dout_bin_pt = 0;

  xlsl2slv sl2v_56 (
    .din(1'b1),
    .dout(sl2v_56_dout)
  );
  defparam 
    sl2v_56.dout_width = 1,
    sl2v_56.dout_arith = `xlUnsigned,
    sl2v_56.dout_bin_pt = 0;

  xlsl2slv sl2v_57 (
    .din(rst_x_0),
    .dout(sl2v_57_dout)
  );
  defparam 
    sl2v_57.dout_width = 1,
    sl2v_57.dout_arith = `xlUnsigned,
    sl2v_57.dout_bin_pt = 0;

  xlsl2slv sl2v_58 (
    .din(rdy_in_x_0),
    .dout(sl2v_58_dout)
  );
  defparam 
    sl2v_58.dout_width = 1,
    sl2v_58.dout_arith = `xlUnsigned,
    sl2v_58.dout_bin_pt = 0;

  xlsl2slv sl2v_59 (
    .din(1'b1),
    .dout(sl2v_59_dout)
  );
  defparam 
    sl2v_59.dout_width = 1,
    sl2v_59.dout_arith = `xlUnsigned,
    sl2v_59.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(rdy_in_x_0),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_60 (
    .din(rst_x_0),
    .dout(sl2v_60_dout)
  );
  defparam 
    sl2v_60.dout_width = 1,
    sl2v_60.dout_arith = `xlUnsigned,
    sl2v_60.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(rst_x_0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(1'b1),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  dct2d_top_final3_subsystem subsystem (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out1(subsystem_out1)
  );

  dct2d_top_final3_subsystem1 subsystem1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem1_out2)
  );

  dct2d_top_final3_subsystem10 subsystem10 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_0_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem10_out2)
  );

  dct2d_top_final3_subsystem10 subsystem11 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_1_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem11_out2)
  );

  dct2d_top_final3_subsystem10 subsystem12 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_2_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem12_out2)
  );

  dct2d_top_final3_subsystem10 subsystem13 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_3_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem13_out2)
  );

  dct2d_top_final3_subsystem10 subsystem14 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_4_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem14_out2)
  );

  dct2d_top_final3_subsystem10 subsystem15 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_5_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem15_out2)
  );

  dct2d_top_final3_subsystem10 subsystem16 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_6_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem16_out2)
  );

  dct2d_top_final3_subsystem10 subsystem17 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(dct_7_x_0),
    .rst(v2sl_0_dout),
    .out2(subsystem17_out2)
  );

  dct2d_top_final3_subsystem2 subsystem2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem2_out2)
  );

  dct2d_top_final3_subsystem3 subsystem3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem3_out2)
  );

  dct2d_top_final3_subsystem4 subsystem4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(mux_dout),
    .dct2in(mux1_dout),
    .dummy_c_1(dummy_c_1_x_0),
    .dummy_c_2(dummy_c_2_x_0),
    .dummy_c_3(dummy_c_3_x_0),
    .dummy_c_4(dummy_c_4_x_0),
    .dummy_c_5(dummy_c_5_x_0),
    .dummy_c_6(dummy_c_6_x_0),
    .dummy_c_7(dummy_c_7_x_0),
    .dummy_c_8(dummy_c_8_x_0),
    .mem11(subsystem_out1),
    .mem12(subsystem1_out2),
    .mem13(subsystem2_out2),
    .mem14(subsystem3_out2),
    .mem15(subsystem5_out2),
    .mem16(subsystem7_out2),
    .mem17(subsystem6_out2),
    .mem18(subsystem8_out2),
    .opmode(delay_q),
    .rst(rst_x_0),
    .x0_1d1(subsystem4_x0_1d1),
    .x0_1d2(subsystem4_x0_1d2),
    .x0_1d3(subsystem4_x0_1d3),
    .x0_1d4(subsystem4_x0_1d4),
    .x0_1d5(subsystem4_x0_1d5),
    .x0_1d6(subsystem4_x0_1d6),
    .x0_1d7(subsystem4_x0_1d7),
    .x0_1d8(subsystem4_x0_1d8)
  );

  dct2d_top_final3_subsystem5 subsystem5 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem5_out2)
  );

  dct2d_top_final3_subsystem6 subsystem6 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem6_out2)
  );

  dct2d_top_final3_subsystem7 subsystem7 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem7_out2)
  );

  dct2d_top_final3_subsystem8 subsystem8 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .sel(counter_q),
    .out2(subsystem8_out2)
  );

  dct2d_top_final3_subsystem9 subsystem9 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .in1(rdy_in_x_0),
    .rst(rst_x_0),
    .out1(subsystem9_out1)
  );

  xlslv2sl v2sl (
    .din(delay2_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(expression_dout),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(register10_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(register9_q),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(register11_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(register12_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(register13_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(register14_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(register15_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(register16_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(register17_q),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(register8_q),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

`ifndef dual_port_block_memory_virtex4_6_1_91317ac2c213573c
`define dual_port_block_memory_virtex4_6_1_91317ac2c213573c
module dual_port_block_memory_virtex4_6_1_91317ac2c213573c  (ADDRA, CLKA, ADDRB, CLKB, DINA, WEA, DINB, WEB, ENA, ENB, SINITB,  DOUTA, DOUTB)/* synthesis syn_black_box */;
      input [1:0] ADDRA;
      input [1:0] ADDRB;
      input [23:0] DINA;
      input [23:0] DINB;
      input CLKA, WEA, ENA;
      input CLKB, WEB, ENB;
      input SINITB;
      output [23:0] DOUTA;
      output [23:0] DOUTB;
endmodule
`endif
module  dct2d_top_final3_dual_port_ram  (dina, addra, wea, a_ce, a_clr, a_clk, rst_a, douta, dinb, addrb, web, b_ce, b_clr, b_clk, rst_b, doutb);
parameter core_name0= "";
parameter c_width_a= 13;
parameter c_depth_a= 16;
parameter c_address_width_a= 4;
parameter c_pipe_stages_a= 0;
parameter c_write_modea= 0;
parameter c_width_b= 13;
parameter c_depth_b= 16;
parameter c_address_width_b= 4;
parameter c_write_modeb= 0;
parameter c_pipe_stages_b= 0;
parameter c_sinita_value= "0";
parameter c_sinitb_value= "0";
parameter c_mem_init_file= "null.mif";
parameter c_has_sinita= 0;
parameter c_has_sinitb= 0;
parameter uid= 0;
parameter latency= 1;

input [c_width_a-1:0] dina;
input [c_address_width_a-1:0] addra;
input wea, a_ce, a_clr, a_clk, rst_a;
input [c_width_b-1:0] dinb;
input [c_address_width_b-1:0] addrb;
input web, b_ce, b_clr, b_clk, rst_b;
output [c_width_a-1:0] douta;
output [c_width_b-1:0] doutb;
wire [c_address_width_a-1:0] core_addra;
wire [c_address_width_b-1:0] core_addrb;
wire [c_width_a-1:0] core_dina,core_douta,dly_douta;
wire [c_width_b-1:0] core_dinb,core_doutb,dly_doutb;
wire  core_wea,core_web;
wire  core_a_ce,core_b_ce;
wire  sinita,sinitb;
assign core_addra = addra;
assign core_dina = dina;
assign douta = dly_douta;
assign core_wea = wea;
assign core_a_ce = a_ce;
assign sinita = (rst_a | a_clr) & a_ce;
assign core_addrb = addrb;
assign core_dinb = dinb;
assign doutb = dly_doutb;
assign core_web = web;
assign core_b_ce = b_ce;
assign sinitb = (rst_b | b_clr) & b_ce;
generate
  if ( (`simulating ==0) && (core_name0 == "dual_port_block_memory_virtex4_6_1_91317ac2c213573c") )
    begin:comp0
    dual_port_block_memory_virtex4_6_1_91317ac2c213573c core_instance0 (
                              .ADDRA(core_addra),
      .CLKA(a_clk),
      .ADDRB(core_addrb),
      .CLKB(b_clk),
      .DINA(core_dina),
      .WEA(core_wea),
      .DINB(core_dinb),
      .WEB(core_web),
      .ENA(core_a_ce),
      .ENB(core_b_ce),
      .SINITB(sinitb),
      .DOUTA(core_douta),
      .DOUTB(core_doutb)
                );
  end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "dual_port_block_memory_virtex4_6_1_91317ac2c213573c") )
   begin:comp1
     BLKMEMDP_V6_1 core_instance1(
                               .ADDRA(core_addra),
      .CLKA(a_clk),
      .ADDRB(core_addrb),
      .CLKB(b_clk),
      .DINA(core_dina),
      .WEA(core_wea),
      .DINB(core_dinb),
      .WEB(core_web),
      .ENA(core_a_ce),
      .ENB(core_b_ce),
      .SINITB(sinitb),
      .DOUTA(core_douta),
      .DOUTB(core_doutb)
                );
defparam
core_instance1.c_depth_b= c_depth_b,
core_instance1.c_depth_a= c_depth_a,
core_instance1.c_has_rdyb= 0,
core_instance1.c_has_rdya= 0,
core_instance1.c_has_web= 1,
core_instance1.c_has_wea= 1,
core_instance1.c_sinitb_value= c_sinitb_value,
core_instance1.c_has_doutb= 1,
core_instance1.c_has_douta= 1,
core_instance1.c_has_limit_data_pitch= 0,
core_instance1.c_sinita_value= c_sinita_value,
core_instance1.c_limit_data_pitch= 18,
core_instance1.c_width_b= c_width_b,
core_instance1.c_width_a= c_width_a,
core_instance1.c_write_modeb= c_write_modeb,
core_instance1.c_write_modea= c_write_modea,
core_instance1.c_addra_width= c_address_width_a,
core_instance1.c_has_ndb= 0,
core_instance1.c_has_nda= 0,
core_instance1.c_has_dinb= 1,
core_instance1.c_has_dina= 1,
core_instance1.c_pipe_stages_b= c_pipe_stages_b,
core_instance1.c_pipe_stages_a= c_pipe_stages_a,
core_instance1.c_has_rfdb= 0,
core_instance1.c_has_rfda= 0,
core_instance1.c_has_enb= 1,
core_instance1.c_has_ena= 1,
core_instance1.c_reg_inputsb= 0,
core_instance1.c_reg_inputsa= 0,
core_instance1.c_default_data= "00",
core_instance1.c_has_default_data= 0,
core_instance1.c_mem_init_file= c_mem_init_file,
core_instance1.c_has_sinitb= c_has_sinitb,
core_instance1.c_has_sinita= c_has_sinita,
core_instance1.c_enable_rlocs= 0,
core_instance1.c_addrb_width= c_address_width_b;
end
// synopsys translate_on
if (latency > 2)
  begin:latency_test_instA
   synth_reg # (c_width_a, latency-2)
   regA(
     .i(core_douta),
     .ce(a_ce),
     .clr(a_clr),
     .clk(a_clk),
     .o(dly_douta));
  end
if (latency > 2)
  begin:latency_test_instB
   synth_reg # (c_width_b, latency-2)
   regB(
     .i(core_doutb),
     .ce(b_ce),
     .clr(b_clr),
     .clk(b_clk),
     .o(dly_doutb));
  end

if (latency <= 2)
   begin:latency1
     assign dly_douta = core_douta;
     assign dly_doutb = core_doutb;
   end
endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  dct2d_top_final3_expression2  (                                a,
                                                            b,
                            ce, clr, clk, en, dout);
        parameter a_width= 12;
        parameter a_bin_pt= 7;
        parameter a_arith= `xlSigned;
        parameter b_width= 12;
        parameter b_bin_pt= 7;
        parameter b_arith= `xlSigned;
parameter full_width= 12;
parameter full_bin_pt= 7;
parameter full_arith= `xlSigned;
parameter dout_width= 12;
parameter dout_bin_pt= 7;
parameter dout_arith= `xlSigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter latency= 1;
input [a_width-1:0] a;
input [b_width-1:0] b;
input  ce;
input  clr;
input  clk;
input [en_width-1:0] en;
output [dout_width-1:0] dout;
wire [full_width-1:0] full_dout_unreg;
wire [full_width-1:0] full_dout_reg;
wire [dout_width-1:0] user_dout;
wire  internal_ce;
wire [full_width-1:0] full_din0;
wire [full_width-1:0] full_din1;
assign internal_ce = ce & en[0];
align_input # (a_width,
                full_bin_pt - a_bin_pt,
                a_arith,
                full_width)
align_a(.inp(a),.res(full_din0));
align_input # (b_width,
                full_bin_pt - b_bin_pt,
                b_arith,
                full_width)
align_b(.inp(b),.res(full_din1));
assign full_dout_unreg = (full_din0 | full_din1);
 generate
 if (latency > 0)
     begin:latency_gt_0
        synth_reg # (full_width,1)
          reg1 (
               .i(full_dout_unreg),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(full_dout_reg)
               );
     end

   if (latency == 0)
     begin:latency_eq_0
        assign full_dout_reg = full_dout_unreg;
     end
   if(latency>1)
      begin:latency_gt_1
        synth_reg # (dout_width,latency-1)
          reg2 (
               .i(user_dout),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(dout)
               );
      end
   if ((latency == 0)||(latency == 1))
     begin:latency_also_eq_0
        assign dout = user_dout;
     end
 endgenerate
convert_type # (full_width, full_bin_pt, full_arith,
                             dout_width, dout_bin_pt, dout_arith, `xlTruncate,
                             `xlWrap)
convert_userdout(.inp(full_dout_reg),.res(user_dout));
 endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  xlrelational  (a, b, dout, ce, clr, clk, en);
parameter a_width= 25;
parameter a_bin_pt= 19;
parameter a_arith= `xlSigned;
parameter b_width= 2;
parameter b_bin_pt= 0;
parameter b_arith= `xlSigned;
parameter dout_width= 1;
parameter dout_bin_pt= 0;
parameter dout_arith= `xlUnsigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter full_width= 12;
parameter full_arith= `xlUnsigned;
parameter full_bin_pt= 0;
parameter latency= 1;
parameter operator_type= 1;
input [a_width-1:0] a;
input [b_width-1:0] b;
output [dout_width-1:0] dout;
input ce;
input clr;
input clk;
input [en_width-1:0] en;
wire [full_width-1:0] full_a;
wire [full_width-1:0] full_b;
wire [dout_width-1:0] dout_unreg;
wire [dout_width-1:0] dout_reg;
wire  block_ce;
wire signed [full_width-1:0] signed_full_a;
wire signed [full_width-1:0] signed_full_b;
assign block_ce = ce & en[0];
assign dout = dout_reg;
 align_input # (a_width, full_bin_pt - a_bin_pt, a_arith, full_width)
    align_a(.inp(a),.res(full_a));

 align_input # (b_width, full_bin_pt - b_bin_pt, b_arith, full_width)
    align_b(.inp(b),.res(full_b));
generate
if(full_arith == `xlSigned)
begin:SIGNED_com
assign signed_full_a = full_a;
assign signed_full_b = full_b;
        if(operator_type == 0)
        begin:EQUALITY
                assign dout_unreg = (signed_full_a == signed_full_b);
        end
        if(operator_type == 1)
        begin:INEQUALITY
                assign dout_unreg = (signed_full_a != signed_full_b);
        end
        if(operator_type == 2)
        begin:LESSTHAN
                assign dout_unreg = (signed_full_a < signed_full_b);
        end
        if(operator_type == 3)
        begin:GREATERTHAN
                assign dout_unreg = (signed_full_a > signed_full_b);
        end
        if(operator_type == 4)
        begin:LESSTHAN_EQUAL
                assign dout_unreg = (signed_full_a <= signed_full_b);
        end
        if(operator_type == 5)
        begin:GREATERTHAN_EQUAL
                assign dout_unreg = (signed_full_a >= signed_full_b);
        end
end
if(full_arith == `xlUnsigned)
begin:UNSIGNED_com
        if(operator_type == 0)
        begin:UEQUALITY
                assign dout_unreg = (full_a == full_b);
        end
        if(operator_type == 1)
        begin:UINEQUALITY
                assign dout_unreg = (full_a != full_b);
        end
        if(operator_type == 2)
        begin:ULESSTHAN
                assign dout_unreg = (full_a < full_b);
        end
        if(operator_type == 3)
        begin:UGREATERTHAN
                assign dout_unreg = (full_a > full_b);
        end
        if(operator_type == 4)
        begin:ULESSTHAN_EQUAL
                assign dout_unreg = (full_a <= full_b);
        end
        if(operator_type == 5)
        begin:UGREATERTHAN_EQUAL
                assign dout_unreg = (full_a >= full_b);
        end
end
 if (latency > 0)
     begin:latency_gt_0
        synth_reg # (dout_width, latency)
          reg1 (
               .i(dout_unreg),
               .ce(block_ce),
               .clr(clr),
               .clk(clk),
               .o(dout_reg));
     end

   if (latency == 0)
     begin:latency_eq_0
        assign dout_reg = dout_unreg;
     end
 endgenerate
 endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem1/demux-mux1"

module dct2d_top_final3_demux_mux1 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem1_demux_mux1_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem1/demux-mux2"

module dct2d_top_final3_demux_mux2 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem1_demux_mux2_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem1/demux-mux3"

module dct2d_top_final3_demux_mux3 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem1_demux_mux3_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem1/demux-mux4"

module dct2d_top_final3_demux_mux4 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem1_demux_mux4_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  xlslice  (din, dout);
parameter new_msb= 9;
parameter new_lsb= 1;
parameter din_width= 16;
parameter din_bin_pt= 4;
parameter din_arith= `xlSigned;
parameter dout_width= 8;
parameter dout_bin_pt= 0;
parameter dout_arith= `xlUnsigned;
input [din_width-1:0] din;
output [dout_width-1:0] dout;
wire  real_din,real_dout;
assign dout = din[new_msb:new_lsb];
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem1"

module dct2d_top_final3_subsystem1_x_1 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  en_out,
  enram,
  mem1,
  mem2,
  rst,
  dummy_c_1,
  dummy_c_2,
  dummy_c_3,
  dummy_c_4,
  y0_add,
  y0_sub,
  y1_add,
  y1_sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input  en_out;
  input  enram;
  input [17 : 0] mem1;
  input [17 : 0] mem2;
  input  rst;
  output [47 : 0] dummy_c_1;
  output [47 : 0] dummy_c_2;
  output [47 : 0] dummy_c_3;
  output [47 : 0] dummy_c_4;
  output [11 : 0] y0_add;
  output [11 : 0] y0_sub;
  output [11 : 0] y1_add;
  output [11 : 0] y1_sub;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [11 : 0] constant1_dout;
  wire [10 : 0] constant2_dout;
  wire [10 : 0] constant4_dout;
  wire [11 : 0] constant_dout;
  wire [11 : 0] convert1_dout;
  wire [11 : 0] convert2_dout;
  wire [47 : 0] convert3_dout;
  wire [11 : 0] convert4_dout;
  wire [11 : 0] convert5_dout;
  wire [47 : 0] convert6_dout;
  wire [47 : 0] convert7_dout;
  wire [47 : 0] convert8_dout;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [17 : 0] delay1_q;
  wire [17 : 0] delay2_q;
  wire [23 : 0] demux_mux1_out;
  wire [23 : 0] demux_mux2_out;
  wire [23 : 0] demux_mux3_out;
  wire [23 : 0] demux_mux4_out;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp2_p;
  wire [47 : 0] dsp3_p;
  wire [47 : 0] dsp4_p;
  wire  en_out_x_0;
  wire  enram_x_0;
  wire [17 : 0] mem1_x_0;
  wire [17 : 0] mem2_x_0;
  wire [11 : 0] mux1_dout;
  wire [11 : 0] mux2_dout;
  wire [11 : 0] mux3_dout;
  wire [11 : 0] mux_dout;
  wire [23 : 0] reinterpret1_dout;
  wire [23 : 0] reinterpret2_dout;
  wire [23 : 0] reinterpret3_dout;
  wire [23 : 0] reinterpret5_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire [23 : 0] slice1_dout;
  wire [23 : 0] slice2_dout;
  wire [23 : 0] slice3_dout;
  wire [23 : 0] slice_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign en_out_x_0 = en_out;
  assign enram_x_0 = enram;
  assign mem1_x_0 = mem1;
  assign mem2_x_0 = mem2;
  assign rst_x_0 = rst;
  assign dummy_c_1 = convert8_dout;
  assign dummy_c_2 = convert7_dout;
  assign dummy_c_3 = convert3_dout;
  assign dummy_c_4 = convert6_dout;
  assign y0_add = mux_dout;
  assign y0_sub = mux1_dout;
  assign y1_add = mux2_dout;
  assign y1_sub = mux3_dout;


  xlconstant constant1 (
    .dout(constant1_dout)
  );
  defparam 
    constant1.dout_width = 12,
    constant1.dout_arith = `xlUnsigned,
    constant1.dout_bin_pt = 0,
    constant1.const_val = 12'b000000000000;

  xlconstant constant2 (
    .dout(constant2_dout)
  );
  defparam 
    constant2.dout_width = 11,
    constant2.dout_arith = `xlUnsigned,
    constant2.dout_bin_pt = 0,
    constant2.const_val = 11'b00000110101;

  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 11,
    constant4.dout_arith = `xlUnsigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 11'b00000110101;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 12,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 12'b000000000000;

  xlconvert convert1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret5_dout),
    .dout(convert1_dout)
  );
  defparam 
    convert1.din_width = 24,
    convert1.din_arith = `xlUnsigned,
    convert1.din_bin_pt = 16,
    convert1.dout_width = 12,
    convert1.dout_arith = `xlSigned,
    convert1.dout_bin_pt = 0,
    convert1.bool_conversion = 0,
    convert1.latency = 0,
    convert1.overflow = `xlWrap,
    convert1.quantization = `xlRound;

  xlconvert convert2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret1_dout),
    .dout(convert2_dout)
  );
  defparam 
    convert2.din_width = 24,
    convert2.din_arith = `xlUnsigned,
    convert2.din_bin_pt = 16,
    convert2.dout_width = 12,
    convert2.dout_arith = `xlSigned,
    convert2.dout_bin_pt = 0,
    convert2.bool_conversion = 0,
    convert2.latency = 0,
    convert2.overflow = `xlWrap,
    convert2.quantization = `xlRound;

  xlconvert convert3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux3_out),
    .dout(convert3_dout)
  );
  defparam 
    convert3.din_width = 24,
    convert3.din_arith = `xlSigned,
    convert3.din_bin_pt = 0,
    convert3.dout_width = 48,
    convert3.dout_arith = `xlSigned,
    convert3.dout_bin_pt = 0,
    convert3.bool_conversion = 0,
    convert3.latency = 0,
    convert3.overflow = `xlWrap,
    convert3.quantization = `xlRound;

  xlconvert convert4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret2_dout),
    .dout(convert4_dout)
  );
  defparam 
    convert4.din_width = 24,
    convert4.din_arith = `xlUnsigned,
    convert4.din_bin_pt = 16,
    convert4.dout_width = 12,
    convert4.dout_arith = `xlSigned,
    convert4.dout_bin_pt = 0,
    convert4.bool_conversion = 0,
    convert4.latency = 0,
    convert4.overflow = `xlWrap,
    convert4.quantization = `xlRound;

  xlconvert convert5 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret3_dout),
    .dout(convert5_dout)
  );
  defparam 
    convert5.din_width = 24,
    convert5.din_arith = `xlUnsigned,
    convert5.din_bin_pt = 16,
    convert5.dout_width = 12,
    convert5.dout_arith = `xlSigned,
    convert5.dout_bin_pt = 0,
    convert5.bool_conversion = 0,
    convert5.latency = 0,
    convert5.overflow = `xlWrap,
    convert5.quantization = `xlRound;

  xlconvert convert6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux4_out),
    .dout(convert6_dout)
  );
  defparam 
    convert6.din_width = 24,
    convert6.din_arith = `xlSigned,
    convert6.din_bin_pt = 0,
    convert6.dout_width = 48,
    convert6.dout_arith = `xlSigned,
    convert6.dout_bin_pt = 0,
    convert6.bool_conversion = 0,
    convert6.latency = 0,
    convert6.overflow = `xlWrap,
    convert6.quantization = `xlRound;

  xlconvert convert7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux2_out),
    .dout(convert7_dout)
  );
  defparam 
    convert7.din_width = 24,
    convert7.din_arith = `xlSigned,
    convert7.din_bin_pt = 0,
    convert7.dout_width = 48,
    convert7.dout_arith = `xlSigned,
    convert7.dout_bin_pt = 0,
    convert7.bool_conversion = 0,
    convert7.latency = 0,
    convert7.overflow = `xlWrap,
    convert7.quantization = `xlRound;

  xlconvert convert8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux1_out),
    .dout(convert8_dout)
  );
  defparam 
    convert8.din_width = 24,
    convert8.din_arith = `xlSigned,
    convert8.din_bin_pt = 0,
    convert8.dout_width = 48,
    convert8.dout_arith = `xlSigned,
    convert8.dout_bin_pt = 0,
    convert8.bool_conversion = 0,
    convert8.latency = 0,
    convert8.overflow = `xlWrap,
    convert8.quantization = `xlRound;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct2in_x_0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 18,
    delay1.d_arith = `xlSigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 18,
    delay1.q_arith = `xlSigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct1in_x_0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 18,
    delay2.d_arith = `xlSigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 18,
    delay2.q_arith = `xlSigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 1,
    delay2.reg_retiming = 0;

  dct2d_top_final3_demux_mux1 demux_mux1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux1_out)
  );

  dct2d_top_final3_demux_mux2 demux_mux2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice1_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux2_out)
  );

  dct2d_top_final3_demux_mux3 demux_mux3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice2_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux3_out)
  );

  dct2d_top_final3_demux_mux4 demux_mux4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice3_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux4_out)
  );

  xldsp48 dsp1 (
    .a(delay2_q),
    .b(mem1_x_0),
    .c(convert8_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp2 (
    .a(delay1_q),
    .b(mem1_x_0),
    .c(convert7_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_4_dout),
    .p(dsp2_p)
  );
  defparam 
    dsp2.AREG = 1,
    dsp2.BREG = 1,
    dsp2.B_INPUT = "DIRECT",
    dsp2.CARRYINREG = 0,
    dsp2.CARRYINSELREG = 0,
    dsp2.CREG = 1,
    dsp2.LEGACY_MODE = "MULT18X18S",
    dsp2.MREG = 1,
    dsp2.OPMODEREG = 1,
    dsp2.PREG = 1,
    dsp2.SUBTRACTREG = 0,
    dsp2.USE_OP = 1,
    dsp2.c_use_b = 1,
    dsp2.c_use_bcin = 0,
    dsp2.c_use_c = 1,
    dsp2.c_use_ce_carry_in = 0,
    dsp2.c_use_ce_ctrl = 0,
    dsp2.c_use_ce_mult = 0,
    dsp2.c_use_cea = 0,
    dsp2.c_use_ceb = 0,
    dsp2.c_use_cec = 0,
    dsp2.c_use_cep = 0,
    dsp2.c_use_en = 0,
    dsp2.c_use_pcin = 0,
    dsp2.c_use_rst = 1,
    dsp2.c_use_rsta = 0,
    dsp2.c_use_rstb = 0,
    dsp2.c_use_rstc = 0,
    dsp2.c_use_rstcarryin = 0,
    dsp2.c_use_rstctrl = 0,
    dsp2.c_use_rstm = 0,
    dsp2.c_use_rstp = 0;

  xldsp48 dsp3 (
    .a(delay2_q),
    .b(mem2_x_0),
    .c(convert3_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_5_dout),
    .p(dsp3_p)
  );
  defparam 
    dsp3.AREG = 1,
    dsp3.BREG = 1,
    dsp3.B_INPUT = "DIRECT",
    dsp3.CARRYINREG = 0,
    dsp3.CARRYINSELREG = 0,
    dsp3.CREG = 1,
    dsp3.LEGACY_MODE = "MULT18X18S",
    dsp3.MREG = 1,
    dsp3.OPMODEREG = 1,
    dsp3.PREG = 1,
    dsp3.SUBTRACTREG = 0,
    dsp3.USE_OP = 1,
    dsp3.c_use_b = 1,
    dsp3.c_use_bcin = 0,
    dsp3.c_use_c = 1,
    dsp3.c_use_ce_carry_in = 0,
    dsp3.c_use_ce_ctrl = 0,
    dsp3.c_use_ce_mult = 0,
    dsp3.c_use_cea = 0,
    dsp3.c_use_ceb = 0,
    dsp3.c_use_cec = 0,
    dsp3.c_use_cep = 0,
    dsp3.c_use_en = 0,
    dsp3.c_use_pcin = 0,
    dsp3.c_use_rst = 1,
    dsp3.c_use_rsta = 0,
    dsp3.c_use_rstb = 0,
    dsp3.c_use_rstc = 0,
    dsp3.c_use_rstcarryin = 0,
    dsp3.c_use_rstctrl = 0,
    dsp3.c_use_rstm = 0,
    dsp3.c_use_rstp = 0;

  xldsp48 dsp4 (
    .a(delay1_q),
    .b(mem2_x_0),
    .c(convert6_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_6_dout),
    .p(dsp4_p)
  );
  defparam 
    dsp4.AREG = 1,
    dsp4.BREG = 1,
    dsp4.B_INPUT = "DIRECT",
    dsp4.CARRYINREG = 0,
    dsp4.CARRYINSELREG = 0,
    dsp4.CREG = 1,
    dsp4.LEGACY_MODE = "MULT18X18S",
    dsp4.MREG = 1,
    dsp4.OPMODEREG = 1,
    dsp4.PREG = 1,
    dsp4.SUBTRACTREG = 0,
    dsp4.USE_OP = 1,
    dsp4.c_use_b = 1,
    dsp4.c_use_bcin = 0,
    dsp4.c_use_c = 1,
    dsp4.c_use_ce_carry_in = 0,
    dsp4.c_use_ce_ctrl = 0,
    dsp4.c_use_ce_mult = 0,
    dsp4.c_use_cea = 0,
    dsp4.c_use_ceb = 0,
    dsp4.c_use_cec = 0,
    dsp4.c_use_cep = 0,
    dsp4.c_use_en = 0,
    dsp4.c_use_pcin = 0,
    dsp4.c_use_rst = 1,
    dsp4.c_use_rsta = 0,
    dsp4.c_use_rstb = 0,
    dsp4.c_use_rstc = 0,
    dsp4.c_use_rstcarryin = 0,
    dsp4.c_use_rstctrl = 0,
    dsp4.c_use_rstm = 0,
    dsp4.c_use_rstp = 0;

  dct2d_top_final3_mux1 mux (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert5_dout),
    .en(sl2v_7_dout),
    .rst(sl2v_8_dout),
    .s(sl2v_9_dout),
    .dout(mux_dout)
  );
  defparam 
    mux.din0_width = 12,
    mux.din0_arith = `xlUnsigned,
    mux.din0_bin_pt = 0,
    mux.din1_width = 12,
    mux.din1_arith = `xlSigned,
    mux.din1_bin_pt = 0,
    mux.dout_width = 12,
    mux.dout_arith = `xlSigned,
    mux.dout_bin_pt = 0,
    mux.en_width = 1,
    mux.en_arith = `xlUnsigned,
    mux.en_bin_pt = 0,
    mux.rst_width = 1,
    mux.rst_arith = `xlUnsigned,
    mux.rst_bin_pt = 0,
    mux.s_width = 1,
    mux.s_arith = `xlUnsigned,
    mux.s_bin_pt = 0,
    mux.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux.c_enable_rlocs = 0,
    mux.c_has_ce = 1,
    mux.c_has_o = 0,
    mux.c_has_q = 1,
    mux.c_has_sclr = 1,
    mux.c_inputs = 2,
    mux.c_latency = 1,
    mux.c_mux_type = 0,
    mux.c_sel_width = 1,
    mux.c_width = 13,
    mux.core = 1,
    mux.core_dout_arith = `xlSigned,
    mux.core_dout_bin_pt = 0,
    mux.latency = 1,
    mux.overflow = `xlWrap,
    mux.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert2_dout),
    .en(sl2v_10_dout),
    .rst(sl2v_11_dout),
    .s(sl2v_12_dout),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 12,
    mux1.din0_arith = `xlUnsigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 12,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.dout_width = 12,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 1,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 2,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 1,
    mux1.c_width = 13,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert4_dout),
    .en(sl2v_13_dout),
    .rst(sl2v_14_dout),
    .s(sl2v_15_dout),
    .dout(mux2_dout)
  );
  defparam 
    mux2.din0_width = 12,
    mux2.din0_arith = `xlUnsigned,
    mux2.din0_bin_pt = 0,
    mux2.din1_width = 12,
    mux2.din1_arith = `xlSigned,
    mux2.din1_bin_pt = 0,
    mux2.dout_width = 12,
    mux2.dout_arith = `xlSigned,
    mux2.dout_bin_pt = 0,
    mux2.en_width = 1,
    mux2.en_arith = `xlUnsigned,
    mux2.en_bin_pt = 0,
    mux2.rst_width = 1,
    mux2.rst_arith = `xlUnsigned,
    mux2.rst_bin_pt = 0,
    mux2.s_width = 1,
    mux2.s_arith = `xlUnsigned,
    mux2.s_bin_pt = 0,
    mux2.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux2.c_enable_rlocs = 0,
    mux2.c_has_ce = 1,
    mux2.c_has_o = 0,
    mux2.c_has_q = 1,
    mux2.c_has_sclr = 1,
    mux2.c_inputs = 2,
    mux2.c_latency = 1,
    mux2.c_mux_type = 0,
    mux2.c_sel_width = 1,
    mux2.c_width = 13,
    mux2.core = 1,
    mux2.core_dout_arith = `xlSigned,
    mux2.core_dout_bin_pt = 0,
    mux2.latency = 1,
    mux2.overflow = `xlWrap,
    mux2.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert1_dout),
    .en(sl2v_16_dout),
    .rst(sl2v_17_dout),
    .s(sl2v_18_dout),
    .dout(mux3_dout)
  );
  defparam 
    mux3.din0_width = 12,
    mux3.din0_arith = `xlUnsigned,
    mux3.din0_bin_pt = 0,
    mux3.din1_width = 12,
    mux3.din1_arith = `xlSigned,
    mux3.din1_bin_pt = 0,
    mux3.dout_width = 12,
    mux3.dout_arith = `xlSigned,
    mux3.dout_bin_pt = 0,
    mux3.en_width = 1,
    mux3.en_arith = `xlUnsigned,
    mux3.en_bin_pt = 0,
    mux3.rst_width = 1,
    mux3.rst_arith = `xlUnsigned,
    mux3.rst_bin_pt = 0,
    mux3.s_width = 1,
    mux3.s_arith = `xlUnsigned,
    mux3.s_bin_pt = 0,
    mux3.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux3.c_enable_rlocs = 0,
    mux3.c_has_ce = 1,
    mux3.c_has_o = 0,
    mux3.c_has_q = 1,
    mux3.c_has_sclr = 1,
    mux3.c_inputs = 2,
    mux3.c_latency = 1,
    mux3.c_mux_type = 0,
    mux3.c_sel_width = 1,
    mux3.c_width = 13,
    mux3.core = 1,
    mux3.core_dout_arith = `xlSigned,
    mux3.core_dout_bin_pt = 0,
    mux3.latency = 1,
    mux3.overflow = `xlWrap,
    mux3.quantization = `xlTruncate;

  xlcast reinterpret1 (
    .din(slice2_dout),
    .dout(reinterpret1_dout)
  );
  defparam 
    reinterpret1.din_width = 24,
    reinterpret1.din_arith = `xlUnsigned,
    reinterpret1.din_bin_pt = 0,
    reinterpret1.dout_width = 24,
    reinterpret1.dout_arith = `xlUnsigned,
    reinterpret1.dout_bin_pt = 16;

  xlcast reinterpret2 (
    .din(slice1_dout),
    .dout(reinterpret2_dout)
  );
  defparam 
    reinterpret2.din_width = 24,
    reinterpret2.din_arith = `xlUnsigned,
    reinterpret2.din_bin_pt = 0,
    reinterpret2.dout_width = 24,
    reinterpret2.dout_arith = `xlUnsigned,
    reinterpret2.dout_bin_pt = 16;

  xlcast reinterpret3 (
    .din(slice_dout),
    .dout(reinterpret3_dout)
  );
  defparam 
    reinterpret3.din_width = 24,
    reinterpret3.din_arith = `xlUnsigned,
    reinterpret3.din_bin_pt = 0,
    reinterpret3.dout_width = 24,
    reinterpret3.dout_arith = `xlUnsigned,
    reinterpret3.dout_bin_pt = 16;

  xlcast reinterpret5 (
    .din(slice3_dout),
    .dout(reinterpret5_dout)
  );
  defparam 
    reinterpret5.din_width = 24,
    reinterpret5.din_arith = `xlUnsigned,
    reinterpret5.din_bin_pt = 0,
    reinterpret5.dout_width = 24,
    reinterpret5.dout_arith = `xlUnsigned,
    reinterpret5.dout_bin_pt = 16;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b1),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(1'b0),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(en_out_x_0),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b1),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(1'b0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(en_out_x_0),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b1),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(1'b0),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(en_out_x_0),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(rst_x_0),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(rst_x_0),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b1),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(1'b0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(en_out_x_0),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslice slice (
    .din(dsp1_p),
    .dout(slice_dout)
  );
  defparam 
    slice.din_width = 48,
    slice.din_arith = `xlSigned,
    slice.din_bin_pt = 0,
    slice.dout_width = 24,
    slice.dout_arith = `xlUnsigned,
    slice.dout_bin_pt = 0,
    slice.new_lsb = 0,
    slice.new_msb = 23;

  xlslice slice1 (
    .din(dsp2_p),
    .dout(slice1_dout)
  );
  defparam 
    slice1.din_width = 48,
    slice1.din_arith = `xlSigned,
    slice1.din_bin_pt = 0,
    slice1.dout_width = 24,
    slice1.dout_arith = `xlUnsigned,
    slice1.dout_bin_pt = 0,
    slice1.new_lsb = 0,
    slice1.new_msb = 23;

  xlslice slice2 (
    .din(dsp3_p),
    .dout(slice2_dout)
  );
  defparam 
    slice2.din_width = 48,
    slice2.din_arith = `xlSigned,
    slice2.din_bin_pt = 0,
    slice2.dout_width = 24,
    slice2.dout_arith = `xlUnsigned,
    slice2.dout_bin_pt = 0,
    slice2.new_lsb = 0,
    slice2.new_msb = 23;

  xlslice slice3 (
    .din(dsp4_p),
    .dout(slice3_dout)
  );
  defparam 
    slice3.din_width = 48,
    slice3.din_arith = `xlSigned,
    slice3.din_bin_pt = 0,
    slice3.dout_width = 24,
    slice3.dout_arith = `xlUnsigned,
    slice3.dout_bin_pt = 0,
    slice3.new_lsb = 0,
    slice3.new_msb = 23;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem2/demux-mux1"

module dct2d_top_final3_demux_mux1_x_0 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem2_demux_mux1_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem2/demux-mux2"

module dct2d_top_final3_demux_mux2_x_0 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem2_demux_mux2_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem2/demux-mux3"

module dct2d_top_final3_demux_mux3_x_0 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem2_demux_mux3_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem2/demux-mux4"

module dct2d_top_final3_demux_mux4_x_0 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem2_demux_mux4_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem2"

module dct2d_top_final3_subsystem2_x_1 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  en_out,
  enram,
  mem1,
  mem2,
  rst,
  dummy_c_5,
  dummy_c_6,
  dummy_c_7,
  dummy_c_8,
  y0_add,
  y0_sub,
  y1_add,
  y1_sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input  en_out;
  input  enram;
  input [17 : 0] mem1;
  input [17 : 0] mem2;
  input  rst;
  output [47 : 0] dummy_c_5;
  output [47 : 0] dummy_c_6;
  output [47 : 0] dummy_c_7;
  output [47 : 0] dummy_c_8;
  output [11 : 0] y0_add;
  output [11 : 0] y0_sub;
  output [11 : 0] y1_add;
  output [11 : 0] y1_sub;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [11 : 0] constant1_dout;
  wire [10 : 0] constant2_dout;
  wire [10 : 0] constant4_dout;
  wire [11 : 0] constant_dout;
  wire [11 : 0] convert1_dout;
  wire [11 : 0] convert2_dout;
  wire [47 : 0] convert3_dout;
  wire [11 : 0] convert4_dout;
  wire [11 : 0] convert5_dout;
  wire [47 : 0] convert6_dout;
  wire [47 : 0] convert7_dout;
  wire [47 : 0] convert8_dout;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [17 : 0] delay1_q;
  wire [17 : 0] delay2_q;
  wire [23 : 0] demux_mux1_out;
  wire [23 : 0] demux_mux2_out;
  wire [23 : 0] demux_mux3_out;
  wire [23 : 0] demux_mux4_out;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp2_p;
  wire [47 : 0] dsp3_p;
  wire [47 : 0] dsp4_p;
  wire  en_out_x_0;
  wire  enram_x_0;
  wire [17 : 0] mem1_x_0;
  wire [17 : 0] mem2_x_0;
  wire [11 : 0] mux1_dout;
  wire [11 : 0] mux2_dout;
  wire [11 : 0] mux3_dout;
  wire [11 : 0] mux_dout;
  wire [23 : 0] reinterpret1_dout;
  wire [23 : 0] reinterpret2_dout;
  wire [23 : 0] reinterpret3_dout;
  wire [23 : 0] reinterpret5_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire [23 : 0] slice1_dout;
  wire [23 : 0] slice2_dout;
  wire [23 : 0] slice3_dout;
  wire [23 : 0] slice_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign en_out_x_0 = en_out;
  assign enram_x_0 = enram;
  assign mem1_x_0 = mem1;
  assign mem2_x_0 = mem2;
  assign rst_x_0 = rst;
  assign dummy_c_5 = convert8_dout;
  assign dummy_c_6 = convert7_dout;
  assign dummy_c_7 = convert3_dout;
  assign dummy_c_8 = convert6_dout;
  assign y0_add = mux_dout;
  assign y0_sub = mux1_dout;
  assign y1_add = mux2_dout;
  assign y1_sub = mux3_dout;


  xlconstant constant1 (
    .dout(constant1_dout)
  );
  defparam 
    constant1.dout_width = 12,
    constant1.dout_arith = `xlUnsigned,
    constant1.dout_bin_pt = 0,
    constant1.const_val = 12'b000000000000;

  xlconstant constant2 (
    .dout(constant2_dout)
  );
  defparam 
    constant2.dout_width = 11,
    constant2.dout_arith = `xlUnsigned,
    constant2.dout_bin_pt = 0,
    constant2.const_val = 11'b00000110101;

  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 11,
    constant4.dout_arith = `xlUnsigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 11'b00000110101;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 12,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 12'b000000000000;

  xlconvert convert1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret5_dout),
    .dout(convert1_dout)
  );
  defparam 
    convert1.din_width = 24,
    convert1.din_arith = `xlUnsigned,
    convert1.din_bin_pt = 16,
    convert1.dout_width = 12,
    convert1.dout_arith = `xlSigned,
    convert1.dout_bin_pt = 0,
    convert1.bool_conversion = 0,
    convert1.latency = 0,
    convert1.overflow = `xlWrap,
    convert1.quantization = `xlRound;

  xlconvert convert2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret1_dout),
    .dout(convert2_dout)
  );
  defparam 
    convert2.din_width = 24,
    convert2.din_arith = `xlUnsigned,
    convert2.din_bin_pt = 16,
    convert2.dout_width = 12,
    convert2.dout_arith = `xlSigned,
    convert2.dout_bin_pt = 0,
    convert2.bool_conversion = 0,
    convert2.latency = 0,
    convert2.overflow = `xlWrap,
    convert2.quantization = `xlRound;

  xlconvert convert3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux3_out),
    .dout(convert3_dout)
  );
  defparam 
    convert3.din_width = 24,
    convert3.din_arith = `xlSigned,
    convert3.din_bin_pt = 0,
    convert3.dout_width = 48,
    convert3.dout_arith = `xlSigned,
    convert3.dout_bin_pt = 0,
    convert3.bool_conversion = 0,
    convert3.latency = 0,
    convert3.overflow = `xlWrap,
    convert3.quantization = `xlRound;

  xlconvert convert4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret2_dout),
    .dout(convert4_dout)
  );
  defparam 
    convert4.din_width = 24,
    convert4.din_arith = `xlUnsigned,
    convert4.din_bin_pt = 16,
    convert4.dout_width = 12,
    convert4.dout_arith = `xlSigned,
    convert4.dout_bin_pt = 0,
    convert4.bool_conversion = 0,
    convert4.latency = 0,
    convert4.overflow = `xlWrap,
    convert4.quantization = `xlRound;

  xlconvert convert5 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret3_dout),
    .dout(convert5_dout)
  );
  defparam 
    convert5.din_width = 24,
    convert5.din_arith = `xlUnsigned,
    convert5.din_bin_pt = 16,
    convert5.dout_width = 12,
    convert5.dout_arith = `xlSigned,
    convert5.dout_bin_pt = 0,
    convert5.bool_conversion = 0,
    convert5.latency = 0,
    convert5.overflow = `xlWrap,
    convert5.quantization = `xlRound;

  xlconvert convert6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux4_out),
    .dout(convert6_dout)
  );
  defparam 
    convert6.din_width = 24,
    convert6.din_arith = `xlSigned,
    convert6.din_bin_pt = 0,
    convert6.dout_width = 48,
    convert6.dout_arith = `xlSigned,
    convert6.dout_bin_pt = 0,
    convert6.bool_conversion = 0,
    convert6.latency = 0,
    convert6.overflow = `xlWrap,
    convert6.quantization = `xlRound;

  xlconvert convert7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux2_out),
    .dout(convert7_dout)
  );
  defparam 
    convert7.din_width = 24,
    convert7.din_arith = `xlSigned,
    convert7.din_bin_pt = 0,
    convert7.dout_width = 48,
    convert7.dout_arith = `xlSigned,
    convert7.dout_bin_pt = 0,
    convert7.bool_conversion = 0,
    convert7.latency = 0,
    convert7.overflow = `xlWrap,
    convert7.quantization = `xlRound;

  xlconvert convert8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux1_out),
    .dout(convert8_dout)
  );
  defparam 
    convert8.din_width = 24,
    convert8.din_arith = `xlSigned,
    convert8.din_bin_pt = 0,
    convert8.dout_width = 48,
    convert8.dout_arith = `xlSigned,
    convert8.dout_bin_pt = 0,
    convert8.bool_conversion = 0,
    convert8.latency = 0,
    convert8.overflow = `xlWrap,
    convert8.quantization = `xlRound;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct2in_x_0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 18,
    delay1.d_arith = `xlSigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 18,
    delay1.q_arith = `xlSigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct1in_x_0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 18,
    delay2.d_arith = `xlSigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 18,
    delay2.q_arith = `xlSigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 1,
    delay2.reg_retiming = 0;

  dct2d_top_final3_demux_mux1_x_0 demux_mux1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux1_out)
  );

  dct2d_top_final3_demux_mux2_x_0 demux_mux2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice1_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux2_out)
  );

  dct2d_top_final3_demux_mux3_x_0 demux_mux3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice2_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux3_out)
  );

  dct2d_top_final3_demux_mux4_x_0 demux_mux4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice3_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux4_out)
  );

  xldsp48 dsp1 (
    .a(delay2_q),
    .b(mem1_x_0),
    .c(convert8_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp2 (
    .a(delay1_q),
    .b(mem1_x_0),
    .c(convert7_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_4_dout),
    .p(dsp2_p)
  );
  defparam 
    dsp2.AREG = 1,
    dsp2.BREG = 1,
    dsp2.B_INPUT = "DIRECT",
    dsp2.CARRYINREG = 0,
    dsp2.CARRYINSELREG = 0,
    dsp2.CREG = 1,
    dsp2.LEGACY_MODE = "MULT18X18S",
    dsp2.MREG = 1,
    dsp2.OPMODEREG = 1,
    dsp2.PREG = 1,
    dsp2.SUBTRACTREG = 0,
    dsp2.USE_OP = 1,
    dsp2.c_use_b = 1,
    dsp2.c_use_bcin = 0,
    dsp2.c_use_c = 1,
    dsp2.c_use_ce_carry_in = 0,
    dsp2.c_use_ce_ctrl = 0,
    dsp2.c_use_ce_mult = 0,
    dsp2.c_use_cea = 0,
    dsp2.c_use_ceb = 0,
    dsp2.c_use_cec = 0,
    dsp2.c_use_cep = 0,
    dsp2.c_use_en = 0,
    dsp2.c_use_pcin = 0,
    dsp2.c_use_rst = 1,
    dsp2.c_use_rsta = 0,
    dsp2.c_use_rstb = 0,
    dsp2.c_use_rstc = 0,
    dsp2.c_use_rstcarryin = 0,
    dsp2.c_use_rstctrl = 0,
    dsp2.c_use_rstm = 0,
    dsp2.c_use_rstp = 0;

  xldsp48 dsp3 (
    .a(delay2_q),
    .b(mem2_x_0),
    .c(convert3_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_5_dout),
    .p(dsp3_p)
  );
  defparam 
    dsp3.AREG = 1,
    dsp3.BREG = 1,
    dsp3.B_INPUT = "DIRECT",
    dsp3.CARRYINREG = 0,
    dsp3.CARRYINSELREG = 0,
    dsp3.CREG = 1,
    dsp3.LEGACY_MODE = "MULT18X18S",
    dsp3.MREG = 1,
    dsp3.OPMODEREG = 1,
    dsp3.PREG = 1,
    dsp3.SUBTRACTREG = 0,
    dsp3.USE_OP = 1,
    dsp3.c_use_b = 1,
    dsp3.c_use_bcin = 0,
    dsp3.c_use_c = 1,
    dsp3.c_use_ce_carry_in = 0,
    dsp3.c_use_ce_ctrl = 0,
    dsp3.c_use_ce_mult = 0,
    dsp3.c_use_cea = 0,
    dsp3.c_use_ceb = 0,
    dsp3.c_use_cec = 0,
    dsp3.c_use_cep = 0,
    dsp3.c_use_en = 0,
    dsp3.c_use_pcin = 0,
    dsp3.c_use_rst = 1,
    dsp3.c_use_rsta = 0,
    dsp3.c_use_rstb = 0,
    dsp3.c_use_rstc = 0,
    dsp3.c_use_rstcarryin = 0,
    dsp3.c_use_rstctrl = 0,
    dsp3.c_use_rstm = 0,
    dsp3.c_use_rstp = 0;

  xldsp48 dsp4 (
    .a(delay1_q),
    .b(mem2_x_0),
    .c(convert6_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_6_dout),
    .p(dsp4_p)
  );
  defparam 
    dsp4.AREG = 1,
    dsp4.BREG = 1,
    dsp4.B_INPUT = "DIRECT",
    dsp4.CARRYINREG = 0,
    dsp4.CARRYINSELREG = 0,
    dsp4.CREG = 1,
    dsp4.LEGACY_MODE = "MULT18X18S",
    dsp4.MREG = 1,
    dsp4.OPMODEREG = 1,
    dsp4.PREG = 1,
    dsp4.SUBTRACTREG = 0,
    dsp4.USE_OP = 1,
    dsp4.c_use_b = 1,
    dsp4.c_use_bcin = 0,
    dsp4.c_use_c = 1,
    dsp4.c_use_ce_carry_in = 0,
    dsp4.c_use_ce_ctrl = 0,
    dsp4.c_use_ce_mult = 0,
    dsp4.c_use_cea = 0,
    dsp4.c_use_ceb = 0,
    dsp4.c_use_cec = 0,
    dsp4.c_use_cep = 0,
    dsp4.c_use_en = 0,
    dsp4.c_use_pcin = 0,
    dsp4.c_use_rst = 1,
    dsp4.c_use_rsta = 0,
    dsp4.c_use_rstb = 0,
    dsp4.c_use_rstc = 0,
    dsp4.c_use_rstcarryin = 0,
    dsp4.c_use_rstctrl = 0,
    dsp4.c_use_rstm = 0,
    dsp4.c_use_rstp = 0;

  dct2d_top_final3_mux1 mux (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert5_dout),
    .en(sl2v_7_dout),
    .rst(sl2v_8_dout),
    .s(sl2v_9_dout),
    .dout(mux_dout)
  );
  defparam 
    mux.din0_width = 12,
    mux.din0_arith = `xlUnsigned,
    mux.din0_bin_pt = 0,
    mux.din1_width = 12,
    mux.din1_arith = `xlSigned,
    mux.din1_bin_pt = 0,
    mux.dout_width = 12,
    mux.dout_arith = `xlSigned,
    mux.dout_bin_pt = 0,
    mux.en_width = 1,
    mux.en_arith = `xlUnsigned,
    mux.en_bin_pt = 0,
    mux.rst_width = 1,
    mux.rst_arith = `xlUnsigned,
    mux.rst_bin_pt = 0,
    mux.s_width = 1,
    mux.s_arith = `xlUnsigned,
    mux.s_bin_pt = 0,
    mux.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux.c_enable_rlocs = 0,
    mux.c_has_ce = 1,
    mux.c_has_o = 0,
    mux.c_has_q = 1,
    mux.c_has_sclr = 1,
    mux.c_inputs = 2,
    mux.c_latency = 1,
    mux.c_mux_type = 0,
    mux.c_sel_width = 1,
    mux.c_width = 13,
    mux.core = 1,
    mux.core_dout_arith = `xlSigned,
    mux.core_dout_bin_pt = 0,
    mux.latency = 1,
    mux.overflow = `xlWrap,
    mux.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert2_dout),
    .en(sl2v_10_dout),
    .rst(sl2v_11_dout),
    .s(sl2v_12_dout),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 12,
    mux1.din0_arith = `xlUnsigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 12,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.dout_width = 12,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 1,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 2,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 1,
    mux1.c_width = 13,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert4_dout),
    .en(sl2v_13_dout),
    .rst(sl2v_14_dout),
    .s(sl2v_15_dout),
    .dout(mux2_dout)
  );
  defparam 
    mux2.din0_width = 12,
    mux2.din0_arith = `xlUnsigned,
    mux2.din0_bin_pt = 0,
    mux2.din1_width = 12,
    mux2.din1_arith = `xlSigned,
    mux2.din1_bin_pt = 0,
    mux2.dout_width = 12,
    mux2.dout_arith = `xlSigned,
    mux2.dout_bin_pt = 0,
    mux2.en_width = 1,
    mux2.en_arith = `xlUnsigned,
    mux2.en_bin_pt = 0,
    mux2.rst_width = 1,
    mux2.rst_arith = `xlUnsigned,
    mux2.rst_bin_pt = 0,
    mux2.s_width = 1,
    mux2.s_arith = `xlUnsigned,
    mux2.s_bin_pt = 0,
    mux2.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux2.c_enable_rlocs = 0,
    mux2.c_has_ce = 1,
    mux2.c_has_o = 0,
    mux2.c_has_q = 1,
    mux2.c_has_sclr = 1,
    mux2.c_inputs = 2,
    mux2.c_latency = 1,
    mux2.c_mux_type = 0,
    mux2.c_sel_width = 1,
    mux2.c_width = 13,
    mux2.core = 1,
    mux2.core_dout_arith = `xlSigned,
    mux2.core_dout_bin_pt = 0,
    mux2.latency = 1,
    mux2.overflow = `xlWrap,
    mux2.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert1_dout),
    .en(sl2v_16_dout),
    .rst(sl2v_17_dout),
    .s(sl2v_18_dout),
    .dout(mux3_dout)
  );
  defparam 
    mux3.din0_width = 12,
    mux3.din0_arith = `xlUnsigned,
    mux3.din0_bin_pt = 0,
    mux3.din1_width = 12,
    mux3.din1_arith = `xlSigned,
    mux3.din1_bin_pt = 0,
    mux3.dout_width = 12,
    mux3.dout_arith = `xlSigned,
    mux3.dout_bin_pt = 0,
    mux3.en_width = 1,
    mux3.en_arith = `xlUnsigned,
    mux3.en_bin_pt = 0,
    mux3.rst_width = 1,
    mux3.rst_arith = `xlUnsigned,
    mux3.rst_bin_pt = 0,
    mux3.s_width = 1,
    mux3.s_arith = `xlUnsigned,
    mux3.s_bin_pt = 0,
    mux3.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux3.c_enable_rlocs = 0,
    mux3.c_has_ce = 1,
    mux3.c_has_o = 0,
    mux3.c_has_q = 1,
    mux3.c_has_sclr = 1,
    mux3.c_inputs = 2,
    mux3.c_latency = 1,
    mux3.c_mux_type = 0,
    mux3.c_sel_width = 1,
    mux3.c_width = 13,
    mux3.core = 1,
    mux3.core_dout_arith = `xlSigned,
    mux3.core_dout_bin_pt = 0,
    mux3.latency = 1,
    mux3.overflow = `xlWrap,
    mux3.quantization = `xlTruncate;

  xlcast reinterpret1 (
    .din(slice2_dout),
    .dout(reinterpret1_dout)
  );
  defparam 
    reinterpret1.din_width = 24,
    reinterpret1.din_arith = `xlUnsigned,
    reinterpret1.din_bin_pt = 0,
    reinterpret1.dout_width = 24,
    reinterpret1.dout_arith = `xlUnsigned,
    reinterpret1.dout_bin_pt = 16;

  xlcast reinterpret2 (
    .din(slice1_dout),
    .dout(reinterpret2_dout)
  );
  defparam 
    reinterpret2.din_width = 24,
    reinterpret2.din_arith = `xlUnsigned,
    reinterpret2.din_bin_pt = 0,
    reinterpret2.dout_width = 24,
    reinterpret2.dout_arith = `xlUnsigned,
    reinterpret2.dout_bin_pt = 16;

  xlcast reinterpret3 (
    .din(slice_dout),
    .dout(reinterpret3_dout)
  );
  defparam 
    reinterpret3.din_width = 24,
    reinterpret3.din_arith = `xlUnsigned,
    reinterpret3.din_bin_pt = 0,
    reinterpret3.dout_width = 24,
    reinterpret3.dout_arith = `xlUnsigned,
    reinterpret3.dout_bin_pt = 16;

  xlcast reinterpret5 (
    .din(slice3_dout),
    .dout(reinterpret5_dout)
  );
  defparam 
    reinterpret5.din_width = 24,
    reinterpret5.din_arith = `xlUnsigned,
    reinterpret5.din_bin_pt = 0,
    reinterpret5.dout_width = 24,
    reinterpret5.dout_arith = `xlUnsigned,
    reinterpret5.dout_bin_pt = 16;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b1),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(1'b0),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(en_out_x_0),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b1),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(1'b0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(en_out_x_0),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b1),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(1'b0),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(en_out_x_0),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(rst_x_0),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(rst_x_0),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b1),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(1'b0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(en_out_x_0),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslice slice (
    .din(dsp1_p),
    .dout(slice_dout)
  );
  defparam 
    slice.din_width = 48,
    slice.din_arith = `xlSigned,
    slice.din_bin_pt = 0,
    slice.dout_width = 24,
    slice.dout_arith = `xlUnsigned,
    slice.dout_bin_pt = 0,
    slice.new_lsb = 0,
    slice.new_msb = 23;

  xlslice slice1 (
    .din(dsp2_p),
    .dout(slice1_dout)
  );
  defparam 
    slice1.din_width = 48,
    slice1.din_arith = `xlSigned,
    slice1.din_bin_pt = 0,
    slice1.dout_width = 24,
    slice1.dout_arith = `xlUnsigned,
    slice1.dout_bin_pt = 0,
    slice1.new_lsb = 0,
    slice1.new_msb = 23;

  xlslice slice2 (
    .din(dsp3_p),
    .dout(slice2_dout)
  );
  defparam 
    slice2.din_width = 48,
    slice2.din_arith = `xlSigned,
    slice2.din_bin_pt = 0,
    slice2.dout_width = 24,
    slice2.dout_arith = `xlUnsigned,
    slice2.dout_bin_pt = 0,
    slice2.new_lsb = 0,
    slice2.new_msb = 23;

  xlslice slice3 (
    .din(dsp4_p),
    .dout(slice3_dout)
  );
  defparam 
    slice3.din_width = 48,
    slice3.din_arith = `xlSigned,
    slice3.din_bin_pt = 0,
    slice3.dout_width = 24,
    slice3.dout_arith = `xlUnsigned,
    slice3.dout_bin_pt = 0,
    slice3.new_lsb = 0,
    slice3.new_msb = 23;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem3/demux-mux1"

module dct2d_top_final3_demux_mux1_x_1 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem3_demux_mux1_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem3/demux-mux2"

module dct2d_top_final3_demux_mux2_x_1 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem3_demux_mux2_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem3/demux-mux3"

module dct2d_top_final3_demux_mux3_x_1 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem3_demux_mux3_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem3/demux-mux4"

module dct2d_top_final3_demux_mux4_x_1 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem3_demux_mux4_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem3"

module dct2d_top_final3_subsystem3_x_1 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  en_out,
  enram,
  mem1,
  mem2,
  rst,
  y0_add,
  y0_sub,
  y1_add,
  y1_sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input  en_out;
  input  enram;
  input [17 : 0] mem1;
  input [17 : 0] mem2;
  input  rst;
  output [11 : 0] y0_add;
  output [11 : 0] y0_sub;
  output [11 : 0] y1_add;
  output [11 : 0] y1_sub;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [11 : 0] constant1_dout;
  wire [10 : 0] constant2_dout;
  wire [10 : 0] constant4_dout;
  wire [11 : 0] constant_dout;
  wire [11 : 0] convert1_dout;
  wire [11 : 0] convert2_dout;
  wire [47 : 0] convert3_dout;
  wire [11 : 0] convert4_dout;
  wire [11 : 0] convert5_dout;
  wire [47 : 0] convert6_dout;
  wire [47 : 0] convert7_dout;
  wire [47 : 0] convert8_dout;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [17 : 0] delay1_q;
  wire [17 : 0] delay2_q;
  wire [23 : 0] demux_mux1_out;
  wire [23 : 0] demux_mux2_out;
  wire [23 : 0] demux_mux3_out;
  wire [23 : 0] demux_mux4_out;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp2_p;
  wire [47 : 0] dsp3_p;
  wire [47 : 0] dsp4_p;
  wire  en_out_x_0;
  wire  enram_x_0;
  wire [17 : 0] mem1_x_0;
  wire [17 : 0] mem2_x_0;
  wire [11 : 0] mux1_dout;
  wire [11 : 0] mux2_dout;
  wire [11 : 0] mux3_dout;
  wire [11 : 0] mux_dout;
  wire [23 : 0] reinterpret1_dout;
  wire [23 : 0] reinterpret2_dout;
  wire [23 : 0] reinterpret3_dout;
  wire [23 : 0] reinterpret5_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire [23 : 0] slice1_dout;
  wire [23 : 0] slice2_dout;
  wire [23 : 0] slice3_dout;
  wire [23 : 0] slice_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign en_out_x_0 = en_out;
  assign enram_x_0 = enram;
  assign mem1_x_0 = mem1;
  assign mem2_x_0 = mem2;
  assign rst_x_0 = rst;
  assign y0_add = mux_dout;
  assign y0_sub = mux1_dout;
  assign y1_add = mux2_dout;
  assign y1_sub = mux3_dout;


  xlconstant constant1 (
    .dout(constant1_dout)
  );
  defparam 
    constant1.dout_width = 12,
    constant1.dout_arith = `xlUnsigned,
    constant1.dout_bin_pt = 0,
    constant1.const_val = 12'b000000000000;

  xlconstant constant2 (
    .dout(constant2_dout)
  );
  defparam 
    constant2.dout_width = 11,
    constant2.dout_arith = `xlUnsigned,
    constant2.dout_bin_pt = 0,
    constant2.const_val = 11'b00000110101;

  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 11,
    constant4.dout_arith = `xlUnsigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 11'b00000110101;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 12,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 12'b000000000000;

  xlconvert convert1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret5_dout),
    .dout(convert1_dout)
  );
  defparam 
    convert1.din_width = 24,
    convert1.din_arith = `xlUnsigned,
    convert1.din_bin_pt = 16,
    convert1.dout_width = 12,
    convert1.dout_arith = `xlSigned,
    convert1.dout_bin_pt = 0,
    convert1.bool_conversion = 0,
    convert1.latency = 0,
    convert1.overflow = `xlWrap,
    convert1.quantization = `xlRound;

  xlconvert convert2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret1_dout),
    .dout(convert2_dout)
  );
  defparam 
    convert2.din_width = 24,
    convert2.din_arith = `xlUnsigned,
    convert2.din_bin_pt = 16,
    convert2.dout_width = 12,
    convert2.dout_arith = `xlSigned,
    convert2.dout_bin_pt = 0,
    convert2.bool_conversion = 0,
    convert2.latency = 0,
    convert2.overflow = `xlWrap,
    convert2.quantization = `xlRound;

  xlconvert convert3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux3_out),
    .dout(convert3_dout)
  );
  defparam 
    convert3.din_width = 24,
    convert3.din_arith = `xlSigned,
    convert3.din_bin_pt = 0,
    convert3.dout_width = 48,
    convert3.dout_arith = `xlSigned,
    convert3.dout_bin_pt = 0,
    convert3.bool_conversion = 0,
    convert3.latency = 0,
    convert3.overflow = `xlWrap,
    convert3.quantization = `xlRound;

  xlconvert convert4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret2_dout),
    .dout(convert4_dout)
  );
  defparam 
    convert4.din_width = 24,
    convert4.din_arith = `xlUnsigned,
    convert4.din_bin_pt = 16,
    convert4.dout_width = 12,
    convert4.dout_arith = `xlSigned,
    convert4.dout_bin_pt = 0,
    convert4.bool_conversion = 0,
    convert4.latency = 0,
    convert4.overflow = `xlWrap,
    convert4.quantization = `xlRound;

  xlconvert convert5 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret3_dout),
    .dout(convert5_dout)
  );
  defparam 
    convert5.din_width = 24,
    convert5.din_arith = `xlUnsigned,
    convert5.din_bin_pt = 16,
    convert5.dout_width = 12,
    convert5.dout_arith = `xlSigned,
    convert5.dout_bin_pt = 0,
    convert5.bool_conversion = 0,
    convert5.latency = 0,
    convert5.overflow = `xlWrap,
    convert5.quantization = `xlRound;

  xlconvert convert6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux4_out),
    .dout(convert6_dout)
  );
  defparam 
    convert6.din_width = 24,
    convert6.din_arith = `xlSigned,
    convert6.din_bin_pt = 0,
    convert6.dout_width = 48,
    convert6.dout_arith = `xlSigned,
    convert6.dout_bin_pt = 0,
    convert6.bool_conversion = 0,
    convert6.latency = 0,
    convert6.overflow = `xlWrap,
    convert6.quantization = `xlRound;

  xlconvert convert7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux2_out),
    .dout(convert7_dout)
  );
  defparam 
    convert7.din_width = 24,
    convert7.din_arith = `xlSigned,
    convert7.din_bin_pt = 0,
    convert7.dout_width = 48,
    convert7.dout_arith = `xlSigned,
    convert7.dout_bin_pt = 0,
    convert7.bool_conversion = 0,
    convert7.latency = 0,
    convert7.overflow = `xlWrap,
    convert7.quantization = `xlRound;

  xlconvert convert8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux1_out),
    .dout(convert8_dout)
  );
  defparam 
    convert8.din_width = 24,
    convert8.din_arith = `xlSigned,
    convert8.din_bin_pt = 0,
    convert8.dout_width = 48,
    convert8.dout_arith = `xlSigned,
    convert8.dout_bin_pt = 0,
    convert8.bool_conversion = 0,
    convert8.latency = 0,
    convert8.overflow = `xlWrap,
    convert8.quantization = `xlRound;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct2in_x_0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 18,
    delay1.d_arith = `xlSigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 18,
    delay1.q_arith = `xlSigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct1in_x_0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 18,
    delay2.d_arith = `xlSigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 18,
    delay2.q_arith = `xlSigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 1,
    delay2.reg_retiming = 0;

  dct2d_top_final3_demux_mux1_x_1 demux_mux1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux1_out)
  );

  dct2d_top_final3_demux_mux2_x_1 demux_mux2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice1_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux2_out)
  );

  dct2d_top_final3_demux_mux3_x_1 demux_mux3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice2_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux3_out)
  );

  dct2d_top_final3_demux_mux4_x_1 demux_mux4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice3_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux4_out)
  );

  xldsp48 dsp1 (
    .a(delay2_q),
    .b(mem1_x_0),
    .c(convert8_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp2 (
    .a(delay1_q),
    .b(mem1_x_0),
    .c(convert7_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_4_dout),
    .p(dsp2_p)
  );
  defparam 
    dsp2.AREG = 1,
    dsp2.BREG = 1,
    dsp2.B_INPUT = "DIRECT",
    dsp2.CARRYINREG = 0,
    dsp2.CARRYINSELREG = 0,
    dsp2.CREG = 1,
    dsp2.LEGACY_MODE = "MULT18X18S",
    dsp2.MREG = 1,
    dsp2.OPMODEREG = 1,
    dsp2.PREG = 1,
    dsp2.SUBTRACTREG = 0,
    dsp2.USE_OP = 1,
    dsp2.c_use_b = 1,
    dsp2.c_use_bcin = 0,
    dsp2.c_use_c = 1,
    dsp2.c_use_ce_carry_in = 0,
    dsp2.c_use_ce_ctrl = 0,
    dsp2.c_use_ce_mult = 0,
    dsp2.c_use_cea = 0,
    dsp2.c_use_ceb = 0,
    dsp2.c_use_cec = 0,
    dsp2.c_use_cep = 0,
    dsp2.c_use_en = 0,
    dsp2.c_use_pcin = 0,
    dsp2.c_use_rst = 1,
    dsp2.c_use_rsta = 0,
    dsp2.c_use_rstb = 0,
    dsp2.c_use_rstc = 0,
    dsp2.c_use_rstcarryin = 0,
    dsp2.c_use_rstctrl = 0,
    dsp2.c_use_rstm = 0,
    dsp2.c_use_rstp = 0;

  xldsp48 dsp3 (
    .a(delay2_q),
    .b(mem2_x_0),
    .c(convert3_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_5_dout),
    .p(dsp3_p)
  );
  defparam 
    dsp3.AREG = 1,
    dsp3.BREG = 1,
    dsp3.B_INPUT = "DIRECT",
    dsp3.CARRYINREG = 0,
    dsp3.CARRYINSELREG = 0,
    dsp3.CREG = 1,
    dsp3.LEGACY_MODE = "MULT18X18S",
    dsp3.MREG = 1,
    dsp3.OPMODEREG = 1,
    dsp3.PREG = 1,
    dsp3.SUBTRACTREG = 0,
    dsp3.USE_OP = 1,
    dsp3.c_use_b = 1,
    dsp3.c_use_bcin = 0,
    dsp3.c_use_c = 1,
    dsp3.c_use_ce_carry_in = 0,
    dsp3.c_use_ce_ctrl = 0,
    dsp3.c_use_ce_mult = 0,
    dsp3.c_use_cea = 0,
    dsp3.c_use_ceb = 0,
    dsp3.c_use_cec = 0,
    dsp3.c_use_cep = 0,
    dsp3.c_use_en = 0,
    dsp3.c_use_pcin = 0,
    dsp3.c_use_rst = 1,
    dsp3.c_use_rsta = 0,
    dsp3.c_use_rstb = 0,
    dsp3.c_use_rstc = 0,
    dsp3.c_use_rstcarryin = 0,
    dsp3.c_use_rstctrl = 0,
    dsp3.c_use_rstm = 0,
    dsp3.c_use_rstp = 0;

  xldsp48 dsp4 (
    .a(delay1_q),
    .b(mem2_x_0),
    .c(convert6_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_6_dout),
    .p(dsp4_p)
  );
  defparam 
    dsp4.AREG = 1,
    dsp4.BREG = 1,
    dsp4.B_INPUT = "DIRECT",
    dsp4.CARRYINREG = 0,
    dsp4.CARRYINSELREG = 0,
    dsp4.CREG = 1,
    dsp4.LEGACY_MODE = "MULT18X18S",
    dsp4.MREG = 1,
    dsp4.OPMODEREG = 1,
    dsp4.PREG = 1,
    dsp4.SUBTRACTREG = 0,
    dsp4.USE_OP = 1,
    dsp4.c_use_b = 1,
    dsp4.c_use_bcin = 0,
    dsp4.c_use_c = 1,
    dsp4.c_use_ce_carry_in = 0,
    dsp4.c_use_ce_ctrl = 0,
    dsp4.c_use_ce_mult = 0,
    dsp4.c_use_cea = 0,
    dsp4.c_use_ceb = 0,
    dsp4.c_use_cec = 0,
    dsp4.c_use_cep = 0,
    dsp4.c_use_en = 0,
    dsp4.c_use_pcin = 0,
    dsp4.c_use_rst = 1,
    dsp4.c_use_rsta = 0,
    dsp4.c_use_rstb = 0,
    dsp4.c_use_rstc = 0,
    dsp4.c_use_rstcarryin = 0,
    dsp4.c_use_rstctrl = 0,
    dsp4.c_use_rstm = 0,
    dsp4.c_use_rstp = 0;

  dct2d_top_final3_mux1 mux (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert5_dout),
    .en(sl2v_7_dout),
    .rst(sl2v_8_dout),
    .s(sl2v_9_dout),
    .dout(mux_dout)
  );
  defparam 
    mux.din0_width = 12,
    mux.din0_arith = `xlUnsigned,
    mux.din0_bin_pt = 0,
    mux.din1_width = 12,
    mux.din1_arith = `xlSigned,
    mux.din1_bin_pt = 0,
    mux.dout_width = 12,
    mux.dout_arith = `xlSigned,
    mux.dout_bin_pt = 0,
    mux.en_width = 1,
    mux.en_arith = `xlUnsigned,
    mux.en_bin_pt = 0,
    mux.rst_width = 1,
    mux.rst_arith = `xlUnsigned,
    mux.rst_bin_pt = 0,
    mux.s_width = 1,
    mux.s_arith = `xlUnsigned,
    mux.s_bin_pt = 0,
    mux.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux.c_enable_rlocs = 0,
    mux.c_has_ce = 1,
    mux.c_has_o = 0,
    mux.c_has_q = 1,
    mux.c_has_sclr = 1,
    mux.c_inputs = 2,
    mux.c_latency = 1,
    mux.c_mux_type = 0,
    mux.c_sel_width = 1,
    mux.c_width = 13,
    mux.core = 1,
    mux.core_dout_arith = `xlSigned,
    mux.core_dout_bin_pt = 0,
    mux.latency = 1,
    mux.overflow = `xlWrap,
    mux.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert2_dout),
    .en(sl2v_10_dout),
    .rst(sl2v_11_dout),
    .s(sl2v_12_dout),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 12,
    mux1.din0_arith = `xlUnsigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 12,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.dout_width = 12,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 1,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 2,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 1,
    mux1.c_width = 13,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert4_dout),
    .en(sl2v_13_dout),
    .rst(sl2v_14_dout),
    .s(sl2v_15_dout),
    .dout(mux2_dout)
  );
  defparam 
    mux2.din0_width = 12,
    mux2.din0_arith = `xlUnsigned,
    mux2.din0_bin_pt = 0,
    mux2.din1_width = 12,
    mux2.din1_arith = `xlSigned,
    mux2.din1_bin_pt = 0,
    mux2.dout_width = 12,
    mux2.dout_arith = `xlSigned,
    mux2.dout_bin_pt = 0,
    mux2.en_width = 1,
    mux2.en_arith = `xlUnsigned,
    mux2.en_bin_pt = 0,
    mux2.rst_width = 1,
    mux2.rst_arith = `xlUnsigned,
    mux2.rst_bin_pt = 0,
    mux2.s_width = 1,
    mux2.s_arith = `xlUnsigned,
    mux2.s_bin_pt = 0,
    mux2.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux2.c_enable_rlocs = 0,
    mux2.c_has_ce = 1,
    mux2.c_has_o = 0,
    mux2.c_has_q = 1,
    mux2.c_has_sclr = 1,
    mux2.c_inputs = 2,
    mux2.c_latency = 1,
    mux2.c_mux_type = 0,
    mux2.c_sel_width = 1,
    mux2.c_width = 13,
    mux2.core = 1,
    mux2.core_dout_arith = `xlSigned,
    mux2.core_dout_bin_pt = 0,
    mux2.latency = 1,
    mux2.overflow = `xlWrap,
    mux2.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert1_dout),
    .en(sl2v_16_dout),
    .rst(sl2v_17_dout),
    .s(sl2v_18_dout),
    .dout(mux3_dout)
  );
  defparam 
    mux3.din0_width = 12,
    mux3.din0_arith = `xlUnsigned,
    mux3.din0_bin_pt = 0,
    mux3.din1_width = 12,
    mux3.din1_arith = `xlSigned,
    mux3.din1_bin_pt = 0,
    mux3.dout_width = 12,
    mux3.dout_arith = `xlSigned,
    mux3.dout_bin_pt = 0,
    mux3.en_width = 1,
    mux3.en_arith = `xlUnsigned,
    mux3.en_bin_pt = 0,
    mux3.rst_width = 1,
    mux3.rst_arith = `xlUnsigned,
    mux3.rst_bin_pt = 0,
    mux3.s_width = 1,
    mux3.s_arith = `xlUnsigned,
    mux3.s_bin_pt = 0,
    mux3.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux3.c_enable_rlocs = 0,
    mux3.c_has_ce = 1,
    mux3.c_has_o = 0,
    mux3.c_has_q = 1,
    mux3.c_has_sclr = 1,
    mux3.c_inputs = 2,
    mux3.c_latency = 1,
    mux3.c_mux_type = 0,
    mux3.c_sel_width = 1,
    mux3.c_width = 13,
    mux3.core = 1,
    mux3.core_dout_arith = `xlSigned,
    mux3.core_dout_bin_pt = 0,
    mux3.latency = 1,
    mux3.overflow = `xlWrap,
    mux3.quantization = `xlTruncate;

  xlcast reinterpret1 (
    .din(slice2_dout),
    .dout(reinterpret1_dout)
  );
  defparam 
    reinterpret1.din_width = 24,
    reinterpret1.din_arith = `xlUnsigned,
    reinterpret1.din_bin_pt = 0,
    reinterpret1.dout_width = 24,
    reinterpret1.dout_arith = `xlUnsigned,
    reinterpret1.dout_bin_pt = 16;

  xlcast reinterpret2 (
    .din(slice1_dout),
    .dout(reinterpret2_dout)
  );
  defparam 
    reinterpret2.din_width = 24,
    reinterpret2.din_arith = `xlUnsigned,
    reinterpret2.din_bin_pt = 0,
    reinterpret2.dout_width = 24,
    reinterpret2.dout_arith = `xlUnsigned,
    reinterpret2.dout_bin_pt = 16;

  xlcast reinterpret3 (
    .din(slice_dout),
    .dout(reinterpret3_dout)
  );
  defparam 
    reinterpret3.din_width = 24,
    reinterpret3.din_arith = `xlUnsigned,
    reinterpret3.din_bin_pt = 0,
    reinterpret3.dout_width = 24,
    reinterpret3.dout_arith = `xlUnsigned,
    reinterpret3.dout_bin_pt = 16;

  xlcast reinterpret5 (
    .din(slice3_dout),
    .dout(reinterpret5_dout)
  );
  defparam 
    reinterpret5.din_width = 24,
    reinterpret5.din_arith = `xlUnsigned,
    reinterpret5.din_bin_pt = 0,
    reinterpret5.dout_width = 24,
    reinterpret5.dout_arith = `xlUnsigned,
    reinterpret5.dout_bin_pt = 16;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b1),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(1'b0),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(en_out_x_0),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b1),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(1'b0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(en_out_x_0),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b1),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(1'b0),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(en_out_x_0),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(rst_x_0),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(rst_x_0),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b1),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(1'b0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(en_out_x_0),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslice slice (
    .din(dsp1_p),
    .dout(slice_dout)
  );
  defparam 
    slice.din_width = 48,
    slice.din_arith = `xlSigned,
    slice.din_bin_pt = 0,
    slice.dout_width = 24,
    slice.dout_arith = `xlUnsigned,
    slice.dout_bin_pt = 0,
    slice.new_lsb = 0,
    slice.new_msb = 23;

  xlslice slice1 (
    .din(dsp2_p),
    .dout(slice1_dout)
  );
  defparam 
    slice1.din_width = 48,
    slice1.din_arith = `xlSigned,
    slice1.din_bin_pt = 0,
    slice1.dout_width = 24,
    slice1.dout_arith = `xlUnsigned,
    slice1.dout_bin_pt = 0,
    slice1.new_lsb = 0,
    slice1.new_msb = 23;

  xlslice slice2 (
    .din(dsp3_p),
    .dout(slice2_dout)
  );
  defparam 
    slice2.din_width = 48,
    slice2.din_arith = `xlSigned,
    slice2.din_bin_pt = 0,
    slice2.dout_width = 24,
    slice2.dout_arith = `xlUnsigned,
    slice2.dout_bin_pt = 0,
    slice2.new_lsb = 0,
    slice2.new_msb = 23;

  xlslice slice3 (
    .din(dsp4_p),
    .dout(slice3_dout)
  );
  defparam 
    slice3.din_width = 48,
    slice3.din_arith = `xlSigned,
    slice3.din_bin_pt = 0,
    slice3.dout_width = 24,
    slice3.dout_arith = `xlUnsigned,
    slice3.dout_bin_pt = 0,
    slice3.new_lsb = 0,
    slice3.new_msb = 23;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem4/demux-mux1"

module dct2d_top_final3_demux_mux1_x_2 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem4_demux_mux1_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem4/demux-mux2"

module dct2d_top_final3_demux_mux2_x_2 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem4_demux_mux2_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem4/demux-mux3"

module dct2d_top_final3_demux_mux3_x_2 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem4_demux_mux3_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem4/demux-mux4"

module dct2d_top_final3_demux_mux4_x_2 (
  ce_sg,
  clk_sg,
  en,
  in_x_0,
  rst,
  out_x_0
);

  input  ce_sg;
  input  clk_sg;
  input  en;
  input [23 : 0] in_x_0;
  input  rst;
  output [23 : 0] out_x_0;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [23 : 0] constant3_dout;
  wire [4 : 0] constant_dout;
  wire [1 : 0] counter1_q;
  wire [1 : 0] counter2_q;
  wire [4 : 0] counter3_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire  delay7_q;
  wire  delay8_q;
  wire  delay9_q;
  wire [23 : 0] dual_port_ram_douta;
  wire [23 : 0] dual_port_ram_doutb;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire [23 : 0] in_x_1;
  wire [23 : 0] mux4_dout;
  wire  relational_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign en_x_0 = en;
  assign in_x_1 = in_x_0;
  assign rst_x_0 = rst;
  assign out_x_0 = dual_port_ram_doutb;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 24,
    constant3.dout_arith = `xlUnsigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 24'b000000000000000000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  dct2d_top_final3_counter counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00",
    counter1.c_count_by = "01",
    counter1.c_sinit_val = "00",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 2,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0;

  dct2d_top_final3_counter counter2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(counter2_q)
  );
  defparam 
// synopsys translate_off
    counter2.c_ainit_val = "00",
    counter2.c_count_by = "01",
    counter2.c_sinit_val = "00",
// synopsys translate_on,
    counter2.en_width = 1,
    counter2.en_arith = `xlUnsigned,
    counter2.en_bin_pt = 0,
    counter2.q_width = 2,
    counter2.q_arith = `xlUnsigned,
    counter2.q_bin_pt = 0,
    counter2.rst_width = 1,
    counter2.rst_arith = `xlUnsigned,
    counter2.rst_bin_pt = 0,
    counter2.core_name0 = "binary_counter_virtex4_7_0_ab7a1275b63c5334",
    counter2.c_count_mode = 0,
    counter2.c_enable_rlocs = 1,
    counter2.c_has_load = 0,
    counter2.c_has_up = 0;

  dct2d_top_final3_counter counter3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_3_dout),
    .rst(sl2v_4_dout),
    .q(counter3_q)
  );
  defparam 
// synopsys translate_off
    counter3.c_ainit_val = "00000",
    counter3.c_count_by = "00001",
    counter3.c_sinit_val = "00000",
// synopsys translate_on,
    counter3.en_width = 1,
    counter3.en_arith = `xlUnsigned,
    counter3.en_bin_pt = 0,
    counter3.q_width = 5,
    counter3.q_arith = `xlUnsigned,
    counter3.q_bin_pt = 0,
    counter3.rst_width = 1,
    counter3.rst_arith = `xlUnsigned,
    counter3.rst_bin_pt = 0,
    counter3.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter3.c_count_mode = 0,
    counter3.c_enable_rlocs = 1,
    counter3.c_has_load = 0,
    counter3.c_has_up = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_5_dout),
    .en(sl2v_6_dout),
    .rst(sl2v_7_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_8_dout),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 4,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_11_dout),
    .en(sl2v_12_dout),
    .rst(sl2v_13_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_14_dout),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_17_dout),
    .en(sl2v_18_dout),
    .rst(sl2v_19_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_20_dout),
    .en(sl2v_21_dout),
    .rst(sl2v_22_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay7 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_23_dout),
    .en(sl2v_24_dout),
    .rst(sl2v_25_dout),
    .q(delay7_q)
  );
  defparam 
    delay7.d_width = 1,
    delay7.d_arith = `xlUnsigned,
    delay7.d_bin_pt = 0,
    delay7.en_width = 1,
    delay7.en_arith = `xlUnsigned,
    delay7.en_bin_pt = 0,
    delay7.q_width = 1,
    delay7.q_arith = `xlUnsigned,
    delay7.q_bin_pt = 0,
    delay7.rst_width = 1,
    delay7.rst_arith = `xlUnsigned,
    delay7.rst_bin_pt = 0,
    delay7.latency = 1,
    delay7.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_26_dout),
    .en(sl2v_27_dout),
    .rst(sl2v_28_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 1,
    delay8.d_arith = `xlUnsigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 1,
    delay8.q_arith = `xlUnsigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 1,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_29_dout),
    .en(sl2v_30_dout),
    .rst(sl2v_31_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 1,
    delay9.d_arith = `xlUnsigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 1,
    delay9.q_arith = `xlUnsigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 1,
    delay9.reg_retiming = 0;

  dct2d_top_final3_dual_port_ram dual_port_ram (
    .a_ce(ce_sg_x_0),
    .a_clk(clk_sg_x_0),
    .a_clr(1'b0),
    .addra(counter1_q),
    .addrb(counter2_q),
    .b_ce(ce_sg_x_0),
    .b_clk(clk_sg_x_0),
    .b_clr(1'b0),
    .dina(mux4_dout),
    .dinb(mux4_dout),
    .rst_b(sl2v_32_dout),
    .wea(sl2v_33_dout),
    .web(sl2v_34_dout),
    .douta(dual_port_ram_douta),
    .doutb(dual_port_ram_doutb)
  );
  defparam 
// synopsys translate_off
    dual_port_ram.c_mem_init_file = "dct2d_top_final3_2d_idct1_Subsystem4_Subsystem4_demux_mux4_Dual_Port_RAM.mif",
// synopsys translate_on,
    dual_port_ram.core_name0 = "dual_port_block_memory_virtex4_6_1_91317ac2c213573c",
    dual_port_ram.c_address_width_a = 2,
    dual_port_ram.c_address_width_b = 2,
    dual_port_ram.c_depth_a = 4,
    dual_port_ram.c_depth_b = 4,
    dual_port_ram.c_has_sinita = 0,
    dual_port_ram.c_has_sinitb = 1,
    dual_port_ram.c_pipe_stages_a = 0,
    dual_port_ram.c_pipe_stages_b = 0,
    dual_port_ram.c_sinita_value = "0",
    dual_port_ram.c_sinitb_value = "0",
    dual_port_ram.c_width_a = 24,
    dual_port_ram.c_width_b = 24,
    dual_port_ram.c_write_modea = 1,
    dual_port_ram.c_write_modeb = 1,
    dual_port_ram.latency = 1;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_35_dout),
    .b(sl2v_36_dout),
    .c(sl2v_37_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_38_dout),
    .en(sl2v_39_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2 expression2 (
    .a(sl2v_40_dout),
    .b(sl2v_41_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_42_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(in_x_1),
    .din1(constant3_dout),
    .en(sl2v_43_dout),
    .rst(sl2v_44_dout),
    .s(sl2v_45_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 24,
    mux4.din0_arith = `xlUnsigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 24,
    mux4.din1_arith = `xlUnsigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 24,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_ee3d942ccb03894f",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 24,
    mux4.core = 1,
    mux4.core_dout_arith = `xlUnsigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  xlrelational relational (
    .a(constant_dout),
    .b(counter3_q),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .en(sl2v_46_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 0,
    relational.operator_type = 0;

  xlsl2slv sl2v (
    .din(v2sl_9_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(v2sl_4_dout),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(v2sl_dout),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b1),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b0),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(v2sl_1_dout),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(v2sl_10_dout),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b1),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(1'b0),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(rst_x_0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(en_x_0),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b1),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(1'b0),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(v2sl_3_dout),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b1),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(1'b0),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(v2sl_5_dout),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b1),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(1'b0),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(v2sl_6_dout),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(v2sl_0_dout),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b1),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(1'b0),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(rst_x_0),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(v2sl_9_dout),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_4_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(v2sl_7_dout),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(v2sl_dout),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_1_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(v2sl_2_dout),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b1),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_0_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(v2sl_8_dout),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b1),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(1'b1),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b0),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(v2sl_8_dout),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(v2sl_7_dout),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b1),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b0),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(en_x_0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslv2sl v2sl (
    .din(delay1_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay2_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay3_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(relational_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay4_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay5_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay6_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay7_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay8_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay9_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(expression1_dout),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(expression2_dout),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4/Subsystem4"

module dct2d_top_final3_subsystem4_x_0 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  en_out,
  enram,
  mem1,
  mem2,
  rst,
  y0_add,
  y0_sub,
  y1_add,
  y1_sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input  en_out;
  input  enram;
  input [17 : 0] mem1;
  input [17 : 0] mem2;
  input  rst;
  output [11 : 0] y0_add;
  output [11 : 0] y0_sub;
  output [11 : 0] y1_add;
  output [11 : 0] y1_sub;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [11 : 0] constant1_dout;
  wire [10 : 0] constant2_dout;
  wire [10 : 0] constant4_dout;
  wire [11 : 0] constant_dout;
  wire [11 : 0] convert1_dout;
  wire [7 : 0] convert2_dout;
  wire [47 : 0] convert3_dout;
  wire [11 : 0] convert4_dout;
  wire [7 : 0] convert5_dout;
  wire [47 : 0] convert6_dout;
  wire [47 : 0] convert7_dout;
  wire [47 : 0] convert8_dout;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [17 : 0] delay1_q;
  wire [17 : 0] delay2_q;
  wire [23 : 0] demux_mux1_out;
  wire [23 : 0] demux_mux2_out;
  wire [23 : 0] demux_mux3_out;
  wire [23 : 0] demux_mux4_out;
  wire [47 : 0] dsp1_p;
  wire [47 : 0] dsp2_p;
  wire [47 : 0] dsp3_p;
  wire [47 : 0] dsp4_p;
  wire  en_out_x_0;
  wire  enram_x_0;
  wire [17 : 0] mem1_x_0;
  wire [17 : 0] mem2_x_0;
  wire [11 : 0] mux1_dout;
  wire [11 : 0] mux2_dout;
  wire [11 : 0] mux3_dout;
  wire [11 : 0] mux_dout;
  wire [23 : 0] reinterpret1_dout;
  wire [23 : 0] reinterpret2_dout;
  wire [23 : 0] reinterpret4_dout;
  wire [23 : 0] reinterpret5_dout;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_10_dout;
  wire  sl2v_11_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_1_dout;
  wire  sl2v_2_dout;
  wire  sl2v_3_dout;
  wire  sl2v_4_dout;
  wire  sl2v_5_dout;
  wire  sl2v_6_dout;
  wire  sl2v_7_dout;
  wire  sl2v_8_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire [23 : 0] slice1_dout;
  wire [23 : 0] slice2_dout;
  wire [23 : 0] slice3_dout;
  wire [23 : 0] slice_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign en_out_x_0 = en_out;
  assign enram_x_0 = enram;
  assign mem1_x_0 = mem1;
  assign mem2_x_0 = mem2;
  assign rst_x_0 = rst;
  assign y0_add = mux_dout;
  assign y0_sub = mux1_dout;
  assign y1_add = mux2_dout;
  assign y1_sub = mux3_dout;


  xlconstant constant1 (
    .dout(constant1_dout)
  );
  defparam 
    constant1.dout_width = 12,
    constant1.dout_arith = `xlUnsigned,
    constant1.dout_bin_pt = 0,
    constant1.const_val = 12'b000000000000;

  xlconstant constant2 (
    .dout(constant2_dout)
  );
  defparam 
    constant2.dout_width = 11,
    constant2.dout_arith = `xlUnsigned,
    constant2.dout_bin_pt = 0,
    constant2.const_val = 11'b00000110101;

  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 11,
    constant4.dout_arith = `xlUnsigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 11'b00000110101;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 12,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 12'b000000000000;

  xlconvert convert1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret1_dout),
    .dout(convert1_dout)
  );
  defparam 
    convert1.din_width = 24,
    convert1.din_arith = `xlUnsigned,
    convert1.din_bin_pt = 16,
    convert1.dout_width = 12,
    convert1.dout_arith = `xlSigned,
    convert1.dout_bin_pt = 0,
    convert1.bool_conversion = 0,
    convert1.latency = 0,
    convert1.overflow = `xlWrap,
    convert1.quantization = `xlRound;

  xlconvert convert2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret2_dout),
    .dout(convert2_dout)
  );
  defparam 
    convert2.din_width = 24,
    convert2.din_arith = `xlUnsigned,
    convert2.din_bin_pt = 16,
    convert2.dout_width = 8,
    convert2.dout_arith = `xlSigned,
    convert2.dout_bin_pt = 0,
    convert2.bool_conversion = 0,
    convert2.latency = 0,
    convert2.overflow = `xlWrap,
    convert2.quantization = `xlRound;

  xlconvert convert3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux3_out),
    .dout(convert3_dout)
  );
  defparam 
    convert3.din_width = 24,
    convert3.din_arith = `xlSigned,
    convert3.din_bin_pt = 0,
    convert3.dout_width = 48,
    convert3.dout_arith = `xlSigned,
    convert3.dout_bin_pt = 0,
    convert3.bool_conversion = 0,
    convert3.latency = 0,
    convert3.overflow = `xlWrap,
    convert3.quantization = `xlRound;

  xlconvert convert4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret4_dout),
    .dout(convert4_dout)
  );
  defparam 
    convert4.din_width = 24,
    convert4.din_arith = `xlUnsigned,
    convert4.din_bin_pt = 16,
    convert4.dout_width = 12,
    convert4.dout_arith = `xlSigned,
    convert4.dout_bin_pt = 0,
    convert4.bool_conversion = 0,
    convert4.latency = 0,
    convert4.overflow = `xlWrap,
    convert4.quantization = `xlRound;

  xlconvert convert5 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(reinterpret5_dout),
    .dout(convert5_dout)
  );
  defparam 
    convert5.din_width = 24,
    convert5.din_arith = `xlUnsigned,
    convert5.din_bin_pt = 16,
    convert5.dout_width = 8,
    convert5.dout_arith = `xlSigned,
    convert5.dout_bin_pt = 0,
    convert5.bool_conversion = 0,
    convert5.latency = 0,
    convert5.overflow = `xlWrap,
    convert5.quantization = `xlRound;

  xlconvert convert6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux4_out),
    .dout(convert6_dout)
  );
  defparam 
    convert6.din_width = 24,
    convert6.din_arith = `xlSigned,
    convert6.din_bin_pt = 0,
    convert6.dout_width = 48,
    convert6.dout_arith = `xlSigned,
    convert6.dout_bin_pt = 0,
    convert6.bool_conversion = 0,
    convert6.latency = 0,
    convert6.overflow = `xlWrap,
    convert6.quantization = `xlRound;

  xlconvert convert7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux2_out),
    .dout(convert7_dout)
  );
  defparam 
    convert7.din_width = 24,
    convert7.din_arith = `xlSigned,
    convert7.din_bin_pt = 0,
    convert7.dout_width = 48,
    convert7.dout_arith = `xlSigned,
    convert7.dout_bin_pt = 0,
    convert7.bool_conversion = 0,
    convert7.latency = 0,
    convert7.overflow = `xlWrap,
    convert7.quantization = `xlRound;

  xlconvert convert8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(demux_mux1_out),
    .dout(convert8_dout)
  );
  defparam 
    convert8.din_width = 24,
    convert8.din_arith = `xlSigned,
    convert8.din_bin_pt = 0,
    convert8.dout_width = 48,
    convert8.dout_arith = `xlSigned,
    convert8.dout_bin_pt = 0,
    convert8.bool_conversion = 0,
    convert8.latency = 0,
    convert8.overflow = `xlWrap,
    convert8.quantization = `xlRound;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct2in_x_0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 18,
    delay1.d_arith = `xlSigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 18,
    delay1.q_arith = `xlSigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(dct1in_x_0),
    .en(sl2v_1_dout),
    .rst(sl2v_2_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 18,
    delay2.d_arith = `xlSigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 18,
    delay2.q_arith = `xlSigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 1,
    delay2.reg_retiming = 0;

  dct2d_top_final3_demux_mux1_x_2 demux_mux1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux1_out)
  );

  dct2d_top_final3_demux_mux2_x_2 demux_mux2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice1_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux2_out)
  );

  dct2d_top_final3_demux_mux3_x_2 demux_mux3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice2_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux3_out)
  );

  dct2d_top_final3_demux_mux4_x_2 demux_mux4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .en(enram_x_0),
    .in_x_0(slice3_dout),
    .rst(rst_x_0),
    .out_x_0(demux_mux4_out)
  );

  xldsp48 dsp1 (
    .a(delay2_q),
    .b(mem1_x_0),
    .c(convert8_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_3_dout),
    .p(dsp1_p)
  );
  defparam 
    dsp1.AREG = 1,
    dsp1.BREG = 1,
    dsp1.B_INPUT = "DIRECT",
    dsp1.CARRYINREG = 0,
    dsp1.CARRYINSELREG = 0,
    dsp1.CREG = 1,
    dsp1.LEGACY_MODE = "MULT18X18S",
    dsp1.MREG = 1,
    dsp1.OPMODEREG = 1,
    dsp1.PREG = 1,
    dsp1.SUBTRACTREG = 0,
    dsp1.USE_OP = 1,
    dsp1.c_use_b = 1,
    dsp1.c_use_bcin = 0,
    dsp1.c_use_c = 1,
    dsp1.c_use_ce_carry_in = 0,
    dsp1.c_use_ce_ctrl = 0,
    dsp1.c_use_ce_mult = 0,
    dsp1.c_use_cea = 0,
    dsp1.c_use_ceb = 0,
    dsp1.c_use_cec = 0,
    dsp1.c_use_cep = 0,
    dsp1.c_use_en = 0,
    dsp1.c_use_pcin = 0,
    dsp1.c_use_rst = 1,
    dsp1.c_use_rsta = 0,
    dsp1.c_use_rstb = 0,
    dsp1.c_use_rstc = 0,
    dsp1.c_use_rstcarryin = 0,
    dsp1.c_use_rstctrl = 0,
    dsp1.c_use_rstm = 0,
    dsp1.c_use_rstp = 0;

  xldsp48 dsp2 (
    .a(delay1_q),
    .b(mem1_x_0),
    .c(convert7_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant4_dout),
    .rst(sl2v_4_dout),
    .p(dsp2_p)
  );
  defparam 
    dsp2.AREG = 1,
    dsp2.BREG = 1,
    dsp2.B_INPUT = "DIRECT",
    dsp2.CARRYINREG = 0,
    dsp2.CARRYINSELREG = 0,
    dsp2.CREG = 1,
    dsp2.LEGACY_MODE = "MULT18X18S",
    dsp2.MREG = 1,
    dsp2.OPMODEREG = 1,
    dsp2.PREG = 1,
    dsp2.SUBTRACTREG = 0,
    dsp2.USE_OP = 1,
    dsp2.c_use_b = 1,
    dsp2.c_use_bcin = 0,
    dsp2.c_use_c = 1,
    dsp2.c_use_ce_carry_in = 0,
    dsp2.c_use_ce_ctrl = 0,
    dsp2.c_use_ce_mult = 0,
    dsp2.c_use_cea = 0,
    dsp2.c_use_ceb = 0,
    dsp2.c_use_cec = 0,
    dsp2.c_use_cep = 0,
    dsp2.c_use_en = 0,
    dsp2.c_use_pcin = 0,
    dsp2.c_use_rst = 1,
    dsp2.c_use_rsta = 0,
    dsp2.c_use_rstb = 0,
    dsp2.c_use_rstc = 0,
    dsp2.c_use_rstcarryin = 0,
    dsp2.c_use_rstctrl = 0,
    dsp2.c_use_rstm = 0,
    dsp2.c_use_rstp = 0;

  xldsp48 dsp3 (
    .a(delay2_q),
    .b(mem2_x_0),
    .c(convert3_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_5_dout),
    .p(dsp3_p)
  );
  defparam 
    dsp3.AREG = 1,
    dsp3.BREG = 1,
    dsp3.B_INPUT = "DIRECT",
    dsp3.CARRYINREG = 0,
    dsp3.CARRYINSELREG = 0,
    dsp3.CREG = 1,
    dsp3.LEGACY_MODE = "MULT18X18S",
    dsp3.MREG = 1,
    dsp3.OPMODEREG = 1,
    dsp3.PREG = 1,
    dsp3.SUBTRACTREG = 0,
    dsp3.USE_OP = 1,
    dsp3.c_use_b = 1,
    dsp3.c_use_bcin = 0,
    dsp3.c_use_c = 1,
    dsp3.c_use_ce_carry_in = 0,
    dsp3.c_use_ce_ctrl = 0,
    dsp3.c_use_ce_mult = 0,
    dsp3.c_use_cea = 0,
    dsp3.c_use_ceb = 0,
    dsp3.c_use_cec = 0,
    dsp3.c_use_cep = 0,
    dsp3.c_use_en = 0,
    dsp3.c_use_pcin = 0,
    dsp3.c_use_rst = 1,
    dsp3.c_use_rsta = 0,
    dsp3.c_use_rstb = 0,
    dsp3.c_use_rstc = 0,
    dsp3.c_use_rstcarryin = 0,
    dsp3.c_use_rstctrl = 0,
    dsp3.c_use_rstm = 0,
    dsp3.c_use_rstp = 0;

  xldsp48 dsp4 (
    .a(delay1_q),
    .b(mem2_x_0),
    .c(convert6_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .op(constant2_dout),
    .rst(sl2v_6_dout),
    .p(dsp4_p)
  );
  defparam 
    dsp4.AREG = 1,
    dsp4.BREG = 1,
    dsp4.B_INPUT = "DIRECT",
    dsp4.CARRYINREG = 0,
    dsp4.CARRYINSELREG = 0,
    dsp4.CREG = 1,
    dsp4.LEGACY_MODE = "MULT18X18S",
    dsp4.MREG = 1,
    dsp4.OPMODEREG = 1,
    dsp4.PREG = 1,
    dsp4.SUBTRACTREG = 0,
    dsp4.USE_OP = 1,
    dsp4.c_use_b = 1,
    dsp4.c_use_bcin = 0,
    dsp4.c_use_c = 1,
    dsp4.c_use_ce_carry_in = 0,
    dsp4.c_use_ce_ctrl = 0,
    dsp4.c_use_ce_mult = 0,
    dsp4.c_use_cea = 0,
    dsp4.c_use_ceb = 0,
    dsp4.c_use_cec = 0,
    dsp4.c_use_cep = 0,
    dsp4.c_use_en = 0,
    dsp4.c_use_pcin = 0,
    dsp4.c_use_rst = 1,
    dsp4.c_use_rsta = 0,
    dsp4.c_use_rstb = 0,
    dsp4.c_use_rstc = 0,
    dsp4.c_use_rstcarryin = 0,
    dsp4.c_use_rstctrl = 0,
    dsp4.c_use_rstm = 0,
    dsp4.c_use_rstp = 0;

  dct2d_top_final3_mux1 mux (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert5_dout),
    .en(sl2v_7_dout),
    .rst(sl2v_8_dout),
    .s(sl2v_9_dout),
    .dout(mux_dout)
  );
  defparam 
    mux.din0_width = 12,
    mux.din0_arith = `xlUnsigned,
    mux.din0_bin_pt = 0,
    mux.din1_width = 8,
    mux.din1_arith = `xlSigned,
    mux.din1_bin_pt = 0,
    mux.dout_width = 12,
    mux.dout_arith = `xlSigned,
    mux.dout_bin_pt = 0,
    mux.en_width = 1,
    mux.en_arith = `xlUnsigned,
    mux.en_bin_pt = 0,
    mux.rst_width = 1,
    mux.rst_arith = `xlUnsigned,
    mux.rst_bin_pt = 0,
    mux.s_width = 1,
    mux.s_arith = `xlUnsigned,
    mux.s_bin_pt = 0,
    mux.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux.c_enable_rlocs = 0,
    mux.c_has_ce = 1,
    mux.c_has_o = 0,
    mux.c_has_q = 1,
    mux.c_has_sclr = 1,
    mux.c_inputs = 2,
    mux.c_latency = 1,
    mux.c_mux_type = 0,
    mux.c_sel_width = 1,
    mux.c_width = 13,
    mux.core = 1,
    mux.core_dout_arith = `xlSigned,
    mux.core_dout_bin_pt = 0,
    mux.latency = 1,
    mux.overflow = `xlWrap,
    mux.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert2_dout),
    .en(sl2v_10_dout),
    .rst(sl2v_11_dout),
    .s(sl2v_12_dout),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 12,
    mux1.din0_arith = `xlUnsigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 8,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.dout_width = 12,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 1,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 1,
    mux1.c_has_o = 0,
    mux1.c_has_q = 1,
    mux1.c_has_sclr = 1,
    mux1.c_inputs = 2,
    mux1.c_latency = 1,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 1,
    mux1.c_width = 13,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 1,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant_dout),
    .din1(convert4_dout),
    .en(sl2v_13_dout),
    .rst(sl2v_14_dout),
    .s(sl2v_15_dout),
    .dout(mux2_dout)
  );
  defparam 
    mux2.din0_width = 12,
    mux2.din0_arith = `xlUnsigned,
    mux2.din0_bin_pt = 0,
    mux2.din1_width = 12,
    mux2.din1_arith = `xlSigned,
    mux2.din1_bin_pt = 0,
    mux2.dout_width = 12,
    mux2.dout_arith = `xlSigned,
    mux2.dout_bin_pt = 0,
    mux2.en_width = 1,
    mux2.en_arith = `xlUnsigned,
    mux2.en_bin_pt = 0,
    mux2.rst_width = 1,
    mux2.rst_arith = `xlUnsigned,
    mux2.rst_bin_pt = 0,
    mux2.s_width = 1,
    mux2.s_arith = `xlUnsigned,
    mux2.s_bin_pt = 0,
    mux2.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux2.c_enable_rlocs = 0,
    mux2.c_has_ce = 1,
    mux2.c_has_o = 0,
    mux2.c_has_q = 1,
    mux2.c_has_sclr = 1,
    mux2.c_inputs = 2,
    mux2.c_latency = 1,
    mux2.c_mux_type = 0,
    mux2.c_sel_width = 1,
    mux2.c_width = 13,
    mux2.core = 1,
    mux2.core_dout_arith = `xlSigned,
    mux2.core_dout_bin_pt = 0,
    mux2.latency = 1,
    mux2.overflow = `xlWrap,
    mux2.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .din0(constant1_dout),
    .din1(convert1_dout),
    .en(sl2v_16_dout),
    .rst(sl2v_17_dout),
    .s(sl2v_18_dout),
    .dout(mux3_dout)
  );
  defparam 
    mux3.din0_width = 12,
    mux3.din0_arith = `xlUnsigned,
    mux3.din0_bin_pt = 0,
    mux3.din1_width = 12,
    mux3.din1_arith = `xlSigned,
    mux3.din1_bin_pt = 0,
    mux3.dout_width = 12,
    mux3.dout_arith = `xlSigned,
    mux3.dout_bin_pt = 0,
    mux3.en_width = 1,
    mux3.en_arith = `xlUnsigned,
    mux3.en_bin_pt = 0,
    mux3.rst_width = 1,
    mux3.rst_arith = `xlUnsigned,
    mux3.rst_bin_pt = 0,
    mux3.s_width = 1,
    mux3.s_arith = `xlUnsigned,
    mux3.s_bin_pt = 0,
    mux3.core_name0 = "bus_multiplexer_virtex4_7_0_55ad38160fccae5b",
    mux3.c_enable_rlocs = 0,
    mux3.c_has_ce = 1,
    mux3.c_has_o = 0,
    mux3.c_has_q = 1,
    mux3.c_has_sclr = 1,
    mux3.c_inputs = 2,
    mux3.c_latency = 1,
    mux3.c_mux_type = 0,
    mux3.c_sel_width = 1,
    mux3.c_width = 13,
    mux3.core = 1,
    mux3.core_dout_arith = `xlSigned,
    mux3.core_dout_bin_pt = 0,
    mux3.latency = 1,
    mux3.overflow = `xlWrap,
    mux3.quantization = `xlTruncate;

  xlcast reinterpret1 (
    .din(slice3_dout),
    .dout(reinterpret1_dout)
  );
  defparam 
    reinterpret1.din_width = 24,
    reinterpret1.din_arith = `xlUnsigned,
    reinterpret1.din_bin_pt = 0,
    reinterpret1.dout_width = 24,
    reinterpret1.dout_arith = `xlUnsigned,
    reinterpret1.dout_bin_pt = 16;

  xlcast reinterpret2 (
    .din(slice2_dout),
    .dout(reinterpret2_dout)
  );
  defparam 
    reinterpret2.din_width = 24,
    reinterpret2.din_arith = `xlUnsigned,
    reinterpret2.din_bin_pt = 0,
    reinterpret2.dout_width = 24,
    reinterpret2.dout_arith = `xlUnsigned,
    reinterpret2.dout_bin_pt = 16;

  xlcast reinterpret4 (
    .din(slice1_dout),
    .dout(reinterpret4_dout)
  );
  defparam 
    reinterpret4.din_width = 24,
    reinterpret4.din_arith = `xlUnsigned,
    reinterpret4.din_bin_pt = 0,
    reinterpret4.dout_width = 24,
    reinterpret4.dout_arith = `xlUnsigned,
    reinterpret4.dout_bin_pt = 16;

  xlcast reinterpret5 (
    .din(slice_dout),
    .dout(reinterpret5_dout)
  );
  defparam 
    reinterpret5.din_width = 24,
    reinterpret5.din_arith = `xlUnsigned,
    reinterpret5.din_bin_pt = 0,
    reinterpret5.dout_width = 24,
    reinterpret5.dout_arith = `xlUnsigned,
    reinterpret5.dout_bin_pt = 16;

  xlsl2slv sl2v (
    .din(1'b1),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(1'b0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(1'b1),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b1),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(1'b0),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(en_out_x_0),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b1),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(1'b0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(en_out_x_0),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b1),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(1'b0),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(en_out_x_0),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b0),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(rst_x_0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(rst_x_0),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(rst_x_0),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(rst_x_0),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b1),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(1'b0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(en_out_x_0),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlslice slice (
    .din(dsp1_p),
    .dout(slice_dout)
  );
  defparam 
    slice.din_width = 48,
    slice.din_arith = `xlSigned,
    slice.din_bin_pt = 0,
    slice.dout_width = 24,
    slice.dout_arith = `xlUnsigned,
    slice.dout_bin_pt = 0,
    slice.new_lsb = 0,
    slice.new_msb = 23;

  xlslice slice1 (
    .din(dsp2_p),
    .dout(slice1_dout)
  );
  defparam 
    slice1.din_width = 48,
    slice1.din_arith = `xlSigned,
    slice1.din_bin_pt = 0,
    slice1.dout_width = 24,
    slice1.dout_arith = `xlUnsigned,
    slice1.dout_bin_pt = 0,
    slice1.new_lsb = 0,
    slice1.new_msb = 23;

  xlslice slice2 (
    .din(dsp3_p),
    .dout(slice2_dout)
  );
  defparam 
    slice2.din_width = 48,
    slice2.din_arith = `xlSigned,
    slice2.din_bin_pt = 0,
    slice2.dout_width = 24,
    slice2.dout_arith = `xlUnsigned,
    slice2.dout_bin_pt = 0,
    slice2.new_lsb = 0,
    slice2.new_msb = 23;

  xlslice slice3 (
    .din(dsp4_p),
    .dout(slice3_dout)
  );
  defparam 
    slice3.din_width = 48,
    slice3.din_arith = `xlSigned,
    slice3.din_bin_pt = 0,
    slice3.dout_width = 24,
    slice3.dout_arith = `xlUnsigned,
    slice3.dout_bin_pt = 0,
    slice3.new_lsb = 0,
    slice3.new_msb = 23;
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1/Subsystem4"

module dct2d_top_final3_subsystem4_x_1 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dct3in,
  dct4in,
  dct5in,
  dct6in,
  dct7in,
  dct8in,
  en_out,
  en_ram,
  mem1,
  mem2,
  rst,
  dummy_c_1,
  dummy_c_2,
  dummy_c_3,
  dummy_c_4,
  dummy_c_5,
  dummy_c_6,
  dummy_c_7,
  dummy_c_8,
  y0_add,
  y0_sub,
  y1_add,
  y1_sub,
  y2_add,
  y2_sub,
  y3_add,
  y3_sub,
  y4_add,
  y4_sub,
  y5_add,
  y5_sub,
  y6_add,
  y6_sub,
  y7_add,
  y7_sub
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input [17 : 0] dct3in;
  input [17 : 0] dct4in;
  input [17 : 0] dct5in;
  input [17 : 0] dct6in;
  input [17 : 0] dct7in;
  input [17 : 0] dct8in;
  input  en_out;
  input  en_ram;
  input [17 : 0] mem1;
  input [17 : 0] mem2;
  input  rst;
  output [47 : 0] dummy_c_1;
  output [47 : 0] dummy_c_2;
  output [47 : 0] dummy_c_3;
  output [47 : 0] dummy_c_4;
  output [47 : 0] dummy_c_5;
  output [47 : 0] dummy_c_6;
  output [47 : 0] dummy_c_7;
  output [47 : 0] dummy_c_8;
  output [11 : 0] y0_add;
  output [11 : 0] y0_sub;
  output [11 : 0] y1_add;
  output [11 : 0] y1_sub;
  output [11 : 0] y2_add;
  output [11 : 0] y2_sub;
  output [11 : 0] y3_add;
  output [11 : 0] y3_sub;
  output [11 : 0] y4_add;
  output [11 : 0] y4_sub;
  output [11 : 0] y5_add;
  output [11 : 0] y5_sub;
  output [11 : 0] y6_add;
  output [11 : 0] y6_sub;
  output [11 : 0] y7_add;
  output [11 : 0] y7_sub;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [17 : 0] dct3in_x_0;
  wire [17 : 0] dct4in_x_0;
  wire [17 : 0] dct5in_x_0;
  wire [17 : 0] dct6in_x_0;
  wire [17 : 0] dct7in_x_0;
  wire [17 : 0] dct8in_x_0;
  wire  en_out_x_0;
  wire  en_ram_x_0;
  wire [17 : 0] mem1_x_0;
  wire [17 : 0] mem2_x_0;
  wire  rst_x_0;
  wire [47 : 0] subsystem1_dummy_c_1;
  wire [47 : 0] subsystem1_dummy_c_2;
  wire [47 : 0] subsystem1_dummy_c_3;
  wire [47 : 0] subsystem1_dummy_c_4;
  wire [11 : 0] subsystem1_y0_add;
  wire [11 : 0] subsystem1_y0_sub;
  wire [11 : 0] subsystem1_y1_add;
  wire [11 : 0] subsystem1_y1_sub;
  wire [47 : 0] subsystem2_dummy_c_5;
  wire [47 : 0] subsystem2_dummy_c_6;
  wire [47 : 0] subsystem2_dummy_c_7;
  wire [47 : 0] subsystem2_dummy_c_8;
  wire [11 : 0] subsystem2_y0_add;
  wire [11 : 0] subsystem2_y0_sub;
  wire [11 : 0] subsystem2_y1_add;
  wire [11 : 0] subsystem2_y1_sub;
  wire [11 : 0] subsystem3_y0_add;
  wire [11 : 0] subsystem3_y0_sub;
  wire [11 : 0] subsystem3_y1_add;
  wire [11 : 0] subsystem3_y1_sub;
  wire [11 : 0] subsystem4_y0_add;
  wire [11 : 0] subsystem4_y0_sub;
  wire [11 : 0] subsystem4_y1_add;
  wire [11 : 0] subsystem4_y1_sub;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dct3in_x_0 = dct3in;
  assign dct4in_x_0 = dct4in;
  assign dct5in_x_0 = dct5in;
  assign dct6in_x_0 = dct6in;
  assign dct7in_x_0 = dct7in;
  assign dct8in_x_0 = dct8in;
  assign en_out_x_0 = en_out;
  assign en_ram_x_0 = en_ram;
  assign mem1_x_0 = mem1;
  assign mem2_x_0 = mem2;
  assign rst_x_0 = rst;
  assign dummy_c_1 = subsystem1_dummy_c_1;
  assign dummy_c_2 = subsystem1_dummy_c_2;
  assign dummy_c_3 = subsystem1_dummy_c_3;
  assign dummy_c_4 = subsystem1_dummy_c_4;
  assign dummy_c_5 = subsystem2_dummy_c_5;
  assign dummy_c_6 = subsystem2_dummy_c_6;
  assign dummy_c_7 = subsystem2_dummy_c_7;
  assign dummy_c_8 = subsystem2_dummy_c_8;
  assign y0_add = subsystem4_y0_add;
  assign y0_sub = subsystem4_y0_sub;
  assign y1_add = subsystem4_y1_add;
  assign y1_sub = subsystem4_y1_sub;
  assign y2_add = subsystem1_y0_add;
  assign y2_sub = subsystem1_y0_sub;
  assign y3_add = subsystem1_y1_add;
  assign y3_sub = subsystem1_y1_sub;
  assign y4_add = subsystem2_y0_add;
  assign y4_sub = subsystem2_y0_sub;
  assign y5_add = subsystem2_y1_add;
  assign y5_sub = subsystem2_y1_sub;
  assign y6_add = subsystem3_y0_add;
  assign y6_sub = subsystem3_y0_sub;
  assign y7_add = subsystem3_y1_add;
  assign y7_sub = subsystem3_y1_sub;


  dct2d_top_final3_subsystem1_x_1 subsystem1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(dct3in_x_0),
    .dct2in(dct4in_x_0),
    .en_out(en_out_x_0),
    .enram(en_ram_x_0),
    .mem1(mem1_x_0),
    .mem2(mem2_x_0),
    .rst(rst_x_0),
    .dummy_c_1(subsystem1_dummy_c_1),
    .dummy_c_2(subsystem1_dummy_c_2),
    .dummy_c_3(subsystem1_dummy_c_3),
    .dummy_c_4(subsystem1_dummy_c_4),
    .y0_add(subsystem1_y0_add),
    .y0_sub(subsystem1_y0_sub),
    .y1_add(subsystem1_y1_add),
    .y1_sub(subsystem1_y1_sub)
  );

  dct2d_top_final3_subsystem2_x_1 subsystem2 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(dct5in_x_0),
    .dct2in(dct6in_x_0),
    .en_out(en_out_x_0),
    .enram(en_ram_x_0),
    .mem1(mem1_x_0),
    .mem2(mem2_x_0),
    .rst(rst_x_0),
    .dummy_c_5(subsystem2_dummy_c_5),
    .dummy_c_6(subsystem2_dummy_c_6),
    .dummy_c_7(subsystem2_dummy_c_7),
    .dummy_c_8(subsystem2_dummy_c_8),
    .y0_add(subsystem2_y0_add),
    .y0_sub(subsystem2_y0_sub),
    .y1_add(subsystem2_y1_add),
    .y1_sub(subsystem2_y1_sub)
  );

  dct2d_top_final3_subsystem3_x_1 subsystem3 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(dct7in_x_0),
    .dct2in(dct8in_x_0),
    .en_out(en_out_x_0),
    .enram(en_ram_x_0),
    .mem1(mem1_x_0),
    .mem2(mem2_x_0),
    .rst(rst_x_0),
    .y0_add(subsystem3_y0_add),
    .y0_sub(subsystem3_y0_sub),
    .y1_add(subsystem3_y1_add),
    .y1_sub(subsystem3_y1_sub)
  );

  dct2d_top_final3_subsystem4_x_0 subsystem4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(dct1in_x_0),
    .dct2in(dct2in_x_0),
    .en_out(en_out_x_0),
    .enram(en_ram_x_0),
    .mem1(mem1_x_0),
    .mem2(mem2_x_0),
    .rst(rst_x_0),
    .y0_add(subsystem4_y0_add),
    .y0_sub(subsystem4_y0_sub),
    .y1_add(subsystem4_y1_add),
    .y1_sub(subsystem4_y1_sub)
  );
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

`ifndef binary_counter_virtex4_7_0_1f477f344448bfe9
`define binary_counter_virtex4_7_0_1f477f344448bfe9
module binary_counter_virtex4_7_0_1f477f344448bfe9  (CLK, CE, SINIT, Q)/* synthesis syn_black_box */;
      input CLK, CE, SINIT;
      output [4:0] Q;
endmodule
`endif
module  dct2d_top_final3_counter1_x_15  (ce, clr, clk, q, up, en, rst);
parameter core_name0= "";
parameter q_width= 5;
parameter q_bin_pt= 2;
parameter q_arith= `xlSigned;
parameter en_arith= `xlUnsigned;
parameter en_bin_pt= 0;
parameter en_width= 1;
parameter rst_arith= `xlUnsigned;
parameter rst_bin_pt= 0;
parameter rst_width= 1;
parameter up_arith= `xlUnsigned;
parameter up_bin_pt= 0;
parameter up_width= 1;
parameter cnt_to_high= 0;
parameter cnt_to_low= 0;
parameter count_limited= 0;
parameter c_count_by= "00001";
parameter c_ainit_val= "00011";
parameter c_sinit_val= "00011";
parameter c_has_up= 0;
parameter c_has_load= 0;
parameter c_count_mode= 0;
parameter c_enable_rlocs= 1;

   input  ce, clr, clk;
   input rst, en;
   input up;
   output [q_width-1:0] q;
parameter [63:0] cnt_to = { cnt_to_high, cnt_to_low};
parameter [(8*q_width)-1:0] oneStr = { q_width{"1"}};

reg q_thresh0;
wire core_sinit, core_ce;
wire rst_overrides_en;
wire [q_width-1:0] q_net;
   assign q = q_net;
   assign core_ce = ce & en;
   assign rst_overrides_en = rst | en;

generate
   if (count_limited == 1)
     begin :limit
        always @(q_net)
          begin:eq_cnt_to
             q_thresh0 = (q_net == cnt_to[q_width-1:0])? 1'b1 : 1'b0;
          end
        assign core_sinit = (q_thresh0 | clr | rst) & ce & rst_overrides_en;
     end
   if (count_limited == 0)
     begin :no_limit
        assign core_sinit = (clr | rst) & ce & rst_overrides_en;
     end
  if ( (`simulating ==0) && (core_name0 == "binary_counter_virtex4_7_0_1f477f344448bfe9") )
    begin:comp0
    binary_counter_virtex4_7_0_1f477f344448bfe9 core_instance0 (
        .CLK(clk),
        .CE(core_ce),
        .SINIT(core_sinit),
        .Q(q_net)
      );
  end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "binary_counter_virtex4_7_0_1f477f344448bfe9") )
begin:comp1
C_COUNTER_BINARY_V7_0 core_instance1(
        .CLK(clk),
        .CE(core_ce),
        .SINIT(core_sinit),
        .Q(q_net)
        );
defparam
core_instance1.C_SINIT_VAL= c_sinit_val,
core_instance1.C_LOAD_ENABLE= 1,
core_instance1.C_THRESH_EARLY= 1,
core_instance1.C_HAS_UP= c_has_up,
core_instance1.C_SYNC_ENABLE= 0,
core_instance1.C_HAS_AINIT= 0,
core_instance1.C_SYNC_PRIORITY= 1,
core_instance1.C_HAS_Q_THRESH1= 0,
core_instance1.C_HAS_Q_THRESH0= 0,
core_instance1.C_HAS_SINIT= 1,
core_instance1.C_THRESH1_VALUE= oneStr,
core_instance1.C_HAS_THRESH1= 0,
core_instance1.C_HAS_THRESH0= 0,
core_instance1.C_AINIT_VAL= c_ainit_val,
core_instance1.C_HAS_SSET= 0,
core_instance1.C_WIDTH= q_width,
core_instance1.C_LOAD_LOW= 0,
core_instance1.C_COUNT_TO= oneStr,
core_instance1.C_HAS_IV= 0,
core_instance1.C_COUNT_MODE= c_count_mode,
core_instance1.C_HAS_L= c_has_load,
core_instance1.C_HAS_ASET= 0,
core_instance1.C_HAS_SCLR= 0,
core_instance1.C_THRESH0_VALUE= oneStr,
core_instance1.C_PIPE_STAGES= 0,
core_instance1.C_HAS_LOAD= c_has_load,
core_instance1.C_HAS_CE= 1,
core_instance1.C_HAS_ACLR= 0,
core_instance1.C_COUNT_BY= c_count_by,
core_instance1.C_RESTRICT_COUNT= 0,
core_instance1.C_ENABLE_RLOCS= c_enable_rlocs;
end
// synopsys translate_on
endgenerate
endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

module  dct2d_top_final3_expression2_x_15  (                                a,
                                                            b,
                                                            c,
                                                            d,
                                                            e,
                            ce, clr, clk, en, dout);
        parameter a_width= 12;
        parameter a_bin_pt= 7;
        parameter a_arith= `xlSigned;
        parameter b_width= 12;
        parameter b_bin_pt= 7;
        parameter b_arith= `xlSigned;
        parameter c_width= 12;
        parameter c_bin_pt= 7;
        parameter c_arith= `xlSigned;
        parameter d_width= 12;
        parameter d_bin_pt= 7;
        parameter d_arith= `xlSigned;
        parameter e_width= 12;
        parameter e_bin_pt= 7;
        parameter e_arith= `xlSigned;
parameter full_width= 12;
parameter full_bin_pt= 7;
parameter full_arith= `xlSigned;
parameter dout_width= 12;
parameter dout_bin_pt= 7;
parameter dout_arith= `xlSigned;
parameter en_width= 1;
parameter en_bin_pt= 0;
parameter en_arith= `xlUnsigned;
parameter latency= 1;
input [a_width-1:0] a;
input [b_width-1:0] b;
input [c_width-1:0] c;
input [d_width-1:0] d;
input [e_width-1:0] e;
input  ce;
input  clr;
input  clk;
input [en_width-1:0] en;
output [dout_width-1:0] dout;
wire [full_width-1:0] full_dout_unreg;
wire [full_width-1:0] full_dout_reg;
wire [dout_width-1:0] user_dout;
wire  internal_ce;
wire [full_width-1:0] full_din0;
wire [full_width-1:0] full_din1;
wire [full_width-1:0] full_din2;
wire [full_width-1:0] full_din3;
wire [full_width-1:0] full_din4;
assign internal_ce = ce & en[0];
align_input # (a_width,
                full_bin_pt - a_bin_pt,
                a_arith,
                full_width)
align_a(.inp(a),.res(full_din0));
align_input # (b_width,
                full_bin_pt - b_bin_pt,
                b_arith,
                full_width)
align_b(.inp(b),.res(full_din1));
align_input # (c_width,
                full_bin_pt - c_bin_pt,
                c_arith,
                full_width)
align_c(.inp(c),.res(full_din2));
align_input # (d_width,
                full_bin_pt - d_bin_pt,
                d_arith,
                full_width)
align_d(.inp(d),.res(full_din3));
align_input # (e_width,
                full_bin_pt - e_bin_pt,
                e_arith,
                full_width)
align_e(.inp(e),.res(full_din4));
assign full_dout_unreg = ((((full_din0 | full_din1) | full_din2) | full_din3) | full_din4);
 generate
 if (latency > 0)
     begin:latency_gt_0
        synth_reg # (full_width,1)
          reg1 (
               .i(full_dout_unreg),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(full_dout_reg)
               );
     end

   if (latency == 0)
     begin:latency_eq_0
        assign full_dout_reg = full_dout_unreg;
     end
   if(latency>1)
      begin:latency_gt_1
        synth_reg # (dout_width,latency-1)
          reg2 (
               .i(user_dout),
               .ce(internal_ce),
               .clr(clr),
               .clk(clk),
               .o(dout)
               );
      end
   if ((latency == 0)||(latency == 1))
     begin:latency_also_eq_0
        assign dout = user_dout;
     end
 endgenerate
convert_type # (full_width, full_bin_pt, full_arith,
                             dout_width, dout_bin_pt, dout_arith, `xlTruncate,
                             `xlWrap)
convert_userdout(.inp(full_dout_reg),.res(user_dout));
 endmodule


//-----------------------------------------------------------------
// System Generator version 7.1.01 VERILOG source file.
//
// Copyright(C) 2005 by Xilinx, Inc.  All rights reserved.  This
// text/file contains proprietary, confidential information of Xilinx,
// Inc., is distributed under license from Xilinx, Inc., and may be used,
// copied and/or disclosed only pursuant to the terms of a valid license
// agreement with Xilinx, Inc.  Xilinx hereby grants you a license to use
// this text/file solely for design, simulation, implementation and
// creation of design files limited to Xilinx devices or technologies.
// Use with non-Xilinx devices or technologies is expressly prohibited
// and immediately terminates your license unless covered by a separate
// agreement.
//
// Xilinx is providing this design, code, or information "as is" solely
// for use in developing programs and solutions for Xilinx devices.  By
// providing this design, code, or information as one possible
// implementation of this feature, application or standard, Xilinx is
// making no representation that this implementation is free from any
// claims of infringement.  You are responsible for obtaining any rights
// you may require for your implementation.  Xilinx expressly disclaims
// any warranty whatsoever with respect to the adequacy of the
// implementation, including but not limited to warranties of
// merchantability or fitness for a particular purpose.
//
// Xilinx products are not intended for use in life support appliances,
// devices, or systems.  Use in such applications is expressly prohibited.
//
// Any modifications that are made to the source code are done at the user's
// sole risk and will be unsupported.
//
// This copyright and support notice must be retained as part of this
// text at all times.  (c) Copyright 1995-2005 Xilinx, Inc.  All rights
// reserved.
//-----------------------------------------------------------------

`ifndef single_port_block_memory_virtex4_6_1_08b712684228d44d
`define single_port_block_memory_virtex4_6_1_08b712684228d44d
module single_port_block_memory_virtex4_6_1_08b712684228d44d  (ADDR, CLK, EN, SINIT, DOUT)/* synthesis syn_black_box */;
      input [4:0] ADDR;
      input CLK, EN;
      input SINIT;
      output [17:0] DOUT;
  endmodule
`endif
`ifndef single_port_block_memory_virtex4_6_1_afb5bdd460500d52
`define single_port_block_memory_virtex4_6_1_afb5bdd460500d52
module single_port_block_memory_virtex4_6_1_afb5bdd460500d52  (ADDR, CLK, EN, SINIT, DOUT)/* synthesis syn_black_box */;
      input [4:0] ADDR;
      input CLK, EN;
      input SINIT;
      output [17:0] DOUT;
  endmodule
`endif
module  dct2d_top_final3_rom  (addr, en, rst, ce, clr, clk, data);
   parameter core_name0= "";
   parameter latency= 1;
   parameter c_sinit_value= "0000";
   // synopsys translate_off
   parameter c_mem_init_file= "null.mif";
   // synopsys translate_on
   parameter c_has_sinit= 0;
   parameter uid= 0;
   parameter c_width= 12;
   parameter c_address_width= 4;
   parameter c_depth= 4;
   parameter c_pipe_stages= 0;
   input [c_address_width-1:0] addr;
   input en;
   input rst;
   input ce;
   input clr;
   input clk;
   output [c_width-1:0] data;
   wire [c_address_width-1:0] core_addr;
   wire [c_width-1:0] core_data_out;
   wire  core_ce, sinit;
   assign core_addr = addr;

   assign core_ce = ce & en;
   assign sinit = (rst | clr) & core_ce;
generate
if ((`simulating ==0) && (core_name0 == "single_port_block_memory_virtex4_6_1_08b712684228d44d") )
begin:comp0
  single_port_block_memory_virtex4_6_1_08b712684228d44d core_instance0 (
                    .ADDR(core_addr),
    .CLK(clk),
    .EN(core_ce),
    .SINIT(sinit),
    .DOUT(core_data_out)
        );
end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "single_port_block_memory_virtex4_6_1_08b712684228d44d") )
begin:comp1
BLKMEMSP_V6_1 core_instance1(
            .ADDR(core_addr),
    .CLK(clk),
    .EN(core_ce),
    .SINIT(sinit),
    .DOUT(core_data_out)
);
defparam
core_instance1.c_has_en= 1,
core_instance1.c_has_din= 0,
core_instance1.c_has_limit_data_pitch= 0,
core_instance1.c_has_sinit= c_has_sinit,
core_instance1.c_limit_data_pitch= 8,
core_instance1.c_width= c_width,
core_instance1.c_sinit_value= c_sinit_value,
core_instance1.c_addr_width= c_address_width,
core_instance1.c_has_rfd= 0,
core_instance1.c_has_we= 0,
core_instance1.c_depth= c_depth,
core_instance1.c_write_mode= 0,
core_instance1.c_pipe_stages= c_pipe_stages,
core_instance1.c_has_nd= 0,
core_instance1.c_default_data= "0000",
core_instance1.c_has_default_data= 0,
core_instance1.c_mem_init_file= c_mem_init_file,
core_instance1.c_reg_inputs= 0,
core_instance1.c_enable_rlocs= 0,
core_instance1.c_has_rdy= 0;
end
// synopsys translate_on
if ((`simulating ==0) && (core_name0 == "single_port_block_memory_virtex4_6_1_afb5bdd460500d52") )
begin:comp2
  single_port_block_memory_virtex4_6_1_afb5bdd460500d52 core_instance2 (
                    .ADDR(core_addr),
    .CLK(clk),
    .EN(core_ce),
    .SINIT(sinit),
    .DOUT(core_data_out)
        );
end
// synopsys translate_off
if ((`simulating ==1) && (core_name0 == "single_port_block_memory_virtex4_6_1_afb5bdd460500d52") )
begin:comp3
BLKMEMSP_V6_1 core_instance3(
            .ADDR(core_addr),
    .CLK(clk),
    .EN(core_ce),
    .SINIT(sinit),
    .DOUT(core_data_out)
);
defparam
core_instance3.c_has_en= 1,
core_instance3.c_has_din= 0,
core_instance3.c_has_limit_data_pitch= 0,
core_instance3.c_has_sinit= c_has_sinit,
core_instance3.c_limit_data_pitch= 8,
core_instance3.c_width= c_width,
core_instance3.c_sinit_value= c_sinit_value,
core_instance3.c_addr_width= c_address_width,
core_instance3.c_has_rfd= 0,
core_instance3.c_has_we= 0,
core_instance3.c_depth= c_depth,
core_instance3.c_write_mode= 0,
core_instance3.c_pipe_stages= c_pipe_stages,
core_instance3.c_has_nd= 0,
core_instance3.c_default_data= "0000",
core_instance3.c_has_default_data= 0,
core_instance3.c_mem_init_file= c_mem_init_file,
core_instance3.c_reg_inputs= 0,
core_instance3.c_enable_rlocs= 0,
core_instance3.c_has_rdy= 0;
end
// synopsys translate_on
 if (latency > 1)
     begin:latency_test
        synth_reg # (c_width, latency-1)
          reg1 (
               .i(core_data_out),
               .ce(core_ce),
               .clr(clr),
               .clk(clk),
               .o(data));
     end

   if (latency <= 1)
     begin:latency_1
        assign data = core_data_out;
     end
endgenerate
endmodule




// Generated from Simulink block "dct2d_top_final3/2d_idct1"

module dct2d_top_final3_2d_idct1 (
  ce_sg,
  clk_sg,
  dct1in,
  dct2in,
  dct3in,
  dct4in,
  dct5in,
  dct6in,
  dct7in,
  dct8in,
  en,
  rst,
  col0,
  col1,
  col2,
  col3,
  col4,
  col5,
  col6,
  col7,
  dummy_c_1,
  dummy_c_2,
  dummy_c_3,
  dummy_c_4,
  dummy_c_5,
  dummy_c_6,
  dummy_c_7,
  dummy_c_8,
  rdy_out
);

  input  ce_sg;
  input  clk_sg;
  input [17 : 0] dct1in;
  input [17 : 0] dct2in;
  input [17 : 0] dct3in;
  input [17 : 0] dct4in;
  input [17 : 0] dct5in;
  input [17 : 0] dct6in;
  input [17 : 0] dct7in;
  input [17 : 0] dct8in;
  input  en;
  input  rst;
  output [11 : 0] col0;
  output [11 : 0] col1;
  output [11 : 0] col2;
  output [11 : 0] col3;
  output [11 : 0] col4;
  output [11 : 0] col5;
  output [11 : 0] col6;
  output [11 : 0] col7;
  output [47 : 0] dummy_c_1;
  output [47 : 0] dummy_c_2;
  output [47 : 0] dummy_c_3;
  output [47 : 0] dummy_c_4;
  output [47 : 0] dummy_c_5;
  output [47 : 0] dummy_c_6;
  output [47 : 0] dummy_c_7;
  output [47 : 0] dummy_c_8;
  output  rdy_out;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [17 : 0] constant3_dout;
  wire [8 : 0] constant4_dout;
  wire [4 : 0] constant_dout;
  wire [17 : 0] convert1_dout;
  wire [17 : 0] convert2_dout;
  wire [17 : 0] convert3_dout;
  wire [17 : 0] convert4_dout;
  wire [17 : 0] convert6_dout;
  wire [17 : 0] convert7_dout;
  wire [17 : 0] convert8_dout;
  wire [17 : 0] convert9_dout;
  wire [17 : 0] convert_dout;
  wire [4 : 0] counter1_q;
  wire [17 : 0] dct1in_x_0;
  wire [17 : 0] dct2in_x_0;
  wire [17 : 0] dct3in_x_0;
  wire [17 : 0] dct4in_x_0;
  wire [17 : 0] dct5in_x_0;
  wire [17 : 0] dct6in_x_0;
  wire [17 : 0] dct7in_x_0;
  wire [17 : 0] dct8in_x_0;
  wire [11 : 0] delay10_q;
  wire [11 : 0] delay11_q;
  wire [11 : 0] delay12_q;
  wire [11 : 0] delay13_q;
  wire [11 : 0] delay14_q;
  wire [11 : 0] delay15_q;
  wire  delay16_q;
  wire  delay17_q;
  wire  delay18_q;
  wire  delay19_q;
  wire  delay1_q;
  wire  delay2_q;
  wire  delay3_q;
  wire  delay4_q;
  wire  delay5_q;
  wire  delay6_q;
  wire [11 : 0] delay8_q;
  wire [11 : 0] delay9_q;
  wire  delay_q;
  wire  en_x_0;
  wire  expression1_dout;
  wire  expression2_dout;
  wire  expression_dout;
  wire  inverter_dout;
  wire [17 : 0] mux10_dout;
  wire [17 : 0] mux11_dout;
  wire [17 : 0] mux12_dout;
  wire [17 : 0] mux13_dout;
  wire [17 : 0] mux14_dout;
  wire [17 : 0] mux15_dout;
  wire [11 : 0] mux1_dout;
  wire [11 : 0] mux2_dout;
  wire [11 : 0] mux3_dout;
  wire [11 : 0] mux4_dout;
  wire [11 : 0] mux5_dout;
  wire [11 : 0] mux6_dout;
  wire [11 : 0] mux7_dout;
  wire [17 : 0] mux8_dout;
  wire [17 : 0] mux9_dout;
  wire [11 : 0] mux_dout;
  wire  relational_dout;
  wire [17 : 0] rom1_data;
  wire [17 : 0] rom_data;
  wire  rst_x_0;
  wire  sl2v_0_dout;
  wire  sl2v_100_dout;
  wire  sl2v_101_dout;
  wire  sl2v_102_dout;
  wire  sl2v_103_dout;
  wire  sl2v_104_dout;
  wire  sl2v_105_dout;
  wire  sl2v_106_dout;
  wire  sl2v_107_dout;
  wire  sl2v_108_dout;
  wire  sl2v_109_dout;
  wire  sl2v_10_dout;
  wire  sl2v_110_dout;
  wire  sl2v_111_dout;
  wire  sl2v_112_dout;
  wire  sl2v_113_dout;
  wire  sl2v_114_dout;
  wire  sl2v_115_dout;
  wire  sl2v_116_dout;
  wire  sl2v_117_dout;
  wire  sl2v_118_dout;
  wire  sl2v_119_dout;
  wire  sl2v_11_dout;
  wire  sl2v_120_dout;
  wire  sl2v_12_dout;
  wire  sl2v_13_dout;
  wire  sl2v_14_dout;
  wire  sl2v_15_dout;
  wire  sl2v_16_dout;
  wire  sl2v_17_dout;
  wire  sl2v_18_dout;
  wire  sl2v_19_dout;
  wire  sl2v_1_dout;
  wire  sl2v_20_dout;
  wire  sl2v_21_dout;
  wire  sl2v_22_dout;
  wire  sl2v_23_dout;
  wire  sl2v_24_dout;
  wire  sl2v_25_dout;
  wire  sl2v_26_dout;
  wire  sl2v_27_dout;
  wire  sl2v_28_dout;
  wire  sl2v_29_dout;
  wire  sl2v_2_dout;
  wire  sl2v_30_dout;
  wire  sl2v_31_dout;
  wire  sl2v_32_dout;
  wire  sl2v_33_dout;
  wire  sl2v_34_dout;
  wire  sl2v_35_dout;
  wire  sl2v_36_dout;
  wire  sl2v_37_dout;
  wire  sl2v_38_dout;
  wire  sl2v_39_dout;
  wire  sl2v_3_dout;
  wire  sl2v_40_dout;
  wire  sl2v_41_dout;
  wire  sl2v_42_dout;
  wire  sl2v_43_dout;
  wire  sl2v_44_dout;
  wire  sl2v_45_dout;
  wire  sl2v_46_dout;
  wire  sl2v_47_dout;
  wire  sl2v_48_dout;
  wire  sl2v_49_dout;
  wire  sl2v_4_dout;
  wire  sl2v_50_dout;
  wire  sl2v_51_dout;
  wire  sl2v_52_dout;
  wire  sl2v_53_dout;
  wire  sl2v_54_dout;
  wire  sl2v_55_dout;
  wire  sl2v_56_dout;
  wire  sl2v_57_dout;
  wire  sl2v_58_dout;
  wire  sl2v_59_dout;
  wire  sl2v_5_dout;
  wire  sl2v_60_dout;
  wire  sl2v_61_dout;
  wire  sl2v_62_dout;
  wire  sl2v_63_dout;
  wire  sl2v_64_dout;
  wire  sl2v_65_dout;
  wire  sl2v_66_dout;
  wire  sl2v_67_dout;
  wire  sl2v_68_dout;
  wire  sl2v_69_dout;
  wire  sl2v_6_dout;
  wire  sl2v_70_dout;
  wire  sl2v_71_dout;
  wire  sl2v_72_dout;
  wire  sl2v_73_dout;
  wire  sl2v_74_dout;
  wire  sl2v_75_dout;
  wire  sl2v_76_dout;
  wire  sl2v_77_dout;
  wire  sl2v_78_dout;
  wire  sl2v_79_dout;
  wire  sl2v_7_dout;
  wire  sl2v_80_dout;
  wire  sl2v_81_dout;
  wire  sl2v_82_dout;
  wire  sl2v_83_dout;
  wire  sl2v_84_dout;
  wire  sl2v_85_dout;
  wire  sl2v_86_dout;
  wire  sl2v_87_dout;
  wire  sl2v_88_dout;
  wire  sl2v_89_dout;
  wire  sl2v_8_dout;
  wire  sl2v_90_dout;
  wire  sl2v_91_dout;
  wire  sl2v_92_dout;
  wire  sl2v_93_dout;
  wire  sl2v_94_dout;
  wire  sl2v_95_dout;
  wire  sl2v_96_dout;
  wire  sl2v_97_dout;
  wire  sl2v_98_dout;
  wire  sl2v_99_dout;
  wire  sl2v_9_dout;
  wire  sl2v_dout;
  wire [47 : 0] subsystem4_dummy_c_1;
  wire [47 : 0] subsystem4_dummy_c_2;
  wire [47 : 0] subsystem4_dummy_c_3;
  wire [47 : 0] subsystem4_dummy_c_4;
  wire [47 : 0] subsystem4_dummy_c_5;
  wire [47 : 0] subsystem4_dummy_c_6;
  wire [47 : 0] subsystem4_dummy_c_7;
  wire [47 : 0] subsystem4_dummy_c_8;
  wire [11 : 0] subsystem4_y0_add;
  wire [11 : 0] subsystem4_y0_sub;
  wire [11 : 0] subsystem4_y1_add;
  wire [11 : 0] subsystem4_y1_sub;
  wire [11 : 0] subsystem4_y2_add;
  wire [11 : 0] subsystem4_y2_sub;
  wire [11 : 0] subsystem4_y3_add;
  wire [11 : 0] subsystem4_y3_sub;
  wire [11 : 0] subsystem4_y4_add;
  wire [11 : 0] subsystem4_y4_sub;
  wire [11 : 0] subsystem4_y5_add;
  wire [11 : 0] subsystem4_y5_sub;
  wire [11 : 0] subsystem4_y6_add;
  wire [11 : 0] subsystem4_y6_sub;
  wire [11 : 0] subsystem4_y7_add;
  wire [11 : 0] subsystem4_y7_sub;
  wire  v2sl_0_dout;
  wire  v2sl_10_dout;
  wire  v2sl_11_dout;
  wire  v2sl_12_dout;
  wire  v2sl_13_dout;
  wire  v2sl_14_dout;
  wire  v2sl_1_dout;
  wire  v2sl_2_dout;
  wire  v2sl_3_dout;
  wire  v2sl_4_dout;
  wire  v2sl_5_dout;
  wire  v2sl_6_dout;
  wire  v2sl_7_dout;
  wire  v2sl_8_dout;
  wire  v2sl_9_dout;
  wire  v2sl_dout;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct1in_x_0 = dct1in;
  assign dct2in_x_0 = dct2in;
  assign dct3in_x_0 = dct3in;
  assign dct4in_x_0 = dct4in;
  assign dct5in_x_0 = dct5in;
  assign dct6in_x_0 = dct6in;
  assign dct7in_x_0 = dct7in;
  assign dct8in_x_0 = dct8in;
  assign en_x_0 = en;
  assign rst_x_0 = rst;
  assign col0 = mux_dout;
  assign col1 = mux1_dout;
  assign col2 = mux2_dout;
  assign col3 = mux3_dout;
  assign col4 = mux4_dout;
  assign col5 = mux5_dout;
  assign col6 = mux6_dout;
  assign col7 = mux7_dout;
  assign dummy_c_1 = subsystem4_dummy_c_1;
  assign dummy_c_2 = subsystem4_dummy_c_2;
  assign dummy_c_3 = subsystem4_dummy_c_3;
  assign dummy_c_4 = subsystem4_dummy_c_4;
  assign dummy_c_5 = subsystem4_dummy_c_5;
  assign dummy_c_6 = subsystem4_dummy_c_6;
  assign dummy_c_7 = subsystem4_dummy_c_7;
  assign dummy_c_8 = subsystem4_dummy_c_8;
  assign rdy_out = v2sl_12_dout;


  xlconstant constant3 (
    .dout(constant3_dout)
  );
  defparam 
    constant3.dout_width = 18,
    constant3.dout_arith = `xlSigned,
    constant3.dout_bin_pt = 0,
    constant3.const_val = 18'b000000000000000000;

  xlconstant constant4 (
    .dout(constant4_dout)
  );
  defparam 
    constant4.dout_width = 9,
    constant4.dout_arith = `xlSigned,
    constant4.dout_bin_pt = 0,
    constant4.const_val = 9'b000000000;

  xlconstant constant_x_0 (
    .dout(constant_dout)
  );
  defparam 
    constant_x_0.dout_width = 5,
    constant_x_0.dout_arith = `xlUnsigned,
    constant_x_0.dout_bin_pt = 0,
    constant_x_0.const_val = 5'b11111;

  xlconvert convert (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(rom_data),
    .dout(convert_dout)
  );
  defparam 
    convert.din_width = 18,
    convert.din_arith = `xlSigned,
    convert.din_bin_pt = 0,
    convert.dout_width = 18,
    convert.dout_arith = `xlSigned,
    convert.dout_bin_pt = 0,
    convert.bool_conversion = 0,
    convert.latency = 0,
    convert.overflow = `xlWrap,
    convert.quantization = `xlTruncate;

  xlconvert convert1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(rom1_data),
    .dout(convert1_dout)
  );
  defparam 
    convert1.din_width = 18,
    convert1.din_arith = `xlSigned,
    convert1.din_bin_pt = 0,
    convert1.dout_width = 18,
    convert1.dout_arith = `xlSigned,
    convert1.dout_bin_pt = 0,
    convert1.bool_conversion = 0,
    convert1.latency = 0,
    convert1.overflow = `xlWrap,
    convert1.quantization = `xlTruncate;

  xlconvert convert2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux12_dout),
    .dout(convert2_dout)
  );
  defparam 
    convert2.din_width = 18,
    convert2.din_arith = `xlSigned,
    convert2.din_bin_pt = 0,
    convert2.dout_width = 18,
    convert2.dout_arith = `xlSigned,
    convert2.dout_bin_pt = 0,
    convert2.bool_conversion = 0,
    convert2.latency = 0,
    convert2.overflow = `xlWrap,
    convert2.quantization = `xlTruncate;

  xlconvert convert3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux13_dout),
    .dout(convert3_dout)
  );
  defparam 
    convert3.din_width = 18,
    convert3.din_arith = `xlSigned,
    convert3.din_bin_pt = 0,
    convert3.dout_width = 18,
    convert3.dout_arith = `xlSigned,
    convert3.dout_bin_pt = 0,
    convert3.bool_conversion = 0,
    convert3.latency = 0,
    convert3.overflow = `xlWrap,
    convert3.quantization = `xlTruncate;

  xlconvert convert4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux9_dout),
    .dout(convert4_dout)
  );
  defparam 
    convert4.din_width = 18,
    convert4.din_arith = `xlSigned,
    convert4.din_bin_pt = 0,
    convert4.dout_width = 18,
    convert4.dout_arith = `xlSigned,
    convert4.dout_bin_pt = 0,
    convert4.bool_conversion = 0,
    convert4.latency = 0,
    convert4.overflow = `xlWrap,
    convert4.quantization = `xlTruncate;

  xlconvert convert6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux10_dout),
    .dout(convert6_dout)
  );
  defparam 
    convert6.din_width = 18,
    convert6.din_arith = `xlSigned,
    convert6.din_bin_pt = 0,
    convert6.dout_width = 18,
    convert6.dout_arith = `xlSigned,
    convert6.dout_bin_pt = 0,
    convert6.bool_conversion = 0,
    convert6.latency = 0,
    convert6.overflow = `xlWrap,
    convert6.quantization = `xlTruncate;

  xlconvert convert7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux11_dout),
    .dout(convert7_dout)
  );
  defparam 
    convert7.din_width = 18,
    convert7.din_arith = `xlSigned,
    convert7.din_bin_pt = 0,
    convert7.dout_width = 18,
    convert7.dout_arith = `xlSigned,
    convert7.dout_bin_pt = 0,
    convert7.bool_conversion = 0,
    convert7.latency = 0,
    convert7.overflow = `xlWrap,
    convert7.quantization = `xlTruncate;

  xlconvert convert8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux14_dout),
    .dout(convert8_dout)
  );
  defparam 
    convert8.din_width = 18,
    convert8.din_arith = `xlSigned,
    convert8.din_bin_pt = 0,
    convert8.dout_width = 18,
    convert8.dout_arith = `xlSigned,
    convert8.dout_bin_pt = 0,
    convert8.bool_conversion = 0,
    convert8.latency = 0,
    convert8.overflow = `xlWrap,
    convert8.quantization = `xlTruncate;

  xlconvert convert9 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(mux15_dout),
    .dout(convert9_dout)
  );
  defparam 
    convert9.din_width = 18,
    convert9.din_arith = `xlSigned,
    convert9.din_bin_pt = 0,
    convert9.dout_width = 18,
    convert9.dout_arith = `xlSigned,
    convert9.dout_bin_pt = 0,
    convert9.bool_conversion = 0,
    convert9.latency = 0,
    convert9.overflow = `xlWrap,
    convert9.quantization = `xlTruncate;

  dct2d_top_final3_counter1_x_15 counter1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_dout),
    .rst(sl2v_0_dout),
    .q(counter1_q)
  );
  defparam 
// synopsys translate_off
    counter1.c_ainit_val = "00000",
    counter1.c_count_by = "00001",
    counter1.c_sinit_val = "00000",
// synopsys translate_on,
    counter1.en_width = 1,
    counter1.en_arith = `xlUnsigned,
    counter1.en_bin_pt = 0,
    counter1.q_width = 5,
    counter1.q_arith = `xlUnsigned,
    counter1.q_bin_pt = 0,
    counter1.rst_width = 1,
    counter1.rst_arith = `xlUnsigned,
    counter1.rst_bin_pt = 0,
    counter1.core_name0 = "binary_counter_virtex4_7_0_1f477f344448bfe9",
    counter1.c_count_mode = 0,
    counter1.c_enable_rlocs = 1,
    counter1.c_has_load = 0,
    counter1.c_has_up = 0,
    counter1.cnt_to_high = 0,
    counter1.cnt_to_low = 31,
    counter1.count_limited = 0;

  xldelay delay (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_1_dout),
    .en(sl2v_2_dout),
    .rst(sl2v_3_dout),
    .q(delay_q)
  );
  defparam 
    delay.d_width = 1,
    delay.d_arith = `xlUnsigned,
    delay.d_bin_pt = 0,
    delay.en_width = 1,
    delay.en_arith = `xlUnsigned,
    delay.en_bin_pt = 0,
    delay.q_width = 1,
    delay.q_arith = `xlUnsigned,
    delay.q_bin_pt = 0,
    delay.rst_width = 1,
    delay.rst_arith = `xlUnsigned,
    delay.rst_bin_pt = 0,
    delay.latency = 1,
    delay.reg_retiming = 0;

  xldelay delay1 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_4_dout),
    .en(sl2v_5_dout),
    .rst(sl2v_6_dout),
    .q(delay1_q)
  );
  defparam 
    delay1.d_width = 1,
    delay1.d_arith = `xlUnsigned,
    delay1.d_bin_pt = 0,
    delay1.en_width = 1,
    delay1.en_arith = `xlUnsigned,
    delay1.en_bin_pt = 0,
    delay1.q_width = 1,
    delay1.q_arith = `xlUnsigned,
    delay1.q_bin_pt = 0,
    delay1.rst_width = 1,
    delay1.rst_arith = `xlUnsigned,
    delay1.rst_bin_pt = 0,
    delay1.latency = 1,
    delay1.reg_retiming = 0;

  xldelay delay10 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y2_sub),
    .en(sl2v_7_dout),
    .rst(sl2v_8_dout),
    .q(delay10_q)
  );
  defparam 
    delay10.d_width = 12,
    delay10.d_arith = `xlSigned,
    delay10.d_bin_pt = 0,
    delay10.en_width = 1,
    delay10.en_arith = `xlUnsigned,
    delay10.en_bin_pt = 0,
    delay10.q_width = 12,
    delay10.q_arith = `xlSigned,
    delay10.q_bin_pt = 0,
    delay10.rst_width = 1,
    delay10.rst_arith = `xlUnsigned,
    delay10.rst_bin_pt = 0,
    delay10.latency = 4,
    delay10.reg_retiming = 0;

  xldelay delay11 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y3_sub),
    .en(sl2v_9_dout),
    .rst(sl2v_10_dout),
    .q(delay11_q)
  );
  defparam 
    delay11.d_width = 12,
    delay11.d_arith = `xlSigned,
    delay11.d_bin_pt = 0,
    delay11.en_width = 1,
    delay11.en_arith = `xlUnsigned,
    delay11.en_bin_pt = 0,
    delay11.q_width = 12,
    delay11.q_arith = `xlSigned,
    delay11.q_bin_pt = 0,
    delay11.rst_width = 1,
    delay11.rst_arith = `xlUnsigned,
    delay11.rst_bin_pt = 0,
    delay11.latency = 4,
    delay11.reg_retiming = 0;

  xldelay delay12 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y4_sub),
    .en(sl2v_11_dout),
    .rst(sl2v_12_dout),
    .q(delay12_q)
  );
  defparam 
    delay12.d_width = 12,
    delay12.d_arith = `xlSigned,
    delay12.d_bin_pt = 0,
    delay12.en_width = 1,
    delay12.en_arith = `xlUnsigned,
    delay12.en_bin_pt = 0,
    delay12.q_width = 12,
    delay12.q_arith = `xlSigned,
    delay12.q_bin_pt = 0,
    delay12.rst_width = 1,
    delay12.rst_arith = `xlUnsigned,
    delay12.rst_bin_pt = 0,
    delay12.latency = 4,
    delay12.reg_retiming = 0;

  xldelay delay13 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y5_sub),
    .en(sl2v_13_dout),
    .rst(sl2v_14_dout),
    .q(delay13_q)
  );
  defparam 
    delay13.d_width = 12,
    delay13.d_arith = `xlSigned,
    delay13.d_bin_pt = 0,
    delay13.en_width = 1,
    delay13.en_arith = `xlUnsigned,
    delay13.en_bin_pt = 0,
    delay13.q_width = 12,
    delay13.q_arith = `xlSigned,
    delay13.q_bin_pt = 0,
    delay13.rst_width = 1,
    delay13.rst_arith = `xlUnsigned,
    delay13.rst_bin_pt = 0,
    delay13.latency = 4,
    delay13.reg_retiming = 0;

  xldelay delay14 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y6_sub),
    .en(sl2v_15_dout),
    .rst(sl2v_16_dout),
    .q(delay14_q)
  );
  defparam 
    delay14.d_width = 12,
    delay14.d_arith = `xlSigned,
    delay14.d_bin_pt = 0,
    delay14.en_width = 1,
    delay14.en_arith = `xlUnsigned,
    delay14.en_bin_pt = 0,
    delay14.q_width = 12,
    delay14.q_arith = `xlSigned,
    delay14.q_bin_pt = 0,
    delay14.rst_width = 1,
    delay14.rst_arith = `xlUnsigned,
    delay14.rst_bin_pt = 0,
    delay14.latency = 4,
    delay14.reg_retiming = 0;

  xldelay delay15 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y7_sub),
    .en(sl2v_17_dout),
    .rst(sl2v_18_dout),
    .q(delay15_q)
  );
  defparam 
    delay15.d_width = 12,
    delay15.d_arith = `xlSigned,
    delay15.d_bin_pt = 0,
    delay15.en_width = 1,
    delay15.en_arith = `xlUnsigned,
    delay15.en_bin_pt = 0,
    delay15.q_width = 12,
    delay15.q_arith = `xlSigned,
    delay15.q_bin_pt = 0,
    delay15.rst_width = 1,
    delay15.rst_arith = `xlUnsigned,
    delay15.rst_bin_pt = 0,
    delay15.latency = 4,
    delay15.reg_retiming = 0;

  xldelay delay16 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_19_dout),
    .en(sl2v_20_dout),
    .rst(sl2v_21_dout),
    .q(delay16_q)
  );
  defparam 
    delay16.d_width = 1,
    delay16.d_arith = `xlUnsigned,
    delay16.d_bin_pt = 0,
    delay16.en_width = 1,
    delay16.en_arith = `xlUnsigned,
    delay16.en_bin_pt = 0,
    delay16.q_width = 1,
    delay16.q_arith = `xlUnsigned,
    delay16.q_bin_pt = 0,
    delay16.rst_width = 1,
    delay16.rst_arith = `xlUnsigned,
    delay16.rst_bin_pt = 0,
    delay16.latency = 1,
    delay16.reg_retiming = 0;

  xldelay delay17 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_22_dout),
    .en(sl2v_23_dout),
    .rst(sl2v_24_dout),
    .q(delay17_q)
  );
  defparam 
    delay17.d_width = 1,
    delay17.d_arith = `xlUnsigned,
    delay17.d_bin_pt = 0,
    delay17.en_width = 1,
    delay17.en_arith = `xlUnsigned,
    delay17.en_bin_pt = 0,
    delay17.q_width = 1,
    delay17.q_arith = `xlUnsigned,
    delay17.q_bin_pt = 0,
    delay17.rst_width = 1,
    delay17.rst_arith = `xlUnsigned,
    delay17.rst_bin_pt = 0,
    delay17.latency = 1,
    delay17.reg_retiming = 0;

  xldelay delay18 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_25_dout),
    .en(sl2v_26_dout),
    .rst(sl2v_27_dout),
    .q(delay18_q)
  );
  defparam 
    delay18.d_width = 1,
    delay18.d_arith = `xlUnsigned,
    delay18.d_bin_pt = 0,
    delay18.en_width = 1,
    delay18.en_arith = `xlUnsigned,
    delay18.en_bin_pt = 0,
    delay18.q_width = 1,
    delay18.q_arith = `xlUnsigned,
    delay18.q_bin_pt = 0,
    delay18.rst_width = 1,
    delay18.rst_arith = `xlUnsigned,
    delay18.rst_bin_pt = 0,
    delay18.latency = 1,
    delay18.reg_retiming = 0;

  xldelay delay19 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_28_dout),
    .en(sl2v_29_dout),
    .rst(sl2v_30_dout),
    .q(delay19_q)
  );
  defparam 
    delay19.d_width = 1,
    delay19.d_arith = `xlUnsigned,
    delay19.d_bin_pt = 0,
    delay19.en_width = 1,
    delay19.en_arith = `xlUnsigned,
    delay19.en_bin_pt = 0,
    delay19.q_width = 1,
    delay19.q_arith = `xlUnsigned,
    delay19.q_bin_pt = 0,
    delay19.rst_width = 1,
    delay19.rst_arith = `xlUnsigned,
    delay19.rst_bin_pt = 0,
    delay19.latency = 1,
    delay19.reg_retiming = 0;

  xldelay delay2 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_31_dout),
    .en(sl2v_32_dout),
    .rst(sl2v_33_dout),
    .q(delay2_q)
  );
  defparam 
    delay2.d_width = 1,
    delay2.d_arith = `xlUnsigned,
    delay2.d_bin_pt = 0,
    delay2.en_width = 1,
    delay2.en_arith = `xlUnsigned,
    delay2.en_bin_pt = 0,
    delay2.q_width = 1,
    delay2.q_arith = `xlUnsigned,
    delay2.q_bin_pt = 0,
    delay2.rst_width = 1,
    delay2.rst_arith = `xlUnsigned,
    delay2.rst_bin_pt = 0,
    delay2.latency = 1,
    delay2.reg_retiming = 0;

  xldelay delay3 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_34_dout),
    .en(sl2v_35_dout),
    .rst(sl2v_36_dout),
    .q(delay3_q)
  );
  defparam 
    delay3.d_width = 1,
    delay3.d_arith = `xlUnsigned,
    delay3.d_bin_pt = 0,
    delay3.en_width = 1,
    delay3.en_arith = `xlUnsigned,
    delay3.en_bin_pt = 0,
    delay3.q_width = 1,
    delay3.q_arith = `xlUnsigned,
    delay3.q_bin_pt = 0,
    delay3.rst_width = 1,
    delay3.rst_arith = `xlUnsigned,
    delay3.rst_bin_pt = 0,
    delay3.latency = 1,
    delay3.reg_retiming = 0;

  xldelay delay4 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_37_dout),
    .en(sl2v_38_dout),
    .rst(sl2v_39_dout),
    .q(delay4_q)
  );
  defparam 
    delay4.d_width = 1,
    delay4.d_arith = `xlUnsigned,
    delay4.d_bin_pt = 0,
    delay4.en_width = 1,
    delay4.en_arith = `xlUnsigned,
    delay4.en_bin_pt = 0,
    delay4.q_width = 1,
    delay4.q_arith = `xlUnsigned,
    delay4.q_bin_pt = 0,
    delay4.rst_width = 1,
    delay4.rst_arith = `xlUnsigned,
    delay4.rst_bin_pt = 0,
    delay4.latency = 1,
    delay4.reg_retiming = 0;

  xldelay delay5 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_40_dout),
    .en(sl2v_41_dout),
    .rst(sl2v_42_dout),
    .q(delay5_q)
  );
  defparam 
    delay5.d_width = 1,
    delay5.d_arith = `xlUnsigned,
    delay5.d_bin_pt = 0,
    delay5.en_width = 1,
    delay5.en_arith = `xlUnsigned,
    delay5.en_bin_pt = 0,
    delay5.q_width = 1,
    delay5.q_arith = `xlUnsigned,
    delay5.q_bin_pt = 0,
    delay5.rst_width = 1,
    delay5.rst_arith = `xlUnsigned,
    delay5.rst_bin_pt = 0,
    delay5.latency = 1,
    delay5.reg_retiming = 0;

  xldelay delay6 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(sl2v_43_dout),
    .en(sl2v_44_dout),
    .rst(sl2v_45_dout),
    .q(delay6_q)
  );
  defparam 
    delay6.d_width = 1,
    delay6.d_arith = `xlUnsigned,
    delay6.d_bin_pt = 0,
    delay6.en_width = 1,
    delay6.en_arith = `xlUnsigned,
    delay6.en_bin_pt = 0,
    delay6.q_width = 1,
    delay6.q_arith = `xlUnsigned,
    delay6.q_bin_pt = 0,
    delay6.rst_width = 1,
    delay6.rst_arith = `xlUnsigned,
    delay6.rst_bin_pt = 0,
    delay6.latency = 1,
    delay6.reg_retiming = 0;

  xldelay delay8 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y0_sub),
    .en(sl2v_46_dout),
    .rst(sl2v_47_dout),
    .q(delay8_q)
  );
  defparam 
    delay8.d_width = 12,
    delay8.d_arith = `xlSigned,
    delay8.d_bin_pt = 0,
    delay8.en_width = 1,
    delay8.en_arith = `xlUnsigned,
    delay8.en_bin_pt = 0,
    delay8.q_width = 12,
    delay8.q_arith = `xlSigned,
    delay8.q_bin_pt = 0,
    delay8.rst_width = 1,
    delay8.rst_arith = `xlUnsigned,
    delay8.rst_bin_pt = 0,
    delay8.latency = 4,
    delay8.reg_retiming = 0;

  xldelay delay9 (
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .d(subsystem4_y1_sub),
    .en(sl2v_48_dout),
    .rst(sl2v_49_dout),
    .q(delay9_q)
  );
  defparam 
    delay9.d_width = 12,
    delay9.d_arith = `xlSigned,
    delay9.d_bin_pt = 0,
    delay9.en_width = 1,
    delay9.en_arith = `xlUnsigned,
    delay9.en_bin_pt = 0,
    delay9.q_width = 12,
    delay9.q_arith = `xlSigned,
    delay9.q_bin_pt = 0,
    delay9.rst_width = 1,
    delay9.rst_arith = `xlUnsigned,
    delay9.rst_bin_pt = 0,
    delay9.latency = 4,
    delay9.reg_retiming = 0;

  dct2d_top_final3_expression expression (
    .a(sl2v_50_dout),
    .b(sl2v_51_dout),
    .c(sl2v_52_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_53_dout),
    .en(sl2v_54_dout),
    .dout(expression_dout)
  );
  defparam 
    expression.a_width = 1,
    expression.a_arith = `xlUnsigned,
    expression.a_bin_pt = 0,
    expression.b_width = 1,
    expression.b_arith = `xlUnsigned,
    expression.b_bin_pt = 0,
    expression.c_width = 1,
    expression.c_arith = `xlUnsigned,
    expression.c_bin_pt = 0,
    expression.d_width = 1,
    expression.d_arith = `xlUnsigned,
    expression.d_bin_pt = 0,
    expression.dout_width = 1,
    expression.dout_arith = `xlUnsigned,
    expression.dout_bin_pt = 0,
    expression.en_width = 1,
    expression.en_arith = `xlUnsigned,
    expression.en_bin_pt = 0,
    expression.full_arith = `xlUnsigned,
    expression.full_bin_pt = 0,
    expression.full_width = 1,
    expression.latency = 0;

  dct2d_top_final3_expression expression1 (
    .a(sl2v_55_dout),
    .b(sl2v_56_dout),
    .c(sl2v_57_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_58_dout),
    .en(sl2v_59_dout),
    .dout(expression1_dout)
  );
  defparam 
    expression1.a_width = 1,
    expression1.a_arith = `xlUnsigned,
    expression1.a_bin_pt = 0,
    expression1.b_width = 1,
    expression1.b_arith = `xlUnsigned,
    expression1.b_bin_pt = 0,
    expression1.c_width = 1,
    expression1.c_arith = `xlUnsigned,
    expression1.c_bin_pt = 0,
    expression1.d_width = 1,
    expression1.d_arith = `xlUnsigned,
    expression1.d_bin_pt = 0,
    expression1.dout_width = 1,
    expression1.dout_arith = `xlUnsigned,
    expression1.dout_bin_pt = 0,
    expression1.en_width = 1,
    expression1.en_arith = `xlUnsigned,
    expression1.en_bin_pt = 0,
    expression1.full_arith = `xlUnsigned,
    expression1.full_bin_pt = 0,
    expression1.full_width = 1,
    expression1.latency = 0;

  dct2d_top_final3_expression2_x_15 expression2 (
    .a(sl2v_60_dout),
    .b(sl2v_61_dout),
    .c(sl2v_62_dout),
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .d(sl2v_63_dout),
    .e(sl2v_64_dout),
    .en(sl2v_65_dout),
    .dout(expression2_dout)
  );
  defparam 
    expression2.a_width = 1,
    expression2.a_arith = `xlUnsigned,
    expression2.a_bin_pt = 0,
    expression2.b_width = 1,
    expression2.b_arith = `xlUnsigned,
    expression2.b_bin_pt = 0,
    expression2.c_width = 1,
    expression2.c_arith = `xlUnsigned,
    expression2.c_bin_pt = 0,
    expression2.d_width = 1,
    expression2.d_arith = `xlUnsigned,
    expression2.d_bin_pt = 0,
    expression2.dout_width = 1,
    expression2.dout_arith = `xlUnsigned,
    expression2.dout_bin_pt = 0,
    expression2.e_width = 1,
    expression2.e_arith = `xlUnsigned,
    expression2.e_bin_pt = 0,
    expression2.en_width = 1,
    expression2.en_arith = `xlUnsigned,
    expression2.en_bin_pt = 0,
    expression2.full_arith = `xlUnsigned,
    expression2.full_bin_pt = 0,
    expression2.full_width = 1,
    expression2.latency = 0;

  xlinv inverter (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din(sl2v_66_dout),
    .en(sl2v_67_dout),
    .dout(inverter_dout)
  );
  defparam 
    inverter.din_width = 1,
    inverter.din_arith = `xlUnsigned,
    inverter.din_bin_pt = 0,
    inverter.dout_width = 1,
    inverter.dout_arith = `xlUnsigned,
    inverter.dout_bin_pt = 0,
    inverter.en_width = 1,
    inverter.en_arith = `xlUnsigned,
    inverter.en_bin_pt = 0,
    inverter.latency = 0;

  dct2d_top_final3_mux1 mux (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y0_add),
    .din1(delay8_q),
    .en(sl2v_68_dout),
    .rst(sl2v_69_dout),
    .s(sl2v_70_dout),
    .dout(mux_dout)
  );
  defparam 
    mux.din0_width = 12,
    mux.din0_arith = `xlSigned,
    mux.din0_bin_pt = 0,
    mux.din1_width = 12,
    mux.din1_arith = `xlSigned,
    mux.din1_bin_pt = 0,
    mux.dout_width = 12,
    mux.dout_arith = `xlSigned,
    mux.dout_bin_pt = 0,
    mux.en_width = 1,
    mux.en_arith = `xlUnsigned,
    mux.en_bin_pt = 0,
    mux.rst_width = 1,
    mux.rst_arith = `xlUnsigned,
    mux.rst_bin_pt = 0,
    mux.s_width = 1,
    mux.s_arith = `xlUnsigned,
    mux.s_bin_pt = 0,
    mux.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux.c_enable_rlocs = 0,
    mux.c_has_ce = 0,
    mux.c_has_o = 1,
    mux.c_has_q = 0,
    mux.c_has_sclr = 0,
    mux.c_inputs = 2,
    mux.c_latency = 0,
    mux.c_mux_type = 0,
    mux.c_sel_width = 1,
    mux.c_width = 12,
    mux.core = 1,
    mux.core_dout_arith = `xlSigned,
    mux.core_dout_bin_pt = 0,
    mux.latency = 0,
    mux.overflow = `xlWrap,
    mux.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux1 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y1_add),
    .din1(delay9_q),
    .en(sl2v_71_dout),
    .rst(sl2v_72_dout),
    .s(sl2v_73_dout),
    .dout(mux1_dout)
  );
  defparam 
    mux1.din0_width = 12,
    mux1.din0_arith = `xlSigned,
    mux1.din0_bin_pt = 0,
    mux1.din1_width = 12,
    mux1.din1_arith = `xlSigned,
    mux1.din1_bin_pt = 0,
    mux1.dout_width = 12,
    mux1.dout_arith = `xlSigned,
    mux1.dout_bin_pt = 0,
    mux1.en_width = 1,
    mux1.en_arith = `xlUnsigned,
    mux1.en_bin_pt = 0,
    mux1.rst_width = 1,
    mux1.rst_arith = `xlUnsigned,
    mux1.rst_bin_pt = 0,
    mux1.s_width = 1,
    mux1.s_arith = `xlUnsigned,
    mux1.s_bin_pt = 0,
    mux1.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux1.c_enable_rlocs = 0,
    mux1.c_has_ce = 0,
    mux1.c_has_o = 1,
    mux1.c_has_q = 0,
    mux1.c_has_sclr = 0,
    mux1.c_inputs = 2,
    mux1.c_latency = 0,
    mux1.c_mux_type = 0,
    mux1.c_sel_width = 1,
    mux1.c_width = 12,
    mux1.core = 1,
    mux1.core_dout_arith = `xlSigned,
    mux1.core_dout_bin_pt = 0,
    mux1.latency = 0,
    mux1.overflow = `xlWrap,
    mux1.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux10 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct3in_x_0),
    .en(sl2v_74_dout),
    .rst(sl2v_75_dout),
    .s(sl2v_76_dout),
    .dout(mux10_dout)
  );
  defparam 
    mux10.din0_width = 9,
    mux10.din0_arith = `xlSigned,
    mux10.din0_bin_pt = 0,
    mux10.din1_width = 18,
    mux10.din1_arith = `xlSigned,
    mux10.din1_bin_pt = 0,
    mux10.dout_width = 18,
    mux10.dout_arith = `xlSigned,
    mux10.dout_bin_pt = 0,
    mux10.en_width = 1,
    mux10.en_arith = `xlUnsigned,
    mux10.en_bin_pt = 0,
    mux10.rst_width = 1,
    mux10.rst_arith = `xlUnsigned,
    mux10.rst_bin_pt = 0,
    mux10.s_width = 1,
    mux10.s_arith = `xlUnsigned,
    mux10.s_bin_pt = 0,
    mux10.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux10.c_enable_rlocs = 0,
    mux10.c_has_ce = 0,
    mux10.c_has_o = 1,
    mux10.c_has_q = 0,
    mux10.c_has_sclr = 0,
    mux10.c_inputs = 2,
    mux10.c_latency = 0,
    mux10.c_mux_type = 0,
    mux10.c_sel_width = 1,
    mux10.c_width = 18,
    mux10.core = 1,
    mux10.core_dout_arith = `xlSigned,
    mux10.core_dout_bin_pt = 0,
    mux10.latency = 0,
    mux10.overflow = `xlWrap,
    mux10.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux11 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct4in_x_0),
    .en(sl2v_77_dout),
    .rst(sl2v_78_dout),
    .s(sl2v_79_dout),
    .dout(mux11_dout)
  );
  defparam 
    mux11.din0_width = 9,
    mux11.din0_arith = `xlSigned,
    mux11.din0_bin_pt = 0,
    mux11.din1_width = 18,
    mux11.din1_arith = `xlSigned,
    mux11.din1_bin_pt = 0,
    mux11.dout_width = 18,
    mux11.dout_arith = `xlSigned,
    mux11.dout_bin_pt = 0,
    mux11.en_width = 1,
    mux11.en_arith = `xlUnsigned,
    mux11.en_bin_pt = 0,
    mux11.rst_width = 1,
    mux11.rst_arith = `xlUnsigned,
    mux11.rst_bin_pt = 0,
    mux11.s_width = 1,
    mux11.s_arith = `xlUnsigned,
    mux11.s_bin_pt = 0,
    mux11.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux11.c_enable_rlocs = 0,
    mux11.c_has_ce = 0,
    mux11.c_has_o = 1,
    mux11.c_has_q = 0,
    mux11.c_has_sclr = 0,
    mux11.c_inputs = 2,
    mux11.c_latency = 0,
    mux11.c_mux_type = 0,
    mux11.c_sel_width = 1,
    mux11.c_width = 18,
    mux11.core = 1,
    mux11.core_dout_arith = `xlSigned,
    mux11.core_dout_bin_pt = 0,
    mux11.latency = 0,
    mux11.overflow = `xlWrap,
    mux11.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux12 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct5in_x_0),
    .en(sl2v_80_dout),
    .rst(sl2v_81_dout),
    .s(sl2v_82_dout),
    .dout(mux12_dout)
  );
  defparam 
    mux12.din0_width = 9,
    mux12.din0_arith = `xlSigned,
    mux12.din0_bin_pt = 0,
    mux12.din1_width = 18,
    mux12.din1_arith = `xlSigned,
    mux12.din1_bin_pt = 0,
    mux12.dout_width = 18,
    mux12.dout_arith = `xlSigned,
    mux12.dout_bin_pt = 0,
    mux12.en_width = 1,
    mux12.en_arith = `xlUnsigned,
    mux12.en_bin_pt = 0,
    mux12.rst_width = 1,
    mux12.rst_arith = `xlUnsigned,
    mux12.rst_bin_pt = 0,
    mux12.s_width = 1,
    mux12.s_arith = `xlUnsigned,
    mux12.s_bin_pt = 0,
    mux12.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux12.c_enable_rlocs = 0,
    mux12.c_has_ce = 0,
    mux12.c_has_o = 1,
    mux12.c_has_q = 0,
    mux12.c_has_sclr = 0,
    mux12.c_inputs = 2,
    mux12.c_latency = 0,
    mux12.c_mux_type = 0,
    mux12.c_sel_width = 1,
    mux12.c_width = 18,
    mux12.core = 1,
    mux12.core_dout_arith = `xlSigned,
    mux12.core_dout_bin_pt = 0,
    mux12.latency = 0,
    mux12.overflow = `xlWrap,
    mux12.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux13 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct6in_x_0),
    .en(sl2v_83_dout),
    .rst(sl2v_84_dout),
    .s(sl2v_85_dout),
    .dout(mux13_dout)
  );
  defparam 
    mux13.din0_width = 9,
    mux13.din0_arith = `xlSigned,
    mux13.din0_bin_pt = 0,
    mux13.din1_width = 18,
    mux13.din1_arith = `xlSigned,
    mux13.din1_bin_pt = 0,
    mux13.dout_width = 18,
    mux13.dout_arith = `xlSigned,
    mux13.dout_bin_pt = 0,
    mux13.en_width = 1,
    mux13.en_arith = `xlUnsigned,
    mux13.en_bin_pt = 0,
    mux13.rst_width = 1,
    mux13.rst_arith = `xlUnsigned,
    mux13.rst_bin_pt = 0,
    mux13.s_width = 1,
    mux13.s_arith = `xlUnsigned,
    mux13.s_bin_pt = 0,
    mux13.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux13.c_enable_rlocs = 0,
    mux13.c_has_ce = 0,
    mux13.c_has_o = 1,
    mux13.c_has_q = 0,
    mux13.c_has_sclr = 0,
    mux13.c_inputs = 2,
    mux13.c_latency = 0,
    mux13.c_mux_type = 0,
    mux13.c_sel_width = 1,
    mux13.c_width = 18,
    mux13.core = 1,
    mux13.core_dout_arith = `xlSigned,
    mux13.core_dout_bin_pt = 0,
    mux13.latency = 0,
    mux13.overflow = `xlWrap,
    mux13.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux14 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct8in_x_0),
    .en(sl2v_86_dout),
    .rst(sl2v_87_dout),
    .s(sl2v_88_dout),
    .dout(mux14_dout)
  );
  defparam 
    mux14.din0_width = 9,
    mux14.din0_arith = `xlSigned,
    mux14.din0_bin_pt = 0,
    mux14.din1_width = 18,
    mux14.din1_arith = `xlSigned,
    mux14.din1_bin_pt = 0,
    mux14.dout_width = 18,
    mux14.dout_arith = `xlSigned,
    mux14.dout_bin_pt = 0,
    mux14.en_width = 1,
    mux14.en_arith = `xlUnsigned,
    mux14.en_bin_pt = 0,
    mux14.rst_width = 1,
    mux14.rst_arith = `xlUnsigned,
    mux14.rst_bin_pt = 0,
    mux14.s_width = 1,
    mux14.s_arith = `xlUnsigned,
    mux14.s_bin_pt = 0,
    mux14.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux14.c_enable_rlocs = 0,
    mux14.c_has_ce = 0,
    mux14.c_has_o = 1,
    mux14.c_has_q = 0,
    mux14.c_has_sclr = 0,
    mux14.c_inputs = 2,
    mux14.c_latency = 0,
    mux14.c_mux_type = 0,
    mux14.c_sel_width = 1,
    mux14.c_width = 18,
    mux14.core = 1,
    mux14.core_dout_arith = `xlSigned,
    mux14.core_dout_bin_pt = 0,
    mux14.latency = 0,
    mux14.overflow = `xlWrap,
    mux14.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux15 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct7in_x_0),
    .en(sl2v_89_dout),
    .rst(sl2v_90_dout),
    .s(sl2v_91_dout),
    .dout(mux15_dout)
  );
  defparam 
    mux15.din0_width = 9,
    mux15.din0_arith = `xlSigned,
    mux15.din0_bin_pt = 0,
    mux15.din1_width = 18,
    mux15.din1_arith = `xlSigned,
    mux15.din1_bin_pt = 0,
    mux15.dout_width = 18,
    mux15.dout_arith = `xlSigned,
    mux15.dout_bin_pt = 0,
    mux15.en_width = 1,
    mux15.en_arith = `xlUnsigned,
    mux15.en_bin_pt = 0,
    mux15.rst_width = 1,
    mux15.rst_arith = `xlUnsigned,
    mux15.rst_bin_pt = 0,
    mux15.s_width = 1,
    mux15.s_arith = `xlUnsigned,
    mux15.s_bin_pt = 0,
    mux15.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux15.c_enable_rlocs = 0,
    mux15.c_has_ce = 0,
    mux15.c_has_o = 1,
    mux15.c_has_q = 0,
    mux15.c_has_sclr = 0,
    mux15.c_inputs = 2,
    mux15.c_latency = 0,
    mux15.c_mux_type = 0,
    mux15.c_sel_width = 1,
    mux15.c_width = 18,
    mux15.core = 1,
    mux15.core_dout_arith = `xlSigned,
    mux15.core_dout_bin_pt = 0,
    mux15.latency = 0,
    mux15.overflow = `xlWrap,
    mux15.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux2 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y2_add),
    .din1(delay10_q),
    .en(sl2v_92_dout),
    .rst(sl2v_93_dout),
    .s(sl2v_94_dout),
    .dout(mux2_dout)
  );
  defparam 
    mux2.din0_width = 12,
    mux2.din0_arith = `xlSigned,
    mux2.din0_bin_pt = 0,
    mux2.din1_width = 12,
    mux2.din1_arith = `xlSigned,
    mux2.din1_bin_pt = 0,
    mux2.dout_width = 12,
    mux2.dout_arith = `xlSigned,
    mux2.dout_bin_pt = 0,
    mux2.en_width = 1,
    mux2.en_arith = `xlUnsigned,
    mux2.en_bin_pt = 0,
    mux2.rst_width = 1,
    mux2.rst_arith = `xlUnsigned,
    mux2.rst_bin_pt = 0,
    mux2.s_width = 1,
    mux2.s_arith = `xlUnsigned,
    mux2.s_bin_pt = 0,
    mux2.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux2.c_enable_rlocs = 0,
    mux2.c_has_ce = 0,
    mux2.c_has_o = 1,
    mux2.c_has_q = 0,
    mux2.c_has_sclr = 0,
    mux2.c_inputs = 2,
    mux2.c_latency = 0,
    mux2.c_mux_type = 0,
    mux2.c_sel_width = 1,
    mux2.c_width = 12,
    mux2.core = 1,
    mux2.core_dout_arith = `xlSigned,
    mux2.core_dout_bin_pt = 0,
    mux2.latency = 0,
    mux2.overflow = `xlWrap,
    mux2.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux3 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y3_add),
    .din1(delay11_q),
    .en(sl2v_95_dout),
    .rst(sl2v_96_dout),
    .s(sl2v_97_dout),
    .dout(mux3_dout)
  );
  defparam 
    mux3.din0_width = 12,
    mux3.din0_arith = `xlSigned,
    mux3.din0_bin_pt = 0,
    mux3.din1_width = 12,
    mux3.din1_arith = `xlSigned,
    mux3.din1_bin_pt = 0,
    mux3.dout_width = 12,
    mux3.dout_arith = `xlSigned,
    mux3.dout_bin_pt = 0,
    mux3.en_width = 1,
    mux3.en_arith = `xlUnsigned,
    mux3.en_bin_pt = 0,
    mux3.rst_width = 1,
    mux3.rst_arith = `xlUnsigned,
    mux3.rst_bin_pt = 0,
    mux3.s_width = 1,
    mux3.s_arith = `xlUnsigned,
    mux3.s_bin_pt = 0,
    mux3.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux3.c_enable_rlocs = 0,
    mux3.c_has_ce = 0,
    mux3.c_has_o = 1,
    mux3.c_has_q = 0,
    mux3.c_has_sclr = 0,
    mux3.c_inputs = 2,
    mux3.c_latency = 0,
    mux3.c_mux_type = 0,
    mux3.c_sel_width = 1,
    mux3.c_width = 12,
    mux3.core = 1,
    mux3.core_dout_arith = `xlSigned,
    mux3.core_dout_bin_pt = 0,
    mux3.latency = 0,
    mux3.overflow = `xlWrap,
    mux3.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux4 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y4_add),
    .din1(delay12_q),
    .en(sl2v_98_dout),
    .rst(sl2v_99_dout),
    .s(sl2v_100_dout),
    .dout(mux4_dout)
  );
  defparam 
    mux4.din0_width = 12,
    mux4.din0_arith = `xlSigned,
    mux4.din0_bin_pt = 0,
    mux4.din1_width = 12,
    mux4.din1_arith = `xlSigned,
    mux4.din1_bin_pt = 0,
    mux4.dout_width = 12,
    mux4.dout_arith = `xlSigned,
    mux4.dout_bin_pt = 0,
    mux4.en_width = 1,
    mux4.en_arith = `xlUnsigned,
    mux4.en_bin_pt = 0,
    mux4.rst_width = 1,
    mux4.rst_arith = `xlUnsigned,
    mux4.rst_bin_pt = 0,
    mux4.s_width = 1,
    mux4.s_arith = `xlUnsigned,
    mux4.s_bin_pt = 0,
    mux4.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux4.c_enable_rlocs = 0,
    mux4.c_has_ce = 0,
    mux4.c_has_o = 1,
    mux4.c_has_q = 0,
    mux4.c_has_sclr = 0,
    mux4.c_inputs = 2,
    mux4.c_latency = 0,
    mux4.c_mux_type = 0,
    mux4.c_sel_width = 1,
    mux4.c_width = 12,
    mux4.core = 1,
    mux4.core_dout_arith = `xlSigned,
    mux4.core_dout_bin_pt = 0,
    mux4.latency = 0,
    mux4.overflow = `xlWrap,
    mux4.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux5 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y5_add),
    .din1(delay13_q),
    .en(sl2v_101_dout),
    .rst(sl2v_102_dout),
    .s(sl2v_103_dout),
    .dout(mux5_dout)
  );
  defparam 
    mux5.din0_width = 12,
    mux5.din0_arith = `xlSigned,
    mux5.din0_bin_pt = 0,
    mux5.din1_width = 12,
    mux5.din1_arith = `xlSigned,
    mux5.din1_bin_pt = 0,
    mux5.dout_width = 12,
    mux5.dout_arith = `xlSigned,
    mux5.dout_bin_pt = 0,
    mux5.en_width = 1,
    mux5.en_arith = `xlUnsigned,
    mux5.en_bin_pt = 0,
    mux5.rst_width = 1,
    mux5.rst_arith = `xlUnsigned,
    mux5.rst_bin_pt = 0,
    mux5.s_width = 1,
    mux5.s_arith = `xlUnsigned,
    mux5.s_bin_pt = 0,
    mux5.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux5.c_enable_rlocs = 0,
    mux5.c_has_ce = 0,
    mux5.c_has_o = 1,
    mux5.c_has_q = 0,
    mux5.c_has_sclr = 0,
    mux5.c_inputs = 2,
    mux5.c_latency = 0,
    mux5.c_mux_type = 0,
    mux5.c_sel_width = 1,
    mux5.c_width = 12,
    mux5.core = 1,
    mux5.core_dout_arith = `xlSigned,
    mux5.core_dout_bin_pt = 0,
    mux5.latency = 0,
    mux5.overflow = `xlWrap,
    mux5.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux6 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y6_add),
    .din1(delay14_q),
    .en(sl2v_104_dout),
    .rst(sl2v_105_dout),
    .s(sl2v_106_dout),
    .dout(mux6_dout)
  );
  defparam 
    mux6.din0_width = 12,
    mux6.din0_arith = `xlSigned,
    mux6.din0_bin_pt = 0,
    mux6.din1_width = 12,
    mux6.din1_arith = `xlSigned,
    mux6.din1_bin_pt = 0,
    mux6.dout_width = 12,
    mux6.dout_arith = `xlSigned,
    mux6.dout_bin_pt = 0,
    mux6.en_width = 1,
    mux6.en_arith = `xlUnsigned,
    mux6.en_bin_pt = 0,
    mux6.rst_width = 1,
    mux6.rst_arith = `xlUnsigned,
    mux6.rst_bin_pt = 0,
    mux6.s_width = 1,
    mux6.s_arith = `xlUnsigned,
    mux6.s_bin_pt = 0,
    mux6.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux6.c_enable_rlocs = 0,
    mux6.c_has_ce = 0,
    mux6.c_has_o = 1,
    mux6.c_has_q = 0,
    mux6.c_has_sclr = 0,
    mux6.c_inputs = 2,
    mux6.c_latency = 0,
    mux6.c_mux_type = 0,
    mux6.c_sel_width = 1,
    mux6.c_width = 12,
    mux6.core = 1,
    mux6.core_dout_arith = `xlSigned,
    mux6.core_dout_bin_pt = 0,
    mux6.latency = 0,
    mux6.overflow = `xlWrap,
    mux6.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux7 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(subsystem4_y7_add),
    .din1(delay15_q),
    .en(sl2v_107_dout),
    .rst(sl2v_108_dout),
    .s(sl2v_109_dout),
    .dout(mux7_dout)
  );
  defparam 
    mux7.din0_width = 12,
    mux7.din0_arith = `xlSigned,
    mux7.din0_bin_pt = 0,
    mux7.din1_width = 12,
    mux7.din1_arith = `xlSigned,
    mux7.din1_bin_pt = 0,
    mux7.dout_width = 12,
    mux7.dout_arith = `xlSigned,
    mux7.dout_bin_pt = 0,
    mux7.en_width = 1,
    mux7.en_arith = `xlUnsigned,
    mux7.en_bin_pt = 0,
    mux7.rst_width = 1,
    mux7.rst_arith = `xlUnsigned,
    mux7.rst_bin_pt = 0,
    mux7.s_width = 1,
    mux7.s_arith = `xlUnsigned,
    mux7.s_bin_pt = 0,
    mux7.core_name0 = "bus_multiplexer_virtex4_7_0_c1246a8c8fed8b40",
    mux7.c_enable_rlocs = 0,
    mux7.c_has_ce = 0,
    mux7.c_has_o = 1,
    mux7.c_has_q = 0,
    mux7.c_has_sclr = 0,
    mux7.c_inputs = 2,
    mux7.c_latency = 0,
    mux7.c_mux_type = 0,
    mux7.c_sel_width = 1,
    mux7.c_width = 12,
    mux7.core = 1,
    mux7.core_dout_arith = `xlSigned,
    mux7.core_dout_bin_pt = 0,
    mux7.latency = 0,
    mux7.overflow = `xlWrap,
    mux7.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux8 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant3_dout),
    .din1(dct1in_x_0),
    .en(sl2v_110_dout),
    .rst(sl2v_111_dout),
    .s(sl2v_112_dout),
    .dout(mux8_dout)
  );
  defparam 
    mux8.din0_width = 18,
    mux8.din0_arith = `xlSigned,
    mux8.din0_bin_pt = 0,
    mux8.din1_width = 18,
    mux8.din1_arith = `xlSigned,
    mux8.din1_bin_pt = 0,
    mux8.dout_width = 18,
    mux8.dout_arith = `xlSigned,
    mux8.dout_bin_pt = 0,
    mux8.en_width = 1,
    mux8.en_arith = `xlUnsigned,
    mux8.en_bin_pt = 0,
    mux8.rst_width = 1,
    mux8.rst_arith = `xlUnsigned,
    mux8.rst_bin_pt = 0,
    mux8.s_width = 1,
    mux8.s_arith = `xlUnsigned,
    mux8.s_bin_pt = 0,
    mux8.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux8.c_enable_rlocs = 0,
    mux8.c_has_ce = 0,
    mux8.c_has_o = 1,
    mux8.c_has_q = 0,
    mux8.c_has_sclr = 0,
    mux8.c_inputs = 2,
    mux8.c_latency = 0,
    mux8.c_mux_type = 0,
    mux8.c_sel_width = 1,
    mux8.c_width = 18,
    mux8.core = 1,
    mux8.core_dout_arith = `xlSigned,
    mux8.core_dout_bin_pt = 0,
    mux8.latency = 0,
    mux8.overflow = `xlWrap,
    mux8.quantization = `xlTruncate;

  dct2d_top_final3_mux1 mux9 (
    .ce(1'b0),
    .clk(1'b0),
    .clr(1'b0),
    .din0(constant4_dout),
    .din1(dct2in_x_0),
    .en(sl2v_113_dout),
    .rst(sl2v_114_dout),
    .s(sl2v_115_dout),
    .dout(mux9_dout)
  );
  defparam 
    mux9.din0_width = 9,
    mux9.din0_arith = `xlSigned,
    mux9.din0_bin_pt = 0,
    mux9.din1_width = 18,
    mux9.din1_arith = `xlSigned,
    mux9.din1_bin_pt = 0,
    mux9.dout_width = 18,
    mux9.dout_arith = `xlSigned,
    mux9.dout_bin_pt = 0,
    mux9.en_width = 1,
    mux9.en_arith = `xlUnsigned,
    mux9.en_bin_pt = 0,
    mux9.rst_width = 1,
    mux9.rst_arith = `xlUnsigned,
    mux9.rst_bin_pt = 0,
    mux9.s_width = 1,
    mux9.s_arith = `xlUnsigned,
    mux9.s_bin_pt = 0,
    mux9.core_name0 = "bus_multiplexer_virtex4_7_0_02e75b45a45d9e17",
    mux9.c_enable_rlocs = 0,
    mux9.c_has_ce = 0,
    mux9.c_has_o = 1,
    mux9.c_has_q = 0,
    mux9.c_has_sclr = 0,
    mux9.c_inputs = 2,
    mux9.c_latency = 0,
    mux9.c_mux_type = 0,
    mux9.c_sel_width = 1,
    mux9.c_width = 18,
    mux9.core = 1,
    mux9.core_dout_arith = `xlSigned,
    mux9.core_dout_bin_pt = 0,
    mux9.latency = 0,
    mux9.overflow = `xlWrap,
    mux9.quantization = `xlTruncate;

  xlrelational relational (
    .a(counter1_q),
    .b(constant_dout),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_116_dout),
    .dout(relational_dout)
  );
  defparam 
    relational.a_width = 5,
    relational.a_arith = `xlUnsigned,
    relational.a_bin_pt = 0,
    relational.b_width = 5,
    relational.b_arith = `xlUnsigned,
    relational.b_bin_pt = 0,
    relational.dout_width = 1,
    relational.dout_arith = `xlUnsigned,
    relational.dout_bin_pt = 0,
    relational.en_width = 1,
    relational.en_arith = `xlUnsigned,
    relational.en_bin_pt = 0,
    relational.full_arith = `xlUnsigned,
    relational.full_bin_pt = 0,
    relational.full_width = 6,
    relational.latency = 1,
    relational.operator_type = 0;

  dct2d_top_final3_rom rom (
    .addr(counter1_q),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_117_dout),
    .rst(sl2v_118_dout),
    .data(rom_data)
  );
  defparam 
// synopsys translate_off
    rom.c_mem_init_file = "dct2d_top_final3_2d_idct1_ROM.mif",
// synopsys translate_on,
    rom.core_name0 = "single_port_block_memory_virtex4_6_1_08b712684228d44d",
    rom.c_address_width = 5,
    rom.c_depth = 32,
    rom.c_has_sinit = 1,
    rom.c_pipe_stages = 0,
    rom.c_sinit_value = "0",
    rom.c_width = 18,
    rom.latency = 1;

  dct2d_top_final3_rom rom1 (
    .addr(counter1_q),
    .ce(ce_sg_x_0),
    .clk(clk_sg_x_0),
    .clr(1'b0),
    .en(sl2v_119_dout),
    .rst(sl2v_120_dout),
    .data(rom1_data)
  );
  defparam 
// synopsys translate_off
    rom1.c_mem_init_file = "dct2d_top_final3_2d_idct1_ROM1.mif",
// synopsys translate_on,
    rom1.core_name0 = "single_port_block_memory_virtex4_6_1_afb5bdd460500d52",
    rom1.c_address_width = 5,
    rom1.c_depth = 32,
    rom1.c_has_sinit = 1,
    rom1.c_pipe_stages = 0,
    rom1.c_sinit_value = "0",
    rom1.c_width = 18,
    rom1.latency = 1;

  xlsl2slv sl2v (
    .din(v2sl_10_dout),
    .dout(sl2v_dout)
  );
  defparam 
    sl2v.dout_width = 1,
    sl2v.dout_arith = `xlUnsigned,
    sl2v.dout_bin_pt = 0;

  xlsl2slv sl2v_0 (
    .din(rst_x_0),
    .dout(sl2v_0_dout)
  );
  defparam 
    sl2v_0.dout_width = 1,
    sl2v_0.dout_arith = `xlUnsigned,
    sl2v_0.dout_bin_pt = 0;

  xlsl2slv sl2v_1 (
    .din(en_x_0),
    .dout(sl2v_1_dout)
  );
  defparam 
    sl2v_1.dout_width = 1,
    sl2v_1.dout_arith = `xlUnsigned,
    sl2v_1.dout_bin_pt = 0;

  xlsl2slv sl2v_10 (
    .din(1'b0),
    .dout(sl2v_10_dout)
  );
  defparam 
    sl2v_10.dout_width = 1,
    sl2v_10.dout_arith = `xlUnsigned,
    sl2v_10.dout_bin_pt = 0;

  xlsl2slv sl2v_100 (
    .din(v2sl_13_dout),
    .dout(sl2v_100_dout)
  );
  defparam 
    sl2v_100.dout_width = 1,
    sl2v_100.dout_arith = `xlUnsigned,
    sl2v_100.dout_bin_pt = 0;

  xlsl2slv sl2v_101 (
    .din(1'b1),
    .dout(sl2v_101_dout)
  );
  defparam 
    sl2v_101.dout_width = 1,
    sl2v_101.dout_arith = `xlUnsigned,
    sl2v_101.dout_bin_pt = 0;

  xlsl2slv sl2v_102 (
    .din(1'b0),
    .dout(sl2v_102_dout)
  );
  defparam 
    sl2v_102.dout_width = 1,
    sl2v_102.dout_arith = `xlUnsigned,
    sl2v_102.dout_bin_pt = 0;

  xlsl2slv sl2v_103 (
    .din(v2sl_13_dout),
    .dout(sl2v_103_dout)
  );
  defparam 
    sl2v_103.dout_width = 1,
    sl2v_103.dout_arith = `xlUnsigned,
    sl2v_103.dout_bin_pt = 0;

  xlsl2slv sl2v_104 (
    .din(1'b1),
    .dout(sl2v_104_dout)
  );
  defparam 
    sl2v_104.dout_width = 1,
    sl2v_104.dout_arith = `xlUnsigned,
    sl2v_104.dout_bin_pt = 0;

  xlsl2slv sl2v_105 (
    .din(1'b0),
    .dout(sl2v_105_dout)
  );
  defparam 
    sl2v_105.dout_width = 1,
    sl2v_105.dout_arith = `xlUnsigned,
    sl2v_105.dout_bin_pt = 0;

  xlsl2slv sl2v_106 (
    .din(v2sl_13_dout),
    .dout(sl2v_106_dout)
  );
  defparam 
    sl2v_106.dout_width = 1,
    sl2v_106.dout_arith = `xlUnsigned,
    sl2v_106.dout_bin_pt = 0;

  xlsl2slv sl2v_107 (
    .din(1'b1),
    .dout(sl2v_107_dout)
  );
  defparam 
    sl2v_107.dout_width = 1,
    sl2v_107.dout_arith = `xlUnsigned,
    sl2v_107.dout_bin_pt = 0;

  xlsl2slv sl2v_108 (
    .din(1'b0),
    .dout(sl2v_108_dout)
  );
  defparam 
    sl2v_108.dout_width = 1,
    sl2v_108.dout_arith = `xlUnsigned,
    sl2v_108.dout_bin_pt = 0;

  xlsl2slv sl2v_109 (
    .din(v2sl_13_dout),
    .dout(sl2v_109_dout)
  );
  defparam 
    sl2v_109.dout_width = 1,
    sl2v_109.dout_arith = `xlUnsigned,
    sl2v_109.dout_bin_pt = 0;

  xlsl2slv sl2v_11 (
    .din(1'b1),
    .dout(sl2v_11_dout)
  );
  defparam 
    sl2v_11.dout_width = 1,
    sl2v_11.dout_arith = `xlUnsigned,
    sl2v_11.dout_bin_pt = 0;

  xlsl2slv sl2v_110 (
    .din(1'b1),
    .dout(sl2v_110_dout)
  );
  defparam 
    sl2v_110.dout_width = 1,
    sl2v_110.dout_arith = `xlUnsigned,
    sl2v_110.dout_bin_pt = 0;

  xlsl2slv sl2v_111 (
    .din(1'b0),
    .dout(sl2v_111_dout)
  );
  defparam 
    sl2v_111.dout_width = 1,
    sl2v_111.dout_arith = `xlUnsigned,
    sl2v_111.dout_bin_pt = 0;

  xlsl2slv sl2v_112 (
    .din(v2sl_10_dout),
    .dout(sl2v_112_dout)
  );
  defparam 
    sl2v_112.dout_width = 1,
    sl2v_112.dout_arith = `xlUnsigned,
    sl2v_112.dout_bin_pt = 0;

  xlsl2slv sl2v_113 (
    .din(1'b1),
    .dout(sl2v_113_dout)
  );
  defparam 
    sl2v_113.dout_width = 1,
    sl2v_113.dout_arith = `xlUnsigned,
    sl2v_113.dout_bin_pt = 0;

  xlsl2slv sl2v_114 (
    .din(1'b0),
    .dout(sl2v_114_dout)
  );
  defparam 
    sl2v_114.dout_width = 1,
    sl2v_114.dout_arith = `xlUnsigned,
    sl2v_114.dout_bin_pt = 0;

  xlsl2slv sl2v_115 (
    .din(v2sl_10_dout),
    .dout(sl2v_115_dout)
  );
  defparam 
    sl2v_115.dout_width = 1,
    sl2v_115.dout_arith = `xlUnsigned,
    sl2v_115.dout_bin_pt = 0;

  xlsl2slv sl2v_116 (
    .din(1'b1),
    .dout(sl2v_116_dout)
  );
  defparam 
    sl2v_116.dout_width = 1,
    sl2v_116.dout_arith = `xlUnsigned,
    sl2v_116.dout_bin_pt = 0;

  xlsl2slv sl2v_117 (
    .din(v2sl_10_dout),
    .dout(sl2v_117_dout)
  );
  defparam 
    sl2v_117.dout_width = 1,
    sl2v_117.dout_arith = `xlUnsigned,
    sl2v_117.dout_bin_pt = 0;

  xlsl2slv sl2v_118 (
    .din(rst_x_0),
    .dout(sl2v_118_dout)
  );
  defparam 
    sl2v_118.dout_width = 1,
    sl2v_118.dout_arith = `xlUnsigned,
    sl2v_118.dout_bin_pt = 0;

  xlsl2slv sl2v_119 (
    .din(v2sl_10_dout),
    .dout(sl2v_119_dout)
  );
  defparam 
    sl2v_119.dout_width = 1,
    sl2v_119.dout_arith = `xlUnsigned,
    sl2v_119.dout_bin_pt = 0;

  xlsl2slv sl2v_12 (
    .din(1'b0),
    .dout(sl2v_12_dout)
  );
  defparam 
    sl2v_12.dout_width = 1,
    sl2v_12.dout_arith = `xlUnsigned,
    sl2v_12.dout_bin_pt = 0;

  xlsl2slv sl2v_120 (
    .din(rst_x_0),
    .dout(sl2v_120_dout)
  );
  defparam 
    sl2v_120.dout_width = 1,
    sl2v_120.dout_arith = `xlUnsigned,
    sl2v_120.dout_bin_pt = 0;

  xlsl2slv sl2v_13 (
    .din(1'b1),
    .dout(sl2v_13_dout)
  );
  defparam 
    sl2v_13.dout_width = 1,
    sl2v_13.dout_arith = `xlUnsigned,
    sl2v_13.dout_bin_pt = 0;

  xlsl2slv sl2v_14 (
    .din(1'b0),
    .dout(sl2v_14_dout)
  );
  defparam 
    sl2v_14.dout_width = 1,
    sl2v_14.dout_arith = `xlUnsigned,
    sl2v_14.dout_bin_pt = 0;

  xlsl2slv sl2v_15 (
    .din(1'b1),
    .dout(sl2v_15_dout)
  );
  defparam 
    sl2v_15.dout_width = 1,
    sl2v_15.dout_arith = `xlUnsigned,
    sl2v_15.dout_bin_pt = 0;

  xlsl2slv sl2v_16 (
    .din(1'b0),
    .dout(sl2v_16_dout)
  );
  defparam 
    sl2v_16.dout_width = 1,
    sl2v_16.dout_arith = `xlUnsigned,
    sl2v_16.dout_bin_pt = 0;

  xlsl2slv sl2v_17 (
    .din(1'b1),
    .dout(sl2v_17_dout)
  );
  defparam 
    sl2v_17.dout_width = 1,
    sl2v_17.dout_arith = `xlUnsigned,
    sl2v_17.dout_bin_pt = 0;

  xlsl2slv sl2v_18 (
    .din(1'b0),
    .dout(sl2v_18_dout)
  );
  defparam 
    sl2v_18.dout_width = 1,
    sl2v_18.dout_arith = `xlUnsigned,
    sl2v_18.dout_bin_pt = 0;

  xlsl2slv sl2v_19 (
    .din(v2sl_5_dout),
    .dout(sl2v_19_dout)
  );
  defparam 
    sl2v_19.dout_width = 1,
    sl2v_19.dout_arith = `xlUnsigned,
    sl2v_19.dout_bin_pt = 0;

  xlsl2slv sl2v_2 (
    .din(1'b1),
    .dout(sl2v_2_dout)
  );
  defparam 
    sl2v_2.dout_width = 1,
    sl2v_2.dout_arith = `xlUnsigned,
    sl2v_2.dout_bin_pt = 0;

  xlsl2slv sl2v_20 (
    .din(1'b1),
    .dout(sl2v_20_dout)
  );
  defparam 
    sl2v_20.dout_width = 1,
    sl2v_20.dout_arith = `xlUnsigned,
    sl2v_20.dout_bin_pt = 0;

  xlsl2slv sl2v_21 (
    .din(1'b0),
    .dout(sl2v_21_dout)
  );
  defparam 
    sl2v_21.dout_width = 1,
    sl2v_21.dout_arith = `xlUnsigned,
    sl2v_21.dout_bin_pt = 0;

  xlsl2slv sl2v_22 (
    .din(v2sl_1_dout),
    .dout(sl2v_22_dout)
  );
  defparam 
    sl2v_22.dout_width = 1,
    sl2v_22.dout_arith = `xlUnsigned,
    sl2v_22.dout_bin_pt = 0;

  xlsl2slv sl2v_23 (
    .din(1'b1),
    .dout(sl2v_23_dout)
  );
  defparam 
    sl2v_23.dout_width = 1,
    sl2v_23.dout_arith = `xlUnsigned,
    sl2v_23.dout_bin_pt = 0;

  xlsl2slv sl2v_24 (
    .din(1'b0),
    .dout(sl2v_24_dout)
  );
  defparam 
    sl2v_24.dout_width = 1,
    sl2v_24.dout_arith = `xlUnsigned,
    sl2v_24.dout_bin_pt = 0;

  xlsl2slv sl2v_25 (
    .din(v2sl_2_dout),
    .dout(sl2v_25_dout)
  );
  defparam 
    sl2v_25.dout_width = 1,
    sl2v_25.dout_arith = `xlUnsigned,
    sl2v_25.dout_bin_pt = 0;

  xlsl2slv sl2v_26 (
    .din(1'b1),
    .dout(sl2v_26_dout)
  );
  defparam 
    sl2v_26.dout_width = 1,
    sl2v_26.dout_arith = `xlUnsigned,
    sl2v_26.dout_bin_pt = 0;

  xlsl2slv sl2v_27 (
    .din(1'b0),
    .dout(sl2v_27_dout)
  );
  defparam 
    sl2v_27.dout_width = 1,
    sl2v_27.dout_arith = `xlUnsigned,
    sl2v_27.dout_bin_pt = 0;

  xlsl2slv sl2v_28 (
    .din(v2sl_11_dout),
    .dout(sl2v_28_dout)
  );
  defparam 
    sl2v_28.dout_width = 1,
    sl2v_28.dout_arith = `xlUnsigned,
    sl2v_28.dout_bin_pt = 0;

  xlsl2slv sl2v_29 (
    .din(1'b1),
    .dout(sl2v_29_dout)
  );
  defparam 
    sl2v_29.dout_width = 1,
    sl2v_29.dout_arith = `xlUnsigned,
    sl2v_29.dout_bin_pt = 0;

  xlsl2slv sl2v_3 (
    .din(1'b0),
    .dout(sl2v_3_dout)
  );
  defparam 
    sl2v_3.dout_width = 1,
    sl2v_3.dout_arith = `xlUnsigned,
    sl2v_3.dout_bin_pt = 0;

  xlsl2slv sl2v_30 (
    .din(1'b0),
    .dout(sl2v_30_dout)
  );
  defparam 
    sl2v_30.dout_width = 1,
    sl2v_30.dout_arith = `xlUnsigned,
    sl2v_30.dout_bin_pt = 0;

  xlsl2slv sl2v_31 (
    .din(v2sl_4_dout),
    .dout(sl2v_31_dout)
  );
  defparam 
    sl2v_31.dout_width = 1,
    sl2v_31.dout_arith = `xlUnsigned,
    sl2v_31.dout_bin_pt = 0;

  xlsl2slv sl2v_32 (
    .din(1'b1),
    .dout(sl2v_32_dout)
  );
  defparam 
    sl2v_32.dout_width = 1,
    sl2v_32.dout_arith = `xlUnsigned,
    sl2v_32.dout_bin_pt = 0;

  xlsl2slv sl2v_33 (
    .din(1'b0),
    .dout(sl2v_33_dout)
  );
  defparam 
    sl2v_33.dout_width = 1,
    sl2v_33.dout_arith = `xlUnsigned,
    sl2v_33.dout_bin_pt = 0;

  xlsl2slv sl2v_34 (
    .din(v2sl_0_dout),
    .dout(sl2v_34_dout)
  );
  defparam 
    sl2v_34.dout_width = 1,
    sl2v_34.dout_arith = `xlUnsigned,
    sl2v_34.dout_bin_pt = 0;

  xlsl2slv sl2v_35 (
    .din(1'b1),
    .dout(sl2v_35_dout)
  );
  defparam 
    sl2v_35.dout_width = 1,
    sl2v_35.dout_arith = `xlUnsigned,
    sl2v_35.dout_bin_pt = 0;

  xlsl2slv sl2v_36 (
    .din(1'b0),
    .dout(sl2v_36_dout)
  );
  defparam 
    sl2v_36.dout_width = 1,
    sl2v_36.dout_arith = `xlUnsigned,
    sl2v_36.dout_bin_pt = 0;

  xlsl2slv sl2v_37 (
    .din(v2sl_14_dout),
    .dout(sl2v_37_dout)
  );
  defparam 
    sl2v_37.dout_width = 1,
    sl2v_37.dout_arith = `xlUnsigned,
    sl2v_37.dout_bin_pt = 0;

  xlsl2slv sl2v_38 (
    .din(1'b1),
    .dout(sl2v_38_dout)
  );
  defparam 
    sl2v_38.dout_width = 1,
    sl2v_38.dout_arith = `xlUnsigned,
    sl2v_38.dout_bin_pt = 0;

  xlsl2slv sl2v_39 (
    .din(1'b0),
    .dout(sl2v_39_dout)
  );
  defparam 
    sl2v_39.dout_width = 1,
    sl2v_39.dout_arith = `xlUnsigned,
    sl2v_39.dout_bin_pt = 0;

  xlsl2slv sl2v_4 (
    .din(v2sl_dout),
    .dout(sl2v_4_dout)
  );
  defparam 
    sl2v_4.dout_width = 1,
    sl2v_4.dout_arith = `xlUnsigned,
    sl2v_4.dout_bin_pt = 0;

  xlsl2slv sl2v_40 (
    .din(v2sl_7_dout),
    .dout(sl2v_40_dout)
  );
  defparam 
    sl2v_40.dout_width = 1,
    sl2v_40.dout_arith = `xlUnsigned,
    sl2v_40.dout_bin_pt = 0;

  xlsl2slv sl2v_41 (
    .din(1'b1),
    .dout(sl2v_41_dout)
  );
  defparam 
    sl2v_41.dout_width = 1,
    sl2v_41.dout_arith = `xlUnsigned,
    sl2v_41.dout_bin_pt = 0;

  xlsl2slv sl2v_42 (
    .din(1'b0),
    .dout(sl2v_42_dout)
  );
  defparam 
    sl2v_42.dout_width = 1,
    sl2v_42.dout_arith = `xlUnsigned,
    sl2v_42.dout_bin_pt = 0;

  xlsl2slv sl2v_43 (
    .din(v2sl_8_dout),
    .dout(sl2v_43_dout)
  );
  defparam 
    sl2v_43.dout_width = 1,
    sl2v_43.dout_arith = `xlUnsigned,
    sl2v_43.dout_bin_pt = 0;

  xlsl2slv sl2v_44 (
    .din(1'b1),
    .dout(sl2v_44_dout)
  );
  defparam 
    sl2v_44.dout_width = 1,
    sl2v_44.dout_arith = `xlUnsigned,
    sl2v_44.dout_bin_pt = 0;

  xlsl2slv sl2v_45 (
    .din(1'b0),
    .dout(sl2v_45_dout)
  );
  defparam 
    sl2v_45.dout_width = 1,
    sl2v_45.dout_arith = `xlUnsigned,
    sl2v_45.dout_bin_pt = 0;

  xlsl2slv sl2v_46 (
    .din(1'b1),
    .dout(sl2v_46_dout)
  );
  defparam 
    sl2v_46.dout_width = 1,
    sl2v_46.dout_arith = `xlUnsigned,
    sl2v_46.dout_bin_pt = 0;

  xlsl2slv sl2v_47 (
    .din(1'b0),
    .dout(sl2v_47_dout)
  );
  defparam 
    sl2v_47.dout_width = 1,
    sl2v_47.dout_arith = `xlUnsigned,
    sl2v_47.dout_bin_pt = 0;

  xlsl2slv sl2v_48 (
    .din(1'b1),
    .dout(sl2v_48_dout)
  );
  defparam 
    sl2v_48.dout_width = 1,
    sl2v_48.dout_arith = `xlUnsigned,
    sl2v_48.dout_bin_pt = 0;

  xlsl2slv sl2v_49 (
    .din(1'b0),
    .dout(sl2v_49_dout)
  );
  defparam 
    sl2v_49.dout_width = 1,
    sl2v_49.dout_arith = `xlUnsigned,
    sl2v_49.dout_bin_pt = 0;

  xlsl2slv sl2v_5 (
    .din(1'b1),
    .dout(sl2v_5_dout)
  );
  defparam 
    sl2v_5.dout_width = 1,
    sl2v_5.dout_arith = `xlUnsigned,
    sl2v_5.dout_bin_pt = 0;

  xlsl2slv sl2v_50 (
    .din(v2sl_6_dout),
    .dout(sl2v_50_dout)
  );
  defparam 
    sl2v_50.dout_width = 1,
    sl2v_50.dout_arith = `xlUnsigned,
    sl2v_50.dout_bin_pt = 0;

  xlsl2slv sl2v_51 (
    .din(v2sl_0_dout),
    .dout(sl2v_51_dout)
  );
  defparam 
    sl2v_51.dout_width = 1,
    sl2v_51.dout_arith = `xlUnsigned,
    sl2v_51.dout_bin_pt = 0;

  xlsl2slv sl2v_52 (
    .din(v2sl_dout),
    .dout(sl2v_52_dout)
  );
  defparam 
    sl2v_52.dout_width = 1,
    sl2v_52.dout_arith = `xlUnsigned,
    sl2v_52.dout_bin_pt = 0;

  xlsl2slv sl2v_53 (
    .din(en_x_0),
    .dout(sl2v_53_dout)
  );
  defparam 
    sl2v_53.dout_width = 1,
    sl2v_53.dout_arith = `xlUnsigned,
    sl2v_53.dout_bin_pt = 0;

  xlsl2slv sl2v_54 (
    .din(1'b1),
    .dout(sl2v_54_dout)
  );
  defparam 
    sl2v_54.dout_width = 1,
    sl2v_54.dout_arith = `xlUnsigned,
    sl2v_54.dout_bin_pt = 0;

  xlsl2slv sl2v_55 (
    .din(v2sl_9_dout),
    .dout(sl2v_55_dout)
  );
  defparam 
    sl2v_55.dout_width = 1,
    sl2v_55.dout_arith = `xlUnsigned,
    sl2v_55.dout_bin_pt = 0;

  xlsl2slv sl2v_56 (
    .din(v2sl_8_dout),
    .dout(sl2v_56_dout)
  );
  defparam 
    sl2v_56.dout_width = 1,
    sl2v_56.dout_arith = `xlUnsigned,
    sl2v_56.dout_bin_pt = 0;

  xlsl2slv sl2v_57 (
    .din(v2sl_7_dout),
    .dout(sl2v_57_dout)
  );
  defparam 
    sl2v_57.dout_width = 1,
    sl2v_57.dout_arith = `xlUnsigned,
    sl2v_57.dout_bin_pt = 0;

  xlsl2slv sl2v_58 (
    .din(v2sl_14_dout),
    .dout(sl2v_58_dout)
  );
  defparam 
    sl2v_58.dout_width = 1,
    sl2v_58.dout_arith = `xlUnsigned,
    sl2v_58.dout_bin_pt = 0;

  xlsl2slv sl2v_59 (
    .din(1'b1),
    .dout(sl2v_59_dout)
  );
  defparam 
    sl2v_59.dout_width = 1,
    sl2v_59.dout_arith = `xlUnsigned,
    sl2v_59.dout_bin_pt = 0;

  xlsl2slv sl2v_6 (
    .din(1'b0),
    .dout(sl2v_6_dout)
  );
  defparam 
    sl2v_6.dout_width = 1,
    sl2v_6.dout_arith = `xlUnsigned,
    sl2v_6.dout_bin_pt = 0;

  xlsl2slv sl2v_60 (
    .din(v2sl_4_dout),
    .dout(sl2v_60_dout)
  );
  defparam 
    sl2v_60.dout_width = 1,
    sl2v_60.dout_arith = `xlUnsigned,
    sl2v_60.dout_bin_pt = 0;

  xlsl2slv sl2v_61 (
    .din(v2sl_5_dout),
    .dout(sl2v_61_dout)
  );
  defparam 
    sl2v_61.dout_width = 1,
    sl2v_61.dout_arith = `xlUnsigned,
    sl2v_61.dout_bin_pt = 0;

  xlsl2slv sl2v_62 (
    .din(v2sl_1_dout),
    .dout(sl2v_62_dout)
  );
  defparam 
    sl2v_62.dout_width = 1,
    sl2v_62.dout_arith = `xlUnsigned,
    sl2v_62.dout_bin_pt = 0;

  xlsl2slv sl2v_63 (
    .din(v2sl_2_dout),
    .dout(sl2v_63_dout)
  );
  defparam 
    sl2v_63.dout_width = 1,
    sl2v_63.dout_arith = `xlUnsigned,
    sl2v_63.dout_bin_pt = 0;

  xlsl2slv sl2v_64 (
    .din(v2sl_3_dout),
    .dout(sl2v_64_dout)
  );
  defparam 
    sl2v_64.dout_width = 1,
    sl2v_64.dout_arith = `xlUnsigned,
    sl2v_64.dout_bin_pt = 0;

  xlsl2slv sl2v_65 (
    .din(1'b1),
    .dout(sl2v_65_dout)
  );
  defparam 
    sl2v_65.dout_width = 1,
    sl2v_65.dout_arith = `xlUnsigned,
    sl2v_65.dout_bin_pt = 0;

  xlsl2slv sl2v_66 (
    .din(v2sl_4_dout),
    .dout(sl2v_66_dout)
  );
  defparam 
    sl2v_66.dout_width = 1,
    sl2v_66.dout_arith = `xlUnsigned,
    sl2v_66.dout_bin_pt = 0;

  xlsl2slv sl2v_67 (
    .din(1'b1),
    .dout(sl2v_67_dout)
  );
  defparam 
    sl2v_67.dout_width = 1,
    sl2v_67.dout_arith = `xlUnsigned,
    sl2v_67.dout_bin_pt = 0;

  xlsl2slv sl2v_68 (
    .din(1'b1),
    .dout(sl2v_68_dout)
  );
  defparam 
    sl2v_68.dout_width = 1,
    sl2v_68.dout_arith = `xlUnsigned,
    sl2v_68.dout_bin_pt = 0;

  xlsl2slv sl2v_69 (
    .din(1'b0),
    .dout(sl2v_69_dout)
  );
  defparam 
    sl2v_69.dout_width = 1,
    sl2v_69.dout_arith = `xlUnsigned,
    sl2v_69.dout_bin_pt = 0;

  xlsl2slv sl2v_7 (
    .din(1'b1),
    .dout(sl2v_7_dout)
  );
  defparam 
    sl2v_7.dout_width = 1,
    sl2v_7.dout_arith = `xlUnsigned,
    sl2v_7.dout_bin_pt = 0;

  xlsl2slv sl2v_70 (
    .din(v2sl_13_dout),
    .dout(sl2v_70_dout)
  );
  defparam 
    sl2v_70.dout_width = 1,
    sl2v_70.dout_arith = `xlUnsigned,
    sl2v_70.dout_bin_pt = 0;

  xlsl2slv sl2v_71 (
    .din(1'b1),
    .dout(sl2v_71_dout)
  );
  defparam 
    sl2v_71.dout_width = 1,
    sl2v_71.dout_arith = `xlUnsigned,
    sl2v_71.dout_bin_pt = 0;

  xlsl2slv sl2v_72 (
    .din(1'b0),
    .dout(sl2v_72_dout)
  );
  defparam 
    sl2v_72.dout_width = 1,
    sl2v_72.dout_arith = `xlUnsigned,
    sl2v_72.dout_bin_pt = 0;

  xlsl2slv sl2v_73 (
    .din(v2sl_13_dout),
    .dout(sl2v_73_dout)
  );
  defparam 
    sl2v_73.dout_width = 1,
    sl2v_73.dout_arith = `xlUnsigned,
    sl2v_73.dout_bin_pt = 0;

  xlsl2slv sl2v_74 (
    .din(1'b1),
    .dout(sl2v_74_dout)
  );
  defparam 
    sl2v_74.dout_width = 1,
    sl2v_74.dout_arith = `xlUnsigned,
    sl2v_74.dout_bin_pt = 0;

  xlsl2slv sl2v_75 (
    .din(1'b0),
    .dout(sl2v_75_dout)
  );
  defparam 
    sl2v_75.dout_width = 1,
    sl2v_75.dout_arith = `xlUnsigned,
    sl2v_75.dout_bin_pt = 0;

  xlsl2slv sl2v_76 (
    .din(v2sl_10_dout),
    .dout(sl2v_76_dout)
  );
  defparam 
    sl2v_76.dout_width = 1,
    sl2v_76.dout_arith = `xlUnsigned,
    sl2v_76.dout_bin_pt = 0;

  xlsl2slv sl2v_77 (
    .din(1'b1),
    .dout(sl2v_77_dout)
  );
  defparam 
    sl2v_77.dout_width = 1,
    sl2v_77.dout_arith = `xlUnsigned,
    sl2v_77.dout_bin_pt = 0;

  xlsl2slv sl2v_78 (
    .din(1'b0),
    .dout(sl2v_78_dout)
  );
  defparam 
    sl2v_78.dout_width = 1,
    sl2v_78.dout_arith = `xlUnsigned,
    sl2v_78.dout_bin_pt = 0;

  xlsl2slv sl2v_79 (
    .din(v2sl_10_dout),
    .dout(sl2v_79_dout)
  );
  defparam 
    sl2v_79.dout_width = 1,
    sl2v_79.dout_arith = `xlUnsigned,
    sl2v_79.dout_bin_pt = 0;

  xlsl2slv sl2v_8 (
    .din(1'b0),
    .dout(sl2v_8_dout)
  );
  defparam 
    sl2v_8.dout_width = 1,
    sl2v_8.dout_arith = `xlUnsigned,
    sl2v_8.dout_bin_pt = 0;

  xlsl2slv sl2v_80 (
    .din(1'b1),
    .dout(sl2v_80_dout)
  );
  defparam 
    sl2v_80.dout_width = 1,
    sl2v_80.dout_arith = `xlUnsigned,
    sl2v_80.dout_bin_pt = 0;

  xlsl2slv sl2v_81 (
    .din(1'b0),
    .dout(sl2v_81_dout)
  );
  defparam 
    sl2v_81.dout_width = 1,
    sl2v_81.dout_arith = `xlUnsigned,
    sl2v_81.dout_bin_pt = 0;

  xlsl2slv sl2v_82 (
    .din(v2sl_10_dout),
    .dout(sl2v_82_dout)
  );
  defparam 
    sl2v_82.dout_width = 1,
    sl2v_82.dout_arith = `xlUnsigned,
    sl2v_82.dout_bin_pt = 0;

  xlsl2slv sl2v_83 (
    .din(1'b1),
    .dout(sl2v_83_dout)
  );
  defparam 
    sl2v_83.dout_width = 1,
    sl2v_83.dout_arith = `xlUnsigned,
    sl2v_83.dout_bin_pt = 0;

  xlsl2slv sl2v_84 (
    .din(1'b0),
    .dout(sl2v_84_dout)
  );
  defparam 
    sl2v_84.dout_width = 1,
    sl2v_84.dout_arith = `xlUnsigned,
    sl2v_84.dout_bin_pt = 0;

  xlsl2slv sl2v_85 (
    .din(v2sl_10_dout),
    .dout(sl2v_85_dout)
  );
  defparam 
    sl2v_85.dout_width = 1,
    sl2v_85.dout_arith = `xlUnsigned,
    sl2v_85.dout_bin_pt = 0;

  xlsl2slv sl2v_86 (
    .din(1'b1),
    .dout(sl2v_86_dout)
  );
  defparam 
    sl2v_86.dout_width = 1,
    sl2v_86.dout_arith = `xlUnsigned,
    sl2v_86.dout_bin_pt = 0;

  xlsl2slv sl2v_87 (
    .din(1'b0),
    .dout(sl2v_87_dout)
  );
  defparam 
    sl2v_87.dout_width = 1,
    sl2v_87.dout_arith = `xlUnsigned,
    sl2v_87.dout_bin_pt = 0;

  xlsl2slv sl2v_88 (
    .din(v2sl_10_dout),
    .dout(sl2v_88_dout)
  );
  defparam 
    sl2v_88.dout_width = 1,
    sl2v_88.dout_arith = `xlUnsigned,
    sl2v_88.dout_bin_pt = 0;

  xlsl2slv sl2v_89 (
    .din(1'b1),
    .dout(sl2v_89_dout)
  );
  defparam 
    sl2v_89.dout_width = 1,
    sl2v_89.dout_arith = `xlUnsigned,
    sl2v_89.dout_bin_pt = 0;

  xlsl2slv sl2v_9 (
    .din(1'b1),
    .dout(sl2v_9_dout)
  );
  defparam 
    sl2v_9.dout_width = 1,
    sl2v_9.dout_arith = `xlUnsigned,
    sl2v_9.dout_bin_pt = 0;

  xlsl2slv sl2v_90 (
    .din(1'b0),
    .dout(sl2v_90_dout)
  );
  defparam 
    sl2v_90.dout_width = 1,
    sl2v_90.dout_arith = `xlUnsigned,
    sl2v_90.dout_bin_pt = 0;

  xlsl2slv sl2v_91 (
    .din(v2sl_10_dout),
    .dout(sl2v_91_dout)
  );
  defparam 
    sl2v_91.dout_width = 1,
    sl2v_91.dout_arith = `xlUnsigned,
    sl2v_91.dout_bin_pt = 0;

  xlsl2slv sl2v_92 (
    .din(1'b1),
    .dout(sl2v_92_dout)
  );
  defparam 
    sl2v_92.dout_width = 1,
    sl2v_92.dout_arith = `xlUnsigned,
    sl2v_92.dout_bin_pt = 0;

  xlsl2slv sl2v_93 (
    .din(1'b0),
    .dout(sl2v_93_dout)
  );
  defparam 
    sl2v_93.dout_width = 1,
    sl2v_93.dout_arith = `xlUnsigned,
    sl2v_93.dout_bin_pt = 0;

  xlsl2slv sl2v_94 (
    .din(v2sl_13_dout),
    .dout(sl2v_94_dout)
  );
  defparam 
    sl2v_94.dout_width = 1,
    sl2v_94.dout_arith = `xlUnsigned,
    sl2v_94.dout_bin_pt = 0;

  xlsl2slv sl2v_95 (
    .din(1'b1),
    .dout(sl2v_95_dout)
  );
  defparam 
    sl2v_95.dout_width = 1,
    sl2v_95.dout_arith = `xlUnsigned,
    sl2v_95.dout_bin_pt = 0;

  xlsl2slv sl2v_96 (
    .din(1'b0),
    .dout(sl2v_96_dout)
  );
  defparam 
    sl2v_96.dout_width = 1,
    sl2v_96.dout_arith = `xlUnsigned,
    sl2v_96.dout_bin_pt = 0;

  xlsl2slv sl2v_97 (
    .din(v2sl_13_dout),
    .dout(sl2v_97_dout)
  );
  defparam 
    sl2v_97.dout_width = 1,
    sl2v_97.dout_arith = `xlUnsigned,
    sl2v_97.dout_bin_pt = 0;

  xlsl2slv sl2v_98 (
    .din(1'b1),
    .dout(sl2v_98_dout)
  );
  defparam 
    sl2v_98.dout_width = 1,
    sl2v_98.dout_arith = `xlUnsigned,
    sl2v_98.dout_bin_pt = 0;

  xlsl2slv sl2v_99 (
    .din(1'b0),
    .dout(sl2v_99_dout)
  );
  defparam 
    sl2v_99.dout_width = 1,
    sl2v_99.dout_arith = `xlUnsigned,
    sl2v_99.dout_bin_pt = 0;

  dct2d_top_final3_subsystem4_x_1 subsystem4 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(mux8_dout),
    .dct2in(convert4_dout),
    .dct3in(convert6_dout),
    .dct4in(convert7_dout),
    .dct5in(convert2_dout),
    .dct6in(convert3_dout),
    .dct7in(convert9_dout),
    .dct8in(convert8_dout),
    .en_out(v2sl_11_dout),
    .en_ram(v2sl_10_dout),
    .mem1(convert_dout),
    .mem2(convert1_dout),
    .rst(rst_x_0),
    .dummy_c_1(subsystem4_dummy_c_1),
    .dummy_c_2(subsystem4_dummy_c_2),
    .dummy_c_3(subsystem4_dummy_c_3),
    .dummy_c_4(subsystem4_dummy_c_4),
    .dummy_c_5(subsystem4_dummy_c_5),
    .dummy_c_6(subsystem4_dummy_c_6),
    .dummy_c_7(subsystem4_dummy_c_7),
    .dummy_c_8(subsystem4_dummy_c_8),
    .y0_add(subsystem4_y0_add),
    .y0_sub(subsystem4_y0_sub),
    .y1_add(subsystem4_y1_add),
    .y1_sub(subsystem4_y1_sub),
    .y2_add(subsystem4_y2_add),
    .y2_sub(subsystem4_y2_sub),
    .y3_add(subsystem4_y3_add),
    .y3_sub(subsystem4_y3_sub),
    .y4_add(subsystem4_y4_add),
    .y4_sub(subsystem4_y4_sub),
    .y5_add(subsystem4_y5_add),
    .y5_sub(subsystem4_y5_sub),
    .y6_add(subsystem4_y6_add),
    .y6_sub(subsystem4_y6_sub),
    .y7_add(subsystem4_y7_add),
    .y7_sub(subsystem4_y7_sub)
  );

  xlslv2sl v2sl (
    .din(delay_q),
    .dout(v2sl_dout)
  );
  defparam 
    v2sl.din_width = 1,
    v2sl.din_arith = `xlUnsigned,
    v2sl.din_bin_pt = 0;

  xlslv2sl v2sl_0 (
    .din(delay1_q),
    .dout(v2sl_0_dout)
  );
  defparam 
    v2sl_0.din_width = 1,
    v2sl_0.din_arith = `xlUnsigned,
    v2sl_0.din_bin_pt = 0;

  xlslv2sl v2sl_1 (
    .din(delay16_q),
    .dout(v2sl_1_dout)
  );
  defparam 
    v2sl_1.din_width = 1,
    v2sl_1.din_arith = `xlUnsigned,
    v2sl_1.din_bin_pt = 0;

  xlslv2sl v2sl_10 (
    .din(expression_dout),
    .dout(v2sl_10_dout)
  );
  defparam 
    v2sl_10.din_width = 1,
    v2sl_10.din_arith = `xlUnsigned,
    v2sl_10.din_bin_pt = 0;

  xlslv2sl v2sl_11 (
    .din(expression1_dout),
    .dout(v2sl_11_dout)
  );
  defparam 
    v2sl_11.din_width = 1,
    v2sl_11.din_arith = `xlUnsigned,
    v2sl_11.din_bin_pt = 0;

  xlslv2sl v2sl_12 (
    .din(expression2_dout),
    .dout(v2sl_12_dout)
  );
  defparam 
    v2sl_12.din_width = 1,
    v2sl_12.din_arith = `xlUnsigned,
    v2sl_12.din_bin_pt = 0;

  xlslv2sl v2sl_13 (
    .din(inverter_dout),
    .dout(v2sl_13_dout)
  );
  defparam 
    v2sl_13.din_width = 1,
    v2sl_13.din_arith = `xlUnsigned,
    v2sl_13.din_bin_pt = 0;

  xlslv2sl v2sl_14 (
    .din(relational_dout),
    .dout(v2sl_14_dout)
  );
  defparam 
    v2sl_14.din_width = 1,
    v2sl_14.din_arith = `xlUnsigned,
    v2sl_14.din_bin_pt = 0;

  xlslv2sl v2sl_2 (
    .din(delay17_q),
    .dout(v2sl_2_dout)
  );
  defparam 
    v2sl_2.din_width = 1,
    v2sl_2.din_arith = `xlUnsigned,
    v2sl_2.din_bin_pt = 0;

  xlslv2sl v2sl_3 (
    .din(delay18_q),
    .dout(v2sl_3_dout)
  );
  defparam 
    v2sl_3.din_width = 1,
    v2sl_3.din_arith = `xlUnsigned,
    v2sl_3.din_bin_pt = 0;

  xlslv2sl v2sl_4 (
    .din(delay19_q),
    .dout(v2sl_4_dout)
  );
  defparam 
    v2sl_4.din_width = 1,
    v2sl_4.din_arith = `xlUnsigned,
    v2sl_4.din_bin_pt = 0;

  xlslv2sl v2sl_5 (
    .din(delay2_q),
    .dout(v2sl_5_dout)
  );
  defparam 
    v2sl_5.din_width = 1,
    v2sl_5.din_arith = `xlUnsigned,
    v2sl_5.din_bin_pt = 0;

  xlslv2sl v2sl_6 (
    .din(delay3_q),
    .dout(v2sl_6_dout)
  );
  defparam 
    v2sl_6.din_width = 1,
    v2sl_6.din_arith = `xlUnsigned,
    v2sl_6.din_bin_pt = 0;

  xlslv2sl v2sl_7 (
    .din(delay4_q),
    .dout(v2sl_7_dout)
  );
  defparam 
    v2sl_7.din_width = 1,
    v2sl_7.din_arith = `xlUnsigned,
    v2sl_7.din_bin_pt = 0;

  xlslv2sl v2sl_8 (
    .din(delay5_q),
    .dout(v2sl_8_dout)
  );
  defparam 
    v2sl_8.din_width = 1,
    v2sl_8.din_arith = `xlUnsigned,
    v2sl_8.din_bin_pt = 0;

  xlslv2sl v2sl_9 (
    .din(delay6_q),
    .dout(v2sl_9_dout)
  );
  defparam 
    v2sl_9.din_width = 1,
    v2sl_9.din_arith = `xlUnsigned,
    v2sl_9.din_bin_pt = 0;
endmodule




// Generated from Simulink block "dct2d_top_final3"

module dct2d_top_final3 (
  ce_sg,
  clk_sg,
  dct_0,
  dct_1,
  dct_2,
  dct_3,
  dct_4,
  dct_5,
  dct_6,
  dct_7,
  rdy_in,
  rst,
  out_0,
  out_1,
  out_2,
  out_3,
  out_4,
  out_5,
  out_6,
  out_7,
  rdy_out
);

  input  ce_sg;
  input  clk_sg;
  input [11 : 0] dct_0;
  input [11 : 0] dct_1;
  input [11 : 0] dct_2;
  input [11 : 0] dct_3;
  input [11 : 0] dct_4;
  input [11 : 0] dct_5;
  input [11 : 0] dct_6;
  input [11 : 0] dct_7;
  input  rdy_in;
  input  rst;
  output [11 : 0] out_0;
  output [11 : 0] out_1;
  output [11 : 0] out_2;
  output [11 : 0] out_3;
  output [11 : 0] out_4;
  output [11 : 0] out_5;
  output [11 : 0] out_6;
  output [11 : 0] out_7;
  output  rdy_out;

  wire  ce_sg_x_0;
  wire  clk_sg_x_0;
  wire [11 : 0] dct_0_x_0;
  wire [11 : 0] dct_1_x_0;
  wire [11 : 0] dct_2_x_0;
  wire [11 : 0] dct_3_x_0;
  wire [11 : 0] dct_4_x_0;
  wire [11 : 0] dct_5_x_0;
  wire [11 : 0] dct_6_x_0;
  wire [11 : 0] dct_7_x_0;
  wire  rdy_in_x_0;
  wire  rst_x_0;
  wire  x1d_idct_we;
  wire [17 : 0] x1d_idct_x0_1d1;
  wire [17 : 0] x1d_idct_x0_1d2;
  wire [17 : 0] x1d_idct_x0_1d3;
  wire [17 : 0] x1d_idct_x0_1d4;
  wire [17 : 0] x1d_idct_x0_1d5;
  wire [17 : 0] x1d_idct_x0_1d6;
  wire [17 : 0] x1d_idct_x0_1d7;
  wire [17 : 0] x1d_idct_x0_1d8;
  wire [11 : 0] x2d_idct1_col0;
  wire [11 : 0] x2d_idct1_col1;
  wire [11 : 0] x2d_idct1_col2;
  wire [11 : 0] x2d_idct1_col3;
  wire [11 : 0] x2d_idct1_col4;
  wire [11 : 0] x2d_idct1_col5;
  wire [11 : 0] x2d_idct1_col6;
  wire [11 : 0] x2d_idct1_col7;
  wire [47 : 0] x2d_idct1_dummy_c_1;
  wire [47 : 0] x2d_idct1_dummy_c_2;
  wire [47 : 0] x2d_idct1_dummy_c_3;
  wire [47 : 0] x2d_idct1_dummy_c_4;
  wire [47 : 0] x2d_idct1_dummy_c_5;
  wire [47 : 0] x2d_idct1_dummy_c_6;
  wire [47 : 0] x2d_idct1_dummy_c_7;
  wire [47 : 0] x2d_idct1_dummy_c_8;
  wire  x2d_idct1_rdy_out;

  assign ce_sg_x_0 = ce_sg;
  assign clk_sg_x_0 = clk_sg;
  assign dct_0_x_0 = dct_0;
  assign dct_1_x_0 = dct_1;
  assign dct_2_x_0 = dct_2;
  assign dct_3_x_0 = dct_3;
  assign dct_4_x_0 = dct_4;
  assign dct_5_x_0 = dct_5;
  assign dct_6_x_0 = dct_6;
  assign dct_7_x_0 = dct_7;
  assign rdy_in_x_0 = rdy_in;
  assign rst_x_0 = rst;
  assign out_0 = x2d_idct1_col0;
  assign out_1 = x2d_idct1_col1;
  assign out_2 = x2d_idct1_col2;
  assign out_3 = x2d_idct1_col3;
  assign out_4 = x2d_idct1_col4;
  assign out_5 = x2d_idct1_col5;
  assign out_6 = x2d_idct1_col6;
  assign out_7 = x2d_idct1_col7;
  assign rdy_out = x2d_idct1_rdy_out;


  dct2d_top_final3_1d_idct x1d_idct (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct_0(dct_0_x_0),
    .dct_1(dct_1_x_0),
    .dct_2(dct_2_x_0),
    .dct_3(dct_3_x_0),
    .dct_4(dct_4_x_0),
    .dct_5(dct_5_x_0),
    .dct_6(dct_6_x_0),
    .dct_7(dct_7_x_0),
    .dummy_c_1(x2d_idct1_dummy_c_1),
    .dummy_c_2(x2d_idct1_dummy_c_2),
    .dummy_c_3(x2d_idct1_dummy_c_3),
    .dummy_c_4(x2d_idct1_dummy_c_4),
    .dummy_c_5(x2d_idct1_dummy_c_5),
    .dummy_c_6(x2d_idct1_dummy_c_6),
    .dummy_c_7(x2d_idct1_dummy_c_7),
    .dummy_c_8(x2d_idct1_dummy_c_8),
    .rdy_in(rdy_in_x_0),
    .rst(rst_x_0),
    .we(x1d_idct_we),
    .x0_1d1(x1d_idct_x0_1d1),
    .x0_1d2(x1d_idct_x0_1d2),
    .x0_1d3(x1d_idct_x0_1d3),
    .x0_1d4(x1d_idct_x0_1d4),
    .x0_1d5(x1d_idct_x0_1d5),
    .x0_1d6(x1d_idct_x0_1d6),
    .x0_1d7(x1d_idct_x0_1d7),
    .x0_1d8(x1d_idct_x0_1d8)
  );

  dct2d_top_final3_2d_idct1 x2d_idct1 (
    .ce_sg(ce_sg_x_0),
    .clk_sg(clk_sg_x_0),
    .dct1in(x1d_idct_x0_1d1),
    .dct2in(x1d_idct_x0_1d2),
    .dct3in(x1d_idct_x0_1d3),
    .dct4in(x1d_idct_x0_1d4),
    .dct5in(x1d_idct_x0_1d5),
    .dct6in(x1d_idct_x0_1d6),
    .dct7in(x1d_idct_x0_1d7),
    .dct8in(x1d_idct_x0_1d8),
    .en(x1d_idct_we),
    .rst(rst_x_0),
    .col0(x2d_idct1_col0),
    .col1(x2d_idct1_col1),
    .col2(x2d_idct1_col2),
    .col3(x2d_idct1_col3),
    .col4(x2d_idct1_col4),
    .col5(x2d_idct1_col5),
    .col6(x2d_idct1_col6),
    .col7(x2d_idct1_col7),
    .dummy_c_1(x2d_idct1_dummy_c_1),
    .dummy_c_2(x2d_idct1_dummy_c_2),
    .dummy_c_3(x2d_idct1_dummy_c_3),
    .dummy_c_4(x2d_idct1_dummy_c_4),
    .dummy_c_5(x2d_idct1_dummy_c_5),
    .dummy_c_6(x2d_idct1_dummy_c_6),
    .dummy_c_7(x2d_idct1_dummy_c_7),
    .dummy_c_8(x2d_idct1_dummy_c_8),
    .rdy_out(x2d_idct1_rdy_out)
  );
endmodule

